Notebook[{

Cell[CellGroupData[{
Cell["Manipulate\[Mho]Gro", "Section",
 InitializationCell->True,
 CellChangeTimes->{{3.420213147835127*^9, 3.4202131504065943`*^9}, {
  3.42644433161839*^9, 3.4264443407101917`*^9}, {3.426444517224485*^9, 
  3.426444519227916*^9}, {3.426447103535618*^9, 3.426447109616365*^9}, {
  3.426447230929802*^9, 3.4264472318311663`*^9}, {3.4264473149189034`*^9, 
  3.4264473172011147`*^9}, {3.426447457284823*^9, 3.426447459931831*^9}, {
  3.4264566303504343`*^9, 3.426456632920279*^9}, {3.426482771085021*^9, 
  3.426482773293933*^9}, {3.426482812492299*^9, 3.4264828143131037`*^9}, {
  3.4264829383697243`*^9, 3.426482940087377*^9}, {3.42650511909451*^9, 
  3.426505120430109*^9}, {3.447958832449757*^9, 3.447958834053753*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";", 
  RowBox[{"<<", "ManipulatePrepare.m"}], ";", "FindStableArm", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Mho]", "=", 
   RowBox[{"\[Mho]Base", "=", "0.10"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"FindStableArm", ";", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mMinPlot", ",", "mMaxPlot"}], "}"}], "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.5", ",", "2.5"}], "}"}], " ", "\[ScriptM]E"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cGroMaxPlot", "=", 
   RowBox[{"Log", "[", 
    RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", "mMinPlot", "]"}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"$PerformanceGoal", "=", "\"\<Speed\>\""}], ",", "\[Mho]"}], 
      "}"}], ",", 
     RowBox[{
      RowBox[{"\[Mho]", "=", "\[Mho]Slider"}], ";", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", "R", ")"}], " ", "\[Beta]"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"1", "/", "\[Rho]"}], ")"}]}], "/", "\[CapitalGamma]"}], 
          " ", "\[GreaterEqual]", "  ", "1"}], "||", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", "R", ")"}], " ", "\[Beta]"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"1", "/", "\[Rho]"}], ")"}]}], "/", 
           RowBox[{"(", "R", ")"}]}], " ", "\[GreaterEqual]", "  ", "1"}]}], 
        ",", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{
          "Text", "[", "\"\<Impatience Condition Not Satisfied.\>\"", "]"}], 
          ",", "24"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"DrawGrowthDiagram", "[", 
       RowBox[{"mMinPlot", ",", "mMaxPlot", ",", "cGroMaxPlot"}], "]"}]}]}], 
    "\[IndentingNewLine]", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Mho]Slider", ",", "0.01", ",", "\"\<\[Mho]\>\""}], "}"}], 
     ",", "0.005", ",", "0.10", ",", "0.005"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.447368042668882*^9, 3.4473680868837023`*^9}, {
   3.447368227180181*^9, 3.447368250897829*^9}, {3.447368341880596*^9, 
   3.447368364988285*^9}, {3.447368658553347*^9, 3.447368666143652*^9}, 
   3.4477512464863577`*^9, 3.447751334155466*^9, {3.4477513916330748`*^9, 
   3.447751403493145*^9}, {3.447751443897779*^9, 3.4477514863156967`*^9}, {
   3.4477515405116167`*^9, 3.447751559800453*^9}, 3.4477516552601767`*^9, 
   3.447752019545376*^9, {3.447752052208638*^9, 3.447752095665852*^9}, {
   3.4477521682953444`*^9, 3.447752169011923*^9}, {3.447752521759439*^9, 
   3.447752521832077*^9}, {3.447752561018712*^9, 3.447752586017413*^9}, {
   3.447752623028882*^9, 3.4477526230851593`*^9}, {3.447752676690514*^9, 
   3.447752681046938*^9}, {3.44795317483319*^9, 3.447953199835271*^9}, 
   3.447958408917946*^9, {3.447958512686412*^9, 3.4479585254968977`*^9}, {
   3.447958638123473*^9, 3.447958638531887*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`\[Mho]Slider$$ = 0.055, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`\[Mho]Slider$$], 0.01, "\[Mho]"}, 0.005, 0.1, 
      0.005}}, Typeset`size$$ = {702., {209., 225.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`\[Mho]Slider$21040$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`\[Mho]Slider$$ = 0.01}, 
      "ControllerVariables" :> {
        Hold[$CellContext`\[Mho]Slider$$, $CellContext`\[Mho]Slider$21040$$, 
         0]}, "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Block[{$PerformanceGoal = 
         "Speed", $CellContext`\[Mho]}, $CellContext`\[Mho] = $CellContext`\
\[Mho]Slider$$; If[
          
          Or[($CellContext`R $CellContext`\[Beta])^(
              1/$CellContext`\[Rho])/$CellContext`\[CapitalGamma] >= 
           1, ($CellContext`R $CellContext`\[Beta])^(
              1/$CellContext`\[Rho])/$CellContext`R >= 1], 
          Style[
           Text["Impatience Condition Not Satisfied."], 
           24]]; $CellContext`DrawGrowthDiagram[$CellContext`mMinPlot, \
$CellContext`mMaxPlot, $CellContext`cGroMaxPlot]], 
      "Specifications" :> {{{$CellContext`\[Mho]Slider$$, 0.01, "\[Mho]"}, 
         0.005, 0.1, 0.005}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{764., {296.03125, 303.96875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 InitializationCell->True,
 CellChangeTimes->{
  3.4477520401752167`*^9, {3.4477520858858757`*^9, 3.447752119957713*^9}, {
   3.447752169711555*^9, 3.447752186273139*^9}, 3.447752251140842*^9, {
   3.447752534096922*^9, 3.4477525398067713`*^9}, {3.4477525981332684`*^9, 
   3.447752696200138*^9}, 3.447752794308728*^9, {3.447953175700336*^9, 
   3.4479532253515997`*^9}, 3.447953558112493*^9, 3.4479553187010593`*^9, 
   3.447958173277313*^9, 3.447958411709853*^9, 3.4479585593203783`*^9, {
   3.4479588509483*^9, 3.447958887260147*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Note", " ", "that", " ", "even", " ", "in", " ", "regions", " ", "were",
       " ", "the", " ", "relationship", " ", "between", " ", "\[Mho]", " ", 
      "and", " ", "the", " ", "target", " ", "wealth"}], "-", 
     RowBox[{"income", " ", "ratio", " ", "is", " ", "negative"}]}], ",", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "relationship", " ", "between", " ", "\[Mho]", " ", "and", 
      " ", "the", " ", "SAVING", " ", "RATE", " ", "is", " ", "positive"}], 
     ";", " ", 
     RowBox[{
     "this", " ", "is", " ", "illustrated", " ", "by", " ", "the", " ", 
      "following", " ", 
      RowBox[{"figure", ".", "  ", "The"}], " ", "negative", " ", 
      "relationship", " ", "between", " ", "\[Mho]", " ", "and", " ", "the", 
      " ", "ratio", " ", "reflects", " ", "the", " ", "fact", " ", "that", 
      " ", "growth", " ", "is", " ", "adjusted", " ", "upward", " ", "as", 
      " ", "\[Mho]", " ", "rises", " ", "in", " ", "order", " ", "to", " ", 
      "keep", " ", "the", " ", "PDV", " ", "of", " ", "labor", " ", "income", 
      " ", "constant"}], ";", " ", 
     RowBox[{"faster", " ", "net", " ", "growth", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"for", " ", "the", " ", "continuing"}], "-", "employed"}], 
       ")"}], " ", "means", " ", "that", " ", "it", " ", "is", " ", "harder", 
      " ", "to", " ", "maintain", " ", "a", " ", "given", " ", "ratio", " ", 
      "of", " ", "wealth", " ", "to", " ", 
      RowBox[{"income", "."}]}]}]}], "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[ScriptM]E", "-", "1"}], ")"}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", "r", ")"}], "/", 
          RowBox[{"(", "R", ")"}]}], ")"}]}], "-", "\[ScriptC]E"}], ")"}], 
     "/", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[ScriptM]E", "-", "1"}], ")"}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", "r", ")"}], "/", 
          RowBox[{"(", "R", ")"}]}], ")"}]}]}], ")"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Mho]", ",", "0.001", ",", "0.10"}], "}"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.447955358266624*^9, 3.447955528049315*^9}, {
  3.4479585300651703`*^9, 3.447958532939432*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwVkGk41AkAh5VaFfE82S6xk8qVWEnto3h+ztJK5Igpx5BhHCUjEyIPE1Ja
hISWkCP3IPwJmw4hR1PTuP6ELTYjNKVZ57Yf3uf99H55Fd38rOmrxcTEHH7w
v9thuWzpZgVRYVld724XbPf7vqloxArtIcu/dpnSwMjMUlnjegr6TrVOuxZp
kFiatqpzsQY756vrVz83mNQn5O50sgXXk/bT9gA6mnW4ZrP2DpBzMTjjMOyD
/uSi423KNBiXqSVoSQcismTZhuVBQ71Ma5JqTCDUnlk7786nwWu0U/hBjIUg
4TwzTMkV4yUNRQVzLGy1Nr+3f48bNGPji9ZPBsFWRvA5TdEddMHAVPi3UHTH
aiR7yzOg42xc5tQSiU2rjr5gujKQMHpzk5UMG7ZBzqKQfAbUWfqhKY5s9HrE
O97U8sLMiM2aLSI23hvP7ikx8cbiaaYcXzsKM0vVj6Z8fVFXHFJbUhODdbqZ
PnXOF1HEHFho/RIHtVKlW0fKL0F3Kn7pgHQyJFiLnkONoVBIM6jSpmdBZ2Jb
4VrrSDg+PZph9yAPG+KD73alR0Omr16gQi2BpnLTW3r6Dcw7zOStOHPwb43Z
rfLpP9BOsVl7cKgaxmaGyi53ExEXsCCct6iDlkZPsUVyEmqlqy0KrjZgRjrS
b3NDChqj7hTuFTSBP6FENWlMRe3TYErRhiegeCq+sHuUBmkfG9PGxBYcHoW/
QW8GmMI8d40DzxBqZ2V0+92f6DuyX7+N8xy3n7NPNa5kYU7E7y82a8Wa8xJM
ukw2fjsRJiHqfgkboWlXllQO8n6/xIg+2A5JUUrbUUouHIPZ3YacDvBFQ/bZ
lAfQmy34uFOqE1JBulGMg3k43jYX23OlC8w2fN15NB9258TJnMFuTG7BXJxJ
ARKUoppOxPega9Qyle5QiFffzl9e0n2NZ0XUjlnqQ3yUv8bv4b3GpImMod/p
Iqxw+6XsfLi44vTOjsooRqXxWPf8+jegMO8szXmWYGvikMLz9DfYt5Zhsiqs
FHLfW64f0XkLb+8PrxbjynD/Me3vkNa3aOg4O1F8oxyT9g4B/RY8NPD8X4+d
rEDT3l0PfQd5yDHWDjLvrgCybXVynN8hO/1ls7oFB3PX6xULBt6BVzF+uoXH
gf/nkxYBND5kTdm12naV+FYpldDYx0f03QJP6nAlUnmy6oFneiHubTZCpVWB
GiVPpfT04u6e5gXuUBW8zQQUDcM+uGY20VczqiFeqbDjBNEHnTuH0yQnqpFX
MDanoNIPPQvIdzAfYWQkYGNVRj8cp7YbiC88gk37VOZzyQFES/prbA6pgd4n
ugKYA/gwYeVNitci+IH6L3uHB3DSpPRi+LVaqDW66vQaDaL7+vDW9NV1mA83
DXycM4hrcenSPjfrsMOydLB1HQljaW7XZkkCTloCI00PEqmsftJyIwG5GnP3
Dk8Sk0OjglgZAsphyecYXiSSyoUblmUJMPpmF7J9SYxZbT72UZ6AkdA8WTaA
BDvJoblGk8DSz0seM+Eknm4bLre3JnCvXqsiIY3E1ojxpkRbAuONzDtqGSR8
/pnu7DhNoMFQ4WzLPRKy9WICnCWQfKshXJhF4tzZXaqq7gQmPG4ess0nIZ5J
vy8KJPCEN+4kU0XC/qcL5dpBBKIiYvflV5MovsBq8g0h8BeL26dXQ8IGMYPv
rxI4OOjV40WQyH1fuK0thkBuxw7NlmYS3804KuI3CMivuH+xf0LCnEMc0o8j
oFp8KWWqhYQwot2Wk0DAc37u8rYXJI594p6bvP2jd/OvLW0lkWE9wFRKITDc
+YRn1EZiun4swiWVAFVBwOW3//i7W5CQlkagZv/XMt9XJP4DsGjCRg==
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0.001, 0.1}, {0., 0.4656020840200442}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.447955423417738*^9, 3.447958177330933*^9, 
  3.447958801067024*^9}]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->Automatic,
WindowSize->{1376, 856},
WindowMargins->{{77, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1.5,
FrontEndVersion->"7.0 for Mac OS X x86 (32-bit) (November 11, 2008)",
StyleDefinitions->"Default.nb"
]

