Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], ";", 
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";", 
  RowBox[{"<<", "ManipulatePrepare.m"}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.447958278359967*^9, 3.447958294691051*^9}, 
   3.447958378118826*^9, {3.447958493960994*^9, 3.447958498536675*^9}}],

Cell["Manipulate\[Mho]", "Section",
 InitializationCell->True,
 CellChangeTimes->{{3.420213147835127*^9, 3.4202131504065943`*^9}, {
  3.42644433161839*^9, 3.4264443407101917`*^9}, {3.426444517224485*^9, 
  3.426444519227916*^9}, {3.426447103535618*^9, 3.426447109616365*^9}, {
  3.426447230929802*^9, 3.4264472318311663`*^9}, {3.4264473149189034`*^9, 
  3.4264473172011147`*^9}, {3.426447457284823*^9, 3.426447459931831*^9}, {
  3.4264566303504343`*^9, 3.426456632920279*^9}, {3.426482771085021*^9, 
  3.426482773293933*^9}, {3.426482812492299*^9, 3.4264828143131037`*^9}, {
  3.4264829383697243`*^9, 3.426482940087377*^9}, {3.42650511909451*^9, 
  3.426505120430109*^9}}],

Cell[CellGroupData[{

Cell["Low", "Section",
 InitializationCell->True,
 CellChangeTimes->{{3.420213147835127*^9, 3.4202131504065943`*^9}, {
  3.42644433161839*^9, 3.4264443407101917`*^9}, {3.426444517224485*^9, 
  3.426444519227916*^9}, {3.426447103535618*^9, 3.426447109616365*^9}, {
  3.426447230929802*^9, 3.4264472318311663`*^9}, {3.4264473149189034`*^9, 
  3.4264473172011147`*^9}, {3.426447457284823*^9, 3.426447459931831*^9}, {
  3.4264566303504343`*^9, 3.426456632920279*^9}, {3.426482771085021*^9, 
  3.426482773293933*^9}, {3.426482812492299*^9, 3.4264828143131037`*^9}, {
  3.4264829383697243`*^9, 3.426482940087377*^9}, {3.42650511909451*^9, 
  3.426505120430109*^9}, {3.4265084304355288`*^9, 3.42650843292741*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"FindStableArm", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[ScriptM]Max", ",", "\[ScriptM]MaxMax"}], "}"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "3"}], "}"}], " ", "\[ScriptM]E"}], " ", "//", 
    "N"}]}], ";", 
  RowBox[{"\[ScriptC]Max", "=", 
   RowBox[{
    RowBox[{"cE", "[", "\[ScriptM]MaxMax", "]"}], " ", "//", "N"}]}], ";", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[ScriptM]Max", ",", "\[ScriptM]MaxMax"}], "}"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "5"}], "}"}], "\[ScriptM]E"}], " ", "//", "N"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"$PerformanceGoal", "=", "\"\<Speed\>\""}], ",", "\[Mho]", ",",
        "\[Mho]Base"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Mho]", "=", "\[Mho]Slider"}], ";", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", "R", ")"}], " ", "\[Beta]"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"1", "/", "\[Rho]"}], ")"}]}], "/", "\[CapitalGamma]"}], 
          " ", "\[GreaterEqual]", "  ", "1"}], "||", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", "R", ")"}], " ", "\[Beta]"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"1", "/", "\[Rho]"}], ")"}]}], "/", 
           RowBox[{"(", "R", ")"}]}], " ", "\[GreaterEqual]", "  ", "1"}]}], 
        ",", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{
          "Text", "[", "\"\<Impatience Condition Not Satisfied.\>\"", "]"}], 
          ",", "24"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"DrawPhaseDiagram", "[", 
       RowBox[{
       "\[ScriptM]Max", ",", "\[ScriptM]MaxMax", ",", "\[ScriptC]Max"}], 
       "]"}]}]}], "\[IndentingNewLine]", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Mho]Slider", ",", "0.01", ",", "\"\<\[Mho]\>\""}], "}"}], 
     ",", "0.001", ",", "0.01", ",", "0.001"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.420152995260653*^9, 3.420153060256028*^9}, {
   3.420153448771255*^9, 3.420153495730507*^9}, {3.420153875299324*^9, 
   3.420153916369935*^9}, {3.4201539531458807`*^9, 3.420153981461334*^9}, {
   3.420154882625534*^9, 3.420154921822242*^9}, {3.420155521331831*^9, 
   3.420155624638013*^9}, {3.4201560183089733`*^9, 3.420156019092039*^9}, {
   3.420159924229837*^9, 3.420159951622138*^9}, 3.420164451138542*^9, {
   3.420210133792045*^9, 3.4202101652034073`*^9}, {3.420210251017335*^9, 
   3.420210267827066*^9}, {3.4202103392727423`*^9, 3.420210368925075*^9}, {
   3.420210418870116*^9, 3.420210419132986*^9}, {3.420212014090701*^9, 
   3.4202121012554092`*^9}, {3.420212453269247*^9, 3.420212498935313*^9}, {
   3.420212576815176*^9, 3.420212578316436*^9}, {3.420212806584901*^9, 
   3.4202128584381247`*^9}, {3.42021292375949*^9, 3.420212923892323*^9}, 
   3.420213242835517*^9, {3.4233025056297283`*^9, 3.4233025264258337`*^9}, {
   3.423302570675579*^9, 3.423302570715127*^9}, {3.423302885073079*^9, 
   3.423302893783193*^9}, {3.423302963279566*^9, 3.4233030146739798`*^9}, {
   3.426419504647056*^9, 3.426419519053845*^9}, {3.4264196241559677`*^9, 
   3.426419630092752*^9}, {3.4264197849222803`*^9, 3.4264197894721518`*^9}, {
   3.426419832512763*^9, 3.426419847982398*^9}, {3.426447122243643*^9, 
   3.4264471389185867`*^9}, {3.4264473431041813`*^9, 3.426447349197194*^9}, {
   3.426447479195465*^9, 3.426447493384697*^9}, {3.426447529587325*^9, 
   3.426447557278236*^9}, {3.4264475940446253`*^9, 3.426447595517712*^9}, {
   3.426455021684596*^9, 3.426455087658908*^9}, {3.426455132168263*^9, 
   3.426455132821782*^9}, {3.426455732223634*^9, 3.426455735286086*^9}, {
   3.426455770139801*^9, 3.426455806258988*^9}, {3.426455889509659*^9, 
   3.4264559439087877`*^9}, {3.426456185840166*^9, 3.4264562122531967`*^9}, {
   3.426456340922948*^9, 3.426456356554308*^9}, {3.426456410373501*^9, 
   3.4264564378806763`*^9}, 3.426482205262773*^9, {3.4264822635820723`*^9, 
   3.426482266426785*^9}, {3.426482307750296*^9, 3.426482314011464*^9}, {
   3.426482363554727*^9, 3.4264824240095663`*^9}, {3.426482478517323*^9, 
   3.4264825151697206`*^9}, {3.426482586595593*^9, 3.4264827004636517`*^9}, {
   3.42648273226049*^9, 3.426482733976487*^9}, {3.426482818671603*^9, 
   3.426482844086557*^9}, {3.4264828882628813`*^9, 3.4264828922051992`*^9}, {
   3.4264829484810753`*^9, 3.426483014332*^9}, 3.426483074575019*^9, {
   3.426484324849118*^9, 3.4264843275097723`*^9}, {3.426484377085886*^9, 
   3.426484431395813*^9}, {3.42648448160772*^9, 3.426484511018628*^9}, {
   3.4264846657021847`*^9, 3.426484667236031*^9}, {3.426484746922098*^9, 
   3.426484750889654*^9}, {3.426484831236644*^9, 3.426484860091138*^9}, {
   3.4264851433046513`*^9, 3.426485169978602*^9}, {3.4264855579534082`*^9, 
   3.426485559210083*^9}, {3.426485673791807*^9, 3.426485674215804*^9}, {
   3.4264859099829473`*^9, 3.426485911852744*^9}, {3.4265049618364067`*^9, 
   3.426504998260693*^9}, {3.42650505340058*^9, 3.426505056429242*^9}, {
   3.42650513308988*^9, 3.426505189415413*^9}, 3.4265077133947697`*^9, {
   3.4265078547653303`*^9, 3.4265078953200903`*^9}, {3.426507934790954*^9, 
   3.4265079590542297`*^9}, {3.4265081710765533`*^9, 3.4265081715932493`*^9}, 
   3.426508283469047*^9, {3.426508442269519*^9, 3.4265084450933113`*^9}, {
   3.426508488774036*^9, 3.426508507827654*^9}, {3.4265085427253942`*^9, 
   3.4265085478536873`*^9}, {3.42650861291639*^9, 3.426508626177616*^9}, {
   3.4265087660198793`*^9, 3.426508766743881*^9}, 3.4265088078106728`*^9, {
   3.445685290300539*^9, 3.445685292010706*^9}, 3.4456854207029257`*^9, 
   3.4477516803965*^9, {3.447751820491829*^9, 3.4477518226318083`*^9}, {
   3.447752267004962*^9, 3.447752267890373*^9}, 3.447752360864628*^9, 
   3.4479529315627623`*^9, {3.447953425752021*^9, 3.447953440158532*^9}, {
   3.447958276863698*^9, 3.4479582972381907`*^9}, 3.4479583763367767`*^9, 
   3.447958501068575*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`\[Mho]Slider$$ = 0.01, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`\[Mho]Slider$$], 0.01, "\[Mho]"}, 0.001, 0.01, 
      0.001}}, Typeset`size$$ = {702., {209., 225.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`\[Mho]Slider$13766$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`\[Mho]Slider$$ = 0.01}, 
      "ControllerVariables" :> {
        Hold[$CellContext`\[Mho]Slider$$, $CellContext`\[Mho]Slider$13766$$, 
         0]}, "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Block[{$PerformanceGoal = 
         "Speed", $CellContext`\[Mho], $CellContext`\[Mho]Base}, \
$CellContext`\[Mho] = $CellContext`\[Mho]Slider$$; If[
          
          Or[($CellContext`R $CellContext`\[Beta])^(
              1/$CellContext`\[Rho])/$CellContext`\[CapitalGamma] >= 
           1, ($CellContext`R $CellContext`\[Beta])^(
              1/$CellContext`\[Rho])/$CellContext`R >= 1], 
          Style[
           Text["Impatience Condition Not Satisfied."], 
           24]]; $CellContext`DrawPhaseDiagram[$CellContext`\[ScriptM]Max, \
$CellContext`\[ScriptM]MaxMax, $CellContext`\[ScriptC]Max]], 
      "Specifications" :> {{{$CellContext`\[Mho]Slider$$, 0.01, "\[Mho]"}, 
         0.001, 0.01, 0.001}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{764., {277.03125, 284.96875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 InitializationCell->True,
 CellChangeTimes->{{3.426507897015127*^9, 3.426507980909918*^9}, {
   3.426508156342852*^9, 3.4265081784630203`*^9}, {3.426508290904356*^9, 
   3.4265082993563013`*^9}, {3.426508449335692*^9, 3.426508454322961*^9}, {
   3.426508509821368*^9, 3.426508555848181*^9}, {3.426508608974864*^9, 
   3.426508633831995*^9}, {3.426508762302462*^9, 3.426508833997006*^9}, {
   3.426509061702683*^9, 3.4265090883273773`*^9}, {3.4265091498922*^9, 
   3.4265091547698593`*^9}, 3.426509190736891*^9, {3.426509239812344*^9, 
   3.426509244280818*^9}, 3.4265093408555717`*^9, {3.4265095992892857`*^9, 
   3.426509604101918*^9}, 3.426509657519331*^9, 3.426509692637398*^9, {
   3.426511869281692*^9, 3.426511896218075*^9}, 3.445393933352064*^9, 
   3.445393980393908*^9, {3.445394181896937*^9, 3.4453941839473467`*^9}, 
   3.445395004831526*^9, 3.445514657043314*^9, 3.445685280397881*^9, 
   3.445685383128895*^9, {3.445685422812196*^9, 3.445685470926045*^9}, 
   3.445685582543415*^9, 3.446466735405635*^9, 3.447052649287052*^9, 
   3.447052680307602*^9, {3.4473676688085117`*^9, 3.4473676733713007`*^9}, {
   3.4477501690503273`*^9, 3.44775019467162*^9}, {3.4477502544084053`*^9, 
   3.447750318381888*^9}, 3.447750358298654*^9, 3.447750762563019*^9, 
   3.447750908079718*^9, {3.447751684106423*^9, 3.447751690275564*^9}, {
   3.447751723738522*^9, 3.447751777128273*^9}, {3.447751831193941*^9, 
   3.447751865429791*^9}, 3.447752269182356*^9, {3.447752371452574*^9, 
   3.447752416710168*^9}, 3.447952953623953*^9, 3.4479534461940317`*^9, 
   3.4479534969606028`*^9, 3.447953534224999*^9, {3.44795527439431*^9, 
   3.447955279903623*^9}, {3.447958023433196*^9, 3.447958036208761*^9}, 
   3.447958074036017*^9, 3.447958157024826*^9, 3.447958255094859*^9, 
   3.447958313537512*^9, 3.4479583909097767`*^9, 3.447958547786531*^9, 
   3.4479587019218817`*^9}]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->Automatic,
WindowSize->{1376, 856},
WindowMargins->{{77, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1.5,
FrontEndVersion->"7.0 for Mac OS X x86 (32-bit) (November 11, 2008)",
StyleDefinitions->"Default.nb"
]

