(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     17942,        454]
NotebookOptionsPosition[     17521,        435]
NotebookOutlinePosition[     17876,        451]
CellTagsIndexPosition[     17833,        448]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Initialization", " ", "file", " ", "necessary", " ", "for", " ", 
    "running", " ", "the", " ", "Manipulate", " ", "notebooks"}], " ", "*)"}],
   "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SetDirectory", "[", 
     RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", "\"\<../../CoreCode/Autoload/init.m\>\"", "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
    "Get", "[", "\"\<../../CoreCode/MakeAnalyticalResults.m\>\"", "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", "\"\<../../CoreCode/VarsAndFuncs.m\>\"", "]"}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", "\"\<../../CoreCode/ParametersBase.m\>\"", "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"VerboseOutput", "=", "False"}], ";"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.426485279578958*^9, 3.426485280301773*^9}, {
  3.4456853214823723`*^9, 3.4456853690601797`*^9}, {3.4479589744448347`*^9, 
  3.447958990354416*^9}, {3.45788050629412*^9, 3.457880507714552*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"DrawPhaseDiagram", "[", 
    RowBox[{
    "\[ScriptM]MaxPlot_", ",", "\[ScriptM]MaxMaxPlot_", ",", 
     "\[ScriptC]MaxPlot_"}], "]"}], ":=", " ", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", 
     RowBox[{"FindStableArm", ";", "\[IndentingNewLine]", 
      RowBox[{"\[ScriptC]LowerPlot", "=", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"cE", "[", "\[ScriptM]", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxPlot"}], "}"}], 
         ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"Dashing", "[", 
           RowBox[{"{", ".01", "}"}], "]"}]}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"cEPFPlot", " ", "=", " ", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"cEPF", "[", "\[ScriptM]", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxPlot"}], "}"}], 
         ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"Dashing", "[", 
           RowBox[{"{", ".02", "}"}], "]"}]}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Degree45", " ", "=", " ", 
       RowBox[{"Plot", "[", 
        RowBox[{"\[ScriptM]", ",", 
         RowBox[{"{", 
          RowBox[{"\[ScriptM]", ",", "0", ",", 
           RowBox[{"cE", "[", "\[ScriptM]MaxMaxPlot", "]"}]}], "}"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"Dashing", "[", 
           RowBox[{"{", ".01", "}"}], "]"}]}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"cFuncPlotBase", "=", 
       RowBox[{"cFuncPlot", "=", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"cE", "[", "\[ScriptM]", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMaxPlot"}], 
           "}"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}]}]}], ";", 
      RowBox[{"StableLoci", " ", "=", " ", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"\[ScriptC]EDelEqZero", "[", "\[ScriptM]", "]"}], ",", 
           RowBox[{"\[ScriptM]EDelEqZero", "[", "\[ScriptM]", "]"}]}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]Max"}], "}"}], ",", 
         
         RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"TractableBufferStockPhaseDiag", "=", 
       RowBox[{"Show", "[", 
        RowBox[{
        "\[ScriptC]LowerPlot", "\[IndentingNewLine]", ",", "StableLoci", 
         "\[IndentingNewLine]", ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"Text", "[", 
           RowBox[{
           "\"\<\!\(\*SubsuperscriptBox[\(\[CapitalDelta]\[ScriptC]\), \(\
\[ScriptT]\), \(e\)]\)=0 \[LongRightArrow] \>\"", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"\[ScriptM]E", " ", "1.25`"}], ",", 
              RowBox[{"\[ScriptC]EDelEqZero", "[", 
               RowBox[{"\[ScriptM]E", " ", "1.25`"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"Text", "[", 
           RowBox[{
           "\"\< \!\(\*SubsuperscriptBox[\(\[CapitalDelta]\[ScriptM]\), \(\
\[ScriptT]\), \(e\)]\)= 0 \[LowerRightArrow]\>\"", ",", 
            RowBox[{"{", 
             RowBox[{
              FractionBox["\[ScriptM]MaxPlot", "8"], ",", 
              RowBox[{"\[ScriptM]EDelEqZero", "[", 
               FractionBox["\[ScriptM]MaxPlot", "8"], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "1"}]}], "}"}]}], "]"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<Stable Arm \[LongRightArrow] \>\"", ",", 
            RowBox[{"{", 
             RowBox[{
              FractionBox[
               RowBox[{"9", " ", "\[ScriptM]MaxPlot"}], "10"], ",", 
              RowBox[{"cE", "[", 
               FractionBox[
                RowBox[{"9", " ", "\[ScriptM]MaxPlot"}], "10"], "]"}]}], 
             "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<SS \[LowerRightArrow] \>\"", ",", 
            RowBox[{"{", 
             RowBox[{"\[ScriptM]E", ",", "\[ScriptC]E"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "1"}]}], "}"}]}], "]"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"PhaseArrow", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[ScriptM]E", ",", 
             FractionBox["\[ScriptC]E", "2"]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[ScriptM]E", "+", 
              FractionBox["\[ScriptM]MaxPlot", "20"]}], ",", 
             FractionBox["\[ScriptC]E", "2"]}], "}"}]}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"PhaseArrow", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[ScriptM]E", ",", 
             FractionBox["\[ScriptC]E", "2"]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[ScriptM]E", ",", 
             RowBox[{
              FractionBox["\[ScriptC]E", "2"], "-", 
              FractionBox["\[ScriptC]E", "5"]}]}], "}"}]}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"PhaseArrow", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[ScriptM]E", ",", 
             RowBox[{"\[ScriptC]E", "+", 
              FractionBox["\[ScriptC]E", "2"]}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[ScriptM]E", "-", 
              FractionBox["\[ScriptM]MaxPlot", "20"]}], ",", 
             RowBox[{"\[ScriptC]E", "+", 
              FractionBox["\[ScriptC]E", "2"]}]}], "}"}]}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"PhaseArrow", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[ScriptM]E", ",", 
             RowBox[{"\[ScriptC]E", "+", 
              FractionBox["\[ScriptC]E", "2"]}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[ScriptM]E", ",", 
             RowBox[{"\[ScriptC]E", "+", 
              FractionBox["\[ScriptC]E", "2"], "+", 
              FractionBox["\[ScriptC]E", "5"]}]}], "}"}]}], "]"}], 
         "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{",", 
           RowBox[{"Ticks", "\[Rule]", "None"}]}], "*)"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"AxesLabel", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
           "\"\<\!\(\*SubsuperscriptBox[\(\[ScriptM]\), \(\[ScriptT]\), \
\(e\)]\)\>\"", ",", 
            "\"\<\!\(\*SubsuperscriptBox[\(\[ScriptC]\), \(\[ScriptT]\), \
\(e\)]\)\>\""}], "}"}]}], "\[IndentingNewLine]", ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "\[ScriptM]MaxPlot"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "\[ScriptC]MaxPlot"}], "}"}]}], "}"}]}]}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      "TractableBufferStockPhaseDiag"}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4264822208790693`*^9, 3.4264822447396917`*^9}, {
   3.42648488053202*^9, 3.4264849777752867`*^9}, 3.4264857855546923`*^9, {
   3.426485846708851*^9, 3.4264858754247026`*^9}, {3.426486050231946*^9, 
   3.426486056710479*^9}, {3.426486260188402*^9, 3.42648626573635*^9}, {
   3.426486782748732*^9, 3.426486811295764*^9}, {3.4264879181854877`*^9, 
   3.426487928000854*^9}, 3.426488075292432*^9, {3.426488150443931*^9, 
   3.4264881657674503`*^9}, {3.42650896083202*^9, 3.42650896506358*^9}, {
   3.42650902456503*^9, 3.426509078649501*^9}, {3.426509134455687*^9, 
   3.42650913627792*^9}, {3.426509212278419*^9, 3.4265092312768173`*^9}, {
   3.426509433355536*^9, 3.426509439299562*^9}, {3.426509538500984*^9, 
   3.426509545385233*^9}, 3.447367722992424*^9, {3.517401660819075*^9, 
   3.517401664110971*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"DrawGrowthDiagram", "[", 
    RowBox[{
    "\[ScriptM]MinPlot_", ",", "\[ScriptM]MaxPlot_", ",", "cGroMaxPlot_"}], 
    "]"}], ":=", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", 
     RowBox[{"FindStableArm", ";", "\[IndentingNewLine]", 
      RowBox[{"HorizAxis", "=", 
       RowBox[{"-", "0.08`"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"CGroPlot", "=", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"Log", "[", 
           RowBox[{
           "\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", "\[ScriptM]", 
            "]"}], "]"}], "}"}], "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{
          "\[ScriptM]", ",", "\[ScriptM]MinPlot", ",", "\[ScriptM]MaxPlot"}], 
          "}"}], "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{",", 
           RowBox[{"Ticks", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"{", 
                RowBox[{
                "\[ScriptM]E", ",", 
                 "\"\<\!\(\*SuperscriptBox[\(\[ScriptM]\), \(e\)]\)\>\""}], 
                "}"}], "}"}], "\[IndentingNewLine]", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"\[GothicG]", "+", "\[Mho]"}], ",", 
                  "\"\<\[Gamma]\>\""}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  FractionBox[
                   RowBox[{
                    RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], 
                   "\[Rho]"], ",", 
                  "\"\<\!\(\*SuperscriptBox[\(\[Rho]\), \(-1\)]\)(r-\
\[CurlyTheta])\>\""}], "}"}]}], "}"}]}], "}"}]}]}], "*)"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}]}], ";", "\n", 
      RowBox[{"BufferFigPlot", "=", 
       RowBox[{"Show", "[", 
        RowBox[{"CGroPlot", "\[IndentingNewLine]", ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Dashing", "[", 
             RowBox[{"{", 
              RowBox[{"0.005`", ",", "0.025`"}], "}"}], "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"\[ScriptM]E", ",", "HorizAxis"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"\[ScriptM]E", ",", "cGroMaxPlot"}], "}"}]}], "}"}], 
             "]"}]}], "}"}], "]"}], "\[IndentingNewLine]", ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Dashing", "[", 
             RowBox[{"{", "}"}], "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"\[GothicG]", "+", "\[Mho]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"\[ScriptM]MaxPlot", ",", 
                 RowBox[{"\[GothicG]", "+", "\[Mho]"}]}], "}"}]}], "}"}], 
             "]"}]}], "}"}], "]"}], "\[IndentingNewLine]", ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Dashing", "[", 
              RowBox[{"{", "}"}], "]"}], ",", 
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], 
                   "\[Rho]"]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"\[ScriptM]MaxPlot", ",", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], 
                   "\[Rho]"]}], "}"}]}], "}"}], "]"}]}], "}"}], 
           "\[IndentingNewLine]", ",", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "\[ScriptM]MaxPlot"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"HorizAxis", ",", "cGroMaxPlot"}], "}"}]}], "}"}]}]}], 
          "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}], ";",
       "\n", 
      RowBox[{"TractableBufferStockGrowthFig", "=", 
       RowBox[{"Show", "[", 
        RowBox[{"BufferFigPlot", "\[IndentingNewLine]", ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<\!\(\*
StyleBox[\" \",
FontWeight->\"Plain\"]\)\!\(\*
StyleBox[\"\[LongLeftArrow]\",
FontWeight->\"Plain\"]\)\!\(\*
StyleBox[\" \",
FontWeight->\"Plain\"]\)\[CapitalDelta] log  c\!\(\*SubsuperscriptBox[
StyleBox[\".\",
FontSize->1], 
RowBox[{\"\[ScriptT]\", \"+\", \"1\"}], \"e\"]\)(\!\(\*SubsuperscriptBox[\(\
\[ScriptM]\), \(\[ScriptT]\), \(e\)]\))\>\"", ",", "Plain"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              FractionBox["\[ScriptM]E", "2"], ",", 
              RowBox[{"Log", "[", 
               RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
                FractionBox["\[ScriptM]E", "2"], "]"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"Axes", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Automatic", ",", "Automatic"}], "}"}]}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"AxesLabel", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
           "\"\<\!\(\*SubsuperscriptBox[\(\[ScriptM]\), \(\[ScriptT]\), \
\(e\)]\)\>\"", ",", "\"\<Growth\>\""}], "}"}]}], "\[IndentingNewLine]", ",", 
         RowBox[{"AxesOrigin", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             FractionBox[
              RowBox[{
               RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"], 
             "-", "0.1"}], ",", "HorizAxis"}], "}"}]}], "\[IndentingNewLine]",
          ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "\[ScriptM]MaxPlot"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"HorizAxis", ",", "cGroMaxPlot"}], "}"}]}], "}"}]}]}], 
        "]"}]}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4473367985823936`*^9, 3.447336857619697*^9}, {
   3.44733689269575*^9, 3.4473368965944633`*^9}, {3.447336959499722*^9, 
   3.447337009614346*^9}, {3.44733705553557*^9, 3.447337072180236*^9}, {
   3.447337157652944*^9, 3.447337181613727*^9}, {3.4473372400483923`*^9, 
   3.447337254917643*^9}, 3.447367795321488*^9, 3.4473678669837227`*^9, {
   3.447750623492332*^9, 3.447750633373712*^9}, {3.447750717536586*^9, 
   3.447750731718896*^9}, {3.447751022911929*^9, 3.447751132524563*^9}, {
   3.517401730481462*^9, 3.517401740804469*^9}}]
},
WindowSize->{740, 652},
WindowMargins->{{4, Automatic}, {Automatic, 4}},
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (February 23, \
2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 1297, 33, 225, "Input",
 InitializationCell->True],
Cell[1857, 55, 8429, 199, 1000, "Input",
 InitializationCell->True],
Cell[10289, 256, 7228, 177, 1010, "Input",
 InitializationCell->True]
}
]
*)

(* End of internal cache information *)
