(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     10386,        237]
NotebookOptionsPosition[      9879,        214]
NotebookOutlinePosition[     10271,        231]
CellTagsIndexPosition[     10228,        228]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Manipulate\[Rho]", "Section",
 CellChangeTimes->{{3.420213147835127*^9, 3.4202131504065943`*^9}, {
  3.42644433161839*^9, 3.4264443407101917`*^9}, {3.426444517224485*^9, 
  3.426444519227916*^9}, {3.426447103535618*^9, 3.426447109616365*^9}, {
  3.426447230929802*^9, 3.4264472318311663`*^9}, {3.4264473149189034`*^9, 
  3.4264473172011147`*^9}, {3.426447457284823*^9, 3.426447459931831*^9}, {
  3.4264566303504343`*^9, 3.426456632920279*^9}, {3.426482771085021*^9, 
  3.426482773293933*^9}, {3.426482812492299*^9, 3.4264828143131037`*^9}, {
  3.4264829383697243`*^9, 3.426482940087377*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";", 
  RowBox[{"<<", "ManipulatePrepare.m"}], ";", "FindStableArm", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[ScriptM]Max", ",", "\[ScriptM]MaxMax"}], "}"}], "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"3", ",", "10"}], "}"}], " ", "\[ScriptM]E"}]}], ";", 
  RowBox[{"\[ScriptC]Max", "=", 
   RowBox[{"cE", "[", "\[ScriptM]Max", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"$PerformanceGoal", "=", "\"\<Quality\>\""}], ",", "\[Rho]", 
       ",", "\[Rho]Base"}], "}"}], ",", 
     RowBox[{
      RowBox[{"\[Rho]", "=", 
       RowBox[{"\[Rho]Base", "=", "2.5"}]}], ";", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[ScriptM]Max", ",", "\[ScriptM]MaxMax"}], "}"}], "=", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"2", ",", "5"}], "}"}], "\[ScriptM]E"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"\[Rho]", "=", "\[Rho]Slider"}], ";", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", "R", ")"}], " ", "\[Beta]"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"1", "/", "\[Rho]"}], ")"}]}], "/", "\[CapitalGamma]"}], 
          " ", "\[GreaterEqual]", "  ", "1"}], "||", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", "R", ")"}], " ", "\[Beta]"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"1", "/", "\[Rho]"}], ")"}]}], "/", 
           RowBox[{"(", "R", ")"}]}], " ", "\[GreaterEqual]", "  ", "1"}]}], 
        ",", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{
          "Text", "[", "\"\<Impatience Condition Not Satisfied.\>\"", "]"}], 
          ",", "24"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"DrawPhaseDiagram", "[", 
       RowBox[{
       "\[ScriptM]Max", ",", "\[ScriptM]MaxMax", ",", "\[ScriptC]Max"}], 
       "]"}]}]}], "\[IndentingNewLine]", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Rho]Slider", ",", "2.5", ",", "\"\<\[Rho]\>\""}], "}"}], ",",
      "1.001", ",", "4.001", ",", "0.25"}], "}"}]}], "]"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.420152995260653*^9, 3.420153060256028*^9}, {
   3.420153448771255*^9, 3.420153495730507*^9}, {3.420153875299324*^9, 
   3.420153916369935*^9}, {3.4201539531458807`*^9, 3.420153981461334*^9}, {
   3.420154882625534*^9, 3.420154921822242*^9}, {3.420155521331831*^9, 
   3.420155624638013*^9}, {3.4201560183089733`*^9, 3.420156019092039*^9}, {
   3.420159924229837*^9, 3.420159951622138*^9}, 3.420164451138542*^9, {
   3.420210133792045*^9, 3.4202101652034073`*^9}, {3.420210251017335*^9, 
   3.420210267827066*^9}, {3.4202103392727423`*^9, 3.420210368925075*^9}, {
   3.420210418870116*^9, 3.420210419132986*^9}, {3.420212014090701*^9, 
   3.4202121012554092`*^9}, {3.420212453269247*^9, 3.420212498935313*^9}, {
   3.420212576815176*^9, 3.420212578316436*^9}, {3.420212806584901*^9, 
   3.4202128584381247`*^9}, {3.42021292375949*^9, 3.420212923892323*^9}, 
   3.420213242835517*^9, {3.4233025056297283`*^9, 3.4233025264258337`*^9}, {
   3.423302570675579*^9, 3.423302570715127*^9}, {3.423302885073079*^9, 
   3.423302893783193*^9}, {3.423302963279566*^9, 3.4233030146739798`*^9}, {
   3.426419504647056*^9, 3.426419519053845*^9}, {3.4264196241559677`*^9, 
   3.426419630092752*^9}, {3.4264197849222803`*^9, 3.4264197894721518`*^9}, {
   3.426419832512763*^9, 3.426419847982398*^9}, {3.426447122243643*^9, 
   3.4264471389185867`*^9}, {3.4264473431041813`*^9, 3.426447349197194*^9}, {
   3.426447479195465*^9, 3.426447493384697*^9}, {3.426447529587325*^9, 
   3.426447557278236*^9}, {3.4264475940446253`*^9, 3.426447595517712*^9}, {
   3.426455021684596*^9, 3.426455087658908*^9}, {3.426455132168263*^9, 
   3.426455132821782*^9}, {3.426455732223634*^9, 3.426455735286086*^9}, {
   3.426455770139801*^9, 3.426455806258988*^9}, {3.426455889509659*^9, 
   3.4264559439087877`*^9}, {3.426456185840166*^9, 3.4264562122531967`*^9}, {
   3.426456340922948*^9, 3.426456356554308*^9}, {3.426456410373501*^9, 
   3.4264564378806763`*^9}, 3.426482205262773*^9, {3.4264822635820723`*^9, 
   3.426482266426785*^9}, {3.426482307750296*^9, 3.426482314011464*^9}, {
   3.426482363554727*^9, 3.4264824240095663`*^9}, {3.426482478517323*^9, 
   3.4264825151697206`*^9}, {3.426482586595593*^9, 3.4264827004636517`*^9}, {
   3.42648273226049*^9, 3.426482733976487*^9}, {3.426482818671603*^9, 
   3.426482844086557*^9}, {3.4264828882628813`*^9, 3.4264828922051992`*^9}, {
   3.4264829484810753`*^9, 3.426483014332*^9}, 3.426483074575019*^9, {
   3.426484324849118*^9, 3.4264843275097723`*^9}, {3.426484377085886*^9, 
   3.426484431395813*^9}, {3.42648448160772*^9, 3.426484511018628*^9}, {
   3.4264846657021847`*^9, 3.426484667236031*^9}, {3.426484746922098*^9, 
   3.426484750889654*^9}, {3.426484831236644*^9, 3.426484860091138*^9}, {
   3.4264851433046513`*^9, 3.426485169978602*^9}, {3.4264855579534082`*^9, 
   3.426485559210083*^9}, {3.426485673791807*^9, 3.426485674215804*^9}, {
   3.4264859099829473`*^9, 3.426485911852744*^9}, {3.4265049618364067`*^9, 
   3.426504998260693*^9}, {3.42650505340058*^9, 3.426505056429242*^9}, {
   3.426509739292646*^9, 3.426509752152382*^9}, {3.426509810736301*^9, 
   3.426509816967411*^9}, {3.426509939830421*^9, 3.426509977918721*^9}, {
   3.4479558574105453`*^9, 3.447955908853014*^9}, 3.44795594058526*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "compat"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Combinatorica Graph and Permutations functionality has \
been superseded by preloaded functionaliy. The package now being loaded may \
conflict with this. Please see the Compatibility Guide for details.\"\>"}]], \
"Message", "MSG",
 CellChangeTimes->{3.5347871322581387`*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`\[Rho]Slider$$ = 3.251, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`\[Rho]Slider$$], 2.5, "\[Rho]"}, 1.001, 4.001, 
      0.25}}, Typeset`size$$ = {702., {209., 225.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`\[Rho]Slider$858$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`\[Rho]Slider$$ = 2.5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`\[Rho]Slider$$, $CellContext`\[Rho]Slider$858$$, 
         0]}, "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Block[{$PerformanceGoal = 
         "Quality", $CellContext`\[Rho], $CellContext`\[Rho]Base}, \
$CellContext`\[Rho] = ($CellContext`\[Rho]Base = 
          2.5); {$CellContext`\[ScriptM]Max, $CellContext`\[ScriptM]MaxMax} = \
{2, 5} $CellContext`\[ScriptM]E; $CellContext`\[Rho] = \
$CellContext`\[Rho]Slider$$; If[
          
          Or[($CellContext`R $CellContext`\[Beta])^(
              1/$CellContext`\[Rho])/$CellContext`\[CapitalGamma] >= 
           1, ($CellContext`R $CellContext`\[Beta])^(
              1/$CellContext`\[Rho])/$CellContext`R >= 1], 
          Style[
           Text["Impatience Condition Not Satisfied."], 
           24]]; $CellContext`DrawPhaseDiagram[$CellContext`\[ScriptM]Max, \
$CellContext`\[ScriptM]MaxMax, $CellContext`\[ScriptC]Max]], 
      "Specifications" :> {{{$CellContext`\[Rho]Slider$$, 2.5, "\[Rho]"}, 
         1.001, 4.001, 0.25}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{766., {277., 284.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.4479558979411917`*^9, 3.447955970304035*^9}, 
   3.534787135115985*^9}]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->Automatic,
WindowSize->{1285, 1065},
WindowMargins->{{Automatic, 121}, {Automatic, 0}},
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (February 23, \
2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 597, 8, 100, "Section"],
Cell[CellGroupData[{
Cell[1201, 34, 5799, 115, 202, "Input",
 InitializationCell->True],
Cell[7003, 151, 398, 9, 80, "Message"],
Cell[7404, 162, 2447, 48, 585, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

