Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Generate", " ", "figure", " ", "for", " ", "article", " ", 
     "\"\<Precautionary Saving and Precautionary Wealth\>\"", " ", "with", 
     " ", "Miles", " ", "Kimball", " ", "for", " ", "Palgrave", " ", 
     "Dictionary", " ", "of", " ", "Economics", " ", "and", " ", "Finance"}], 
    ",", " ", 
    RowBox[{"2", "nd", " ", 
     RowBox[{"Ed", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"http", ":"}], "//", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"econ", ".", "jhu", ".", "edu"}], "/", "people"}], "/", 
      "ccarroll"}], "/", 
     RowBox[{"PalgravePrecautionary", ".", "pdf"}]}]}], " ", 
   "*)"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "This", " ", "cell", " ", "is", " ", "basically", " ", "housekeeping", 
     " ", "and", " ", "setup", " ", "stuff"}], ";", " ", 
    RowBox[{"it", " ", "can", " ", "be", " ", "ignored"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], ";", 
    RowBox[{"ParamsAreSet", "=", "False"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Length", "[", "$FrontEnd", "]"}], " ", ">", " ", "0"}], ",", 
      RowBox[{"NBDir", "=", 
       RowBox[{"SetDirectory", "[", 
        RowBox[{"NotebookDirectory", "[", "]"}], "]"}]}]}], "]"}], ";", 
    RowBox[{"(*", " ", 
     RowBox[{
     "If", " ", "running", " ", "from", " ", "the", " ", "Notebook", " ", 
      "interface"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"$VersionNumber", "<", "6"}], ",", 
      RowBox[{"(*", "then", "*)"}], " ", 
      RowBox[{
       RowBox[{
       "Print", "[", 
        "\"\<These programs require Mathematica version 6 or greater.\>\"", 
        "]"}], ";", 
       RowBox[{"Abort", "[", "]"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AutoLoadDir", "=", 
     RowBox[{"SetDirectory", "[", "\"\<../../CoreCode/Autoload\>\"", "]"}]}], 
    ";", 
    RowBox[{"Get", "[", "\"\<./init.m\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"CoreCodeDir", "=", 
     RowBox[{"SetDirectory", "[", "\"\<..\>\"", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", "\"\<./MakeAnalyticalResults.m\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", "\"\<./VarsAndFuncs.m\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Method", " ", "of", " ", "creating", " ", "figures", " ", "depends", " ",
      "on", " ", "whether", " ", "being", " ", "run", " ", "in", " ", "batch",
      " ", "mode", " ", "or", " ", "interactively"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"$FrontEnd", " ", "\[Equal]", " ", "Null"}], ",", 
      RowBox[{"OpenFigsUsingShell", "=", "True"}], ",", 
      RowBox[{"OpenFigsUsingShell", "=", "False"}]}], "]"}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", 
     RowBox[{"CoreCodeDir", "<>", "\"\</ParametersBase.m\>\""}], "]"}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.4146271872108727`*^9, 3.414627206564128*^9}, {
   3.4232299441253347`*^9, 3.423229945060205*^9}, {3.4232515266454887`*^9, 
   3.423251528290381*^9}, {3.423299137017406*^9, 3.423299165360218*^9}, 
   3.44553103435465*^9, 3.445531088241228*^9, 3.445531119608107*^9, {
   3.445531248237604*^9, 3.445531248788514*^9}, {3.4455312890512657`*^9, 
   3.445531289450268*^9}, {3.44568564156225*^9, 3.445685641812522*^9}, 
   3.4479566543261967`*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Get", "[", "\"\<./ParametersBase.m\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[ScriptM]Max", "=", 
   RowBox[{"2.5", " ", "\[ScriptM]E"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"\[GothicG]", "=", 
   RowBox[{"\[GothicG]Base", "=", 
    RowBox[{"-", "0.02`"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Mho]", "=", "0.005`"}], ";", " ", 
  RowBox[{"\[CurlyTheta]", "=", "0.25`"}], ";", " ", 
  RowBox[{"r", " ", "=", "0.2`"}], ";", " ", 
  "CheckFor\[CapitalGamma]Impatience", ";", " ", "CheckForRImpatience", 
  ";", "FindStableArm", ";"}]}], "Input",
 CellChangeTimes->{{3.414627215540454*^9, 3.414627221217605*^9}, {
   3.4232299591020117`*^9, 3.423229959602043*^9}, {3.4232302427779903`*^9, 
   3.423230247474882*^9}, {3.4232304321281843`*^9, 3.423230440460977*^9}, {
   3.423230541055379*^9, 3.423230541699872*^9}, {3.423248263432973*^9, 
   3.4232482644621067`*^9}, {3.4232515375463247`*^9, 
   3.4232515391397943`*^9}, {3.423252106161027*^9, 3.42325210822701*^9}, {
   3.445531161390101*^9, 3.4455311848975563`*^9}, {3.445531232249834*^9, 
   3.445531282839747*^9}, 3.447956720529379*^9}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Solving ...\"\>"], "Print",
 CellChangeTimes->{{3.445531283168119*^9, 3.4455312980514812`*^9}, 
   3.4456856459284277`*^9, 3.4479566596793423`*^9, 3.44795672097628*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Below \[ScriptM]MinBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "957", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Below \[ScriptM]MinBound times \[ScriptM]E after ", 957, 
   " backwards Euler iterations."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.445531283168119*^9, 3.4455312980514812`*^9}, 
   3.4456856459284277`*^9, 3.4479566596793423`*^9, 3.447956722893137*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.9157509958503213`", ",", "0.619811744250523`", ",", 
     "0.5252237271795496`", ",", 
     RowBox[{"-", "6.513714272038309`"}], ",", 
     RowBox[{"-", "0.4050059788087976`"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {0.9157509958503213, 0.619811744250523, 
   0.5252237271795496, -6.513714272038309, -0.4050059788087976}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.445531283168119*^9, 3.4455312980514812`*^9}, 
   3.4456856459284277`*^9, 3.4479566596793423`*^9, 3.447956722965476*^9}],

Cell[BoxData["\<\"Solving ...\"\>"], "Print",
 CellChangeTimes->{{3.445531283168119*^9, 3.4455312980514812`*^9}, 
   3.4456856459284277`*^9, 3.4479566596793423`*^9, 3.447956722970166*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Above \[ScriptM]MaxBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "1857", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Above \[ScriptM]MaxBound times \[ScriptM]E after ", 1857, 
   " backwards Euler iterations."],
  Editable->False]], "Print",
 CellChangeTimes->{{3.445531283168119*^9, 3.4455312980514812`*^9}, 
   3.4456856459284277`*^9, 3.4479566596793423`*^9, 3.4479567254283037`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "799.2586187230208`", ",", "147.48387797740207`", ",", 
     "0.1835037147487152`", ",", 
     RowBox[{"-", "0.036949712085152756`"}], ",", 
     RowBox[{"-", "7.421298001653054`*^-10"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {799.2586187230208, 147.48387797740207`, 
   0.1835037147487152, -0.036949712085152756`, -7.421298001653054*^-10}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.445531283168119*^9, 3.4455312980514812`*^9}, 
   3.4456856459284277`*^9, 3.4479566596793423`*^9, 3.4479567254320087`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"$TextStyle", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "\[Rule]", "\"\<Courier\>\""}], ",", 
       RowBox[{"FontSize", "\[Rule]", "9"}]}], "}"}]}], ";"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{"ArrowListBelow", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Arrow", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"mPlot", "-", "0.05`"}], ",", 
           RowBox[{"cE", "[", 
            RowBox[{"mPlot", "-", "0.05`"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"mPlot", ",", 
           RowBox[{"cE", "[", "mPlot", "]"}]}], "}"}], ",", 
         RowBox[{"HeadScaling", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"HeadLength", "\[Rule]", "0.01`"}], ",", 
         RowBox[{"HeadWidth", "\[Rule]", "1.5`"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"mPlot", ",", 
         RowBox[{"\[ScriptM]E", "-", "1.25`"}], ",", 
         RowBox[{"\[ScriptM]E", "-", "0.25`"}], ",", "0.25`"}], "}"}]}], 
      "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"ArrowListAbove", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Arrow", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"mPlot", "+", "0.05`"}], ",", 
           RowBox[{"cE", "[", 
            RowBox[{"mPlot", "+", "0.05`"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"mPlot", ",", 
           RowBox[{"cE", "[", "mPlot", "]"}]}], "}"}], ",", 
         RowBox[{"HeadScaling", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"HeadLength", "\[Rule]", "0.01`"}], ",", 
         RowBox[{"HeadWidth", "\[Rule]", "1.5`"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"mPlot", ",", 
         RowBox[{"\[ScriptM]E", "+", "4"}], ",", 
         RowBox[{"\[ScriptM]E", "+", "0.5`"}], ",", 
         RowBox[{"-", "0.5`"}]}], "}"}]}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"$VersionNumber", ">=", "6"}], "\[IndentingNewLine]", ",", 
      RowBox[{
       RowBox[{"ArrowListBelow", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Arrowheads", "[", "0.02", "]"}], ",", 
            RowBox[{"Arrow", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"mPlot", "-", "0.05`"}], ",", 
                 RowBox[{"cE", "[", 
                  RowBox[{"mPlot", "-", "0.05`"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"mPlot", ",", 
                 RowBox[{"cE", "[", "mPlot", "]"}]}], "}"}]}], "}"}], "]"}]}],
            "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"mPlot", ",", 
            RowBox[{"\[ScriptM]E", "-", "1.25`"}], ",", 
            RowBox[{"\[ScriptM]E", "-", "0.25`"}], ",", "0.25`"}], "}"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"ArrowListAbove", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Arrowheads", "[", "0.02", "]"}], ",", 
            RowBox[{"Arrow", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"mPlot", "+", "0.05`"}], ",", 
                 RowBox[{"cE", "[", 
                  RowBox[{"mPlot", "+", "0.05`"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"mPlot", ",", 
                 RowBox[{"cE", "[", "mPlot", "]"}]}], "}"}]}], "}"}], "]"}]}],
            "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"mPlot", ",", 
            RowBox[{"\[ScriptM]E", "+", "4"}], ",", 
            RowBox[{"\[ScriptM]E", "+", "0.5`"}], ",", 
            RowBox[{"-", "0.5`"}]}], "}"}]}], "]"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[ScriptC]PFPlot", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"cEPF", "[", "m", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"m", ",", "0", ",", "\[ScriptM]Max"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"\[ScriptM]EDelEqZeroPlot", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"\[ScriptM]EDelEqZero", "[", "m", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"m", ",", "0", ",", "\[ScriptM]Max"}], "}"}], ",", 
       RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"\[ScriptC]LowerPlot", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"cE", "[", "m", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"m", ",", "0", ",", "\[ScriptM]Max"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}]}], ";"}], "\n", 
   RowBox[{"PalgraveTargetPlot", "=", 
    RowBox[{"Show", "[", 
     RowBox[{
     "\[ScriptC]PFPlot", ",", "\[ScriptM]EDelEqZeroPlot", ",", 
      "\[ScriptC]LowerPlot", ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"Text", "[", 
        RowBox[{"\"\< \[LongLeftArrow] Target \[ScriptM]\>\"", ",", 
         RowBox[{"{", 
          RowBox[{"\[ScriptM]E", ",", "\[ScriptC]E"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"Text", "[", 
        RowBox[{"\"\< \[LongLeftArrow] Perm Inc\>\"", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"2", " ", "\[ScriptM]E"}], ",", 
           RowBox[{"\[ScriptM]EDelEqZero", "[", 
            RowBox[{"2", " ", "\[ScriptM]E"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"Text", "[", 
        RowBox[{
        "\"\<Perf Foresight \\!\\(\\*OverscriptBox[\\(\[ScriptC]\\), \\(-\\)]\
\\)(\[ScriptM]) \[LongRightArrow]  \>\"", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"2", " ", "\[ScriptM]E"}], ",", 
           RowBox[{"cEPF", "[", 
            RowBox[{"2", " ", "\[ScriptM]E"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"Text", "[", 
        RowBox[{"\"\< \[LongLeftArrow] \[ScriptC](\[ScriptM])\>\"", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"0.5`", " ", "\[ScriptM]E"}], ",", 
           RowBox[{"cE", "[", 
            RowBox[{"0.5`", " ", "\[ScriptM]E"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
      RowBox[{"Graphics", "[", "ArrowListBelow", "]"}], ",", 
      RowBox[{"Graphics", "[", "ArrowListAbove", "]"}], "\[IndentingNewLine]",
       ",", 
      RowBox[{"Ticks", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{"0", ",", "\"\<0\>\""}], "}"}], "}"}], ",", "None"}], 
        "}"}]}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<\[ScriptM]\>\"", ",", "\"\<\[ScriptC]\>\""}], "}"}]}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "\[ScriptM]Max"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"cEPF", "[", "\[ScriptM]Max", "]"}]}], "}"}]}], "}"}]}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"AxesOrigin", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0.", ",", "0."}], "}"}]}]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.409502191328278*^9, 3.409502193964018*^9}, {
   3.414627269460907*^9, 3.414627304236516*^9}, 3.42323002825602*^9, {
   3.4232300805126057`*^9, 3.423230108650634*^9}, {3.423230152682562*^9, 
   3.423230156382228*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {GrayLevel[0], LineBox[CompressedData["
1:eJwVxX8403kcAPDNr+nLoTJzEkMy+5JrI9Stz7usR35MNV0KLalER+LpUevp
l5o10y6VVpRnTT/Io9TttFqeNO3OYzmXinOVmyS6Gctialnu7o/X8/LLzOfu
sCEQCJz//P/0750rlC1nllcG76Sl0PToA2eLvItRgOLLo/XXF+kRV/vBr4FR
jKxmpwZzuB4dF0VnVjJOo22a22HSFXp0aXizTTlDjkK2WJZ0p+oRjbKHW8a4
gx5VSFYlS/RobBHfImKo0dCMInONSY+6VIc6TzC6UHgPoTq2eQRJEknqxpE3
yFVWtpRROIriJBylWaZHGT4lKoqTEYVsx6ZiKsbR3R0njV84H9CF2js91Agz
StcmeeQEjaOnz8+zR4QWxBKvvpVsGkej19TmuIgZxOpVpS7rNKEqy7nBoSEi
zGMd2ES9/hFdkeorZE52EG7d034sfwLJ7LfurOE5QF5CP2cgbhIR/jETvMWO
MDAhjGkhm5EZu0mvq8cgoulAWWWfGelmBEWHPzvDNdvh4T13p1BozsHSJ1RX
SL4pbvr16CekfBa/ZfEDN/B9d/08Jf0z8i8fXiHsnw3tTLeOLKYFPSK5izxM
c+BW3+0C5rQF9Wav0z3xcgcFWYtbu78gf4FPVXMYGSbrvFLY8mk0JJre8SzN
AzZo30pFh6xookHPLzhGgdM2Fpr2h68ooix7POGcJzhLY0NKfWeQkTvFT2j5
Fq4qv2Gvssyg1y/IWcJuL/i+qiQLbSPA3CJ2VfzQPCAP0l+kthFAQxDomC7z
wbrXuWOCSYS6Vcmijf4+IFCUHuRUEsF+L3NlDccXvKJjlAtINtDTP7tGFU0F
n/iAi5ZCG3g82PVC3UoFtaMs8tSfNpC72as8LcUPCl1SeDVsWwhT0K1zBvzg
sbqetbfeFs57xri47vKHY4TA39gudtBseltbbfWHNcJXvWcP2IHlRuLHuBMB
8OB+6FW5zg4mu1ltIu8FEBXe/DmUYw+zdObEd7ULgJs+ROIr7KF1Slkk/C4Q
/nKNbGmlOEBUCTFYpQmEAkxDKBM4QJtxjsRpzUKo/dlgma13gLl/NPCNgwvB
IF93hLKRBHYPkzDP/UEg8+5rmKchgav4XiKPSAMT2+7s3zRH6NHWUyKlNEj+
ZactVeoIyvfbK0L9gmF9V1YIddoRWB5BTdk3gqGVf/KrT8YsOHKvgLeERQeU
M5Z6qWMWvIoU3Pdro0OagyG/dzEG4pvGU6XtdLhPzt1/iYlBVEBa1vgTOlAC
DUczIjCocGHMVT+lw/MYw+n3URgkvtPlZrykQ2KxQfEJYfDwzDKqbJQOy6cN
U55JGNSMmoTe7jgEmEaPbNqFwdptvM0CDxyKibtF83Mx+NrbzjR44qBzGyt/
k4dBmuZy/4P5OFSHjclzCjBwv5i0NC0IB3Le2GP+fgxKVtePVi7FgfR+jFQl
xCD8IVlDZOGQNbXbjSfCYIBZXJWDcNA4GD39xRgs990YG83G4WigMbhegoF5
0l7ey8HhU6YxQVWBwdUfC/bBWhw2FOavPyzFgPvmNaeOi0NTsTF95QUMGjsU
ln0pOBReNuZpL2LAW+nbpduEw9PG/KKfqjFwvieujU3HYVGL8TBXhoEq1Hyo
kYeDpDP/hIccg+wrW9dTtuIw0mc89bIGg38BS0Yqiw==
      "]]}}, {{}, {}, 
    {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwVxX9Yy3kcAPBtttq+ubp+rWSqrd/7llgXFfm8GcfUXHY/OGUpqoUH3UNu
iCemVl1XuojJU23Sj9PTdaGEmHZROjOUjh79mrBMrR9La+nu/ng9L2b8fkEC
iUAg8P/z/+a/H69uuFuw6mGAy+V7XB0a5ceWaTgpKD3LVqXj6ZCgfZR5lZOO
wt5QtQ5ROnRKGhp/gXMG1RRPeSTH6FDx2+2kfE4ZKrDqVNge0iFfpwOCHE4d
inmfp4i/okMfF4tNUo4SGS5TFGTaMNI0pT3O5GiQC8NQtuHxMMqNtFTWDvej
kthUDuGIHvFy+Q3GEh2SWdnXxNJGkP8ubIpbaECe8RXqgxtG0fmKui73YCNy
SGYUaBgG9ORZ0drhDBMCz0s80qAB6cuVRl7wHCJjh9rbb44hmemsdmiICKxU
RmblL+NIcU5XWGJFhqPn1CHbNk+gEkpcklxoAfv6/6lXeE8iwnsjgZFNBVnf
iIdSP4mMWA27shoDZmKnevwPI+qdk6Qen54Pa+h265olUygg+VjWI3cbKD6y
rTZm4yfU8HRj7NJbX0I+zTRQ4D6NWPlvV2f02cJr12TB67FpdM/SQUofs4Ok
d4M3Zm+YULdoc+8jFwfI7rmuvZYzg1gSV9ntQEcYkvxmCQIzGpKaE55G06Fn
y8PxeL9ZNHFVJ0456QT+dR0LL5pnUXCOyBBx1hkamntCKpSf0YhgShxxdwG8
MnLdIormUM9zx8SMThcoTolOiwskgH3qWtnGoYUwXW2m+p4hgIog6Q2yXgRy
MU8cNkOAynXfSreyXEHEYmiXCYlAORi0Rs53g6M7ZEEn2ojQ1Wcrbwp1h6Y4
AvMphwQtWs1z5X13cA7/QLU5S4K9213yo7cwQVlzqrNojgSB9exZuwEmSD+V
FmM750GRM9faZjcLjllcIUpV8+D22GDFpVkW3Kn6IWLzYjKYqiLHeZke4OKT
m0c+Q4bJzvAHUoYntIbub5xnJgOt1xj5psITcr1fvPoQS4H7Uw2pGUu84GSX
96U+JQVCThP9mlRe0LKQxXX3t4AHI3a5Vt94A2uFYpCXZwH26qviEa03dIyo
RXdNFkBu3oQ5/+wD5UnaHLTLEmyyGyOFRF+Q3TxeVdVqCV3t1U7Lz/lCT6nq
99ilVGh4t6swgOkHK+PzK+cKqRBO97kuqvKDtiEut9pIhRONKcJl4WyQExT3
S3fQ4NVyyU3mAzacn8hcmd5Cg+yakbysNjbU71HfCfuLBiEe0YmGR2zoGKCj
iVYaFFpz7JVP2EDQlK9OaqdB5JvevTtesiGxpuVrvoYGzQUr3Ev0bAhOnIta
0EsDuX4sg+GAw7MXqQl1JhpE7RRul9Bx0G9qHtptpsHn7ragD844WLZSRJ6f
aRCtKu27tQiHFdcKdxcRMXC4uCks2gcHef6f+9OoGJzeUK2/EIbDAd5HMY+O
wVfNjipiOA4594JnSM4YDASly5IRDuXL047dXoDBKret60PX4tDtNf9E4CIM
jJOUsm4+DojEljh6YnB5T8phiMJhqziFovbCQNDfw68U4PDTaGOG1AeD2o56
0+EtOFx5vT5rho2BcI2bpvdHHJTf52HX/TGY35hdsT4Gh5cdXTn7FmPQFGBM
qxXiMMF1/cJ3CQYiRdx3TnE4WN9K+LV/KQb/AkSxKJo=
      "]]}}, {{}, {}, 
    {GrayLevel[0], LineBox[CompressedData["
1:eJwVxns41IkegPFx55djcglbLkPWZX5JjUQ2vt9KGEZl0hJyqZRiK7LaVCpH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      "]]}}, 
   InsetBox["\<\" \[LongLeftArrow] Target \[ScriptM]\"\>", \
{7.952953511202252, 2.2461742474014095`}, {-1, 0}], 
   InsetBox["\<\" \[LongLeftArrow] Perm Inc\"\>", \
{15.905907022404504`, 3.671577975539837}, {-1, 0}], 
   InsetBox["\<\"Perf Foresight \\!\\(\\*OverscriptBox[\\(\[ScriptC]\\), \\(-\
\\)]\\)(\[ScriptM]) \[LongRightArrow]  \"\>", \
{15.905907022404504`, 3.7362126433788667`}, {1, 0}], 
   InsetBox["\<\" \[LongLeftArrow] \[ScriptC](\[ScriptM])\"\>", \
{3.976476755601126, 1.4753773956733562`}, {-1, 0}], {
    {Arrowheads[0.02], 
     ArrowBox[{{6.652953511202252, 2.00019707184096}, {6.702953511202252, 
      2.0097190012690564`}}]}, 
    {Arrowheads[0.02], 
     ArrowBox[{{6.902953511202252, 2.04774958483532}, {6.952953511202252, 
      2.057243614484822}}]}, 
    {Arrowheads[0.02], 
     ArrowBox[{{7.152953511202252, 2.095168979971514}, {7.202953511202252, 
      2.10463820682964}}]}, 
    {Arrowheads[0.02], 
     ArrowBox[{{7.402953511202252, 2.142469855424989}, {7.452953511202252, 
      2.151916948557131}}]}, 
    {Arrowheads[0.02], 
     ArrowBox[{{7.652953511202252, 2.189664815129358}, {7.702953511202252, 
      2.1990920854446214`}}]}}, {
    {Arrowheads[0.02], 
     ArrowBox[{{12.002953511202254`, 3.001195280743157}, {11.952953511202253`,
       2.9919285856649473`}}]}, 
    {Arrowheads[0.02], 
     ArrowBox[{{11.502953511202254`, 2.9084876893469307`}, {
      11.452953511202253`, 2.899211723098839}}]}, 
    {Arrowheads[0.02], 
     ArrowBox[{{11.002953511202254`, 2.8156811296596964`}, {
      10.952953511202253`, 2.8063944521881097`}}]}, 
    {Arrowheads[0.02], 
     ArrowBox[{{10.502953511202254`, 2.7227598844286662`}, {
      10.452953511202253`, 2.713460749848384}}]}, 
    {Arrowheads[0.02], 
     ArrowBox[{{10.002953511202254`, 2.6297048218632075`}, {9.952953511202253,
       2.6203910949406612`}}]}, 
    {Arrowheads[0.02], 
     ArrowBox[{{9.502953511202254, 2.5364924411403513`}, {9.452953511202253, 
      2.5271614855275146`}}]}, 
    {Arrowheads[0.02], 
     ArrowBox[{{9.002953511202254, 2.4430935871109365`}, {8.952953511202253, 
      2.4337421137767885`}}]}, 
    {Arrowheads[0.02], 
     ArrowBox[{{8.502953511202254, 2.349471695412481}, {8.452953511202253, 
      2.3400955540946393`}}]}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"\[ScriptM]\"", TraditionalForm], 
    FormBox["\"\[ScriptC]\"", TraditionalForm]},
  AxesOrigin->{0., 0.},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0, 13.689631395216127`}, {0, 3.3295184881832514`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->{{{0, 
      FormBox["\"0\"", TraditionalForm]}}, None}]], "Output",
 CellChangeTimes->{
  3.4146272413283377`*^9, {3.4146272762032347`*^9, 3.414627304699588*^9}, 
   3.42323011709839*^9, 3.4232301593634033`*^9, 3.4232302527216673`*^9, 
   3.423252242919265*^9, 3.423299182526958*^9, 3.42329922293456*^9, 
   3.445531307784848*^9, 3.445685648099*^9, 3.447956663388463*^9, 
   3.447956726140724*^9}]
}, Open  ]]
},
WindowSize->{1596, 1155},
WindowMargins->{{4, Automatic}, {0, Automatic}},
ShowSelection->True,
Magnification->1.5,
FrontEndVersion->"7.0 for Mac OS X x86 (32-bit) (November 11, 2008)",
StyleDefinitions->"Default.nb"
]

