(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     25492,        607]
NotebookOptionsPosition[     24122,        555]
NotebookOutlinePosition[     24499,        572]
CellTagsIndexPosition[     24456,        569]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "This", " ", "cell", " ", "is", " ", "basically", " ", "housekeeping", 
     " ", "and", " ", "setup", " ", "stuff"}], ";", " ", 
    RowBox[{"it", " ", "can", " ", "be", " ", "ignored"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], ";", 
    RowBox[{"ParamsAreSet", "=", "False"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Length", "[", "$FrontEnd", "]"}], " ", ">", " ", "0"}], ",", 
      RowBox[{"NBDir", "=", 
       RowBox[{"SetDirectory", "[", 
        RowBox[{"NotebookDirectory", "[", "]"}], "]"}]}]}], "]"}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
    "If", " ", "running", " ", "from", " ", "the", " ", "Notebook", " ", 
     "interface"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"$VersionNumber", "<", "6"}], ",", 
      RowBox[{"(*", "then", "*)"}], " ", 
      RowBox[{
       RowBox[{
       "Print", "[", 
        "\"\<These programs require Mathematica version 6 or greater.\>\"", 
        "]"}], ";", 
       RowBox[{"Abort", "[", "]"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AutoLoadDir", "=", 
     RowBox[{"SetDirectory", "[", "\"\<../../CoreCode/Autoload\>\"", "]"}]}], 
    ";", 
    RowBox[{"Get", "[", "\"\<./init.m\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"CoreCodeDir", "=", 
     RowBox[{"SetDirectory", "[", "\"\<..\>\"", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", "\"\<./MakeAnalyticalResults.m\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", "\"\<./VarsAndFuncs.m\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Method", " ", "of", " ", "creating", " ", "figures", " ", "depends", " ",
      "on", " ", "whether", " ", "being", " ", "run", " ", "in", " ", "batch",
      " ", "mode", " ", "or", " ", "interactively"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"$FrontEnd", " ", "\[Equal]", " ", "Null"}], ",", 
      RowBox[{"OpenFigsUsingShell", "=", "True"}], ",", 
      RowBox[{"OpenFigsUsingShell", "=", "False"}]}], "]"}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", 
     RowBox[{"CoreCodeDir", "<>", "\"\</ParametersBase.m\>\""}], "]"}], 
    ";"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "compat"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Combinatorica Graph and Permutations functionality has \
been superseded by preloaded functionaliy. The package now being loaded may \
conflict with this. Please see the Compatibility Guide for details.\"\>"}]], \
"Message", "MSG",
 CellChangeTimes->{3.5349532970111523`*^9, 3.534953729058626*^9, 
  3.534953781678295*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Get", "[", 
   RowBox[{"CoreCodeDir", "<>", "\"\</ParametersBase.m\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"FindStableArm", ";"}]}], "Input",
 CellChangeTimes->{3.5349533884248657`*^9}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Solving ...\"\>"], "Print",
 CellChangeTimes->{3.534953389364286*^9, 3.534953786511428*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Below \[ScriptM]MinBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "112", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Below \[ScriptM]MinBound times \[ScriptM]E after ", 112, 
   " backwards Euler iterations."],
  Editable->False]], "Print",
 CellChangeTimes->{3.534953389364286*^9, 3.534953786545282*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.7296297778897389`", ",", "0.3103597170342889`", ",", 
     "0.3500946221496257`", ",", 
     RowBox[{"-", "22.526071636545304`"}], ",", 
     RowBox[{"-", "0.21588274203472838`"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {0.7296297778897389, 0.3103597170342889, 
   0.3500946221496257, -22.526071636545304`, -0.21588274203472838`}],
  Editable->False]], "Print",
 CellChangeTimes->{3.534953389364286*^9, 3.534953786547285*^9}],

Cell[BoxData["\<\"Solving ...\"\>"], "Print",
 CellChangeTimes->{3.534953389364286*^9, 3.534953786549082*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Above \[ScriptM]MaxBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "210", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Above \[ScriptM]MaxBound times \[ScriptM]E after ", 210, 
   " backwards Euler iterations."],
  Editable->False]], "Print",
 CellChangeTimes->{3.534953389364286*^9, 3.534953786617588*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "558.664780655947`", ",", "35.65893437338823`", ",", 
     "0.0607183092616342`", ",", 
     RowBox[{"-", "0.46277327552310266`"}], ",", 
     RowBox[{"-", "5.305651301797572`*^-7"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {558.664780655947, 35.65893437338823, 
   0.0607183092616342, -0.46277327552310266`, -5.305651301797572*^-7}],
  Editable->False]], "Print",
 CellChangeTimes->{3.534953389364286*^9, 3.5349537866196203`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"RiskAversionOfTheValueFunctionBase", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"\[Rho]", " ", 
      RowBox[{
       RowBox[{"cE", "'"}], "[", "m", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5349527178940973`*^9, 3.534952813987385*^9}, {
  3.534953158624127*^9, 3.534953184807876*^9}, {3.5349533592337418`*^9, 
  3.534953375720783*^9}, {3.534953447190523*^9, 3.534953460979269*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwVy3k81PkDx/GJ+Fq21K9IyE+qSdlW5ejk/YkelJKOlaufGiM5ZhkeHe6K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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0.3},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0, 3}, {0.2964365097696399, 0.953484039415253}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.5349533763612337`*^9, 3.534953391312505*^9}, 
   3.534953461791869*^9, 3.534953787553424*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Rho]", "=", "4"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"FindStableArm", ";"}]}], "Input",
 CellChangeTimes->{{3.534953470813026*^9, 3.534953474196289*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Solving ...\"\>"], "Print",
 CellChangeTimes->{3.534953475704118*^9, 3.534953788539344*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Below \[ScriptM]MinBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "283", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Below \[ScriptM]MinBound times \[ScriptM]E after ", 283, 
   " backwards Euler iterations."],
  Editable->False]], "Print",
 CellChangeTimes->{3.534953475704118*^9, 3.534953788623208*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.9996412891906086`", ",", "0.14735067658205023`", ",", 
     "0.14070057867059546`", ",", 
     RowBox[{"-", "802.7831774212024`"}], ",", 
     RowBox[{"-", "0.01879924289191668`"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {0.9996412891906086, 0.14735067658205023`, 
   0.14070057867059546`, -802.7831774212024, -0.01879924289191668}],
  Editable->False]], "Print",
 CellChangeTimes->{3.534953475704118*^9, 3.534953788625373*^9}],

Cell[BoxData["\<\"Solving ...\"\>"], "Print",
 CellChangeTimes->{3.534953475704118*^9, 3.534953788627315*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Above \[ScriptM]MaxBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "473", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Above \[ScriptM]MaxBound times \[ScriptM]E after ", 473, 
   " backwards Euler iterations."],
  Editable->False]], "Print",
 CellChangeTimes->{3.534953475704118*^9, 3.534953788777718*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "1565.0990697978373`", ",", "71.81694620057759`", ",", 
     "0.04497782437758249`", ",", 
     RowBox[{"-", "0.000020011752048243706`"}], ",", 
     RowBox[{"-", "2.69777136885545`*^-8"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {1565.0990697978373`, 71.81694620057759, 
   0.04497782437758249, -0.000020011752048243706`, -2.69777136885545*^-8}],
  Editable->False]], "Print",
 CellChangeTimes->{3.534953475704118*^9, 3.5349537887796288`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"RiskAversionOfTheValueFunctionHiRho", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"\[Rho]", " ", 
      RowBox[{
       RowBox[{"cE", "'"}], "[", "m", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", "0", ",", "3"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", "Red", "}"}]}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.534953490953822*^9, 3.5349535705976057`*^9}, {
  3.534954121499915*^9, 3.5349541552655697`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[1, 0, 0], LineBox[CompressedData["
1:eJwV1Hk4lOsbB/Ap1asIWaYoZNIkKopoOblfcohO6VRUlH0LMfyKUEiRbaRx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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0.43},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0, 3}, {0.43116811196564864`, 0.6015725374940712}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.534953562519424*^9, 3.534953571298541*^9}, 
   3.534953789733038*^9, {3.534954122350141*^9, 3.534954155894946*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RiskAversionOfTheValueFunctionRhoLoAndHi", " ", "=", " ", 
  RowBox[{"Show", "[", 
   RowBox[{
   "RiskAversionOfTheValueFunctionHiRho", ",", 
    "RiskAversionOfTheValueFunctionBase", ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1."}], "}"}]}], "}"}]}], ",", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"0.", ",", "0."}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.534953613025508*^9, 3.534953667800314*^9}, {
  3.534953992860207*^9, 3.534954005068219*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {RGBColor[1, 0, 0], LineBox[CompressedData["
1:eJwV1Hk4lOsbB/Ap1asIWaYoZNIkKopoOblfcohO6VRUlH0LMfyKUEiRbaRx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      "]]}}, {{}, {}, 
    {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwVy3k81PkDx/GJ+Fq21K9IyE+qSdlW5ejk/YkelJKOlaufGiM5ZhkeHe6K
pZIRJjaF2K1kZVN+pMLmF5lSU+Y7DOVOOebImdy/3T9ej+dfr+VeQQePKzEY
jIC/+8dvewKz9gdxresj60cHYhSI915t/Ja5DzZPappE5xR4o+j25zE9saE9
h/soWoGBYttEDjMQTrbdeRfDFYjRHtY/wozGuxVufIcQBepqHT4dYiaBq9V3
1N5LgaCc0y+dmNnQSNHKnbZVoCox8akj80+UbUgLMp2nQGV/82uN/D9RS18o
5GooUL5rddtLk/sQ6HdeKP5OAQ8lFuN3nSIYG85+s1JVwLly0ujfBg+w3vyy
4fFZORwsN/guWVOMopGSjWODcpgxM4coPILdNmkro0kOFdUQqs//L1zn3+oO
vCPH7rOsuJLDtQgSltwscJBj45Uqu9yTtThb3FNhuVsO/ZvL1XiptUjjvNtQ
ZS/HQGVngrewFsMPDmmKd8qRPsNKXmQnwK9/1B4YtJajO8rrRrDFSzimucVR
ZnKci2Q/WLe4DiVdE/1XdOV4FHa89Xa9EOoWOqnxn2W4Yx0g0R0SwuOWhqSw
W4Z05eD6K/96C7lacybdJcNpXmRN2KG30FeazNFtl8Eyl1/o2PAWXi02dukS
GTy6OyrDOe8QTHvLdghkeK+hecWIWw9Xs6we97syNLsHmIacobFLJad3FVuG
hC57zq/xNPZH7u1UZsmw1X9lfnkajSSWl1GHpwyZYa1G1H9pJOsWhPHdZTh2
zUk7c4BGb3besU8HZOhpMJuu8RMj/o7Xdgsiw+j+qVdLjzTgwzWrA2f1ZFho
z/OpIhJc6GdFX38txc78cpgckEApttn5zUspQjVkOmksCTJ0l81Mv5Ci461D
nW+MBAPl6c9cq6QoclVbv6BagnudHhojJVLs948d97RvQviCsMdV2VIk88IS
pxyb4S5S5T8JlGKB+PjDTR4fwCsNNdiuJsUKQ05+nFc7JnlLQl6v7sfm1p/r
dqR2wmDuPaYO6UPVxLm94hsfUcbuVY7d1AvfvwSCyphPyNAaXONi04MMdp6u
1rEeqNlV3x/y/ox1rp1fZ473IaDQh9tw6RPahp2EZLcUZQc56q9qujHUvnS9
trMc33Guzjec/IjkgvATLi5fkFA7U5hl/RFMTTXH0BsD8BlduMjvWhdKuecK
km4O4qQF2+aJohPiVXzqQOoQ6hynpja7d2JlLG38n4xhVI+ohQufd2DL/nbz
mzdGoLpPh7F3awdauXHWvMRR8MVlbPW4djzc4javJuUrRn9Z3WSV2gbtw7XN
d+PGsCvU6U5/RSvQxUj538lvuBU+HXB/ogUZ2r7zmKHjkA6pJLqbtyAm2++C
hf8E9uhMnB+P/4As4bUXSdxJ2B78FNfQ+B5RgfyBZSFTCLxucOqj+XtIWcY6
bl7TyL86ENx+pxmXp/vntvnMYE9Ou96QVjOeyOy/zHefRYwTy/FiehMaV23u
2rqSQWCoejTEsAm+a9im/NsMMl/gwGXlSVB12CNih8Ecss1iZl/KdgnMXPvz
F+fOIac4EXFjwkZwYu0kVnpKxK5V+FQpsBEXfdQm5vCVyCbLddStRY2oWMaa
7V+sTJI0PBqjSxvweCZeeW2SMtmg3kuL2A0QFtv28xbOJVfNXAt48xtQY+jz
IjF1LmmRz7vYUynGL4+cczvVVcgX9Yjg6TNiHDFq8fTgqRBn7pFdl38UY7LU
VM+EUiVFT5mcOXIakcp9r9OiVYnoofCx/30a2iu3sFYxKLItofmGdxCNM4GH
R9TDKGJQmFe5zJKGvqW3gBlBkafXXv2wwoLGs+ngTJsoilRoRdYam9NQ5/F2
hp+nyB9XPWLMN9LILqi+2neJIhms59/v+5HGi96NFoLrFAkOmPS7xKSxmK15
Oq6cIkZ+P4waLqHxeO0yh9xKiqhNZbeZaNPwHFprUPGMIt+STYcttWjcPW/3
YqSaIj/3RmU5LqKxLSdK2/sNRcpOpI9GatLwapWW2rRRZGX9TP5HigZ1ezzB
s4MiOvRSMqhK4x6HOhreRZFAfi5jVoXG10kj6uFniiz8rY6hN5dGgq67y/Iv
FEkmblM/MWiYdp0wsRqkyD7P/G72rAji/FOzrsMUyXbTHAuZEcFgS0pe8hhF
2PWDGSlTIjxn3Iy4N06RV7Mua3MnRfAV3HMSTFLExui37qIJEb5PfrKie5oi
LsbVgmfjIjxwEYzNzv792xY3vvsmwv8BURNKKQ==
      "]]}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0., 0.},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0, 3}, {0, 1.}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.5349536398826027`*^9, 3.534953668691772*^9}, 
   3.534953790888795*^9, 3.534953849785297*^9, 3.534954005796658*^9}]
}, Open  ]]
},
WindowSize->{895, 979},
WindowMargins->{{Automatic, 74}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (February 23, \
2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 2562, 68, 432, "Input"],
Cell[3144, 92, 445, 10, 104, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3626, 107, 239, 6, 64, "Input"],
Cell[CellGroupData[{
Cell[3890, 117, 109, 1, 30, "Print"],
Cell[4002, 120, 414, 9, 30, "Print"],
Cell[4419, 131, 556, 13, 30, "Print"],
Cell[4978, 146, 109, 1, 30, "Print"],
Cell[5090, 149, 414, 9, 30, "Print"],
Cell[5507, 160, 557, 13, 39, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[6113, 179, 544, 12, 40, "Input"],
Cell[6660, 193, 2861, 53, 456, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9558, 251, 197, 4, 64, "Input"],
Cell[CellGroupData[{
Cell[9780, 259, 109, 1, 30, "Print"],
Cell[9892, 262, 414, 9, 30, "Print"],
Cell[10309, 273, 558, 13, 30, "Print"],
Cell[10870, 288, 109, 1, 30, "Print"],
Cell[10982, 291, 414, 9, 30, "Print"],
Cell[11399, 302, 570, 13, 39, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[12018, 321, 529, 13, 64, "Input"],
Cell[12550, 336, 4248, 76, 456, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16835, 417, 666, 17, 110, "Input"],
Cell[17504, 436, 6602, 116, 456, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
