Notebook[{
Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "This", " ", "notebook", " ", "simulates", " ", "the", " ", "small", " ", 
    "open", " ", "economy", " ", "model", " ", "in", " ", "the", " ", 
    "handout", " ", "TractableBufferStock", " ", "associated", " ", 
    "\[IndentingNewLine]", "with", " ", "Christopher", " ", 
    RowBox[{"Carroll", "'"}], "s", " ", "first", " ", "year", " ", "graduate",
     " ", "macroeconomics", " ", "course"}], ";", " ", 
   RowBox[{
   "see", " ", "that", " ", "document", " ", "for", " ", "notation", " ", 
    "and", " ", "explanations"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{
  3.414624340257347*^9, {3.446157175430614*^9, 3.446157181704191*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "This", " ", "cell", " ", "is", " ", "basically", " ", "housekeeping", 
     " ", "and", " ", "setup", " ", "stuff"}], ";", " ", 
    RowBox[{"it", " ", "can", " ", "be", " ", "ignored"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], ";", 
    RowBox[{"ParamsAreSet", "=", "False"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Length", "[", "$FrontEnd", "]"}], " ", ">", " ", "0"}], ",", 
      RowBox[{"SetDirectory", "[", 
       RowBox[{"NotebookDirectory", "[", "]"}], "]"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"$VersionNumber", "<", "6"}], ",", 
      RowBox[{"(*", "then", "*)"}], " ", 
      RowBox[{
       RowBox[{
       "Print", "[", 
        "\"\<These programs require Mathematica version 6 or greater.\>\"", 
        "]"}], ";", 
       RowBox[{"Abort", "[", "]"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SetDirectory", "[", "\"\<../../CoreCode/Autoload\>\"", "]"}], 
    ";", 
    RowBox[{"Get", "[", "\"\<./init.m\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SetDirectory", "[", "\"\<..\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", "\"\<./MakeAnalyticalResults.m\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", "\"\<./VarsAndFuncs.m\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Method", " ", "of", " ", "creating", " ", "figures", " ", "depends", " ",
      "on", " ", "whether", " ", "being", " ", "run", " ", "in", " ", "batch",
      " ", "mode", " ", "or", " ", "interactively"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"$FrontEnd", " ", "\[Equal]", " ", "Null"}], ",", 
      RowBox[{"OpenFigsUsingShell", "=", "True"}], ",", 
      RowBox[{"OpenFigsUsingShell", "=", "False"}]}], "]"}], ";"}], 
   " "}]}]], "Input",
 PageWidth->Infinity,
 InitializationCell->True,
 CellChangeTimes->{
  3.413716355475309*^9, {3.413716452756324*^9, 3.41371646168382*^9}, {
   3.413716541325116*^9, 3.413716567734914*^9}, {3.413727425497756*^9, 
   3.413727452562502*^9}, {3.414062343575858*^9, 3.41406236635604*^9}, {
   3.414062432683745*^9, 3.4140624340409603`*^9}, {3.414070403132374*^9, 
   3.414070407098159*^9}, {3.414071143061866*^9, 3.414071144563169*^9}, 
   3.41409286760752*^9, {3.414092993552882*^9, 3.4140930120330057`*^9}, 
   3.414219700020814*^9, 3.41423846210184*^9, 3.414241302731267*^9, {
   3.4142690187164707`*^9, 3.414269027785748*^9}, {3.414274799070486*^9, 
   3.41427480636917*^9}, {3.414277547999782*^9, 3.414277604654674*^9}, 
   3.414581807406335*^9, {3.41461148213389*^9, 3.414611534414106*^9}, {
   3.414611791091881*^9, 3.414611805420985*^9}, {3.414611960237455*^9, 
   3.414611989907465*^9}, 3.4146243272276583`*^9, {3.414698736187084*^9, 
   3.414698743796927*^9}, {3.41471117823883*^9, 3.4147111797857647`*^9}, {
   3.414711214942648*^9, 3.4147112803266172`*^9}, {3.414711369160178*^9, 
   3.414711384562665*^9}, {3.41486382087943*^9, 3.4148638256525307`*^9}, {
   3.414865162912446*^9, 3.4148652831905737`*^9}, {3.4149790890153*^9, 
   3.414979090238511*^9}, {3.415372553985716*^9, 3.415372555217216*^9}, {
   3.415483633333634*^9, 3.4154836808187723`*^9}, {3.415483735044135*^9, 
   3.4154837447243357`*^9}, {3.41548379320759*^9, 3.415483804561891*^9}, {
   3.4154838718879137`*^9, 3.415483874101533*^9}, {3.4155071538444843`*^9, 
   3.415507194404978*^9}, {3.423056339070188*^9, 3.423056348318535*^9}, 
   3.423217217948859*^9, {3.4232277854892817`*^9, 3.423227802809404*^9}, {
   3.423295988838235*^9, 3.42329599301869*^9}, {3.4232969023049593`*^9, 
   3.423296937632432*^9}, {3.4346488628917294`*^9, 3.434648873044568*^9}, {
   3.4346531415945272`*^9, 3.434653153722068*^9}, {3.4455309082103252`*^9, 
   3.44553092271987*^9}, {3.445683949657321*^9, 3.445683951583549*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Get", "[", "\"\<./ParametersBase.m\>\"", "]"}], ";"}], "\n", 
 RowBox[{"FindStableArm", ";"}], "\n"}], "Input"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Solving ...\"\>"], "Print",
 CellChangeTimes->{3.446157331284482*^9, 3.453679386876289*^9, 
  3.4536794307950277`*^9, 3.453679632506078*^9, 3.453679743331243*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Below \[ScriptM]MinBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "112", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Below \[ScriptM]MinBound times \[ScriptM]E after ", 112, 
   " backwards Euler iterations."],
  Editable->False]], "Print",
 CellChangeTimes->{3.446157331284482*^9, 3.453679386876289*^9, 
  3.4536794307950277`*^9, 3.453679632506078*^9, 3.453679743469314*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.7296297778897389`", ",", "0.3103597170342889`", ",", 
     "0.3500946221496257`", ",", 
     RowBox[{"-", "22.526071636545304`"}], ",", 
     RowBox[{"-", "0.21588274203472838`"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {0.7296297778897389, 0.3103597170342889, 
   0.3500946221496257, -22.526071636545304`, -0.21588274203472838`}],
  Editable->False]], "Print",
 CellChangeTimes->{3.446157331284482*^9, 3.453679386876289*^9, 
  3.4536794307950277`*^9, 3.453679632506078*^9, 3.453679743473298*^9}],

Cell[BoxData["\<\"Solving ...\"\>"], "Print",
 CellChangeTimes->{3.446157331284482*^9, 3.453679386876289*^9, 
  3.4536794307950277`*^9, 3.453679632506078*^9, 3.453679743476639*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Above \[ScriptM]MaxBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "210", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Above \[ScriptM]MaxBound times \[ScriptM]E after ", 210, 
   " backwards Euler iterations."],
  Editable->False]], "Print",
 CellChangeTimes->{3.446157331284482*^9, 3.453679386876289*^9, 
  3.4536794307950277`*^9, 3.453679632506078*^9, 3.453679743757738*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "558.664780655947`", ",", "35.65893437338823`", ",", 
     "0.0607183092616342`", ",", 
     RowBox[{"-", "0.46277327552310266`"}], ",", 
     RowBox[{"-", "5.305651301797572`*^-7"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {558.664780655947, 35.65893437338823, 
   0.0607183092616342, -0.46277327552310266`, -5.305651301797572*^-7}],
  Editable->False]], "Print",
 CellChangeTimes->{3.446157331284482*^9, 3.453679386876289*^9, 
  3.4536794307950277`*^9, 3.453679632506078*^9, 3.4536797437617073`*^9}]
}, Open  ]]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "SOESimFuncs.m"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"<<", "SOESimParams.m"}], ";"}]}], "Input",
 CellChangeTimes->{{3.415927822819981*^9, 3.415927841968272*^9}, {
   3.415927897792989*^9, 3.4159279024662457`*^9}, {3.416001724998711*^9, 
   3.41600172569908*^9}, {3.416001757591201*^9, 3.416001766179255*^9}, {
   3.416001802748149*^9, 3.4160018032323837`*^9}, {3.4160019765370626`*^9, 
   3.416002001977827*^9}, {3.4160020362383432`*^9, 3.416002036866115*^9}, {
   3.416002068168507*^9, 3.416002068460455*^9}, {3.4160021179640007`*^9, 
   3.416002154353711*^9}, {3.4160021884982977`*^9, 3.416002204798811*^9}, 
   3.4160022397229567`*^9, {3.416002329926962*^9, 3.416002368797576*^9}, 
   3.416003464407941*^9, {3.416003498029109*^9, 3.4160035033670588`*^9}, 
   3.416003547275982*^9, {3.446157313491043*^9, 3.446157314739931*^9}, {
   3.453679678227622*^9, 3.453679740858946*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Don", "'"}], "t", " ", "worry", " ", "about", " ", "the", " ", 
    "error", " ", "messages", " ", "this", " ", "generates"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"VerboseOutput", "=", "False"}], ";", "CensusMakeStakes", ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Do", "[", 
     RowBox[{
      RowBox[{"AddNewGen", "[", 
       RowBox[{"{", 
        RowBox[{
        "\[ScriptB]E", ",", "\[ScriptCapitalN]", ",", "\[GothicCapitalG]"}], 
        "}"}], "]"}], ",", 
      RowBox[{"{", "4", "}"}]}], "]"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"\[CurlyTheta]", "=", "0.06"}], ";"}], "\n", 
   RowBox[{"FindStableArm", ";"}], "\n", 
   RowBox[{
    RowBox[{"Do", "[", 
     RowBox[{
      RowBox[{"AddNewGen", "[", 
       RowBox[{"{", 
        RowBox[{
        "\[ScriptB]E", ",", "\[ScriptCapitalN]", ",", "\[GothicCapitalG]"}], 
        "}"}], "]"}], ",", 
      RowBox[{"{", "75", "}"}]}], "]"}], ";"}], "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{"timePath", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"i", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "CensusMeans", "]"}]}], "}"}]}], "]"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"cPathAfterThetaDropPlot", "=", 
     RowBox[{"ListPlot", "[", 
      RowBox[{
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{"timePath", ",", 
          RowBox[{"CensusMeansT", "[", 
           RowBox[{"[", "\[ScriptC]Pos", "]"}], "]"}]}], "}"}], "]"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{
  3.4230569399271584`*^9, {3.42305708639282*^9, 3.423057086845543*^9}, {
   3.4230585751305017`*^9, 3.423058575704885*^9}, 3.423227861131894*^9, {
   3.423267430060504*^9, 3.423267465817226*^9}, {3.453679413056679*^9, 
   3.453679416190174*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"InterpolatingFunction", "::", "\<\"dmval\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Input value \\\\\\\"\\\", \\\
\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\({5.4758525580864505`}\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" lies outside the range \
of data in the interpolating function. Extrapolation will be \
used.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/InterpolatingFunction/dmval\\\", \
ButtonNote -> \\\"InterpolatingFunction::dmval\\\"]\\)\"\>"}]], "Message", \
"MSG",
 CellChangeTimes->{{3.42326745086854*^9, 3.423267469937379*^9}, 
   3.423267516486848*^9, 3.423299099942833*^9, 3.4269357008422937`*^9, 
   3.427039792917357*^9, 3.43931054660609*^9, 3.445530987245213*^9, 
   3.445684099089663*^9, 3.445685243691518*^9, 3.446143913110036*^9, 
   3.446157032940669*^9, 3.446157337948214*^9, {3.453679392595433*^9, 
   3.453679434465466*^9}, 3.453679749111733*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"InterpolatingFunction", "::", "\<\"dmval\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Input value \\\\\\\"\\\", \\\
\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\({5.4758525580864505`}\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" lies outside the range \
of data in the interpolating function. Extrapolation will be \
used.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/InterpolatingFunction/dmval\\\", \
ButtonNote -> \\\"InterpolatingFunction::dmval\\\"]\\)\"\>"}]], "Message", \
"MSG",
 CellChangeTimes->{{3.42326745086854*^9, 3.423267469937379*^9}, 
   3.423267516486848*^9, 3.423299099942833*^9, 3.4269357008422937`*^9, 
   3.427039792917357*^9, 3.43931054660609*^9, 3.445530987245213*^9, 
   3.445684099089663*^9, 3.445685243691518*^9, 3.446143913110036*^9, 
   3.446157032940669*^9, 3.446157337948214*^9, {3.453679392595433*^9, 
   3.453679434465466*^9}, 3.45367974915069*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Interpolation", "::", "\<\"inhr\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Requested order is too high; \
order has been reduced to \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\({0}\\), \\\"MT\\\"]\\)\
\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\".\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/Interpolation/inhr\\\", \
ButtonNote -> \\\"Interpolation::inhr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.42326745086854*^9, 3.423267469937379*^9}, 
   3.423267516486848*^9, 3.423299099942833*^9, 3.4269357008422937`*^9, 
   3.427039792917357*^9, 3.43931054660609*^9, 3.445530987245213*^9, 
   3.445684099089663*^9, 3.445685243691518*^9, 3.446143913110036*^9, 
   3.446157032940669*^9, 3.446157337948214*^9, {3.453679392595433*^9, 
   3.453679434465466*^9}, 3.4536797491889563`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"InterpolatingFunction", "::", "\<\"dmval\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Input value \\\\\\\"\\\", \\\
\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\({5.4758525580864505`}\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" lies outside the range \
of data in the interpolating function. Extrapolation will be \
used.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/InterpolatingFunction/dmval\\\", \
ButtonNote -> \\\"InterpolatingFunction::dmval\\\"]\\)\"\>"}]], "Message", \
"MSG",
 CellChangeTimes->{{3.42326745086854*^9, 3.423267469937379*^9}, 
   3.423267516486848*^9, 3.423299099942833*^9, 3.4269357008422937`*^9, 
   3.427039792917357*^9, 3.43931054660609*^9, 3.445530987245213*^9, 
   3.445684099089663*^9, 3.445685243691518*^9, 3.446143913110036*^9, 
   3.446157032940669*^9, 3.446157337948214*^9, {3.453679392595433*^9, 
   3.453679434465466*^9}, 3.453679749245803*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"General", "::", "\<\"stop\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Further output of \\\\\\\"\\\
\", \\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(InterpolatingFunction :: \
\\\"dmval\\\"\\), \\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" will \
be suppressed during this calculation.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.42326745086854*^9, 3.423267469937379*^9}, 
   3.423267516486848*^9, 3.423299099942833*^9, 3.4269357008422937`*^9, 
   3.427039792917357*^9, 3.43931054660609*^9, 3.445530987245213*^9, 
   3.445684099089663*^9, 3.445685243691518*^9, 3.446143913110036*^9, 
   3.446157032940669*^9, 3.446157337948214*^9, {3.453679392595433*^9, 
   3.453679434465466*^9}, 3.4536797492896357`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Interpolation", "::", "\<\"inhr\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Requested order is too high; \
order has been reduced to \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\({0}\\), \\\"MT\\\"]\\)\
\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\".\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/Interpolation/inhr\\\", \
ButtonNote -> \\\"Interpolation::inhr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.42326745086854*^9, 3.423267469937379*^9}, 
   3.423267516486848*^9, 3.423299099942833*^9, 3.4269357008422937`*^9, 
   3.427039792917357*^9, 3.43931054660609*^9, 3.445530987245213*^9, 
   3.445684099089663*^9, 3.445685243691518*^9, 3.446143913110036*^9, 
   3.446157032940669*^9, 3.446157337948214*^9, {3.453679392595433*^9, 
   3.453679434465466*^9}, 3.453679749337892*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Interpolation", "::", "\<\"inhr\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Requested order is too high; \
order has been reduced to \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\({0}\\), \\\"MT\\\"]\\)\
\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\".\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/Interpolation/inhr\\\", \
ButtonNote -> \\\"Interpolation::inhr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.42326745086854*^9, 3.423267469937379*^9}, 
   3.423267516486848*^9, 3.423299099942833*^9, 3.4269357008422937`*^9, 
   3.427039792917357*^9, 3.43931054660609*^9, 3.445530987245213*^9, 
   3.445684099089663*^9, 3.445685243691518*^9, 3.446143913110036*^9, 
   3.446157032940669*^9, 3.446157337948214*^9, {3.453679392595433*^9, 
   3.453679434465466*^9}, 3.453679749397233*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"General", "::", "\<\"stop\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Further output of \\\\\\\"\\\
\", \\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(Interpolation :: \\\"inhr\
\\\"\\), \\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" will be \
suppressed during this calculation.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.42326745086854*^9, 3.423267469937379*^9}, 
   3.423267516486848*^9, 3.423299099942833*^9, 3.4269357008422937`*^9, 
   3.427039792917357*^9, 3.43931054660609*^9, 3.445530987245213*^9, 
   3.445684099089663*^9, 3.445685243691518*^9, 3.446143913110036*^9, 
   3.446157032940669*^9, 3.446157337948214*^9, {3.453679392595433*^9, 
   3.453679434465466*^9}, 3.4536797494542103`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"InterpolatingFunction", "::", "\<\"dmval\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Input value \\\\\\\"\\\", \\\
\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\({10.622939416833574`}\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" lies outside the range \
of data in the interpolating function. Extrapolation will be \
used.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/InterpolatingFunction/dmval\\\", \
ButtonNote -> \\\"InterpolatingFunction::dmval\\\"]\\)\"\>"}]], "Message", \
"MSG",
 CellChangeTimes->{{3.42326745086854*^9, 3.423267469937379*^9}, 
   3.423267516486848*^9, 3.423299099942833*^9, 3.4269357008422937`*^9, 
   3.427039792917357*^9, 3.43931054660609*^9, 3.445530987245213*^9, 
   3.445684099089663*^9, 3.445685243691518*^9, 3.446143913110036*^9, 
   3.446157032940669*^9, 3.446157337948214*^9, {3.453679392595433*^9, 
   3.453679434465466*^9}, 3.4536797498487043`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"InterpolatingFunction", "::", "\<\"dmval\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Input value \\\\\\\"\\\", \\\
\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\({5.4758525580864505`}\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" lies outside the range \
of data in the interpolating function. Extrapolation will be \
used.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/InterpolatingFunction/dmval\\\", \
ButtonNote -> \\\"InterpolatingFunction::dmval\\\"]\\)\"\>"}]], "Message", \
"MSG",
 CellChangeTimes->{{3.42326745086854*^9, 3.423267469937379*^9}, 
   3.423267516486848*^9, 3.423299099942833*^9, 3.4269357008422937`*^9, 
   3.427039792917357*^9, 3.43931054660609*^9, 3.445530987245213*^9, 
   3.445684099089663*^9, 3.445685243691518*^9, 3.446143913110036*^9, 
   3.446157032940669*^9, 3.446157337948214*^9, {3.453679392595433*^9, 
   3.453679434465466*^9}, 3.453679749883737*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Interpolation", "::", "\<\"inhr\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Requested order is too high; \
order has been reduced to \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\({0}\\), \\\"MT\\\"]\\)\
\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\".\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/Interpolation/inhr\\\", \
ButtonNote -> \\\"Interpolation::inhr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.42326745086854*^9, 3.423267469937379*^9}, 
   3.423267516486848*^9, 3.423299099942833*^9, 3.4269357008422937`*^9, 
   3.427039792917357*^9, 3.43931054660609*^9, 3.445530987245213*^9, 
   3.445684099089663*^9, 3.445685243691518*^9, 3.446143913110036*^9, 
   3.446157032940669*^9, 3.446157337948214*^9, {3.453679392595433*^9, 
   3.453679434465466*^9}, 3.453679749930463*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"InterpolatingFunction", "::", "\<\"dmval\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Input value \\\\\\\"\\\", \\\
\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\({10.622939416833574`}\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" lies outside the range \
of data in the interpolating function. Extrapolation will be \
used.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/InterpolatingFunction/dmval\\\", \
ButtonNote -> \\\"InterpolatingFunction::dmval\\\"]\\)\"\>"}]], "Message", \
"MSG",
 CellChangeTimes->{{3.42326745086854*^9, 3.423267469937379*^9}, 
   3.423267516486848*^9, 3.423299099942833*^9, 3.4269357008422937`*^9, 
   3.427039792917357*^9, 3.43931054660609*^9, 3.445530987245213*^9, 
   3.445684099089663*^9, 3.445685243691518*^9, 3.446143913110036*^9, 
   3.446157032940669*^9, 3.446157337948214*^9, {3.453679392595433*^9, 
   3.453679434465466*^9}, 3.45367974998458*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"General", "::", "\<\"stop\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Further output of \\\\\\\"\\\
\", \\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(InterpolatingFunction :: \
\\\"dmval\\\"\\), \\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" will \
be suppressed during this calculation.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.42326745086854*^9, 3.423267469937379*^9}, 
   3.423267516486848*^9, 3.423299099942833*^9, 3.4269357008422937`*^9, 
   3.427039792917357*^9, 3.43931054660609*^9, 3.445530987245213*^9, 
   3.445684099089663*^9, 3.445685243691518*^9, 3.446143913110036*^9, 
   3.446157032940669*^9, 3.446157337948214*^9, {3.453679392595433*^9, 
   3.453679434465466*^9}, 3.453679750031839*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SOEStakescPathAfterThetaDropPlot", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"cPathAfterThetaDropPlot", ",", 
     RowBox[{"Ticks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"4", ",", "\"\<0\>\""}], "}"}], "}"}], ",", "None"}], 
       "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<Time\>\"", ",", "\"\<\[ScriptC]\>\""}], "}"}]}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "0"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "Automatic"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "Automatic"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"ExportFigsToDir", "[", 
   RowBox[{
   "\"\<SOEStakescPathAfterThetaDropPlot\>\"", ",", 
    "\"\<../../../../Figures\>\""}], "]"}], ";"}], "\n", 
 RowBox[{"Show", "[", "SOEStakescPathAfterThetaDropPlot", 
  "]"}], "\n"}], "Input",
 CellChangeTimes->{{3.445685200234413*^9, 3.445685204009966*^9}, {
  3.45367973288344*^9, 3.453679752144044*^9}}],

Cell[BoxData[
 GraphicsBox[
  {GrayLevel[0], PointBox[CompressedData["
1:eJxdz2tIU3EcxvEphUHqzNIKJbWsVppmZZa3Peou2tS2mVK2vHQ1hCwjMSmb
djMkqUHZmEXNMrfoYrdVyJwGrvBSkk0x0cqCbFlzmlMUu9D5vcgDfw6f8/0/
L47P9hzpLnsWiyX+c/6+/z0WbiPLr/d07SCX+YD/PWOKXaZ4zhTPQ5Bh/Fhd
m5mxJ1pXlLTnq78x9kZOeq7OLXOA8UI80gxMq2d/Z+wLr4WxWcJ75CXI6916
yZ/3gzEHZq8B3bNm8nKUafZ3n1psYeyPTLPvuFMGOQAZHkVZaRfJK5HOKf1m
ekEOgvXNpwNNNvIqlC110JxaRP+zGj7wloniyWswFpF7MjmXHIyJdYeD310g
r4XrTJPUSUcOgSRcFTbPRF6H5DNdCb5D5PXg8KbLUpytjEMht+hcXi8lhyHw
RBPvHpccjjem4bjZKeQIvNW/9JudTY7EB5v2i7GQzEWUoLlSeJ4MdI3I2qrU
jOWASlm1bfQ+9SiMBrS/SmigHgV/T1uW7jX1aPC1Ri6vh3o0KuWlW+zN1GMQ
rTpimByhHoMnDpPlfPshpvPwouZ9wEdHxnIe6qWD7F536nzIOlmzBN7U+Whz
UmR4L6MugJtRosgLoi5AinuBVryeuhCLHCM4j0FdCE9nMfuOkHos3DpuWyIT
qceiRq227ttEPQ4NLas7Y1Kpx0ErsDo8T6e+AXUFfMXgTuoboPsZGtK+l7oI
nVc+Z+fsoy5CflpKujGXejzqbWt/9eZRj8d7O/ZEbQH1BJh9Q1syC6knoNr5
4sO2IuqJ2DEyUM8+ST0R+nGOaUEJ9Y1oDUSVXSn1jZBVs/TPzlIXo0Z5uTj+
HGOIkTHfPfipgu6LUdF9YNj+AmODGEfHO+r8ymkvgb6oOD9YSXsJ5qae7/NR
0V6Cr2b9LWsF7SUoV4xu11yhvRTK/u7jwqu0l+Khwedg6zXaS+G0p0/OraS9
FHe7evpV12mfhDHRpc5PN2ifhM2xObs9btI+CcON1ypQTfskuIZyDyVraL8J
ogeO3anaIe5vCIOOTA==
    "]]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time\"", TraditionalForm], 
    FormBox["\"\[ScriptC]\"", TraditionalForm]},
  AxesOrigin->{-3, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-3, Automatic}, {0, Automatic}},
  PlotRangeClipping->True,
  Ticks->{{{4, 
      FormBox["\"0\"", TraditionalForm]}}, None}]], "Output",
 CellChangeTimes->{{3.416003711304763*^9, 3.416003714109932*^9}, {
   3.4160038750987*^9, 3.416003901917637*^9}, 3.4160041932734337`*^9, 
   3.416004231621236*^9, 3.41600444338542*^9, 3.416008528975164*^9, 
   3.416337543790512*^9, 3.416413155103806*^9, 3.422801005317277*^9, 
   3.4228331570367126`*^9, 3.423056777690585*^9, 3.423058464360042*^9, 
   3.423058612610504*^9, 3.42321718044974*^9, 3.423217284117456*^9, 
   3.4232228160720043`*^9, 3.4232278687753487`*^9, 3.4232297411153717`*^9, 
   3.4232523821215343`*^9, 3.423267472032494*^9, 3.4232675200488853`*^9, 
   3.423299102183412*^9, 3.426935703675736*^9, 3.427039796682003*^9, 
   3.4393105493844624`*^9, 3.4455309916804237`*^9, 3.4456841041869297`*^9, 
   3.445685205941235*^9, 3.4456852459322157`*^9, 3.4461439163313427`*^9, 
   3.44615703596566*^9, 3.446157339969783*^9, {3.45367942144631*^9, 
   3.4536794412907057`*^9}, 3.4536797546153603`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CensusMakeNoStakes", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VerboseOutput", "=", "False"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{"AddNewGen", "[", 
     RowBox[{"{", 
      RowBox[{"0", ",", "\[ScriptCapitalN]", ",", "\[GothicCapitalG]"}], 
      "}"}], "]"}], ",", 
    RowBox[{"{", "100", "}"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"timePath", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"i", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "Census", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cPath", "=", 
    RowBox[{"ListPlot", "[", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{"timePath", ",", 
         RowBox[{"CensusMeansT", "[", 
          RowBox[{"[", "\[ScriptC]Pos", "]"}], "]"}]}], "}"}], "]"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ";"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"SOENoStakescPath", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"cPath", ",", 
     RowBox[{"Ticks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"1", ",", "\"\<0\>\""}], "}"}], "}"}], ",", "None"}], 
       "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<Time\>\"", ",", "\"\<\[ScriptC]\>\""}], "}"}]}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "0"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "All"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "All"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"ExportFigsToDir", "[", 
   RowBox[{"\"\<SOENoStakescPath\>\"", ",", "\"\<../../../../Figures\>\""}], 
   "]"}], ";"}], "\n", 
 RowBox[{"Show", "[", "SOENoStakescPath", "]"}], "\n"}], "Input",
 CellChangeTimes->{
  3.416002129347035*^9, 3.416003550367491*^9, 3.416005194910283*^9, {
   3.445685209861189*^9, 3.445685213531817*^9}, {3.453679760419631*^9, 
   3.453679760805842*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"InterpolatingFunction", "::", "\<\"dmval\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Input value \\\\\\\"\\\", \\\
\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\({1.`}\\), \\\"MT\\\"]\\)\
\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" lies outside the range of data in \
the interpolating function. Extrapolation will be used.\\\\\\\"\\\", \\\"MT\\\
\"]\\) \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/InterpolatingFunction/dmval\\\", \
ButtonNote -> \\\"InterpolatingFunction::dmval\\\"]\\)\"\>"}]], "Message", \
"MSG",
 CellChangeTimes->{3.4160044513578587`*^9, 3.416005196194165*^9, 
  3.41600853015884*^9, 3.4163375450922728`*^9, 3.41641315622215*^9, 
  3.422801006392861*^9, 3.422833162286913*^9, 3.423056789869486*^9, 
  3.423058466265843*^9, 3.42305861409354*^9, 3.423217183497031*^9, 
  3.4232172863685493`*^9, 3.423222817423016*^9, 3.423227871151264*^9, 
  3.4232297421421423`*^9, 3.423252383634533*^9, 3.4232675218880787`*^9, 
  3.4232991034030237`*^9, 3.426935705474554*^9, 3.4270397985701523`*^9, 
  3.439310550919655*^9, 3.44553099355481*^9, 3.44568410683702*^9, 
  3.445685247113192*^9, 3.4461439178819437`*^9, 3.446157037159913*^9, 
  3.4461573413081417`*^9, 3.453679443224145*^9, 3.453679761477131*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"InterpolatingFunction", "::", "\<\"dmval\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Input value \\\\\\\"\\\", \\\
\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\({1}\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" lies outside the range \
of data in the interpolating function. Extrapolation will be \
used.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/InterpolatingFunction/dmval\\\", \
ButtonNote -> \\\"InterpolatingFunction::dmval\\\"]\\)\"\>"}]], "Message", \
"MSG",
 CellChangeTimes->{3.4160044513578587`*^9, 3.416005196194165*^9, 
  3.41600853015884*^9, 3.4163375450922728`*^9, 3.41641315622215*^9, 
  3.422801006392861*^9, 3.422833162286913*^9, 3.423056789869486*^9, 
  3.423058466265843*^9, 3.42305861409354*^9, 3.423217183497031*^9, 
  3.4232172863685493`*^9, 3.423222817423016*^9, 3.423227871151264*^9, 
  3.4232297421421423`*^9, 3.423252383634533*^9, 3.4232675218880787`*^9, 
  3.4232991034030237`*^9, 3.426935705474554*^9, 3.4270397985701523`*^9, 
  3.439310550919655*^9, 3.44553099355481*^9, 3.44568410683702*^9, 
  3.445685247113192*^9, 3.4461439178819437`*^9, 3.446157037159913*^9, 
  3.4461573413081417`*^9, 3.453679443224145*^9, 3.453679761487002*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"InterpolatingFunction", "::", "\<\"dmval\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Input value \\\\\\\"\\\", \\\
\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\({1.7007610075310988`}\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" lies outside the range \
of data in the interpolating function. Extrapolation will be \
used.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/InterpolatingFunction/dmval\\\", \
ButtonNote -> \\\"InterpolatingFunction::dmval\\\"]\\)\"\>"}]], "Message", \
"MSG",
 CellChangeTimes->{3.4160044513578587`*^9, 3.416005196194165*^9, 
  3.41600853015884*^9, 3.4163375450922728`*^9, 3.41641315622215*^9, 
  3.422801006392861*^9, 3.422833162286913*^9, 3.423056789869486*^9, 
  3.423058466265843*^9, 3.42305861409354*^9, 3.423217183497031*^9, 
  3.4232172863685493`*^9, 3.423222817423016*^9, 3.423227871151264*^9, 
  3.4232297421421423`*^9, 3.423252383634533*^9, 3.4232675218880787`*^9, 
  3.4232991034030237`*^9, 3.426935705474554*^9, 3.4270397985701523`*^9, 
  3.439310550919655*^9, 3.44553099355481*^9, 3.44568410683702*^9, 
  3.445685247113192*^9, 3.4461439178819437`*^9, 3.446157037159913*^9, 
  3.4461573413081417`*^9, 3.453679443224145*^9, 3.453679761491818*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Interpolation", "::", "\<\"inhr\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Requested order is too high; \
order has been reduced to \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\({0}\\), \\\"MT\\\"]\\)\
\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\".\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/Interpolation/inhr\\\", \
ButtonNote -> \\\"Interpolation::inhr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.4160044513578587`*^9, 3.416005196194165*^9, 
  3.41600853015884*^9, 3.4163375450922728`*^9, 3.41641315622215*^9, 
  3.422801006392861*^9, 3.422833162286913*^9, 3.423056789869486*^9, 
  3.423058466265843*^9, 3.42305861409354*^9, 3.423217183497031*^9, 
  3.4232172863685493`*^9, 3.423222817423016*^9, 3.423227871151264*^9, 
  3.4232297421421423`*^9, 3.423252383634533*^9, 3.4232675218880787`*^9, 
  3.4232991034030237`*^9, 3.426935705474554*^9, 3.4270397985701523`*^9, 
  3.439310550919655*^9, 3.44553099355481*^9, 3.44568410683702*^9, 
  3.445685247113192*^9, 3.4461439178819437`*^9, 3.446157037159913*^9, 
  3.4461573413081417`*^9, 3.453679443224145*^9, 3.453679761496634*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"InterpolatingFunction", "::", "\<\"dmval\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Input value \\\\\\\"\\\", \\\
\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\({1}\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" lies outside the range \
of data in the interpolating function. Extrapolation will be \
used.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/InterpolatingFunction/dmval\\\", \
ButtonNote -> \\\"InterpolatingFunction::dmval\\\"]\\)\"\>"}]], "Message", \
"MSG",
 CellChangeTimes->{3.4160044513578587`*^9, 3.416005196194165*^9, 
  3.41600853015884*^9, 3.4163375450922728`*^9, 3.41641315622215*^9, 
  3.422801006392861*^9, 3.422833162286913*^9, 3.423056789869486*^9, 
  3.423058466265843*^9, 3.42305861409354*^9, 3.423217183497031*^9, 
  3.4232172863685493`*^9, 3.423222817423016*^9, 3.423227871151264*^9, 
  3.4232297421421423`*^9, 3.423252383634533*^9, 3.4232675218880787`*^9, 
  3.4232991034030237`*^9, 3.426935705474554*^9, 3.4270397985701523`*^9, 
  3.439310550919655*^9, 3.44553099355481*^9, 3.44568410683702*^9, 
  3.445685247113192*^9, 3.4461439178819437`*^9, 3.446157037159913*^9, 
  3.4461573413081417`*^9, 3.453679443224145*^9, 3.453679761543563*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"General", "::", "\<\"stop\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Further output of \\\\\\\"\\\
\", \\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(InterpolatingFunction :: \
\\\"dmval\\\"\\), \\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" will \
be suppressed during this calculation.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.4160044513578587`*^9, 3.416005196194165*^9, 
  3.41600853015884*^9, 3.4163375450922728`*^9, 3.41641315622215*^9, 
  3.422801006392861*^9, 3.422833162286913*^9, 3.423056789869486*^9, 
  3.423058466265843*^9, 3.42305861409354*^9, 3.423217183497031*^9, 
  3.4232172863685493`*^9, 3.423222817423016*^9, 3.423227871151264*^9, 
  3.4232297421421423`*^9, 3.423252383634533*^9, 3.4232675218880787`*^9, 
  3.4232991034030237`*^9, 3.426935705474554*^9, 3.4270397985701523`*^9, 
  3.439310550919655*^9, 3.44553099355481*^9, 3.44568410683702*^9, 
  3.445685247113192*^9, 3.4461439178819437`*^9, 3.446157037159913*^9, 
  3.4461573413081417`*^9, 3.453679443224145*^9, 3.4536797615797787`*^9}],

Cell[BoxData[
 GraphicsBox[
  {GrayLevel[0], PointBox[CompressedData["
1:eJw1yw001Xccx/Gb6K7MY3ZFivJwKNMQS8r9yHXlIe4T9zY2pq7WKky1HTvm
4RS7TG2nM8eh2owodWh5iNVRbm2Xxj3bHJSHk6GIJLIbGrV2+n3/5/zO/7x+
799nXXySRKnH4XCUr8///zffFD+mTJBju72Tzy7A66i4sVTTz/wWZt4tiW8z
GmQ2xTVuWYGh/jCzBYTKfZYnTz1gXoW/6/gN3/Q/ZLZBdm1Vk1g3wmwHx6Hs
vsZHo8zrcdexseXsjUfMDlAHjnTkpI0xO2G+ZH42y2mc2Rnie7FJZTfJGzDX
xDsoCXnM7Ir7Z355ldpKdsOQqjq/0neC+T38UM013lhOdkdF96275sueMHtA
Y3dgSWgs2RNVbZy+01fIm/Fd5VcRNYtkL6jaxtscBJPM3jhY1Gj2RTb5faQ0
X/Ndc4u8BYv6HzqnvyD7IL4n95DO7SnzVuztm5/qjCX7ItlEsyXhBHkbxmrd
jj1uIG+HxZ35n0sGyH74qbjQ4CO9KWY+NkuOHW1YSQYG9tQ4zNgzZwKfHLE4
6+hJ3R+GxYpLH/tT90dVgsuJxnDqO7DHJ8NqazT1HSiynR7+J4F6ABa8bkc/
/4x6AJYlikZD0qgLMMKVLixmUxfgz7xUL+tvqQdCln5OWVlIPRBftltX1v1I
XQjV4PMjgvPUhfDr1i+Pq6YehFytv8q0nnoQeoccJz64Tn0n4sT9TkI19Z2o
rlLZ3dNQD0bbfG00r516MOxG5xYM/qIegrTzSzsudVEPgcBlVv52L/VQjCcH
qTfepx6Knge8f42GqIeh9df1NVcfUg+DsCRY7jJGfReMPq233z9BfRcGrl6x
SX1KPRx1v3tZxjyjHo6MIJfrFjrqEeCf3p9TPks9AqUXC/4wfUFdhJgL51oV
C8wQgZ8flpXxkt6L4O62bSyHM/3GzSJMVrh2JOsxc8QognbaT58ZYmyayR9+
ZsCcKYaJvWDDSS7txTCzUrubL6e9BC8P+4gyV9BegsSS0pYeQ9pLoPOe0dga
0V6CutnwA1Jj2ksh061VHzWhvRTCOMvfvjalvRRdAldlnhntpVh9+POsdHPa
y5BwefmTvStpL0OaR1OinwXtZTA4NKo2fIf2MsRNGhVqyZxI2PnlfX+cR/tI
lO5zkLtb0j4STmNlKZ3k5khEXJSnJK6ifRS8TxX0vCIjCutCPBxyrWgfhTOX
pzUrrGkfheqkqU3ZZI4cM77cljky5GjXc55Urqa9HAH59Uu05GY5mrq7FG42
tFcgUHUzMI+M176txxskZypQc0Fr7rmG9gq4tLtmZZI5uxHcG1R6h4zdiK4q
rjVeO83/Dzrl7Xw=
    "]]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time\"", TraditionalForm], 
    FormBox["\"\[ScriptC]\"", TraditionalForm]},
  AxesOrigin->{-3, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-3, All}, {0, All}},
  PlotRangeClipping->True,
  Ticks->{{{1, 
      FormBox["\"0\"", TraditionalForm]}}, None}]], "Output",
 CellChangeTimes->{{3.416002028234046*^9, 3.4160020413365717`*^9}, 
   3.416002071918166*^9, {3.416002130613044*^9, 3.416002156849217*^9}, {
   3.416002192991678*^9, 3.4160022429934072`*^9}, 3.4160023815970697`*^9, 
   3.416003513924777*^9, 3.416004452641234*^9, 3.416005197545895*^9, 
   3.416008531377944*^9, 3.416337546133993*^9, 3.416413157317197*^9, 
   3.422801007582789*^9, 3.422833163041215*^9, 3.4230567930742273`*^9, 
   3.4230584670281763`*^9, 3.42305861503048*^9, 3.423217184067156*^9, 
   3.4232172869224663`*^9, 3.4232228179786863`*^9, 3.423227871689519*^9, 
   3.423229742691486*^9, 3.423252384230608*^9, 3.423267522467146*^9, 
   3.423299104170216*^9, 3.4269357060602827`*^9, 3.427039799136797*^9, 
   3.439310551494081*^9, 3.445530994402212*^9, 3.445684107228714*^9, 
   3.4456852475569897`*^9, 3.4461439187932053`*^9, 3.446157037936545*^9, 
   3.446157341858623*^9, 3.453679444177931*^9, 3.4536797626149607`*^9}]
}, Open  ]]
},
AutoGeneratedPackage->Automatic,
WindowSize->{1723, 1040},
WindowMargins->{{11, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1.5,
FrontEndVersion->"7.0 for Mac OS X x86 (32-bit) (November 11, 2008)",
StyleDefinitions->"Default.nb"
]

