Notebook[{
Cell[BoxData[
 RowBox[{"(*", " ", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Generates", " ", "figures", " ", "for", " ", "Carroll"}], ",", 
   " ", "Slacalek", ",", " ", 
   RowBox[{"Sommer", ":", " ", "\"\<Dissecting Saving Dynamics\>\""}]}], " ", 
  "\[IndentingNewLine]", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Initialization", " ", "stuff"}], ";", " ", 
    RowBox[{"of", " ", "no", " ", "intrinsic", " ", "interest"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], ";", 
    RowBox[{"ParamsAreSet", "=", "False"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"$VersionNumber", "<", "8"}], ",", 
      RowBox[{"(*", "then", "*)"}], " ", 
      RowBox[{
       RowBox[{
       "Print", "[", 
        "\"\<These programs require Mathematica version 8 or greater.\>\"", 
        "]"}], ";", 
       RowBox[{"Abort", "[", "]"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "If", " ", "running", " ", "from", " ", "the", " ", "Notebook", " ", 
     "interface"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Length", "[", "$FrontEnd", "]"}], " ", ">", " ", "0"}], ",", 
      RowBox[{"NBDir", "=", 
       RowBox[{"SetDirectory", "[", 
        RowBox[{"NotebookDirectory", "[", "]"}], "]"}]}]}], "]"}], ";", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"If", " ", "running", " ", "from", " ", "shell"}], ",", " ", 
      RowBox[{
      "must", " ", "start", " ", "from", " ", "inside", " ", "same", " ", 
       "directory", " ", "in", " ", "which", " ", "notebook", " ", 
       "resides"}]}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Method", " ", "of", " ", "displaying", " ", "figures", " ", "depends", 
      " ", "on", " ", "whether", " ", "being", " ", "run", " ", "in", " ", 
      "batch", " ", "mode", " ", "or", " ", "interactively"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"$FrontEnd", " ", "\[Equal]", " ", "Null"}], ",", 
      RowBox[{"OpenFigsUsingShell", "=", "True"}], ",", 
      RowBox[{"OpenFigsUsingShell", "=", "False"}]}], "]"}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Current", " ", "working", " ", "directory", " ", "should", " ", 
     "correspond", " ", "to", " ", "appropriate", " ", "location", " ", "now",
      " ", "whether", " ", "running", " ", "from", " ", "shell", " ", "or", 
     " ", "notebook"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AutoLoadDir", "=", 
     RowBox[{"SetDirectory", "[", "\"\<../../CoreCode/Autoload\>\"", "]"}]}], 
    ";", 
    RowBox[{"Get", "[", "\"\<./init.m\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "CoreCode", " ", "directory", " ", "is", " ", "above", " ", "Autoload"}], 
    " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"CoreCodeDir", "=", 
     RowBox[{"SetDirectory", "[", "\"\<../../CoreCode\>\"", "]"}]}], ";", 
    RowBox[{"(*", " ", 
     RowBox[{
     "CoreCode", " ", "is", " ", "two", " ", "levels", " ", "above", " ", 
      "this", " ", "directory"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"rootDir", " ", "=", " ", 
     RowBox[{"SetDirectory", "[", "\"\<..\>\"", "]"}]}], ";", 
    RowBox[{"(*", " ", 
     RowBox[{
     "root", " ", "directory", " ", "is", " ", "above", " ", "CoreCode"}], 
     " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Get", "[", 
     RowBox[{"CoreCodeDir", "<>", "\"\</MakeAnalyticalResults.m\>\""}], "]"}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", 
     RowBox[{"CoreCodeDir", "<>", "\"\</VarsAndFuncs.m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FigsDir", "=", 
     RowBox[{"SetDirectory", "[", 
      RowBox[{"rootDir", "<>", "\"\</Examples/ctDiscrete/Figures/\>\""}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"CodeDir", "=", 
     RowBox[{"SetDirectory", "[", 
      RowBox[{"rootDir", "<>", "\"\</Examples/ctDiscrete\>\""}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cssUSSavingDirCode", "=", 
     RowBox[{"SetDirectory", "[", 
      RowBox[{"rootDir", "<>", "\"\</Examples/cssUSSaving\>\""}], "]"}]}], 
    ";", 
    RowBox[{"cssUSSavingDirFigs", "=", 
     RowBox[{"SetDirectory", "[", 
      RowBox[{"rootDir", "<>", "\"\</Examples/cssUSSaving/Figures\>\""}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"StableArmStyle", "=", 
     RowBox[{"{", 
      RowBox[{"Black", ",", "Thick"}], "}"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Allows", " ", "for", " ", "different", " ", "style", " ", "than", " ", 
     "in", " ", "TractableBufferStock", " ", "handout", " ", "generated", " ",
      "by", " ", "the", " ", "same", " ", "code"}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"VerboseOutput", "=", "False"}], ";"}]}]}]], "Input",
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Generate", " ", "phase", " ", "diagram"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Get", "[", 
     RowBox[{"CoreCodeDir", "<>", "\"\</ParametersBase.m\>\""}], "]"}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{"FindStableArm", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", 
     RowBox[{"CodeDir", "<>", "\"\</cFunc.m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", 
     RowBox[{"CodeDir", "<>", "\"\</PhaseDiag.m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ExportFigsToDir", "[", 
     RowBox[{
     "\"\<TractableBufferStockPhaseDiag\>\"", ",", "cssUSSavingDirFigs"}], 
     "]"}], ";"}]}]}]], "Input",
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {GrayLevel[0], Thickness[Large], LineBox[CompressedData["
1:eJwVzn881Accx/Fz261zdYrjwl3uK3LkxxohP/L5WGmNUrFEPK7cIa0fiigP
rY4KedRdP6a2NmmuuJqsolrTj9WF5NDkZw+SmbgfuM7dVyaZ/fF+vP55//G0
F6ZEJFIpFMramf3f2lOC2/LDuUEUitjjYVp6kFrRaYiXJQClbIRd9mskuMfk
GZfK9oF4REPLvyqCJtnrdDvZUaD0dLMKr6QB72uGD0v2PVxqsOVOFB2BOg5x
jim7DDcE8q4d0rPAobnWMmRVsDXLe2vCPhnUZC4RmMqeQrmWtb9uRSUEP6GH
+2W3wXH+inMv5Aqo7naZ6zzWC3tYyEsWK2F6ZZdkg/UAcLdRmicDWqBKSE/m
l6oh+WK/h7ttO5DP10XYto1CgIDeKInuAqcprDtzTw8ZWY0ravO64chE5YGs
LCOUBorMdFt6gc+pvKVnvgcaKeS2Db2BjZfKrMiOfyHZeNqjw+FvqA91NslP
nQKaJwS99OkHXReVMjU9DX5+IUWh3v/AhiQV67DQBBlbksTj/gOwNnW+dtV1
KlbkBHUcdHgLZkv+7GxlfYqmJ5qapZaD4PzGal1rGg1vvbbwPDE+CG9Lbppy
7n+Giws+iGWKIUie/6yTT9DRrxEVpT+qQHLRUZu10xTz3O4fXR6rhsyOSda5
VgaabU6ZmnTSwAOquMbeZw6qmdGnj6k0cBlDqw2HmVjHlgyfvKCF9UukNScH
zPCMZ67WPGoY1tkwGXdt5uHqQc/NUSYjIGO5kFsezEPO0tEMw5UR6ErK0Wp2
myM9/Te+48ZRiFd8PPqTpQXe/u6J5JpxFBoO/M73eGaBqvSFlZHrdSAsWy3N
PMDCYJ/oD10lOgjrnfxhiGuJbcu80kpHdMDeoy33b7bEAX7teCm8Ay8GRXQj
3QrLl51Qehe8g4ML1D2vrdlIK4gMELS8A/lxc5Guno214xZPK3h6WDQdW7Ao
ZT4GO4Tb6pP0cKyxv3r5QmvMrw+oXlOpB98rEmlmvTWqlEdMlBN6sCLnOu/e
ZYMpqXFBXkFj0F7c9DyEZ4trHdT3ZHljMBRxY25wjS0W3kyjZTeMQY+gWcDL
5OCj4b5Z0ZYG+Nj/NPWOCxcLTykfuccaYG9qj/PeJi5+c75Yfv1nA9TGeKnM
shdgweOXNJt+A+wKLQ97wbdDZYbrwzWORgiumkwNbbDD3ObFbdUiI4xn5F8u
O8jDC83hxXS5EcT23EBLcwKthw9JwwaNcMdEcf+YBYGaJ4pZiUNG0PRtXz7O
IjBNGLn/kMoIUSV3g16xCWTrogNvaozg6hAZfIlL4Jt6JwFbZ4R2x4JVbs4E
+kVYU3vfG8HN+f36lUDgtq8K27YzSBDSi/+6jQRWGeb458wm4fxQSAT/SwLb
/T8WXphDAvXq2UhGCIGzIyKXNpiR0OHyedSLUAJtXo0y3Fgk5LgmxcZFESjN
87TXcki4O5vZ3bhp5n98dOqTBSRoNZVxEENg50RgC8eOhE3lJoKFcQSyWiTx
YQQJbu5FW4fiCdwx4M255jjjYa7sixERGK0tqnq8aMYzrI5vSCBw/7VfQrqc
ZjwVy0QV2wjcrMoOp7uQ4Cvp7edtJ/AP3/ha3mISdu7OTTj9LYF5nX3evq4k
lIS7D1B3Eij/glYU7jbj92hN3LeLwDK5cjLRnYT/ABHgOQk=
      "]]}}, {{}, {}, 
    {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwV0ms01AkYBnBmUy6N2wwGw/zZ7IyY0mk3KXlfFdXYIizNusSIJImJlrRL
RTTr0u3Q5ZSOGWu2UlkZiZzKpWRDrWtHJo0pt5Ymt/6Snf3wnOfD8+X34bER
HPSNpGhoaGxX5/9uOh1aKU076ZbTrlr+wVngNlLfMxku3gO1deH0jTIELj9r
6ntxInRFZ0msZD7QKu5PshZngGLDpVg9WRiwtumuoYnPQ4xU7EORxcMTS6KA
KpZAWYj08XxlOlhqOTTpiu/CjnvXU+cqT0NjilOojrgBipQOu8jKa+D+WHuH
y7FO6JTaein3lUNNn70B55McAoqrFTbyaljY3Ju3k6EEx0eJpSr6I7gr0I5m
/zECh57sZfHON8L0M29fi85xSB5ndbQ0NcN38/jkbLUKGrirvTb5tcKJzxXJ
qalTID3YbAKRL4BtWfGXijoL23uDJAlH/oGfrpWaTHeTYNpqSS+q7YRmHkcz
WzgPD/zcisN7umGil6Ixv7AAWrQlyszhXtgZNUxLE2hiQsi8dgm7D7YLzcY8
yyhYszbAiw/9oO/0sKeDtgjPe8c5L9r4BjhvTLw7Dmnh5aIM8dLdA/CuuFzH
snYxGq/9+6o8+i1Emz3tYRPaaFFwXdfplALyri4bS43VwbOu97W8CgYhpXuO
VtChi5elYQmKaiU8oKQ32qxZikmrfq5y7HkHEuTVTKZRsY6SmYOK9+DjlN+Y
q9THCxc9X75YNAze5lTdKnNDHEh2KeXSRkBMs5/e/cAQ5xLTAtYxR6E36vjY
aJwRlqwJPtywfgzC679mXKYb40OMsTPf+gFaku+xVzw1xv2GBh6jMf+CoHRr
fkoyDd9/WQxx2ePgJZ+7MMSk4wiDMRiybQJM48durmujI8d0Nqy+dwJW62pE
3EkywaKqeLu8sI9w1GrkdT/DFH99bxxYPvgRpKeMIiaaTXHZEQ13WqIK7BaC
RHYHzfCb8pPCV59VkPlcUbPBloE3eLuC34g+gXNJXn5KMwN/z36c62U8CSbT
Bpy4A+b40j/A0aBwErqKWp95sCxQceKHE0bsKRjyvWPg3miBDoFlNillU/A6
tC2UlWKJrrnxySyYhq+KBqHMnomVO0NcrVunIUH4mpPQysSo+2+3HPebgSb+
6mH9Y1Yoz6zQsxucgQO8m17tbGs8PcU04+6fBfe7c0JeizVe/3Q7P3d8FmYO
Z0tKj7Iwxz/voWPaZ0i3YbrSjQgs5Wu5rNIiQaZZX5tpTGBsl7M4awkJowP7
NszQCFzpF0Pt1yHVv69ye2VKoOzHtgGRPgkO3/q5X2MS2AAXRYNmJHQtE3k6
cgh8a8ftK1xOgiNn1mczEGil8k/76k2CQLvoRSWq97isYX9fEgqHPHzZGwks
Ga32u+FPAuXPc366HgRyldacXXwSuu1XBrTzCFzfM9ReLiDhuENUUHAAgfy6
o7aRSSRU6VH7ngcSyFx/O6fmFxLGRiuCgU+gvGpg2ugICYE3NUNtgwncW+7Z
Uveb2sO9EjYUTmCSxDCRka32UDcP8CMIdLHZ1B8nUns+jIS37CHwy5WkrY05
as+ttRG39hKYUfiKKTxDgnOeXMHaR+AWOjXr6TkSYuNO7jkTQ6DeGfhoXUBC
8Q6ukhJLYBtVGJR0Qe1f0RGZeIDAsyJJY8slEv4D2FI3tA==
      "]]}, 
    {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwVz3s0lAkYx3FmVUy5j+sMXqXMHKN0aiWl55kWlU7JCE2Y3KK2iW2i5aio
JuEUbbWVilrTpjq27aIrti0ZhhJWi45LJTUGZ973Vch13/3jOb/z+e/7OMck
ibez9PT0NjD3/6pOSu9fz8ha5TDovCtyuQ60VW1fopVxsIWuVHQydpcc+7pU
mQynRyRFkd46aFB2pTgqFWDIOtUUuUIHTuvYnpbKMzBkzfKS+uighkucNVZe
BTV+MNgm0gF3hpuKrSyDlDPFRVHrdFCd5iE1Ur6AVyvmNcdKdCB6brhx+aE3
UDFg3cLdr4PyDoEpf6gbWNdqWrMu6WDatz0vyLYXVnusMQus0EFZjOEO12ta
eM573FPbpYPhukCx/RsdFJhrHn2d0sGCSaw59ZiGLWUKjtaMhCPf7qWmp3+F
qNqJT7PmkuDKvXeXNh6FM1HB3tOLSQi5UmI13DoGGsG88MAfSFAH8PWz5ZOQ
8HPTRGowCWQ7S29yehri3D97BcWSEBTfZ5kRo4+ZnH2rDyeTsEFuM+D/Bwtr
M3peHleQYOLxd1uLpQF68OpcyF9J4L+zCmzZOwM5zrY2rBISPhXfMeJWzESX
m765gw9I2GFT2+ZKGOLmOG3d4loS8opcBtJlRni7OPF4YBsJaa3jlmdb2Ci0
kHFVfSRUsjKrnT3noIu20bd/jISrGFD+JcMY1/pzdH1sCjZ55Fef6DXB4/80
xot4FATaGbMf2pnhxMdd2+RCCpSWguFtlWaokSbSQSspaI8/PNCfaI5fjLTi
3A0URFdNKS5yLFC43HfppUgK6lMfuS6stUBFgU3PzCQKYkrW5qelWuKWGLGQ
yKRgfff4eQ2Pg5I/dw1bnKTA+qeBUu/XHExznzoh/Y2CJWy92NspVli9KOna
kTsU7HfQdnbZWuOJC2skYc8ouJ5jHkuqrXGfZ0H7kWYK5k+H585PssHcUPXb
nA8UHH3VU+4z1xb/KpHf0AxRsOz3vPw0tS06HBgbJQxosBo25SfutsOxJ30f
ZnFo+PdyQ52fkz0OC8QX1synQSO+bSqqtkdHh4LmqO9p6JS+ljqlcTFeJGlr
9qdhqueF/IGAh24NmalDYTTskXfy9zTwkNudVTCYQINKsqTP5JADujnPzMY0
GnYHlK5vdHXEhM+xI7IcGkRl4/KAekckrAX6awtoGNmXfbVkvxOOpiS0pd+k
IdOZt5JjTuCkROGR84SGB/pVFUctCJwzlt/ZyLj//U6fEUsC7S9czLUtpyG0
+OGqt9YEer29+7GEsdu8YNEVHoF7t74/r6pg/nPJ9RfyCezbukrf4CkNQv7o
Jl8g8E34aNPBKhpiDC833UcCP45/l6FifE7jJ3ZdTSB90VRo8oIG1o3TwWw/
As06FmQVMm4VLAptDCBwfUSId0U1DYfd4sMjQgl8FnG3+FsNDQ9nG3e8CiPw
9URloKiWhoH+exEgIbDrknoim3FYqb50bgSBEx3vQm3VTI97YZQmmkDPSNPZ
y+qYHmPf95JYAv0m7R8dZHxuUBtdH0fg5sIF21WMWbe8Ym8lECjv9HkaUk/D
srzuHqedBGYeWCcrZCxLzIr75UcC8x1C7HoZF29072XJCCyqjFIJXzL9C1u2
J+8msDRStjeZ8X9sckqN
      "]]}}, 
   InsetBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalDelta]\[ScriptC]\\), \
\\(\[ScriptT] + 1\\), \\(e\\)]\\)=0 \[LongRightArrow] \"\>", \
{6.844815697608061, 1.385660018622784}, {1, 0}], 
   InsetBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalDelta]\[ScriptM]\\), \
\\(\[ScriptT] + 1\\), \\(e\\)]\\)= 0 \[LowerRightArrow]\"\>", \
{1.8252841860288163`, 1.0200110377350988`}, {1, -1}], 
   InsetBox["\<\"\\!\\(\\*SuperscriptBox[\\(\[ScriptC]\\), \\(e\\)]\\)(\
\[ScriptM])=Stable Arm \[LongRightArrow] \"\>", \
{2.7379262790432244`, 0.7578258518536143}, {1, 0}], 
   InsetBox["\<\"Steady State \[LowerRightArrow] \"\>", \
{5.475852558086449, 1.1085280148982277`}, {1, -1}], 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{5.475852558086449, 0.5542640074491139}, {6.023437813895094, 
     0.5542640074491139}}]}, 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{5.475852558086449, 0.5542640074491139}, {5.475852558086449, 
     0.33255840446946827`}}]}, 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{5.475852558086449, 1.6627920223473416`}, {4.928267302277804, 
     1.6627920223473416`}}]}, 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{5.475852558086449, 1.6627920223473416`}, {5.475852558086449, 
     1.8844976253269872`}}]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptM]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptC]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0, 8.213778837129674}, {0, 1.8844976253269872`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->None]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Code/Models/Tractable/EqbmPartial/Mathematica/Examples/\
cssUSSaving/Figures/TractableBufferStockPhaseDiag.pdf\"\>"], "Print"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Show", " ", "effects", " ", "of", " ", "increase", " ", "in", " ", 
    "unemployment", " ", "risk"}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Get", "[", 
     RowBox[{"CoreCodeDir", "<>", "\"\</ParametersBase.m\>\""}], "]"}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
    "Restore", " ", "the", " ", "baseline", " ", "parameter", " ", "values"}],
     " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Mho]Base", "=", 
     RowBox[{"\[Mho]", "=", "0.01"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalGamma]Base", "=", "\[CapitalGamma]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"FindStableArm", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[Kappa]EBase", ",", "\[ScriptM]EBase", ",", "\[ScriptC]EBase"}], 
      "}"}], " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{"\[Kappa]E", ",", "\[ScriptM]E", ",", "\[ScriptC]E"}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[ScriptM]Max", ",", "\[ScriptM]MaxMax"}], "}"}], "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1.5", ",", "5"}], "}"}], " ", "\[ScriptM]E"}]}], ";"}], "\n", 
   
   RowBox[{
    RowBox[{"\[ScriptC]LowerPlot", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"cE", "[", "\[ScriptM]", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]Max"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Dashing", "[", 
         RowBox[{"{", ".01", "}"}], "]"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cEPFPlot", " ", "=", " ", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"cEPF", "[", "\[ScriptM]", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Dashing", "[", 
         RowBox[{"{", ".02", "}"}], "]"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Degree45", " ", "=", " ", 
     RowBox[{"Plot", "[", 
      RowBox[{"\[ScriptM]", ",", 
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", "0", ",", 
         RowBox[{"cE", "[", "\[ScriptM]MaxMax", "]"}]}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Dashing", "[", 
         RowBox[{"{", ".01", "}"}], "]"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cFuncPlotBase", "=", 
     RowBox[{"cFuncPlot", "=", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"cE", "[", "\[ScriptM]", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}], 
        ",", 
        RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Stable\[ScriptM]LocusOrigPlot", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[ScriptM]EDelEqZero", "[", "\[ScriptM]", "]"}], "}"}], ",", 
       
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Dashing", "[", 
         RowBox[{"{", ".01", "}"}], "]"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Now", " ", "increase", " ", "unemployment", " ", "risk", " ", "by", " ", 
     "2", " ", "percentage", " ", "points"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Mho]", "=", 
     RowBox[{"\[Mho]Base", "+", "0.02"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"FindStableArm", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cFuncPlotNew", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"cE", "[", "\[ScriptM]", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0", ",", "0", ",", "0"}], "]"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cFuncPlotNewPoints", "=", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"#", ",", 
           RowBox[{"\[ScriptC]", "[", "#", "]"}]}], "}"}], "}"}], "&"}], ",", 
       
       RowBox[{"Table", "[", 
        RowBox[{"\[ScriptM]", ",", 
         RowBox[{"{", 
          RowBox[{
          "\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax", ",", "0.01"}], 
          "}"}]}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Stable\[ScriptM]LocusPlot", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[ScriptM]EDelEqZero", "[", "\[ScriptM]", "]"}], "}"}], ",", 
       
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Dashing", "[", 
         RowBox[{"{", ".01", "}"}], "]"}]}]}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"Stable\[ScriptM]LocusPoints", "=", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"#", ",", 
           RowBox[{"\[ScriptM]EDelEqZero", "[", "#", "]"}]}], "}"}], "}"}], 
        "&"}], ",", 
       RowBox[{"Table", "[", 
        RowBox[{"\[ScriptM]", ",", 
         RowBox[{"{", 
          RowBox[{
          "\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax", ",", "0.1"}], 
          "}"}]}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SimGeneratePath", "[", 
     RowBox[{"\[ScriptM]EBase", ",", "100"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[ScriptM]\[ScriptC]PathPlot", " ", "=", " ", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"\[ScriptM]\[ScriptC]Path", ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"PointSize", "[", "0.015", "]"}], "}"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[ScriptM]MinNew", ",", "\[ScriptM]MaxNew"}], "}"}], "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "5"}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[ScriptC]MinNew", ",", "\[ScriptC]MaxNew"}], "}"}], "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1.5"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TractableBufferStockTarget", " ", "=", " ", 
     RowBox[{"Show", "[", 
      RowBox[{
      "cFuncPlotBase", ",", "Stable\[ScriptM]LocusPlot", ",", 
       "Stable\[ScriptM]LocusOrigPlot", "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<Target \[LongRightArrow]\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"\[ScriptM]EBase", ",", 
            RowBox[{"1.02", "\[ScriptC]EBase"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\< \[LongLeftArrow] Sustainable \[ScriptC]\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"\[ScriptM]E", ",", 
            RowBox[{"0.98", "\[ScriptC]E"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<c(\[ScriptM]) \[LongRightArrow]\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"0.7", "\[ScriptM]EBase"}], ",", 
            RowBox[{"0.85", "\[ScriptC]EBase"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Ticks", "\[Rule]", "None"}], "\n", "       ", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"\[ScriptM]MinNew", ",", "\[ScriptM]MaxNew"}], "}"}], ",", 
          
          RowBox[{"{", 
           RowBox[{"\[ScriptC]MinNew", ",", "\[ScriptC]MaxNew"}], "}"}]}], 
         "}"}]}], "\n", "       ", ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<\[ScriptM]\>\"", ",", "\"\<\[ScriptC]\>\""}], "}"}]}]}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"OldAndNewcFuncsPlot", " ", "=", " ", 
     RowBox[{"Show", "[", 
      RowBox[{
      "Stable\[ScriptM]LocusPlot", ",", "cFuncPlotBase", ",", "cFuncPlotNew", 
       "\[IndentingNewLine]", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "Automatic"}], "}"}]}], "}"}]}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0.", ",", "0."}], "}"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PhaseDiagramIncreaseMhoPlot", " ", "=", " ", 
     RowBox[{"Show", "[", 
      RowBox[{
      "OldAndNewcFuncsPlot", ",", "\[ScriptM]\[ScriptC]PathPlot", ",", 
       "Stable\[ScriptM]LocusOrigPlot", "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<Orig Target \[LongRightArrow]\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"\[ScriptM]EBase", ",", 
            RowBox[{"1.02", "\[ScriptC]EBase"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<New Target\[LowerRightArrow]\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"\[ScriptM]E", ",", 
            RowBox[{"1.04", "\[ScriptC]E"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<Orig c(\[ScriptM]) \[LongRightArrow]\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"1.25", "\[ScriptM]EBase"}], ",", 
            RowBox[{"1.2", "\[ScriptC]EBase"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\< \[LongLeftArrow] New c(\[ScriptM])\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"\[ScriptM]EBase", ",", 
            RowBox[{"cE", "[", "\[ScriptM]EBase", "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Ticks", "\[Rule]", "None"}], "\[IndentingNewLine]", ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<\[ScriptM]\>\"", ",", "\"\<\[ScriptC]\>\""}], "}"}]}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[ScriptM]MinNew", "-", "1"}], ",", 
            RowBox[{"\[ScriptM]E", "+", "2"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[ScriptC]MinNew", ",", 
            RowBox[{"1.3", "\[ScriptC]EBase"}]}], "}"}]}], "}"}]}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0.", ",", "0."}], "}"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"HowMany", "=", "75"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[ScriptM]Path", "=", 
     RowBox[{"Take", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Transpose", "[", "\[ScriptM]\[ScriptC]Path", "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "HowMany"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[ScriptC]Path", "=", 
     RowBox[{"Take", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Transpose", "[", "\[ScriptM]\[ScriptC]Path", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}], ",", "HowMany"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"savRateBase", " ", "=", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[ScriptM]EBase", "-", "1"}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"R", "/"}], ")"}]}]}], ";"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MPCPath", "=", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"cE", "'"}], "[", "#", "]"}], "&"}], ",", 
       RowBox[{"Rest", "[", "\[ScriptM]Path", "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PrependTo", "[", 
     RowBox[{"\[ScriptM]Path", ",", "\[ScriptM]EBase"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PrependTo", "[", 
     RowBox[{"\[ScriptC]Path", ",", "\[ScriptC]EBase"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PrependTo", "[", 
     RowBox[{"\[ScriptM]Path", ",", "\[ScriptM]EBase"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PrependTo", "[", 
     RowBox[{"\[ScriptC]Path", ",", "\[ScriptC]EBase"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PrependTo", "[", 
     RowBox[{"\[ScriptM]Path", ",", "\[ScriptM]EBase"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PrependTo", "[", 
     RowBox[{"\[ScriptC]Path", ",", "\[ScriptC]EBase"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PrependTo", "[", 
     RowBox[{"MPCPath", ",", "\[Kappa]EBase"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PrependTo", "[", 
     RowBox[{"MPCPath", ",", "\[Kappa]EBase"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PrependTo", "[", 
     RowBox[{"MPCPath", ",", "\[Kappa]EBase"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PrependTo", "[", 
     RowBox[{"MPCPath", ",", "\[Kappa]EBase"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"timePath", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"i", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "\[ScriptC]Path", "]"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[ScriptC]PathPlot", " ", "=", " ", 
     RowBox[{"ListPlot", "[", 
      RowBox[{
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{"timePath", ",", "\[ScriptC]Path"}], "}"}], "]"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[ScriptM]PathPlot", " ", "=", " ", 
     RowBox[{"ListPlot", "[", 
      RowBox[{
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{"timePath", ",", "\[ScriptM]Path"}], "}"}], "]"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MPCPathPlot", " ", "=", " ", 
     RowBox[{"ListPlot", "[", 
      RowBox[{
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{"timePath", ",", "MPCPath"}], "}"}], "]"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cPathAfterMhoRise", "=", 
     RowBox[{"Show", "[", 
      RowBox[{"\[ScriptC]PathPlot", "\[IndentingNewLine]", ",", 
       RowBox[{"Ticks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{"4", ",", "\"\<0\>\""}], "}"}], "}"}], ",", "None"}], 
         "}"}]}], "\[IndentingNewLine]", ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<Time\>\"", ",", 
          "\"\<\!\(\*SubsuperscriptBox[\(\[ScriptC]\), \(\[ScriptT]\), \(e\)]\
\)\>\""}], "}"}]}], "\[IndentingNewLine]", ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "0"}], "}"}]}], "\[IndentingNewLine]", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "3"}], ",", "Automatic"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "Automatic"}], "}"}]}], "}"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ExportFigsToDir", "[", 
      RowBox[{"\"\<cPathAfterMhoRise\>\"", ",", "cssUSSavingDirFigs"}], "]"}],
      ";", "\[IndentingNewLine]", 
     RowBox[{"Show", "[", "cPathAfterMhoRise", "]"}]}], "\[IndentingNewLine]",
     "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mPathAfterMhoRise", "=", 
     RowBox[{"Show", "[", 
      RowBox[{"\[ScriptM]PathPlot", "\[IndentingNewLine]", ",", 
       RowBox[{"Ticks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{"4", ",", "\"\<0\>\""}], "}"}], "}"}], ",", "None"}], 
         "}"}]}], "\[IndentingNewLine]", ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<Time\>\"", ",", 
          "\"\<\!\(\*SubsuperscriptBox[\(\[ScriptM]\), \(\[ScriptT]\), \(e\)]\
\)\>\""}], "}"}]}], "\[IndentingNewLine]", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "3"}], ",", "HowMany"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "Automatic"}], "}"}]}], "}"}]}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "0"}], "}"}]}], "\[IndentingNewLine]", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "3"}], ",", "Automatic"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "Automatic"}], "}"}]}], "}"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ExportFigsToDir", "[", 
      RowBox[{"\"\<mPathAfterMhoRise\>\"", ",", "cssUSSavingDirFigs"}], "]"}],
      ";", "\[IndentingNewLine]", 
     RowBox[{"Show", "[", "mPathAfterMhoRise", "]"}]}], "\[IndentingNewLine]",
     "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MPCPathAfterMhoRise", "=", 
     RowBox[{"Show", "[", 
      RowBox[{"MPCPathPlot", "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Dashing", "[", 
           RowBox[{"{", "0.01", "}"}], "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"timePath", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "\[Kappa]"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"timePath", "[", 
                RowBox[{"[", 
                 RowBox[{"-", "1"}], "]"}], "]"}], ",", "\[Kappa]"}], "}"}]}],
             "}"}], "]"}]}], "}"}], "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\[UpArrow]\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"timePath", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "+", 
               RowBox[{"timePath", "[", 
                RowBox[{"[", 
                 RowBox[{"-", "1"}], "]"}], "]"}]}], ")"}], "/", "2"}], ",", 
            "\[Kappa]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<Perfect Foresight MPC\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"timePath", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "+", 
               RowBox[{"timePath", "[", 
                RowBox[{"[", 
                 RowBox[{"-", "1"}], "]"}], "]"}]}], ")"}], "/", "2"}], ",", 
            RowBox[{"\[Kappa]", 
             RowBox[{"(", 
              RowBox[{"4", "/", "5"}], ")"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Ticks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{"4", ",", "\"\<0\>\""}], "}"}], "}"}], ",", "None"}], 
         "}"}]}], "\[IndentingNewLine]", ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<Time\>\"", ",", 
          "\"\<\!\(\*SubscriptBox[\(\[Kappa]\), \(\[ScriptT]\)]\)\>\""}], 
         "}"}]}], "\[IndentingNewLine]", ",", 
       RowBox[{"PlotRange", "->", "All"}], "\[IndentingNewLine]", ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "0."}], "}"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ExportFigsToDir", "[", 
      RowBox[{"\"\<MPCPathAfterMhoRise\>\"", ",", "cssUSSavingDirFigs"}], 
      "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Show", "[", "MPCPathAfterMhoRise", "]"}]}], 
    "\[IndentingNewLine]", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ExportFigsToDir", "[", 
      RowBox[{
      "\"\<PhaseDiagramIncreaseMhoPlot\>\"", ",", "cssUSSavingDirFigs"}], 
      "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Show", "[", "PhaseDiagramIncreaseMhoPlot", "]"}]}], 
    "\[IndentingNewLine]", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"savRatePath", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[ScriptM]Path", "-", "1"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"R", "-", "1"}], ")"}]}], "+", "1", "-", "\[ScriptC]Path"}],
        ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[ScriptM]Path", "-", "1"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"R", "-", "1"}], ")"}]}], "+", "1"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"savRateAfterMhoRiseRaw", "=", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"savRatePath", ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"savRateAfterMhoRisePlot", "=", 
     RowBox[{"Show", "[", 
      RowBox[{"savRateAfterMhoRiseRaw", "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Dashing", "[", "0.01", "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"1", ",", 
               RowBox[{"savRatePath", "[", 
                RowBox[{"[", 
                 RowBox[{"-", "1"}], "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Length", "[", "savRatePath", "]"}], ",", 
               RowBox[{"savRatePath", "[", 
                RowBox[{"[", 
                 RowBox[{"-", "1"}], "]"}], "]"}]}], "}"}]}], "}"}], "]"}]}], 
         "}"}], "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Arrowheads", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", ".025"}], ",", ".025"}], "}"}], "]"}], ",", 
          RowBox[{"Arrow", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"5", ",", 
               RowBox[{"savRatePath", "[", 
                RowBox[{"[", 
                 RowBox[{"-", "1"}], "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"5", ",", 
               RowBox[{"savRatePath", "[", 
                RowBox[{"[", "5", "]"}], "]"}]}], "}"}]}], "}"}], "]"}]}], 
         "}"}], "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\< \[LongLeftArrow]  Overshooting\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"5", ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"savRatePath", "[", 
                RowBox[{"[", 
                 RowBox[{"-", "1"}], "]"}], "]"}], "+", 
               RowBox[{"savRatePath", "[", 
                RowBox[{"[", "5", "]"}], "]"}]}], ")"}], "/", "2"}]}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Ticks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{"5", ",", "\"\<t\>\""}], "}"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"savRatePath", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", 
              "\"\<\!\(\*SubscriptBox[OverscriptBox[\(\[ScriptS]\), \
\(\[Hacek]\)], \(t\)]\)\>\""}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"savRatePath", "[", 
               RowBox[{"[", 
                RowBox[{"-", "1"}], "]"}], "]"}], ",", 
              "\"\<\!\(\*SubsuperscriptBox[OverscriptBox[\(\[ScriptS]\), \(\
\[Hacek]\)], \(t\), \('\)]\)\>\""}], "}"}]}], "}"}]}], "}"}]}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<Time\>\"", ",", 
          "\"\<\!\(\*SubscriptBox[\(\[ScriptS]\), \(t\)]\)\>\""}], "}"}]}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"BaseStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ExportFigsToDir", "[", 
     RowBox[{"\"\<savRateAfterMhoRisePlot\>\"", ",", "cssUSSavingDirFigs"}], 
     "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[{{{}, 
    {GrayLevel[0], PointBox[CompressedData["
1:eJxdy38s1HEcx/HTSirqGPktJJOuOz+Sn3Wv8zOOc+5qfky/SMn8/lXS6tSa
Fk1GY1EbihlKG/5Qkz8KhUi70BRTnR8h+c2iH+v7/qO+22ffPT7Pz8skLE4S
sY7FYol+nz//v980P6LiVY+ffhWfucC/VvnP7P+sCffKEuWFmdeMdcAObmys
siEbQGQ06JBwrZOxMRYGnSo4Yx2MTVGzzezsplCyGbZmpp+MGWhnbA6/01p2
05FkC2zZ22J4mEW2xNY4q5XLJa8Yc2CrdDrkgpDMBa/LMChi9SVjK+wO3quZ
3kC2xuQ23pPNqWQb2HfJllOcybb4PJvXzlUm70NiraCoXt7G2A6V/U13CyrJ
+1GaoxkZk0G2R8H828f9oWQHNB3g8q87kx3BS30+wTEkO0E7M6nvihLZGe9e
mJUJR1sZu2C6WtgmekM+gPAxF5Xgp+SDyL23OOxcSeaDMys16SwgA7fN5VGK
TMYyION4seJUGnUBZP5chUU0dQF0k8cLtU5Qd8VSkUMr+wh1V+TdzM1fJ6Tu
BiNemZdcQN0NN3aOaqc4UneH8vYdrG5r6u5Qi95xW25J3QP5joVDqWbUPZCe
JuWXG1H3RPxaqWugLnVPGOeW51/SpO6F7ISdg+ps6l6oMa2p26hK/RCq9ijS
A1WoH8Jw0oPQ5fXUvdG8q4erUKLujWf1HVHaP1uY7gPzbr5+5g/GMh8Ml9t3
81aoC2EQfjJPdYm6EO8TAj/oLFD3RfKG4SzxHHVfxF7R6n80Q90PYdVOUtvv
1P0w7x8r7/1GXQTzgRHZnSnqImiM9Tacn6Tuj2y1NxrxE9T9wal4GHHpK3Ux
7gdP1ZaMM4YYGeqJpn1j9F4MT7cStjG5WYzyxaGFc6O0D0DBYkjixxHaB+CY
gRpfQpYFYPyMnl2PgvYBUNUP8jxKZklw56r6xZkvtJegsW517hZZJgGnLeyT
PblZgtaqsCzFZ9pLkdAbIygmQwrDor7IILJMisK1nES93/4F7mJwTg==
      "]]}, {}}, 
   {Dashing[0.01], 
    LineBox[{{1, 0.17883616060133956`}, {78, 0.17883616060133956`}}]}, 
   {Arrowheads[{-0.025, 0.025}], 
    ArrowBox[{{5, 0.17883616060133956`}, {5, 0.24178958247950721`}}]}, 
   InsetBox["\<\" \[LongLeftArrow]  Overshooting\"\>", \
{5, 0.21031287154042339`}, {-1, 0}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubscriptBox[\\(\[ScriptS]\\), \\(t\\)]\\)\"", 
     TraditionalForm]},
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 18},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{5, 
      FormBox["\"t\"", TraditionalForm]}}, {{0.052942687970541503`, 
      FormBox[
      "\"\\!\\(\\*SubscriptBox[OverscriptBox[\\(\[ScriptS]\\), \
\\(\[Hacek]\\)], \\(t\\)]\\)\"", TraditionalForm]}, {0.17883616060133956`, 
      FormBox[
      "\"\\!\\(\\*SubsuperscriptBox[OverscriptBox[\\(\[ScriptS]\\), \\(\
\[Hacek]\\)], \\(t\\), \\('\\)]\\)\"", TraditionalForm]}}}]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Code/Models/Tractable/EqbmPartial/Mathematica/Examples/\
cssUSSaving/Figures/savRateAfterMhoRisePlot.pdf\"\>"], "Print"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  
  RowBox[{"(*", " ", 
   RowBox[{"Wealth", " ", "shock"}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Get", "[", 
     RowBox[{"CoreCodeDir", "<>", "\"\</ParametersBase.m\>\""}], "]"}], ";"}],
    "\n", 
   RowBox[{
    RowBox[{"\[ScriptM]Max", "=", 
     RowBox[{"1.5", " ", "\[ScriptM]E"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"\[ScriptM]MaxMax", "=", 
     RowBox[{"5", " ", "\[ScriptM]E"}]}], ";"}], "\n", 
   RowBox[{"FindStableArm", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cFuncPlotBase", "=", 
     RowBox[{"cFuncPlot", "=", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"cE", "[", "\[ScriptM]", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}]}], 
       "]"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"Stable\[ScriptM]LocusPlot", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[ScriptM]EDelEqZero", "[", "\[ScriptM]", "]"}], "}"}], ",", 
       
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", 
         RowBox[{"-", "0.2"}], ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"Thickness", "[", "0.002", "]"}]}], "}"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"WealthShockSize", "=", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SimGeneratePath", "[", 
     RowBox[{
      RowBox[{"\[ScriptM]E", "-", "WealthShockSize"}], ",", "30"}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[ScriptM]MinNew", ",", "\[ScriptM]MaxNew"}], "}"}], "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "20"}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[ScriptC]MinNew", ",", "\[ScriptC]MaxNew"}], "}"}], "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "2.`"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[ScriptM]\[ScriptC]PathPlot", " ", "=", " ", 
     RowBox[{"ListPlot", "[", 
      RowBox[{
       RowBox[{"Take", "[", 
        RowBox[{"\[ScriptM]\[ScriptC]Path", ",", 
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Length", "[", "\[ScriptM]\[ScriptC]Path", "]"}], "-", 
            "1"}], ")"}]}]}], "]"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Red", ",", 
          RowBox[{"PointSize", "[", "Medium", "]"}]}], "}"}]}]}], "]"}]}], 
    ";", 
    RowBox[{"WealthShock", "=", 
     RowBox[{"Show", "[", 
      RowBox[{
      "cFuncPlotBase", ",", "Stable\[ScriptM]LocusPlot", ",", 
       "\[ScriptM]\[ScriptC]PathPlot", "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{
         "\"\<\\!\\(\\*SubsuperscriptBox[\\(\[CapitalDelta]\[ScriptM]\\), \\(\
\[ScriptT] + 1\\), \\(e\\)]\\)= 0 \[LowerRightArrow]\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[ScriptM]E", "/", "3"}], ",", 
            RowBox[{"\[ScriptM]EDelEqZero", "[", 
             RowBox[{"\[ScriptM]E", "/", "3"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", 
            RowBox[{"-", "1"}]}], "}"}]}], "]"}], "]"}], "\n", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\[ScriptC](\[ScriptM])\[LongRightArrow]\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"0.1`", " ", "\[ScriptM]E"}], ",", 
            RowBox[{"0.45`", " ", "\[ScriptC]E"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[ScriptM]E", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[ScriptM]E", ",", "\[ScriptC]E"}], "}"}]}], "}"}], 
         "]"}], "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[ScriptM]E", "-", "2"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[ScriptM]E", "-", "2"}], ",", 
             RowBox[{"cE", "[", 
              RowBox[{"\[ScriptM]E", "-", "2"}], "]"}]}], "}"}]}], "}"}], 
         "]"}], "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[ScriptM]E", ",", 
             RowBox[{"\[ScriptC]E", "/", "2"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[ScriptM]E", "-", "2"}], ",", 
             RowBox[{"\[ScriptC]E", "/", "2"}]}], "}"}]}], "}"}], "]"}], 
        "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{
         "\"\<\!\(\*SubscriptBox[\(\[ScriptC]\), \(t\)]\) \[LongRightArrow]\>\
\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[ScriptM]E", "-", "2"}], ",", 
            RowBox[{"cE", "[", 
             RowBox[{"\[ScriptM]E", "-", "2"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{
         "\"\< \[LongLeftArrow] \!\(\*SubscriptBox[\(\[ScriptC]\), \(t + 1\)]\
\)\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[ScriptM]E", "-", "2", "+", "0.22"}], ",", 
            RowBox[{"cE", "[", 
             RowBox[{"\[ScriptM]E", "-", "2", "+", "0.22"}], "]"}]}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<Wealth Shock\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[ScriptM]E", "-", "1"}], ",", 
            RowBox[{"\[ScriptC]E", "/", "2"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"-", "1"}]}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\< \[UpperLeftArrow] Target\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"\[ScriptM]E", ",", "\[ScriptC]E"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\[ScriptC](\[ScriptM])\[LongRightArrow]\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"0.1`", " ", "\[ScriptM]E"}], ",", 
            RowBox[{"0.45`", " ", "\[ScriptC]E"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"PointSize", "[", "Medium", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{"\[ScriptM]E", ",", "\[ScriptC]E"}], "}"}], "]"}]}], 
         "}"}], "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"Ticks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
             "\[ScriptM]E", ",", 
              "\"\<\!\(\*SubscriptBox[OverscriptBox[\(\[ScriptM]\), \
\(\[Hacek]\)], \(\\\ \)]\)\>\""}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"\[ScriptM]E", "-", "2"}], ",", 
              "\"\<\!\(\*SubscriptBox[\(\[ScriptM]\), \(t\)]\)\>\""}], 
             "}"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{
            "\[ScriptC]E", ",", 
             "\"\<\!\(\*OverscriptBox[\(\[ScriptC]\), \(\[Hacek]\)]\)\>\""}], 
            "}"}], "}"}]}], "}"}]}], "\[IndentingNewLine]", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"\[ScriptM]MinNew", ",", 
            RowBox[{"\[ScriptM]E", "+", "1"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[ScriptC]MinNew", ",", 
            RowBox[{"\[ScriptC]E", "+", ".2"}]}], "}"}]}], "}"}]}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<\[ScriptM]\>\"", ",", "\"\<\[ScriptC]\>\""}], "}"}]}]}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ExportFigsToDir", "[", 
     RowBox[{"\"\<WealthShock\>\"", ",", "cssUSSavingDirFigs"}], "]"}], ";"}],
    "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwV0Hk81AkfwPFxzShFyTFN5CrHlDCaHLP1/aqQa3OmVq4WW6ktT0+s3ZzP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      "]]}}, {{}, {}, 
    {GrayLevel[0], Thickness[0.002], LineBox[CompressedData["
1:eJwVx3k4lAkcwHFH5aFy5L7GmWPczAzmxe+3ViZJmC1WqS07tkvUPmr1ZNoO
SiUmdIxp0mHTVo8obYmMVs6tzbYdKibToRK9M2bMjDex7R/f5/t8XDJyuJl6
Ojo6CV/7/1mv3g1WCLslk2jGPWdGgv1Znw/rC7okH0eFm5PNSehZk6OIyumU
vKh0LZ22IMFLptb9ENMuaVSF3FthQ8KblzPdIuWtkq0XUmItnEj44xanp+dw
nYQ0Ocku9CUhKxH9Kqyvgkzq4baWQ8KIjcX+ir7H0JEfoaLzSWBumJs8fW0U
ru+im7YoSMgTyEoPn9IAl1byZ3yAHLbL4r8csNfB6plT/jU8Och6rY4bt89A
w+TE74tOyaEoxV82QjPETXmutcWP5LD86vXSOU/m4lv9p61WJgoYSB+HCsIM
b5zYU1i6UAGXfVimiTxzPGBYt81npwKOvK0tu9hkidnSFveEmwo4OpwwGvzR
GrmlidNHPilgdXvbukYTOzwS9/RQu9sYfHNoy7HBDAd8vRYf71z51ScXnGSU
0JCZ4RO/onwMfO95XbTIdUZhq4Z/+/4Y2DErrUpELpjm1ZRhbKCEE2000vGK
K9pk6eTuiVDCGY7EeeqZGw6be0bnb1MCW/Fzi0rujk3HH0QILythlSD6OuHk
gVW/pqmId0rIrOQ36y70ROnm5yvvO6tgsvuvAGm6FzpGDSh3p6iARjInjQ54
Y3bOndhmgQoehF9jLDlDR0m+Z4dtpwp4pIhv2uCDG8sLNJmTKiioPO3kJvVF
unHb21DWOIRsvOm3WOWH73l7dfyyxmFT0EhFu0sANjrN76s5Pw6x9QtmvXQP
xKHXt9eYDY6DuJ+WN1QbiPMK+qxPWaqhUW+f1bGYIEwqenSwLlEN4ib1cFJv
EJas49KHCtWg9BZz4tOC0ZPbucOoSQ3G5f/0jo4G479VjgcbVGpQlJgIRHkh
uLN7/O5uugaEhS92KIwZGJF6pfkRTwOGJvViroiBVOvw4CKRBj4mNHOU7kyc
x3C8caVXA+X7l9EibjExanbQokojLegt1dIFC1i4vqXD8AJqIdTem1fcz8Ka
x5H7iB1akB4vnd+1ORRRfanhdoMWFtdMO5h8DsW+MZHJj8Na2FX/BacEYVjw
3SbPEvcJyF8yU6R1CEd/QevG/uUT8OF0ND/4fDgynhhl2AomwOHT3GILgo0J
u1iW/d0TYP33q17dDjZmznqjujM9AUv2yj2yu9hYIfCuuqpDQUHYVP7zHjbe
tcuJO6dLgfysrfe1B2x0DaDEBfoUdP2StJv3jI3SVFMOx4CCPJeWoM4RNqb8
HiG8Z0xBX66wrNicwNjFRyOfOlJgTK95r7UkMPfJ83edNApiXjZEZdoQWL3a
ueymEwV1cb3DkY4E6m29NCR0oaCIZvAt6UFgi/hOafp8CsK6cpXJbAJZ5KhM
5ktBNn9PXEsEgZnbQ4of+lFQHSyoogOBFfrbWW3+FJiKL8XrxxA4Zj3jUHUg
Be+3vDrXkEBgLdox1jIooHnKJ5yTCBzo+UGayqRgaf+XxMNcAucs+61oIYuC
1ljbycxUAjesDxzwDqNA/dmD+zCNQKFy6367cAp86xkXotIJ7OI3Bc1mU5Dx
U/TUxVUEagx0+z9/9Qn7pKXWawj0KIvdN0JQ8B+WRk0H
      "]]}}, {{}, 
    {RGBColor[1, 0, 0], PointSize[Medium], PointBox[CompressedData["
1:eJwBAQL+/SFib1JlAgAAAB8AAAACAAAACpg1yYvOC0C5GZFLDrHrP0vEyB4j
Zw1AUOVMrl+N7D84cgkCb9EOQNLb5YOiS+0/0GnAMP4JEEC2sGYnW/HtP77X
W/0LmhBADNlS066C7j9AdOwtEBsRQL+zWlHSAu8/XH2Hyd6OEUA9cBJrT3Tv
P89LwToE9xFAeHjDcjLZ7z+04Mua01QSQJiO2Z6UGfA/TlCYX3GpEkBow85w
zEHwPyKV8ITb9RJAKwEBsNZl8D/YFpzn7zoTQFKKXpoyhvA/tnvvTXF5E0BM
UFUETaPwP2znInMLshNA4NS7rYO98D8S8NtRVuUTQEOLn9kn1fA/dyiU2dgT
FEBd0zpagOrwP/z/+y4LPhRA1dzLM8v98D95h2CPWGQUQGnNOe8+D/E/UIZQ
6SCHFEDhGbmuCx/xPyUjiDi6phRAnMHoEVwt8T+Wxw+wccMUQH73hvNVOvE/
sqoou4zdFEDZHG8IG0bxP+ty39tJ9RRAuGPMZclQ8T8SrcRs4QoVQExEG/N7
WvE/4vQ/SoYeFUDR6pbLSmPxP3n8IWdmMBVA0c3vkUtr8T9W8HRPq0AVQJ6B
lbiRcvE/jp4HnHpPFUCzEGzALnnxP2iXxlj2XBVAkE9sbzJ/8T9scaFfPWkV
QIa+aACrhPE/8Rl1qWt0FUCQHflMpYnxP9Fm7Vs=
      "]]}, {}}, 
   InsetBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalDelta]\[ScriptM]\\), \
\\(\[ScriptT] + 1\\), \\(e\\)]\\)= 0 \[LowerRightArrow]\"\>", \
{1.8252841860288163`, 1.0200110377350988`}, {1, -1}], 
   InsetBox["\<\"\[ScriptC](\[ScriptM])\[LongRightArrow]\"\>", \
{0.5475852558086449, 0.49883760670420246`}, {-1, 0}], 
   LineBox[{{5.475852558086449, 0}, {5.475852558086449, 
     1.1085280148982277`}}], 
   LineBox[{{3.4758525580864488`, 0}, {3.4758525580864488`, 
     0.865363261786846}}], 
   ArrowBox[{{5.475852558086449, 0.5542640074491139}, {3.4758525580864488`, 
    0.5542640074491139}}], 
   InsetBox["\<\"\\!\\(\\*SubscriptBox[\\(\[ScriptC]\\), \\(t\\)]\\) \
\[LongRightArrow]\"\>", {3.4758525580864488`, 0.865363261786846}, {1, 0}], 
   InsetBox["\<\" \[LongLeftArrow] \\!\\(\\*SubscriptBox[\\(\[ScriptC]\\), \
\\(t + 1\\)]\\)\"\>", {3.695852558086449, 0.8949767331529382}, {-1, 0}], 
   InsetBox["\<\"Wealth Shock\"\>", {4.475852558086449, 0.5542640074491139}, \
{0, -1}], 
   InsetBox["\<\" \[UpperLeftArrow] Target\"\>", \
{5.475852558086449, 1.1085280148982277`}, {-1, 1}], 
   InsetBox["\<\"\[ScriptC](\[ScriptM])\[LongRightArrow]\"\>", \
{0.5475852558086449, 0.49883760670420246`}, {-1, 0}], 
   {GrayLevel[0], PointSize[Medium], 
    PointBox[{5.475852558086449, 1.1085280148982277`}]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"\[ScriptM]\"", TraditionalForm], 
    FormBox["\"\[ScriptC]\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0, 6.475852558086449}, {0, 1.3085280148982277`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->{{{5.475852558086449, 
      FormBox[
      "\"\\!\\(\\*SubscriptBox[OverscriptBox[\\(\[ScriptM]\\), \
\\(\[Hacek]\\)], \\(\\\\ \\)]\\)\"", TraditionalForm]}, {
     3.4758525580864488`, 
      FormBox[
      "\"\\!\\(\\*SubscriptBox[\\(\[ScriptM]\\), \\(t\\)]\\)\"", 
       TraditionalForm]}}, {{1.1085280148982277`, 
      FormBox[
      "\"\\!\\(\\*OverscriptBox[\\(\[ScriptC]\\), \\(\[Hacek]\\)]\\)\"", 
       TraditionalForm]}}}]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Code/Models/Tractable/EqbmPartial/Mathematica/Examples/\
cssUSSaving/Figures/WealthShock.pdf\"\>"], "Print"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  
  RowBox[{"(*", " ", 
   RowBox[{
   "Increase", " ", "in", " ", "natural", " ", "borrowing", " ", "limit"}], 
   " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Get", "[", 
     RowBox[{"CoreCodeDir", "<>", "\"\</ParametersBase.m\>\""}], "]"}], ";", 
    RowBox[{"\[GothicG]", "   ", "=", 
     RowBox[{"\[GothicG]Base", "   ", "=", "0.01"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[ScriptC]EBase", ",", "\[ScriptM]EBase", ",", "\[Kappa]EBase"}], 
      "}"}], " ", "=", " ", 
     RowBox[{"a", 
      RowBox[{"{", 
       RowBox[{"\[ScriptC]E", ",", "\[ScriptM]E", ",", "\[Kappa]E"}], 
       "}"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[ScriptM]Max", "=", 
     RowBox[{"1.5", " ", "\[ScriptM]E"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"\[ScriptM]MaxMax", "=", 
     RowBox[{"5", " ", "\[ScriptM]E"}]}], ";"}], "\n", 
   RowBox[{"FindStableArm", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Kappa]EBase", " ", "=", " ", 
     RowBox[{"\[Kappa]E", " ", "//", "N"}]}], ";", 
    RowBox[{"\[ScriptC]EBase", " ", "=", " ", 
     RowBox[{"\[ScriptC]E", " ", "//", "N"}]}], ";", 
    RowBox[{"\[ScriptM]EOrig", "=", 
     RowBox[{"\[ScriptM]EBase", " ", "//", "N"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DebtLimPDV", "=", 
     RowBox[{"0.2", "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", "R", ")"}], "-", "\[GothicCapitalG]"}], ")"}]}]}], ";", 
    RowBox[{"Stable\[ScriptM]LocusPlot", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[ScriptM]EDelEqZero", "[", "\[ScriptM]", "]"}], "}"}], ",", 
       
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", 
         RowBox[{"-", "DebtLimPDV"}], ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"Thickness", "[", "0.002", "]"}]}], "}"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"StableArmStyle", "=", 
     RowBox[{"{", 
      RowBox[{"Black", ",", "Thick"}], "}"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Allows", " ", "for", " ", "different", " ", "style", " ", "than", " ", 
     "in", " ", "TractableBufferStock", " ", "handout"}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[ScriptM]MinNew", ",", "\[ScriptM]MaxNew"}], "}"}], "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "20"}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[ScriptC]MinNew", ",", "\[ScriptC]MaxNew"}], "}"}], "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "2.`"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[ScriptC]LowerPlot", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"cE", "[", "\[ScriptM]", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]Max"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Dashing", "[", 
         RowBox[{"{", ".01", "}"}], "]"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cEPFPlot", " ", "=", " ", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"cEPF", "[", "\[ScriptM]", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Dashing", "[", 
         RowBox[{"{", ".02", "}"}], "]"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Degree45", " ", "=", " ", 
     RowBox[{"Plot", "[", 
      RowBox[{"\[ScriptM]", ",", 
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", "0", ",", 
         RowBox[{"cE", "[", "\[ScriptM]MaxMax", "]"}]}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Dashing", "[", 
         RowBox[{"{", ".01", "}"}], "]"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cFuncPlotBase", "=", 
     RowBox[{"cFuncPlot", "=", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"cE", "[", "\[ScriptM]", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}], 
        ",", 
        RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cFunc", "=", 
     RowBox[{"Show", "[", 
      RowBox[{
      "cFuncPlotBase", ",", "Stable\[ScriptM]LocusPlot", 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\[UpperLeftArrow] Sustainable \[ScriptC]\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"0.6`", " ", "\[ScriptM]E"}], ",", 
            RowBox[{"0.9`", " ", "\[ScriptC]E"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\[ScriptC](\[ScriptM])\[LongRightArrow]\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"0.1`", " ", "\[ScriptM]E"}], ",", 
            RowBox[{"0.45`", " ", "\[ScriptC]E"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.002", "]"}], ",", 
          RowBox[{"Dashing", "[", 
           RowBox[{"{", "0.02", "}"}], "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"\[ScriptM]E", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"\[ScriptM]E", ",", "\[ScriptC]E"}], "}"}]}], "}"}], 
           "]"}]}], "}"}], "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.002", "]"}], ",", 
          RowBox[{"Dashing", "[", 
           RowBox[{"{", "0.02", "}"}], "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "\[ScriptC]E"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"\[ScriptM]E", ",", "\[ScriptC]E"}], "}"}]}], "}"}], 
           "]"}]}], "}"}], "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\< \[UpperLeftArrow] Target\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"\[ScriptM]E", ",", "\[ScriptC]E"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\[ScriptC](\[ScriptM])\[LongRightArrow]\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"0.1`", " ", "\[ScriptM]E"}], ",", 
            RowBox[{"0.45`", " ", "\[ScriptC]E"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"PointSize", "[", "Medium", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{"\[ScriptM]E", ",", "\[ScriptC]E"}], "}"}], "]"}]}], 
         "}"}], "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"Ticks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{
            "\[ScriptM]E", ",", 
             "\"\<\!\(\*SubscriptBox[OverscriptBox[\(\[ScriptM]\), \(\[Hacek]\
\)], \(\\\ \)]\)\>\""}], "}"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{
            "\[ScriptC]E", ",", 
             "\"\<\!\(\*OverscriptBox[\(\[ScriptC]\), \(\[Hacek]\)]\)\>\""}], 
            "}"}], "}"}]}], "}"}]}], "\[IndentingNewLine]", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"\[ScriptM]MinNew", ",", 
            RowBox[{"\[ScriptM]E", "+", "1"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[ScriptC]MinNew", ",", 
            RowBox[{"\[ScriptC]E", "+", ".2"}]}], "}"}]}], "}"}]}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<\[ScriptM]\>\"", ",", "\"\<\[ScriptC]\>\""}], "}"}]}]}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", 
     RowBox[{"CoreCodeDir", "<>", "\"\</ParametersBase.m\>\""}], "]"}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Restore", " ", "the", " ", "baseline", " ", "parameter", " ", "values", 
     " ", "and", " ", "solve", " ", "again"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", " ", 
      RowBox[{
      "r", " ", ",", "\[CurlyTheta]", " ", ",", "\[GothicG]", ",", "\[Mho]"}],
       "}"}], "=", 
     RowBox[{"{", 
      RowBox[{
      "rBase", ",", "\[CurlyTheta]Base", ",", "\[GothicG]Base", ",", 
       "\[Mho]Base"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[ScriptM]Max", "=", 
     RowBox[{"1.5", " ", "\[ScriptM]E"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"\[ScriptM]MaxMax", "=", 
     RowBox[{"5", " ", "\[ScriptM]E"}]}], ";"}], "\n", 
   RowBox[{"FindStableArm", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Kappa]EBase", " ", "=", " ", 
     RowBox[{"\[Kappa]E", " ", "//", "N"}]}], ";", 
    RowBox[{"\[ScriptC]EBase", " ", "=", " ", 
     RowBox[{"\[ScriptC]E", " ", "//", "N"}]}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"cFuncPlotBasePoints", "=", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"#", ",", 
           RowBox[{"cE", "[", "#", "]"}]}], "}"}], "}"}], "&"}], ",", 
       RowBox[{"Table", "[", 
        RowBox[{"\[ScriptM]", ",", 
         RowBox[{"{", 
          RowBox[{
          "\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax", ",", "0.01"}], 
          "}"}]}], "]"}]}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"cFuncPlotBase", "=", 
     RowBox[{"cFuncPlot", "=", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"cE", "[", "\[ScriptM]", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}], 
        ",", 
        RowBox[{"PlotStyle", "\[Rule]", "StableArmStyle"}]}], "]"}]}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"Stable\[ScriptM]LocusPlot", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[ScriptM]EDelEqZero", "[", "\[ScriptM]", "]"}], "}"}], ",", 
       
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", 
         RowBox[{"-", "5"}], ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Dashing", "[", 
         RowBox[{"{", "0.01`", "}"}], "]"}]}]}], "]"}]}], ";"}], "\n", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "Now", " ", "suppose", " ", "that", " ", "there", " ", "is", " ", "an", 
      " ", "exogenous", " ", "perfectly", " ", "certain", " ", "increase", 
      " ", "to", " ", "permanent", " ", "income", " ", "by", " ", "the", " ", 
      "amount", " ", "0.2", " ", "per", " ", "year"}], " ", "-", " ", 
     RowBox[{
     "think", " ", "of", " ", "it", " ", "as", " ", "a", " ", "government", 
      " ", "transfer", " ", "received", " ", "by", " ", "everyone", " ", "in",
       " ", "the", " ", "population", " ", 
      RowBox[{"(", 
       RowBox[{
       "this", " ", "is", " ", "equivalent", " ", "to", " ", "but", " ", 
        "more", " ", "transparent", " ", "than", " ", "introducing", " ", 
        "unemployment", " ", "insurance"}], ")"}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DebtLimPDV", "=", 
     RowBox[{"0.2", "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", "R", ")"}], "-", "\[GothicCapitalG]"}], ")"}]}]}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"cEwithNewDebtLim", "[", "m_", "]"}], ":=", " ", 
     RowBox[{"cEInterp", "[", 
      RowBox[{"m", "+", "DebtLimPDV"}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"SimGeneratePathUsing", "[", 
     RowBox[{"cEwithNewDebtLim", ",", "\[ScriptM]E", ",", "100"}], "]"}], 
    ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cFuncPlotNew", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"cEwithNewDebtLim", "[", "\[ScriptM]", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", 
         RowBox[{"-", "DebtLimPDV"}], ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "StableArmStyle"}]}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"\[ScriptM]\[ScriptC]PathPlot", " ", "=", " ", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"\[ScriptM]\[ScriptC]Path", ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"PointSize", "[", "0.015", "]"}], "}"}]}]}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[ScriptM]MinNew", ",", "\[ScriptM]MaxNew"}], "}"}], "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "20"}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[ScriptC]MinNew", ",", "\[ScriptC]MaxNew"}], "}"}], "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "2.`"}], "}"}]}], ";", 
    RowBox[{"TractableBufferStockTarget", "=", 
     RowBox[{"Show", "[", 
      RowBox[{"cFuncPlotBase", ",", "Stable\[ScriptM]LocusPlot", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<Perm Inc \[LongRightArrow]\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"0.6`", " ", "\[ScriptM]E"}], ",", 
            RowBox[{"0.98`", " ", "\[ScriptC]E"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\[LongLeftArrow] \[ScriptC](\[ScriptM])\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"0.9`", " ", "\[ScriptM]E"}], ",", 
            RowBox[{"0.85`", " ", "\[ScriptC]E"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
       RowBox[{"Ticks", "\[Rule]", "None"}], "\[IndentingNewLine]", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"\[ScriptM]MinNew", ",", 
            RowBox[{"\[ScriptM]E", "+", "1"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[ScriptC]MinNew", ",", 
            RowBox[{"\[ScriptC]E", "+", "rBase"}]}], "}"}]}], "}"}]}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<\[ScriptM]\>\"", ",", "\"\<\[ScriptC]\>\""}], "}"}]}]}],
       "]"}]}], ";"}], "\n", "\n", 
   RowBox[{
    RowBox[{"PhaseDiagramDebtLimRisePlot", "=", 
     RowBox[{"Show", "[", 
      RowBox[{
      "cFuncPlotNew", ",", "cFuncPlotBase", ",", 
       "\[ScriptM]\[ScriptC]PathPlot", ",", "Stable\[ScriptM]LocusPlot", 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\[UpperLeftArrow] Orig Target \>\"", ",", 
          RowBox[{"{", 
           RowBox[{"\[ScriptM]EBase", ",", 
            RowBox[{"0.98`", " ", "\[ScriptC]EBase"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{
         "\"\<\[LongLeftArrow] \[CapitalDelta] \!\(\*SubsuperscriptBox[\(\
\[ScriptM]\), \(t + 1\), \(e\)]\) = 0\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"2", "\[ScriptM]EBase"}], ",", 
            RowBox[{"\[ScriptM]EDelEqZero", "[", 
             RowBox[{"2", "\[ScriptM]EBase"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{
         "\"\< \[LongLeftArrow] Orig \[ScriptC](\[ScriptM]) \>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"1.35`", " ", "\[ScriptM]EBase"}], ",", 
            RowBox[{"1.2`", " ", "\[ScriptC]EBase"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{
         "\"\<  New \[ScriptC](\[ScriptM]) \[LongRightArrow] \>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[ScriptM]EBase", "+", "1"}], ",", 
            RowBox[{"cEwithNewDebtLim", "[", 
             RowBox[{"\[ScriptM]EBase", "+", "1"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "DebtLimPDV"}], ",", "\[ScriptM]MaxNew"}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"\[ScriptC]MinNew", ",", "\[ScriptC]MaxNew"}], "}"}]}], 
         "}"}]}], "\[IndentingNewLine]", ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<\[ScriptM]\>\"", ",", "\"\<\[ScriptC]\>\""}], "}"}]}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Ticks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "DebtLimPDV"}], ",", 
              "\"\<-\!\(\*UnderscriptBox[\(\[ScriptH]\), \(_\)]\)\>\""}], 
             "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "\"\<0.\>\""}], "}"}]}], "}"}], ",", "None"}], 
         "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ExportFigsToDir", "[", 
     RowBox[{
     "\"\<PhaseDiagramDebtLimRisePlot\>\"", ",", "cssUSSavingDirFigs"}], 
     "]"}], ";"}], "\n"}]}]], "Input",
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {GrayLevel[0], Thickness[Large], LineBox[CompressedData["
1:eJwVjHk01Hsfx5lGwy97mEayr2Wba2zzk++nhyw1oTKeEekmS1yhlKWrxOl2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      "]]}}, {{}, {}, 
    {GrayLevel[0], Thickness[Large], LineBox[CompressedData["
1:eJwV0Hk81AkfwPFxzShFyTFN5CrHlDCaHLP1/aqQa3OmVq4WW6ktT0+s3ZzP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      "]]}}, {{}, 
    {Hue[0.67, 0.6, 0.6], PointSize[0.015], PointBox[CompressedData["
1:eJw10WlQk2cQAOBw5PsMSBGBoECKiloUFaWgCNqNIBQ6IgWqnMYREGJtCdW2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      "]]}, {}}, {{}, {}, 
    {Hue[0.67, 0.6, 0.6], Dashing[{0.01}], LineBox[CompressedData["
1:eJwVi2s0lAkYgId1q9WEIaPcL1MuE2bMxHyb921SSyWZmppKRKTo4lLRHqu2
C/bsyZZmtdm2hFymFJHVFD7dtjAH3ahT0jnZtDMYxpiZr122/fGc5zw/HreE
/aIkYxqNFvmF/02crHo2M8Mg56ojcwMkSlhTKD/zXPulA4eyvbcoIfacIqpG
ySDpGTmZ7jFKOFqj6RT1Mcg5k7JdttuV8EABD65cZ5CWevP1+uQv/7z+xtXb
GKQF7d5CMksJMVUWxefkNqSxFb836pwScp7slvgftCa1/s6e+18qgWy9H70s
eQ5Z8i1PuCZOBenWLtZVyyxI5Z3iPPt3KvCJO71niPcVOXqr2DI+ZgREpa9b
1x7+3FaX/3Z2xIcRcOtJed+/bLzNuWmfv8uOUdA6RHRWt/S3rb67suusahS2
Bu2mR7Y8Bd/wFlle5hg0esVTtpUj0BSQeyN5fAysisby5b0GOKoXFmu+UYPc
TeVzc7Yx/mOmSpblqCHpSMfB6zbmuE6SuMX1jhqehCz1XlhgiSfsaD8OTauh
fKd7HL3HCulG7R1uoePQGqve9mcRA7MkV8Jrj42DeHMDXRo+D+UTko+6h+OQ
RWLApW4miu4Enr9tMgFTYmberlMLsGOMnd8RPgFGEvmaNEdn/FUUVSAqmICg
sGceC9JdcaWb9KG3YgIq3y6n8hVu2MWp9iCtNBBb6zBLauOBNRnvpYooDayQ
2nJmMjwxyTlU6CPVQFr9gbOz7nphlr7NePqZBl5HdSt+n2Zhgp31h9M2k5Bp
GuV+JmYRsi+eNMrcOAnR49wbHuXeuFbswun6ZRK2TS7daGfqi2uz31w88HoS
qrKFL09v98NFA7v83jhpYQn3WuHVCjZuypivkMdoQWtCxHuZ+OPOjLGa4VIt
fJ9nz3dhBWBH6afzpwa14NJJr1Y/CsBZNg2ycecpkPzGrEo/GIissUu6ioQp
aDQTC4VMDpZQ9Zu6L09B1b/lKfcec3Ak/aMm/K8paPnZy79oLxeL7YXlISwd
ZCR4DrLmBqEDbU/mp0QdtJI859TWIPxuw+0jw9U6YMsP66fjecjp870UO6wD
LvTECRl87HjYTnmw9dBvUtGwqp2PAh0rqzpND6VJsvKyHUuQtqnerOKGHmai
77vKGMFY6R73dFSjhx9e0QVGzcFY5sipr+MaoOxyHzhtDsFDm5/XBWYYYIv2
5tNhcwH6GpeojJoMwPtAGplcFSDv1QkiQmsAVqFJ1JtaAQaur328Y8oA84LD
LzTWCdBP8UKcqzOA7qduflKTAD3bWWkNBgPc5g6kPmoXoE3N4wqnaQMsPf75
RUG/ANXZlvQJMwpWuPNlc8wIlDGlgyVMCvhdh3VDFgRWFt3de8uBAtahlrDW
rwkssxyiuudTYN4R9m6fNYHnaXw7UycKnqSvt+1xJLBguC9ivxsFke1puUVc
ApOaFzQs96EgNLWxM4VPYDwnDGN9KVhsp2cuDyEw5toeRbYfBXN3H2nQhBK4
obTlY+1iCnqtCoc3rCJQWBDnyORScE/ey2NHEhhqXFDDCaLgZqLdcdN1BApy
6viRPArONl9wahITGJhmFH1sCQUnEgZTCiUEsv/2HrgQTMEBS8/mnVsJXJQo
Sv0jhILEpmRTiCXQc+A7fa+AAvH2qyL7eAJdJeUnVQQF/wEY1D5U
      "]]}}, 
   InsetBox["\<\"\[UpperLeftArrow] Orig Target \"\>", \
{5.475852558086449, 1.0863574546002632`}, {-1, 1}], 
   InsetBox["\<\"\[LongLeftArrow] \[CapitalDelta] \\!\\(\\*SubsuperscriptBox[\
\\(\[ScriptM]\\), \\(t + 1\\), \\(e\\)]\\) = 0\"\>", \
{10.951705116172898`, 1.2413034806429206`}, {-1, 1}], 
   InsetBox["\<\" \[LongLeftArrow] Orig \[ScriptC](\[ScriptM]) \"\>", \
{7.392400953416706, 1.3302336178778733`}, {-1, 0}], 
   InsetBox["\<\"  New \[ScriptC](\[ScriptM]) \[LongRightArrow] \"\>", \
{6.475852558086449, 1.8169651055418088`}, {1, 0}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"\[ScriptM]\"", TraditionalForm], 
    FormBox["\"\[ScriptC]\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-6.666666666666662, 20}, {0, 2.}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{-6.666666666666662, 
      FormBox[
      "\"-\\!\\(\\*UnderscriptBox[\\(\[ScriptH]\\), \\(_\\)]\\)\"", 
       TraditionalForm]}, {0, 
      FormBox["\"0.\"", TraditionalForm]}}, None}]], "Print",
 InitializationCell->True],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Code/Models/Tractable/EqbmPartial/Mathematica/Examples/\
cssUSSaving/Figures/PhaseDiagramDebtLimRisePlot.pdf\"\>"], "Print",
 InitializationCell->True]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Expansion", " ", "of", " ", "natural", " ", "borrowing", " ", 
    "constraint", " ", "via", " ", "social", " ", "insurance"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Get", "[", 
     RowBox[{"CoreCodeDir", "<>", "\"\</ParametersBase.m\>\""}], "]"}], ";", 
    RowBox[{"\[GothicG]", "   ", "=", 
     RowBox[{"\[GothicG]Base", "   ", "=", "0.01"}]}], ";", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[ScriptC]EBase", ",", "\[ScriptM]EBase"}], "}"}], " ", "=", 
     " ", 
     RowBox[{"{", 
      RowBox[{"\[ScriptC]E", ",", "\[ScriptM]E"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"{", " ", 
      RowBox[{
      "r", " ", ",", "\[CurlyTheta]", " ", ",", "\[GothicG]", ",", "\[Mho]"}],
       "}"}], "=", 
     RowBox[{"{", 
      RowBox[{
      "rBase", ",", "\[CurlyTheta]Base", ",", "\[GothicG]Base", ",", 
       "\[Mho]Base"}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"\[ScriptM]Max", "=", 
     RowBox[{"0", " ", "\[ScriptM]E"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"\[ScriptM]MaxMax", "=", 
     RowBox[{"5", " ", "\[ScriptM]E"}]}], ";"}], "\n", 
   RowBox[{"FindStableArm", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cFuncPlotBasePoints", "=", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"#", ",", 
           RowBox[{"cE", "[", "#", "]"}]}], "}"}], "}"}], "&"}], ",", 
       RowBox[{"Table", "[", 
        RowBox[{"\[ScriptM]", ",", 
         RowBox[{"{", 
          RowBox[{
          "\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax", ",", "0.01"}], 
          "}"}]}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cFuncPlotBase", "=", 
     RowBox[{"cFuncPlot", "=", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"cE", "[", "\[ScriptM]", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}]}], 
       "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Stable\[ScriptM]LocusPlot1", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[ScriptM]EDelEqZero", "[", "\[ScriptM]", "]"}], "}"}], ",", 
       
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", 
         RowBox[{"-", "5"}], ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Dashing", "[", 
         RowBox[{"{", "0.01`", "}"}], "]"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"severance", " ", "=", " ", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"FindStableArm", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[ScriptM]Max", "=", 
     RowBox[{"-", " ", "\[ScriptM]E"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"\[ScriptM]MaxMax", "=", 
     RowBox[{"3", " ", "\[ScriptM]E"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"cFuncPlotSoIns", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"cE", "[", "\[ScriptM]", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", 
         RowBox[{
          RowBox[{"-", "severance"}], "/", "\[ScriptCapitalR]"}], ",", 
         "\[ScriptM]MaxMax"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"Thickness", "[", "0.002", "]"}]}], "}"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Stable\[ScriptM]LocusPlot2", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[ScriptM]EDelEqZero", "[", "\[ScriptM]", "]"}], "}"}], ",", 
       
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", 
         RowBox[{"-", "5"}], ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Dashing", "[", 
         RowBox[{"{", "0.01`", "}"}], "]"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SimGeneratePath", "[", 
     RowBox[{"\[ScriptM]EBase", ",", "20"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[ScriptM]\[ScriptC]Path", " ", "=", " ", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"\[ScriptM]\[ScriptC]Path", ",", 
       RowBox[{"{", 
        RowBox[{"\[ScriptM]E", ",", "\[ScriptC]E"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[ScriptM]\[ScriptC]PathPlot", " ", "=", " ", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"\[ScriptM]\[ScriptC]Path", ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "Medium", "]"}], ",", "Red"}], "}"}]}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"Show", "[", 
    RowBox[{
    "cFuncPlotBase", ",", "cFuncPlotSoIns", ",", 
     "\[ScriptM]\[ScriptC]PathPlot", ",", "Stable\[ScriptM]LocusPlot1", ",", 
     "Stable\[ScriptM]LocusPlot2", ",", "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<\[UpperLeftArrow] Orig Target \>\"", ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]EBase", ",", 
          RowBox[{"0.98`", " ", "\[ScriptC]EBase"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<New Target \[LowerRightArrow]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]E", ",", 
          RowBox[{"1.08`", " ", "\[ScriptC]E"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
       "\"\< \[LongLeftArrow] Orig \[ScriptC](\[ScriptM]) \>\"", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"0.5`", " ", "\[ScriptM]EBase"}], ",", 
          RowBox[{"0.5`", " ", "\[ScriptC]EBase"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<  New \[ScriptC](\[ScriptM]) \[LongRightArrow] \>\"", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"0.4", "\[ScriptM]E"}], ",", 
          RowBox[{"0.8", "\[ScriptC]E"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\[ScriptM]Max", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1.5"}], "}"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<\[ScriptM]\>\"", ",", "\"\<\[ScriptC]\>\""}], "}"}]}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"Ticks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"0", ",", "\"\<0.\>\""}], "}"}], "}"}], ",", "None"}], 
       "}"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"severance", " ", "=", "0"}], ";"}], " ", 
   RowBox[{"(*", 
    RowBox[{"Restore", " ", "the", " ", "severance", " ", "value"}], "*)"}], 
   "\[IndentingNewLine]"}]}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwVkms81IkexmeGP51QLrnTzlRkhVjyT8nvhx2ESIvORsdmS5xojFDoDNku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      "]]}}, {{}, {}, 
    {GrayLevel[0], Thickness[0.002], LineBox[CompressedData["
1:eJwVkHs0lAkYh6eRknJLhDIfE1tpUzPILd53VWesKKaLWrqNS5GKY9tSbW6r
lsFKiuhijal0UWnTpPJFnCLH4LiViWGR6zQzaL6UsfaP33l+z7+PJe8YN4RO
o9F8ZvY/z/uErvNOniZn7jXtphh3W9XGOumZGd/ezRTe84fm/GW845Ez3sHd
ICg6CBbj0rTr/tNkXHNp14DgBIhyA/rk1tMkNmzKTck5DwOffLMuVapJmoip
VxCfDZ4JrsrOb1Okb8hFziD3Fmg/1S+OOvqddApLTjVSlkJ9KtP7uf5X8tCO
+szCWW+gQJCZQ4xMkLmzVziZH2uAy//ohnq3KckDZocT/Fqb4VJQ72OXaRk5
6fP1nIf1ezCXHqQMKgfIdEWzcVyFBKwdypJZ093klFushRlTCh+/e7pUPW0l
8ZFE7VTcDfuWr3awuFtFulm42mxS90DPMkVA3qvbEIqp89J9ekH80C4yx0MM
ren5eklRfdAkSKIFDXdAa0pQijquHxhdRdm/5veCXeOGXfPyPgE7fDuX/n4I
XhefCvfNGYAgXROp4J0cWO/5+8PzByFt9KuR2mwcvs31XuKYOwQ3+b9fc2Op
QMJx2vvy9DDEvryi3pUyCbykSUOrsBHwLPZ/tPvOFMgK5xN3cRTCTNsYeedo
+JTD28ixksH1vWesrNfSUei42ZarlsHmRGWT5UsNdM6cP7y9+jO0K+yPph7W
xDBt9xsB3nL4CJ4lYVNzcCSUVmh9Xw6NGS1PeOe18J3hgsBQbQUIV625WcPW
xghmwb3OIwpQCHeDoGI+2g9dOeBYowDzcN/qoSgdfFVmclpkowRnVoX2FjM9
rGNGqOYmK6H/cPx3g236qOCbDzd0KYEI1hp6vNIA/w2WmD5bPwaL6lSr9JQG
WD7E4vIyxyDeodDnZOlCrBu9diq8bww6X5eG5PAN8e+31nv+cB8HVQWrKYq7
CHWclhW9zhgHWt9CB7qNEV7d6vmBPjgO1ScCRzaPGaFM04p3xWUC6AuCEgUi
Y9wnXH5HkjwBa6rF+iXpi/ENXZql3zUBJrJCZcxOEzTR52T2rv4CCldpLWVr
ilPut2pyEr6AB789IUnDDPMH/cb0Wr7AVi/nv97VmGHcgDAgxFIF3ra0zLf5
S7DZcvQBP1oFmglrBs+GLUWR1qi0mFTBurYlFhtszdFljt/FpnkU+Psd9SnX
YOBvNnaxot0U2LuuFCtrGZgsLp5VK6DgVMtb74h6BlLsMyWGQgrIY4dq+xoZ
eCmL88uemxR4Fd6qbm9n4M9eneny2xTs1/nhRXk/AxNYDqnGxRTwu5hFKXQC
xetb2veLKOhJXJrIdCFwPfljlayOghWMF7SrbgSqay77O9ZTcEQUcNboJwJr
21f3xIopoEZyY7Q8CVxcOyDRb6JAd6dppGwHgczAskPsNgqcVxjvKYsi8KOO
bkd0NwVnK598sDtOYPjkePfzHgqqAnfsun+SwNZOQqrRS8GWC1nb8mMJPAmc
yov9FARPLvQ6l0agkflsxuNhCu5klbyZziDQ40921+QIBZ9tuZtisgj083iY
7SGb6RF0ASPyCKzk3JA1yil4NbW2vO86gdnBhmmmSgo0cxpc9xUQyI6WMA+M
zfRhRz5rFxJ4sOPbg9vjFGTU6TlyiwgsmR1tL5+g4D8/qV+v
      "]]}}, {{}, 
    {RGBColor[1, 0, 0], PointSize[Medium], PointBox[CompressedData["
1:eJwBgQF+/iFib1JlAgAAABcAAAACAAAAtUFTxowvE0AUuzo8UuHwP7VBU8aM
LxNAqnfqySgY9D9sQfFpk1QSQJ3jLhglvPM/CUz7WbmNEUDp+8R4nGfzPx1Z
FYVk2RBAu/TjDRoa8z9GStN3EjYQQGaCPk0r0/I/r7wcPbBED0D662NrYJLy
P16uJtbCOQ5Ai5NKyUxX8j/252W64UgNQPhDjV6HIfI/OyU73b1vDEBLQowb
q/DxP2w4WccyrAtAPY6HP1fE8T9PuoEHRfwKQC1kz58vnPE/wa9EeSBeCkDq
ojne3HfxP6wkomkW0AlA9QoQjgxX8T+74fGhm1AJQHJMk0dxOfE/msiGYUbe
CEBwXO6qwh7xPxDgM07MdwhApDUHVL0G8T/ngz5jABwIQOSi/cAi8fA/3Nh5
5dDJB0Dab2Etud3wP/R6WGJFgAdAqFM9ZEvM8D9YjcS+fD4HQANWCouovPA/
gKeSWasDB0Bi13/no67wP5QJvC2MGwVAbnVUdOA48D/NqqtD
      "]]}, {}}, {{}, {}, 
    {Hue[0.67, 0.6, 0.6], Dashing[{0.01}], LineBox[CompressedData["
1:eJwVzHlYzHkcB/C2wyrHQzNypJRY3aXDt6g+nwjdahYpYjdFFIONri2iUpts
ppQVa1FWx0jo3vKzKFeF2FKNxTaO9Ks5fr/pmFU7+8fneT+v53m/P8ZhfF6E
upqamp/q/k8i8O+amOBQ+X3sz48IDWcGCqvECg616kR+WZcTDSNrPgke0xxK
Yk9a3jvTUK885lfQw6G8j8WNq7vQ4BZR96d1DYf6YqyMXoE0eDgtEobu5VAR
29S8yz1p4L0eTWno1aUcunU0TwbTEG1ebBFbN5N63r4gLjCRhiuJ8XaiY9Op
kpapB9Pv0WDWezb/8EdtqpE7fvTt5EEo1Mnc6RGuRVkwIj+xzyDssxmN1k5W
o5a9OWJVkDcIjH6NQqNz+HaSsakhv2sQzmVNjPT3fL69jS8wYY2HYLZ1Br/i
ydPb59d9FpvsHoJwesvj7iMdoJfmWRcnHIJ35nMrl/JpsGiJvJioGAKjH0MH
cj8Mg1vFGj+egQTitntzimPUkOsRYNrgJoEk3T7l4SAtdNrWME0ZJoHW41mb
f3+vjWNFV5WtqRKon1SZ3tY5HXX2D8tjSyTQ25N66VPXTPRMb/Q+1CqBlNlO
rrrzuWjSrFX69ZAEmKDSxuU5euh7ooKzjyOF7MTL8Zndc5CT1JMW5SgF5vJm
/a4N+mjKRKq7hUghPEKYfvq+AUbd2iMKT5bCF827+X9oGaHvBYYy/E0KFa+m
h1q7G2PCDNG1inuq/QJD95s7F+La8rXFHe+l0Gg3lsnPMEH3U2ZjPpNlQLdU
3S+7swgz/40OLrSUwfU2hwVK8WLkC+zuJPnLoDsoN+rRwiV46VqwPflBBhnC
pvnPgk1RkzuisbpABg9jhJ/7E81Qo2iOSFwrg/1NicLUanMMqD9LhYpkUB4/
LXtprwWuUP5aHjkhg+ivop/N+tcS16fNG24xkkPulNLJCQ7W2HB62GfcQw5+
x8tCpUE2SD3dWNKyQw41K5t5jJct6gpmz4zMkkNOwpm0eJEtqieHpBQK5VA2
59nueXuXotFNboBJuxzGYuO9lDp2eGKvrdlRuRx0czRqIs7b4en1bToxsxjY
uuuLwQwXe6SpVoXLcgYGroaSvzrt8cAhD/eQrQx4XLzw9+JdDpi/0TVP5wgD
7SGBKVWTHHFSY4H0VBEDi1r7Ktt+cUQ9/5ig8mYGGopf52mYL0Oe6QN9/Y8M
pIHn/rjmZSjKSOr/bioLcwW5vYc2EdTiVt1xtmah3O4Vpb6ZYO8S9p+nKrt1
GBafDCV4a4XjpEgbFsK4pXuuhBEM217lnW+r6udT4y+jCVI3qjpkdqp+IW3k
mEIwIbBaXEZYCC9aGyEvISg5WaNt6M6CwiPb63A5wZZLwxZVKmeKn1tNqSB4
oZr4+65k4do3WxULbxH0f10jSFjFwvDVmOO8JoJlVrX6natZ+El4saTyOcEd
T2qtcrxZmO//Idv1JUHXNyPrlviwUDFoeeBhJ0Eu43SgSeUXNrXL3/YSvKtf
Vz3gy4LBjbbHMz4QNIqqA691LFznca+f+0RwJHn0+zcqr5QH55kOEGwXOKfG
BrCww0G8BaUEk+vrHhQHsjDywtz9iZzghrbRfhceC1kH9y3epCBo+c552guV
DfWqtftGCGoq4m2ivlX9r1bSfCXBHu36QPX1LPwHG8pi2g==
      "]]}}, {{}, {}, 
    {Hue[0.67, 0.6, 0.6], Dashing[{0.01}], LineBox[CompressedData["
1:eJwVzXs4VHkYB/BBGoVtzJBL05zosqhVmVKk3t/SRVld7LSxrM0tIpcp3ZiJ
kGKVVi5FtSlE2rbsSkuPOe60UbM7pVx2GxIza86cI11mhuzZP97n+3z++H5f
25A433B9BoPhQ9//qcJ3ENPTHLyDShr9bGQM3MTj2ZSOgw+s7dp8mnaGa/7S
oQ8cfDyZVzZNe0F1b2SbmoNzP2sMJkfHQHAjfCj7Hw4udJzZJ1WOQd2ppBfW
Eg4+L/R8Vx5B97fdbOKf4OCxstJqm/djgMk+FURMsnHz2i7REkMVhB3X89EM
muG+YXKTtsUqUPLvh6/sZ+EpATuXum9Ugaehjm9XMwefSBrZZR2ighdtK2pX
Z5jiAeko4USqCojqR9P5ImP83vOJRXXXVODYbBy6bcssXMuKloobVdCpE075
cJl4ZsKsjAo5vR/k/t3VuYY4086gs3JaBSvf/NzjMayPH6ttYPIXEKApTLNc
9ZKBvyx4JsvdQIDX60mu4s6UJPkn81v+gQQoXyHEFmgkVuctkipEBOQ4+xAy
z3eSkkfC3q4iAlIe35RCPynhqnJWJ9UTEBt7aXMuWyEZWPv8Yk4fAYOqQ9M9
enLJue6jWYkaAgZ0zzb1pz+VrPyq76jKWg32eg/GA9ZESlo4RW9d1qqhUitl
BJ2UwrZmm2gjfzXwzFak+MXLweJysxIdV8Ng4j5ld5YCnja0f9xRqAamI+Ow
1oECcedZ/ZFaNRQ1zlC+9XwHNrxfigTP1RBhJCG3b9XAVPFHN4cJNYzOXNqk
Vz4FSkbqvx6zSeD7RaSb9jPQY7+alEBrEh4bsU3bWAaoorSTU+dAgv6PhUHL
1xmizw3HHf9wJeE+8UDpjZjoymyvzHYvEjba8wPNhbOQ6YzkYaY/CbvWbDU6
LzJGh68PneFHkqCb7yZ+KDZFKbsD77KPkpD8Kq0n79YclD5Z82z1aRLQw1Uu
rJcslOy13mNjAQlO779+WzVuhhLOlN0uKCehz6bRp0TDRsEx64JkNSTsqSo2
idNxELVv+EJrCwl4pV0Dm2OBEgXx7VoZCaO5H0xYVnOR7o29x7zXJEwpjm0f
crZEh2Oa6pInSJDfjpg452WFco3iawtnUJD+bemaPG9rdNPLW1fEocD8yNmY
uDAbVCNirh9cSEGoqAWVRs1D9bupVnM+BSeJyGP3orkozFP9p/ZLCrK7f7+e
lzofMRd3DyzypeCbS35R0gweKqnqXe4WTIHT34kxAT/wEO/CgUwx7ZkLr8QP
5/BQceKnQZx2zW35Ec1FHsrfalewJYT+j0el2VbxUNbI/klBKAV/vRFdFj7h
oUMLNR1x4RTsXFXSbWaFoU3FliFl+ymwP94sLeZiqCm1sn6UNqNhWLbYFkMQ
tc5iWRQFd7c49rk6YsjV9fuOatpzAn4dCXbHkFNPuRMeTUH3yVZG9V4MWXJc
dL0xFJS3jRi4h2MoT9su4MVScMJ4NrNtP4bMBv3vBNP+In+7ae9BDBnfEweP
0s6u6LHWP4Uhxo7W9ndxFISpNNzsTAyJXfbYusZT4O7MXTD3HIa08xWJItpj
9XuXOBZiaGLMxMlASEELI83ht2IMCWVXT2+mfXlT2bIN1zCkrl8hz6SdkNW+
vKMUQwduNLl10fZ+onD2rcSQIkuQxzpIwX87E2Ng
      "]]}}, 
   InsetBox["\<\"\[UpperLeftArrow] Orig Target \"\>", \
{4.79643545039328, 1.0339098649651883`}, {-1, 1}], 
   InsetBox["\<\"New Target \[LowerRightArrow]\"\>", \
{2.6384509633073296`, 1.0949968059223525`}, {1, 0}], 
   InsetBox["\<\" \[LongLeftArrow] Orig \[ScriptC](\[ScriptM]) \"\>", \
{2.39821772519664, 0.5275050331455042}, {-1, 0}], 
   InsetBox["\<\"  New \[ScriptC](\[ScriptM]) \[LongRightArrow] \"\>", \
{1.055380385322932, 0.8111087451276685}, {1, 0}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"\[ScriptM]\"", TraditionalForm], 
    FormBox["\"\[ScriptC]\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-2.6384509633073296`, 7.915352889921989}, {0, 1.5}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->{{{0, 
      FormBox["\"0.\"", TraditionalForm]}}, None}]], "Output"]
}, Open  ]]
},
WindowSize->{1298, 1303},
WindowMargins->{{Automatic, 315}, {Automatic, 0}},
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (February 23, \
2011)",
StyleDefinitions->"Default.nb"
]

