Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Initialization", " ", "cell"}], ";", " ", 
    RowBox[{"of", " ", "no", " ", "intrinsic", " ", "interest"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], ";", 
    RowBox[{"ParamsAreSet", "=", "False"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Length", "[", "$FrontEnd", "]"}], " ", ">", " ", "0"}], ",", 
      RowBox[{"NBDir", "=", 
       RowBox[{"SetDirectory", "[", 
        RowBox[{"NotebookDirectory", "[", "]"}], "]"}]}]}], "]"}], ";", 
    RowBox[{"(*", " ", 
     RowBox[{
     "If", " ", "running", " ", "from", " ", "the", " ", "Notebook", " ", 
      "interface"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"If", " ", "running", " ", "from", " ", "shell"}], ",", " ", 
      RowBox[{
      "must", " ", "start", " ", "from", " ", "inside", " ", "same", " ", 
       "directory", " ", "in", " ", "which", " ", "notebook", " ", 
       "resides"}]}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"$VersionNumber", "<", "8"}], ",", 
      RowBox[{"(*", "then", "*)"}], " ", 
      RowBox[{
       RowBox[{
       "Print", "[", 
        "\"\<These programs require Mathematica version 8 or greater.\>\"", 
        "]"}], ";", 
       RowBox[{"Abort", "[", "]"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Method", " ", "of", " ", "creating", " ", "figures", " ", "depends", " ",
      "on", " ", "whether", " ", "being", " ", "run", " ", "in", " ", "batch",
      " ", "mode", " ", "or", " ", "interactively"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"$FrontEnd", " ", "\[Equal]", " ", "Null"}], ",", 
      RowBox[{"OpenFigsUsingShell", "=", "True"}], ",", 
      RowBox[{"OpenFigsUsingShell", "=", "False"}]}], "]"}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AutoLoadDir", "=", 
     RowBox[{"SetDirectory", "[", "\"\<../../CoreCode/Autoload\>\"", "]"}]}], 
    ";", 
    RowBox[{"Get", "[", "\"\<./init.m\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "CoreCode", " ", "directory", " ", "is", " ", "above", " ", "Autoload"}], 
    " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"CoreCodeDir", "=", 
     RowBox[{"SetDirectory", "[", "\"\<..\>\"", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "root", " ", "directory", " ", "is", " ", "above", " ", "CoreCode"}], " ",
     "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rootDir", " ", "=", " ", 
     RowBox[{"SetDirectory", "[", "\"\<..\>\"", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", 
     RowBox[{"CoreCodeDir", "<>", "\"\</MakeAnalyticalResults.m\>\""}], "]"}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", 
     RowBox[{"CoreCodeDir", "<>", "\"\</VarsAndFuncs.m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"StableArmStyle", "=", 
     RowBox[{"{", 
      RowBox[{"Black", ",", "Thick"}], "}"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Allows", " ", "for", " ", "different", " ", "style", " ", "than", " ", 
      "in", " ", "TractableBufferStock", " ", "handout", " ", "generated", 
      " ", "by", " ", "the", " ", "same", " ", "code"}], " ", "*)"}], "\n", 
    RowBox[{"FigsDir", "=", 
     RowBox[{"SetDirectory", "[", 
      RowBox[{"rootDir", "<>", "\"\</../../Figures\>\""}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"CodeDir", "=", 
     RowBox[{"SetDirectory", "[", 
      RowBox[{"rootDir", "<>", "\"\</Examples/ctDiscrete\>\""}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cssUSSavingDirCode", "=", 
     RowBox[{"SetDirectory", "[", 
      RowBox[{"rootDir", "<>", "\"\</Examples/cssUSSaving\>\""}], "]"}]}], 
    ";", 
    RowBox[{"cssUSSavingDirFigs", "=", 
     RowBox[{"SetDirectory", "[", 
      RowBox[{"rootDir", "<>", "\"\</Examples/cssUSSaving/Figures\>\""}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", 
     RowBox[{"CoreCodeDir", "<>", "\"\</ParametersBase.m\>\""}], "]"}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{"FindStableArm", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", 
     RowBox[{"CodeDir", "<>", "\"\</cFunc.m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", 
     RowBox[{"CodeDir", "<>", "\"\</PhaseDiag.m\>\""}], "]"}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ExportFigsToDir", "[", 
     RowBox[{
     "\"\<TractableBufferStockPhaseDiag\>\"", ",", "cssUSSavingDirFigs"}], 
     "]"}], ";"}]}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Solving ...\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Below \[ScriptM]MinBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "62", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Below \[ScriptM]MinBound times \[ScriptM]E after ", 62, 
   " backwards Euler iterations."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.8244119144274606`", ",", "0.34259070403283226`", ",", 
     "0.330215075489193`", ",", 
     RowBox[{"-", "21.63550268725198`"}], ",", 
     RowBox[{"-", "0.2030690672078153`"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {0.8244119144274606, 0.34259070403283226`, 
   0.330215075489193, -21.63550268725198, -0.2030690672078153}],
  Editable->False]], "Print"],

Cell[BoxData["\<\"Solving ...\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Above \[ScriptM]MaxBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "160", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Above \[ScriptM]MaxBound times \[ScriptM]E after ", 160, 
   " backwards Euler iterations."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "556.4499878816595`", ",", "35.52445459521509`", ",", 
     "0.06071949013176408`", ",", 
     RowBox[{"-", "0.46452166149406504`"}], ",", 
     RowBox[{"-", "5.357948748580723`*^-7"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {556.4499878816595, 35.52445459521509, 
   0.06071949013176408, -0.46452166149406504`, -5.357948748580723*^-7}],
  Editable->False]], "Print"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {GrayLevel[0], Thickness[Large], LineBox[CompressedData["
1:eJwVjn041AccwI9NcRxx13m5y/1E7uRlTUhHvl9K21QSmxHPlTuUrdROxPSC
hDzlaqVamzQXrqam0dujmlIkp2sirkdkZpw7L527HyaZ/fF5Ps/nv4+DcE94
giGFQtk0z/9uOim4KTucF0Ch1Hs8SEkNUDd06eKk8UCRjTIrf40Aj+h8vZd0
H2SNqo0KrohAIe1JtZfmAuVNN724PAWIL6g+dOkZqG+xY0+XHIGnLOIsTXoZ
qgUy5beS08A2cm2kSmshLNN7e/w+KTRmrBCYSB9Droa+v2ltDQQ9Mg5dnd0B
fO7asy9kDXC/28WCN9ELJnTk7MySAyVYWbTFZgDmEimKGb82uCk03smtGIYd
F/s93O1ewdSzzeF2HWPAFxi3FkUpgTuLTT/c1UJaZuvaxvxuyJ2uSc/M1IPM
X2Q+vq0XeKya37W0KVhACtkdQ28h8lLlYrLzX0jSn/LodPwLnoXwDArEs7DA
EwJe+vSDVmlImZ2bA7/VwSUh3n9DeKKKflhogGbbErMm+QMQKrbWrL9miNU5
AZ0HHP8BixX1Xe30j9H0+HOFhDEILm8Xb25PMcLaHivP45ODMFh2w4R1bwG6
Fb7PkjYMQZL10y4uYYz8Vmyo+FEFkotOmsxdJljgdi93TcwwfN85Qz/bTkWL
rXtmZ5zV8MAw64mDjxkO06JOHVWpoRxD6nSHadjMLBo5cUEDW1ZInpwYMMcz
nnkay8gRCLOlUW/bLsKQQc+tkQajcJnuQm67vwjtvcbSdOWj8DoxR6NOtkRq
6m9cp6/GQNjwIfcnhhXePvio6Kp+DOTpd7geT61wOHVpTUTYOIgqP5dkpNMx
0CfqvbJsHDb2zpwfYjOw3XdlSsXoOFjv1VTxFQwc4DZOVsA78KJSRNWpi7HK
97jcu/AdHFwy/KbHholGhRF+grZ3cOWYpWi8mYmNk1aPr3O04DwXU7hsjzUG
OYbaaRO1kNfaX7dmqQ0ea/ar21ijBd/yIklGsw2q5EcM5NNaYJIWvOTdtrhX
HBuwMmACOkufPwvm2OEmx+G70vwJUIVXWwQ+scPiGylG2S0T0CNQCDgZLKwf
6VsYxdDBXP9j8S0XNhaflP/hHqMDsfgN77vnbPzyXKns2s86aIpeqTLPXoKF
D18a2fbrIDmkasMLrj3K01wfbHTSQ1DtjDikxR7zFMs76kR6mEoruFx5gIMX
FKGlxjI9ZDmw/RmWBNqMHJJsGNTDLYOGe0etCFQ/aliYMKQHdV/Smkk6gSnC
iP2HVHqILLsd8JpJIHM8yv+GWg+ujhGBl9gEvm12FjDH9fDKqXC9G4/A1eE2
hr1TenDjTYWtAwJ3fFbckUQlQWhc+udNJLBWZ8bPMSXh3FBwODeIwFf8D8UX
zEgwvHI6ghpMoGl4hFeLOQmdLp9Evggh0Pb1GNWNTkKOa2JMbCSBknxPBw2L
hDumtO7Wrwk0OzY2+9ESEkbUNbEQTaBy2r+NZU9CVJWBYGksgYy2orgNBAnu
7iXbh+II3DXgzbrqNP9DW9cXLSIwSlNS+3AZCedHhuNa4glMv/pLsNJ5/ue6
r+j6DgK3qrJDjV1I8C3q7eckEVi3Kq6Rs5yE3cl58ae+ITC/q897lSsJZaHu
A4a7CJR9alQS6kZCl0d7wr7d8y2TzyS4k/AfiGk4yg==
      "]]}}, {{}, {}, 
    {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwVjns0lAkchplDi5pcZtwyzMdmZ8SUTm1R8ful2KJFOJh1iZFCTJrFurTp
4pbjkq2l2opjWCpdrIyUnMo9hTYyHLk0ZjOGVROaPsnaP57z/vGc857HnHfU
K5yioqLy4zL/b9u54NrK1AzH3B7FuumtPEd5k3g2VHgQGhpD6U4ihPXczLnN
wjjoj8gsMxV5QrdwON5MmAbjDpejV4pCgNirtYUmvABHKoWeFFEstJsQhVRh
GdwOqny6WHsSGOrWrVrCe+Bx/0bKQu05aE2yDdYUNkOJ1NqfrC0Bp6ca7van
+qCv0sJNGlkNj4astNkfR8CvtF5iPlIPKs4DefuNpMB5ElehoD+BWp5GBOvP
SYhrO8x0vdACymceXmv6ZiB5htnb2doBrEVs+61eAa2cTW67vLsg7XNNYkrK
HFw/2qEP4S+BbVLzl4KqBPeBgLJjya/At6RCf76fBMMuE3pxQx88c2WrZgkW
odHbsTRU3A+KAYrK4tISrKB9I02XDYDXIRktlaeKgqBFjXLWELgLDKdcblHw
kZ2vGxeGQdv2sbiXpoa/e/C3qjmNgtWovkfvz+p4pThNuOrAGLwrrdY0aViB
NLvn10Yi3kKkYbuYRWigSeENLduzEsi/tnYqJVoTz+94oO5WOA7J/Qu0wl4t
vFIZckxSL4VGyskW8y2rMGHjT3U24n+gHF0fzqZSsZGSnoOSd7DfNr8lV7oa
L11y+fulmgw8jaladcY6KEm0r+DQJqGMZjV/4JEOfolL9d3GkMPgodNTcr4u
VmwJTGjePgW8pq9pf9D18AlGWRrvmYbnifdZ69v1MEZH21ke9S+EVezJT0qk
oezLCuBnzcC+kYWLEww6yo2MxoP2vgfD2Kmqbd10tDJQhjQNvIfNWiphd+P1
saQu1jIv5AP8ajr5ZtjIAE+80/OrHv8A18/qhr3vMEDLZJWdtDgFfLcUkG15
1BDVqjMEg58VkPFC8tDBwgirXP0DR7M/gl15Xn5ShxHmZD3NddObBYN5bTY/
xhhf+fjaaBfNQn9x1zNn5hocP/P9GV3WHMi87mrvbFmDNn63zJNuzcFwcHcw
M8kEHXJjE5kwD0uSZoHIioGi/UE7zLrmQSB4wz7WxcDDD97+cNr7E7RxN8lW
nzLF0fSalZbjn4DvWuXWwzLDgjmGIeeIEpzuLQhcO83w5sc7+bkzSlAmZJVV
HGdirk/eY5vUz3DSnLGDrktgBVfdfqM6CSLVpoZ0PQKjX28VZn5Dgnws0uET
jcAN3lHUYU0SfEvrHAcNCBTt6x7LXk2C9bfeO0sYBDbDpexxQxJer812sWET
+NaSM1S0jgQbttJzNxBoqvBJ/epBAk+j+GUtLnt+pszHi4SiCWcvlhOB5fJ6
75s+JFCun/fWciaQIzVj+3NJ6Lfa4NvjSuB28URPNY+E09aHAgJ9CeQ2HrcI
jyfh/krq0Au/5f/td3Ie/kLCtLwmELgEjtaNzesmk+BfpRpsEUhgRLVLZ+MJ
EjicqyEToQQmlOnEGWUt91B3j3HDCLQ33zXMzybh4vRkaOdBAr9ejd/TkrPc
c9su7PZhAtOKBhmCAhLs8kYkzEgC99Kpme3nSYjhZxwsiCJwVQF8MCskodSd
I6VEE9hNFQTEXyRBvL43PC6GwAvZZS2dl0n4DxzbNzs=
      "]]}, 
    {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwVzntUzHkcxvGaDTWk26ipmeob0cxpImctiXw+tRWypGmLUY00KVZqd5St
DYXRVgdZrBWKbdBysO5CsaRpyq3abOl0QVpNlzO/3zcyumhn/3jO+7z+e9zi
UqTrOSYmJsuN+7/VB+Q3/sjKWeTc77YpZr4eeiub369Tx8NqWqFqM3qm7OcP
c9SpcOijrDjGVw/P1e1pLmoVmHMO1scs0ANZyp1rpz4MA/YcH7mfHrQCcsRS
fRpq8I3ZWn89CMd5arjq65B2uKQ4dqkeNBnecgv1I3i6YFqDQqaHgIfmK+bv
fAHlffaNgm16qGgVW4kGOoBztrop54QeTIJe7g/jd0GA92Lr0HI93Igz3+Bx
tgceCm93atv1YKgNlTq90EOhTXfZh8968BjF6oO3Kay+ruL1WDOg+nQtPTPz
A8RqR/6dMJUBkeDaVWppgMOx4b5jsxmIPFU6ZbBpCLrF06JCv2agNkRkmqsc
hQ0/1o+khzNAX3JMRsfGIN7rnU+YggFpgs4uK84Us3lbA3alMrBC6dAXfJGD
2qzOJ3tVDFh5/9XcaGeG3sJad+ZXBsSvpoQ2bhmHPDe+A6eUgXclVywE5ePR
/Xxgfv9NBjY6aJs9iDlGxPfUztYyUFDs3peZZIGXS5L3hjYz8FPTsN2RRi5K
bJMEGh0D9zjZVW5zJ6F7T11g7xADZzDk7vssS1wSzNPruCyEeRdU7euajHv/
rkvwF7Kw0tGSe8vRGkfeblqrlLBw2k48uLbCGrvlyTRsIQstCbv6epNt8L1F
jzR/OQtxlZ9Vx3m2KJkfOOdEDAtP0ss8ZmptUVXo0Dk+hQVF6ZKCjHQ7lMVJ
JSSbhW86ho92C3ko+3PToO0BFhy+77vg+5yHGV6f98l/Z2EO10RxOW0KVs1K
Obv7CgvbnXva2vn2uO/YYtmqByycy7NRMDX2uHVu4cvdDSzMGIvKn57igPmR
NS15b1jIedp5128qH++VKs91D7Dgc2Z/QUYNH523DxmIGQX7QStR8mZHHLqj
ezOBR6Hp5LPaIFcnHBRLjy2eTkEnvWzlX+WELs6FDbFfUWiXP5e7ZggwwV/W
3BBMYazzkfKmWIiez7LTB1ZRUCrbRD88E6KgI6ewP5FCtexL3eSdzujpNj4X
Mygkh1xYVufhgonvFB+T8igEXB9Whjx2QWIvNl1SSMGwNfd06TZXNKQlNmee
p5DtJlzIsyE4KlN5592hcNO0snyPLcFJQwVtdUb3vt7o99GOoNOx4/n8uxQi
S24tarEn6NNy9W2p0Z7Twv1PCQluWfP6qKacwj/u+cESEUHdmkWmZvcpSESG
lYFA8EWUoX5HJYU485P1N5Dg2+EvsjRG/9YdJPUIIEiPW0kmP6LAOXconBtE
0Lp1Rk6R0U3iWZF1IQSXRUf4lldR2OWZEBUdSfBB9NWST9UUyiZatj5dRbBu
pCLUX0uhv/daNMgItp+oGck1evUFU/nUaIIjra8i+TUUvLyKYrvXEZwXYzVx
Xq3xj2Xga5mCYNCoU9kOo4/296x7HE/w26IZ6zVGcy75KC4lElS2+d2PeEzB
Z39Hp+tGgtnblyYVGb05OSf+l+8IFjhHOHYZXbLCq4uTRLC4IlYjeUKheWbj
+tTNBC/GJG1JNfo/BORJ1Q==
      "]]}}, 
   InsetBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalDelta]\[ScriptC]\\), \
\\(\[ScriptT] + 1\\), \\(e\\)]\\)=0 \[LongRightArrow] \"\>", \
{6.844815697608063, 1.3856600186227848`}, {1, 0}], 
   InsetBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalDelta]\[ScriptM]\\), \
\\(\[ScriptT] + 1\\), \\(e\\)]\\)= 0 \[LowerRightArrow]\"\>", \
{1.8252841860288167`, 1.020011037735099}, {1, -1}], 
   InsetBox["\<\"\\!\\(\\*SuperscriptBox[\\(\[ScriptC]\\), \\(e\\)]\\)(\
\[ScriptM])=Stable Arm \[LongRightArrow] \"\>", \
{2.7379262790432253`, 0.7578258518536146}, {1, 0}], 
   InsetBox["\<\"SS \[LowerRightArrow] \"\>", \
{5.4758525580864505`, 1.1085280148982277`}, {1, -1}], 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{5.4758525580864505`, 0.5542640074491139}, {6.023437813895096, 
     0.5542640074491139}}]}, 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{5.4758525580864505`, 0.5542640074491139}, {5.4758525580864505`,
      0.33255840446946827`}}]}, 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{5.4758525580864505`, 1.6627920223473416`}, {4.928267302277805, 
     1.6627920223473416`}}]}, 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{5.4758525580864505`, 1.6627920223473416`}, {
     5.4758525580864505`, 1.8844976253269872`}}]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptM]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptC]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0, 8.213778837129675}, {0, 1.8844976253269872`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->None]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Courses/Choice/LectureNotes/Consumption/Handouts/\
TractableBufferStock/Code/Mathematica/Examples/cssUSSaving/Figures/\
TractableBufferStockPhaseDiag.pdf\"\>"], "Print"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tmp", "=", 
   RowBox[{"Interpolation", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"-", "\[CurlyEpsilon]"}], "}"}], ",", 
         RowBox[{"cETaylorNearTarget", "[", 
          RowBox[{"-", "\[CurlyEpsilon]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"cETaylorNearTarget", "'"}], "[", 
          RowBox[{"-", "\[CurlyEpsilon]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"cETaylorNearTarget", "''"}], "[", 
          RowBox[{"-", "\[CurlyEpsilon]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", "0.", "}"}], ",", 
         RowBox[{"cETaylorNearTarget", "[", "0.", "]"}], ",", 
         RowBox[{
          RowBox[{"cETaylorNearTarget", "'"}], "[", "0.", "]"}], ",", 
         RowBox[{
          RowBox[{"cETaylorNearTarget", "''"}], "[", "0.", "]"}]}], "}"}]}], 
      "}"}], ",", 
     RowBox[{"Method", "\[Rule]", "\"\<Hermite\>\""}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"tmp", "'''''"}], "[", "e", "]"}], ",", 
     RowBox[{
      RowBox[{"cETaylorNearTarget", "'''''"}], "[", "e", "]"}]}], "}"}], ",", 
   
   RowBox[{"{", 
    RowBox[{"e", ",", 
     RowBox[{"-", "\[CurlyEpsilon]"}], ",", "0"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Green"}], "}"}]}]}], "]"}]}], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[1, 0, 0], LineBox[CompressedData["
1:eJxN1mlQE2cYB/BQQBFRRFouI5ZDGdFaGk5LlCuSkUMSlGohBsIhEpAQIBAT
EBIO5W5BLVKGApWqgUItFrTIoVSFqMVWSMCWACqHgGCVIAQtbT/0efyws/Ob
/z7/993dmZ01C+X4R7xHIBAK/z3+O6crJa4jgsx2wnBlDCmA5CJm/nE5horO
uLPaYkEffeyNg3rk+Qywkj525lMyWnEqe6+xTAyuN/9L5ReJJg4OMaeWRWCu
qrRDUYS2WnT3GDRDC424fNeWdHBTWVTtkjfaVHjPzLErDVyccWFHwZsT4D66
oWPJJvR+VtH5UHoquNKhfM1jbgru99fcq8lnheCFC6IuWbcAvI66pnd06jg4
3KqK0kZEn7zf/YMnmQ+OduhljgYng3OHx7i+xUlgPq0wPaKRB65S2z3n+SQR
nM/rubTbEO3ZoAwc25kAdra25B6Mjgcvs8fF/DwuOCs2X9bQEId9RxJMWbc4
4Drh6+ybWrFgd/38a01RMWCGzVOO/Hc2WH8gYuMh4yiwm8bC6ejUSLBOS6P6
UFsEeN9cGnl0YzjON+ouGmaF4vqaf9eQDdCUQ9P+rAss8BeisEuvOOhByaPl
LCe0DY9/RmKNznQx2NZDRNdbjvJGPmC1Lw8RgmptSS7yVVc6Xq3FnDArXr1C
C23dS//MSI3VrjYcp1RGkFwOXPuwyloVAnlqxewU+RX6u4w2B7/pEOh/cLRA
xBrFXOXLuJegCIE+C9tthtlyzH2MVKzSB+ikt111km7sk1h2uNt24vygd3N/
y3W8fl1CfSylCU0pq9G434BOvlFeFnAJLZkosVFUY59CN+/2kXJcT89RzJg9
804f8/jL5CI0PyvuFCEHXVsXaZojRiseMq/opWDf+qUArzIerrfH3HfYnPNO
315KUu1RdF2cs45dKJoqmWvh70DfuhMkFyiDwaR617MFW9AVpzcHVB5kgrdI
E+tKndHfL3eqf7kJHVcW/XGBHtrOXj8oR50J+13o+Tk7S3kY8uvs0B9F44fh
/tI1tRWpA5h7VF5eJbiLXuH8uX1SK1raR2DFN6D9V9OuskvQA67f6IYloydq
d7Xtd0HPG/wZQ1mJPuGz7RfyFAOsKRZssO9BdxHNqZ/cQOc3d8d/1MiA/dP8
uRVbazB//7mRdPNXDLj//pMdSrMczMvNj5qZCnE+pFXX1+QY5haHmvkGwWhJ
wYoHaz3QpM4Aq5VWaLcdc32vZ4LAtHPFmRNN6FhOz0i3Jzpvj45LrSwQnKYm
sNE9chAcclOrqdTmADjSSU1/ir4f++oXObsS/MHxz3gVY+ponuXLe0Wn6fi8
3WzCnzLQ/ODYJafN6J2xa6hhq9CqlLriguc0cKBGytXqIXRLnrei+Tc0UX+D
xv1OGjzPlLLJrY9/Qr+o0R57chGvD79sXT36NQ3fz3Uv5ngh5j5dbJNnIpzv
eJgrm0zE3G5IUjwdifMXJ6X7ZgIx3zg/qf3CFz1jEb00b4xO+VYmX7rrB24L
lJ8zfLMPrLa+P8h2Ozo7fWCIne8D1p59FFY97QU2kYcnsFup+P1tnxGTCin4
PyKkv830cgbfNirJTZJuB9fIA735UiLYkTL/XKgz3fq//wGoI/t5
     "]]}, 
   {RGBColor[0, 1, 0], LineBox[CompressedData["
1:eJxTTMoPSmViYGAwAWIQ3fB1lcPDqpb9jxdwTVlzJdi+Ke72xhx3BL/5OLfy
D2EEP/ePGXP6kmY4/2vgs6lWNgj+vY42T8lrTXD+OqWPv/zTEXyZu/fjXv9v
hPMLf804cK8fwVf/6eR8VxHBr5YorHDY3QDnb5uVufq3N4IvV31G0fxEPZw/
qXm5Xu+fOjj/aqC4+WR5BD84sX9JUmAtnL/AbA7vo8IahHvPde0on1YN5/9Y
3nji2skqOF/AnffK09eVcH6K+kKXfTIIfvvZkxvcbCrg/GyzK3FP48vh/K4H
zwp9J5XB+RUBfQ2pm0vh/IWMdl/cHpfA+T2l51faiSP4buu/Rj2zLIbzrbVU
CsOzi+D8/1nPmyq6C+H81ryea+vXFyDMSyuWSzyaD+evqf7edogjD853Eu7Z
uS0zB86PMXiSf/1SFpwvfDNVNkIyE853ZPkxJbs2Hc7n2b2Z+f6+VDjf70u9
zVPZFIT+zfw/xVuT4PyyvyfWrDqZAOfPm6IauiA8Ds7vduWxX30tCs6vZ6wy
4E8Lh/MTDnFsm2EQAufXzHql+WhrAJzP9f5W8qI3XnC+1v53TUZ9Loj0Xh34
t8XLGs4/JjG5q+yUDpy/9HqUd8UpGTjf3OXb22qeN3thfAA/zbna
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0.00030000000000000003`},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-0.01, 0}, {0.00027773793681573617`, 0.0012103734335742681`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Integrate", "[", 
    RowBox[{"kon", ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "0", ",", "del"}], "}"}]}], "]"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{"Integrate", "[", 
      RowBox[{"kon", ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", "0", ",", "del"}], "}"}]}], "]"}], ",", "del"}], 
    "]"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{"Integrate", "[", 
      RowBox[{
       RowBox[{"Integrate", "[", 
        RowBox[{"kon", ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "0", ",", "del"}], "}"}]}], "]"}], ",", "del"}], 
      "]"}], ",", "del"}], "]"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{"Integrate", "[", 
      RowBox[{
       RowBox[{"Integrate", "[", 
        RowBox[{
         RowBox[{"Integrate", "[", 
          RowBox[{"kon", ",", 
           RowBox[{"{", 
            RowBox[{"z", ",", "0", ",", "del"}], "}"}]}], "]"}], ",", "del"}],
         "]"}], ",", "del"}], "]"}], ",", "del"}], "]"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{"Integrate", "[", 
      RowBox[{
       RowBox[{"Integrate", "[", 
        RowBox[{
         RowBox[{"Integrate", "[", 
          RowBox[{
           RowBox[{"Integrate", "[", 
            RowBox[{"kon", ",", 
             RowBox[{"{", 
              RowBox[{"z", ",", "0", ",", "del"}], "}"}]}], "]"}], ",", 
           "del"}], "]"}], ",", "del"}], "]"}], ",", "del"}], "]"}], ",", 
     "del"}], "]"}]}], "}"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"del", " ", "kon"}], ",", 
   FractionBox[
    RowBox[{
     SuperscriptBox["del", "2"], " ", "kon"}], "2"], ",", 
   FractionBox[
    RowBox[{
     SuperscriptBox["del", "3"], " ", "kon"}], "6"], ",", 
   FractionBox[
    RowBox[{
     SuperscriptBox["del", "4"], " ", "kon"}], "24"], ",", 
   FractionBox[
    RowBox[{
     SuperscriptBox["del", "5"], " ", "kon"}], "120"]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tmp", "[", 
  RowBox[{"[", "4", "]"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"Developer`PackedArrayForm", ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "3", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.108516987079959`", ",", "0.11027860850770199`", ",", 
     RowBox[{"-", "0.008516499715662618`"}], ",", "1.1085280148982277`", ",", 
     "0.11027775687278057`", ",", 
     RowBox[{"-", "0.008516198715274733`"}]}], "}"}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"cETaylorNearTarget", "'''''"}], "[", "0", "]"}]], "Input"],

Cell[BoxData["0.0012103734335742681`"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["\[Kappa]EPPPP"], "Input"],

Cell[BoxData["0.0012103734335742681`"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[""], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[1, 0, 0], LineBox[CompressedData["
1:eJwB4QQe+yFib1JlAgAAAE0AAAACAAAA64Ei4uI2Gr/IXf+2KTRBwKRxJPvT
NBq/ZhwLKnYxQcBcYSYUxTIavwLbFp3CLkHAzEAqRqcuGr86WC6DWylBwK7/
MaprJhq/rVJdT40eQcByfUFy9BUav5ZHu+fwCEHA+HhgAgb1Gb9kMXcYuN1A
wARwniIpsxm//wTveUaHQMAmGmXlWiQZv4fxscewlz/AMUo7TwOfGL/sTJz9
qzk+wIRn31NJHBi/6X085ITiPMDhQM7aeo4XvwRI0RhIbjvAJqDMCCMKF7/z
hXyv4hI6wHW7Fbm2eha/Bl0clGeaOMANxCwE6O0Vv7IJcinKKDfAjVJT9o9q
Fb80Kt4gBNA1wBadxGoj3BS/0uM+ZihaNMCIbUWGLVcUv0sRtg0k/TLAQyuU
PNXUE79ZFONl/aYxwAelLXVoRxO/ibAEDMEzMMC0pNZUcsMSvyKBeSi4si3A
amDKtmc0Er9q09LUwsMqwGkJjLP6pxG/6dCX4ojiJ8BQOF1XBCURvxK2ibT9
MiXAQSN5ffmWEL97zWQiR0kiwBqUpEplEhC/HpnZqH4iH8D6gTU0eQUPv8f7
u0QYPhnAUba9CGPrDb/WtHWjKHUTwHn2ZCs65Ay/fXoSFS0fDMC0rqFS6MYL
v0NU3lJbawDAwHL9x4O8Cr8MM3eFEvnlv14R9XJatwm/zDfQKZLf5D8PKIIi
CJwIv6gfoUa71gBAkUouIKOTB7+hkhry1q4LQCblbyIVdQa/WJ73FtC3E0BM
Wk1awlsFv/ecCvK9fBlAQ9tJ4FxVBL8GkZx0KN0eQE3U22rOOAO/AeIQXMla
IkAo2YxDLS8CvzrJG3lfEyVAlLjZUccqAb/Am/bg6L4nQBMQvGQ4EAC/7GMc
GqCjKkDH5nqLLRH+vp/0rLSjWC1Ajp2oVpjV+76GxJL40CIwQPdrFL7dv/m+
0owb5KuBMUCD77eQmbT3vpAGPYcP2TJANWOGbAN99b4u52nciE00QIjukuRH
a/O+9lOAzyqpNUABasplOi3xvp4nonTiITdAOjVzpEbz7b6uJQ5pvJM4QLbF
zbXN1+m+5q9j+77sOUB+Nn7ZsGPlvv+gxD/XYjtAidaqNUk74b5CHg8iGMA8
QLXBjdCcT9q+7MWjU3sWPkDxlnFaX3fRvnbUQzf0iT9AaJWbqhhtwr6Ut2bc
SnJAQLMHbkxkI8K+o5zGv1B1QED+eUDur9nBvrKBJqNWeEBAlV7lMUdGwb7P
S+ZpYn5AQMInL7l1H8C+C+Bl93mKQEA6dIWPpaO7voEIZRKpokBApb3TyRlt
sr5uWWNIB9NAQDyieA2x2bG+fT7DKw3WQEDShh1RSEaxvo0jIw8T2UBAAFBn
2HYfsL6q7eLVHt9AQLTE9c2no6u+5YFiYzbrQEAfDkQIHG2ivlyqYX5lA0FA
TNeNj0pGob5rj8FhawZBQHqg1xZ5H6C+enQhRXEJQUCoZdZKrKObvpc+4Qt9
D0FAE68khSBtkr7T0mCZlBtBQG5BuJN9H5C+4rfAfJoeQUCQp5dEtaOLvvCc
IGCgIUFA+/Dlfiltgr4OZ+AmrCdBQGErGjjHo3u+HExACrIqQUDMdGhyO21y
visxoO23LUFAbnxtWV9tYr46FgDRvTBBQIDP0IOC84G9SftftMMzQUDdX0hn

     "]]}, 
   {RGBColor[0, 1, 0], LineBox[CompressedData["
1:eJwV0X0w23ccB3AlSK31FClydjFPZaQuvbCUbuoYF+NST6WZVVcPqWhqQtpJ
MaR0u6FluDk683R1tlNriSm+H/UwmhvTlXShvY7VLj1DNYs+GPb5/fG5z73+
eN997v1550xWTJqxkZFREA61V4pdlpb8WfDg8M6dwlURdO1yOzM9WOCcm5RB
WVYQLPuXyQJp7x17yq8+P21sZnAEc/7F3AI07bPvXLxuO0Lg+885+WgPVtqy
yM0R5Bp9Rh6aGxEoNGlyANbhpdkL6MviJ7ECJwd49cFkZC568dj0vKLSHjrm
oSKbyn//K93Vwh5G+S3b59HyAWa/SnEAut3r/M+h94/50HSrTJgbLc7PQFfE
xG5elTBB7Ja4kY4+cH1M4vrIDtSMY76p6C+lH5ZxEuygfty28VN0iHfN0blZ
BjR7PmYmo83bOfKz4QxQsPoTk9A9bZo42agtDE9/oT6JlpxWq8Q8W9DYJJom
oDP2lt9+c8MG3M08o+LQx/mfJNDcbWBxcGk0Gh3smlfwus4azhvfNBGiWTVt
EWm21iC2SJdFot8U+/HyTK2A23yoU4COVg3RU1b2A+/Z2loYOm8z1Tvg6T5o
1defCaXu6WqO0f3yFvxVfqIpGD0s255QDlrANd22RRD6lI1BJurbC3JDo/Io
2sqzxIXeSAefqqjxI+iqiEPOrd+Yg3Bd5/ce1e9ylgtTbgYhj2qzeOhIUZRo
5GNTyFIEqLhUPwuCP5PiaUBfuOfti46aXZBM801AppZIfNCe2vIQjq8xCPI3
H3qha37WRk+8uwcSn+TFHEQzrAdT+dZGwL9vWeeGnvhb8TXHZoeUllbSXdCV
1ztOfDu3RVom2aFs9MtMO/IYXhOf6YYuJ7Ryve9afc9Lsn7ZyoOF9kspO2dS
YCBKdU26PfXPteqn4Zl6ovydprFD75Go0wI4GyQ+o8zSFh3gl9MWpl8lyT/t
xlqhVeNTvVMPn5G5gZTJfehC/0Jtd8oyeTtea2qB/krT6ScIXCQz3Udk5uje
uxUzjcJ5MjRUtUJDb9Rli5Iv3ieXTm5xjNFnaxs6HaQjpK1P2LT7jwhqTy1z
w8Puko8mWrIpjxz07Zezh8kLjSGEckBu6dX21gEStNmg20G3Dz245yi9RbQ8
HZey0XHxHxfY3aQoNJBGuWfMMHWj9QfiEVep2UazLUPpTtIWkpPDu0S5I00T
8WNrA2Epr0RRZtx0K3WWVpPh6nk25a3ny4Ve0hIibuG8+A9d9NuMskRfPGR5
q2iM8v/BnBUv
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-0.0001, 0}, {-34.40752303570804, 34.4044099301014}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"cEInterp", "''''"}], "[", "m", "]"}], ",", 
     RowBox[{
      RowBox[{"cETaylorNearTarget", "''''"}], "[", 
      RowBox[{"m", "-", "\[ScriptM]E"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", 
     RowBox[{"\[ScriptM]E", "-", 
      RowBox[{"0.99", "\[CurlyEpsilon]"}]}], ",", 
     RowBox[{"\[ScriptM]E", "+", 
      RowBox[{"0.99", "\[CurlyEpsilon]"}]}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Green"}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[1, 0, 0], LineBox[CompressedData["
1:eJwV1Hs0ltkeB3DLLTUzWPGkhtyZXHM7Kt54XHol5SDX/YgYL0NFqaFpVPSa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     "]]}, 
   {RGBColor[0, 1, 0], LineBox[CompressedData["
1:eJwV0X9Q03UYB/ApMBF1ceiHHyKgsE2zOGAodAH6FRREhVRgxOdr/HT8SodJ
F3FKphPjFAyMczszsjBJ+VFAYUP0QQaiOUMaiJMAcYCOXxM0RgOxxz+ee+51
z937uXueVYkZuyXzORxOGNabvrn98RXXHsI47l5ot9GFhebslEA+eqfrJZEv
eovruFaAPjIZGO6BDs6csXwbPXDmcK4LOpTYpnigyzSGF6+dWQiP2e7mjxZF
PbjfiI7u//3bKHTYh6UnA9HpEyfz897kxQbMbXFiQbWdxzGirz+2SHN1ZGH5
AfWq2F7CXG2Kd3JzYOEd7cUAFTq7LlzrbsdCxmHxiGcfYZatbLfnERaq9YEh
cvR+/eAPNktZEBZZruc+JkzJmq+rRq1ZiMp5tiITrci+23Sfx4LM26z2ITp0
7bmV2sUs6NyMj4L7CaPd+WreVSsWAnsF1ZXoVV2T7yotWWB7pEdtnhDGK+NQ
XAuXhTLbIt0R9PIcBSkzZ2HCYfzFILpxOIRUzmdBGs0/G6kjzMa/TinyOCz8
pP1UdBN9QpXoJp2j0C3g5AgHCJNrrzZmzVIIqtgbU4xO0t35INpE4cqs2YAJ
Pb2ETtBpnH91mJM+SJh9VV/YrpuiIBe/ZdeFLo33CbJ7SUFv+Kfbf4gwZw9+
qXSepCBVyUTl6CRTbO2MgcJEvMTX5ilhxvrbpmbHKHgEJfhkod/v1myyHKXw
fZxP6wBasm2ftV5PgRcczN3+jDBbHeRrxp9S+CXZo0uJXhgrbr49SGGRWvSj
UE+Y07/9nFKpoyCZOeCYj25LL4is66cwuTdPaEIPn+W2FPdRyFE86osfJsxN
V5sj8h4KKuuQb1rQexp/ZS52U/BT5T8UjRCmQ6PLPaGlULNxiVqBtgi5vKyg
iwI7lbxrwSj+29NsdVonBbOsmeNSdPfnhmNpGtzvf6VGg07XSIcy2ymY/EQH
N40R5u/SY/ci2igUWPzbV4Y2atbMRd+jELGwqM92nDBT2Uk1XncpaHaFaGXo
Bi8vKblDYffe947q0X6hRZlOrbivev61aANh5A9yZ03NFGpbF5TeQFeoFrfN
NlFwclud6/acMHlNwsuWNynU/+HyXyF6g28nd/gGhSj7CEcjunqRbZWhAe/r
EqebRqefEWiH0LcFH5eb0C4O68170f7eMr+5N3nCSKpG88NrWYsJwsRsOsO9
jJ6ULT2/FM3N4sUlogsNmhWeaPETrnXnNQrbpvoGvNCL0mz91GjzVyMV3mgw
CJJV6Cwr8wBftPurzQ3V6FjBuo82oM3sZamn0e5s8Xc70OVhrxtD0EMJFyTh
aEkHb3QD+kJqhftOtAPrbOeDXvZZ8/UI9LHUgP189Gzhyx6KjpQdcpiHrpNz
Lu1BW1qd2jxdT+FAyWJpLLqh8FyGAa0r588loNeWKFt60OdrPG8loXX8O887
0GKl/2kJWlH+0FGNtm7cKk5B7xA9C1ah/7wV6ZyGnqc0flKP/h+/GlVQ
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{5.466, -0.001684},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"cEInterp", "'''''"}], "[", "0.", "]"}]], "Input"],

Cell[BoxData["18.75958983511171`"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["\[Kappa]EPPP"], "Input"],

Cell[BoxData[
 RowBox[{"-", "0.0016434162553270214`"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"cETaylorNearTarget", "'''"}], "[", "0.", "]"}]], "Input"],

Cell[BoxData["0"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"cETaylorNearTarget", "''''"}], "[", 
         RowBox[{"m", "-", "\[ScriptM]E", "+", 
          RowBox[{"\[CurlyEpsilon]", "/", "1000"}]}], "]"}], "-", 
        RowBox[{
         RowBox[{"cETaylorNearTarget", "''''"}], "[", 
         RowBox[{"m", "-", "\[ScriptM]E", "-", 
          RowBox[{"\[CurlyEpsilon]", "/", "1000"}]}], "]"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"\[CurlyEpsilon]", "/", "500"}], ")"}]}], ",", 
     RowBox[{
      RowBox[{"cETaylorNearTarget", "'''''"}], "[", 
      RowBox[{"m", "-", "\[ScriptM]E"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", 
     RowBox[{"\[ScriptM]E", "-", 
      RowBox[{"0.99", "\[CurlyEpsilon]"}]}], ",", 
     RowBox[{"\[ScriptM]E", "+", 
      RowBox[{"0.99", "\[CurlyEpsilon]"}]}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Green"}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[1, 0, 0], LineBox[CompressedData["
1:eJxNz19Ik2EUBvAvh7M/tMkga00rW1tQF5MvtMDVSmO70C50m0PGpsUmaDGl
Qm8cYisUW7CRqBAsMMNYisxZrEVqfLRBjMgWzbl0s83a13JzSa2mUEYX51y8
vPx4Hs573uJLrbX6HIIgpFvn331+LmI/vLjnLJuxs3/svVyiWn5yT7nlBs9/
t6T7zL3IA7ZqzwzqU1UsIoOc1Kxaji1Bf3+br1iLPDzimrAgHw+OnKaQWzvr
EiVhcL6zmqtDdtAVssEwvHflhWD6DcqF1u2lzAj4TM+vR+II9JXGeOE1lJtO
MJzzyFF+ZkG6DK5YEjjGkdWLhm7OJ/BogTXahZzmJtdXkA2qIwOKKPhh8Dr5
Enm2yx1YRw4JCKMwBvuym8nLmhjklWO6+n7kdsWUzYts32TEsrjf00m0rIAH
69h7A8h06mNI/BntS5nIx8jpRv1JzhewqPJiWQfy/YYybwyZJZUyq+Jg7Qe3
4QbyRJMo8CwO/9NwHeI1lO/ykcNCGuyKzmnraejrN9p4ZpR/1/UKs8jGoYVw
41cwlS+7+wr5D02XbiKXU+Z5MgHz27ddeKdPQD4p2e0bQmby3Ky3yOqfTTV5
38CMjo2bBmS92D7pR86Wk1fPrYLv5P4IjyLLd1jDBUmwv0YWNCFzQpLxp8i1
ulPddBL2t/cV2Q6l0D6OnOcqZLU4V3Q7BX2nN+/BNMqL+Edv8dfAbtfB3xZk
5T45L4NsSfkLS9Lg1x7FgeY0zP8L9S8DbA==
     "]]}, 
   {RGBColor[0, 1, 0], LineBox[CompressedData["
1:eJxN0UsowwEcB/B/lnceKe9XjDk40N+zkGfbwYmZJeXVpjiMUC6WNCJNWYRy
II/UkEbKo5QWSrtoinlsZvOY14xYxgGn3/fw69un7+F7+MU1tJRL3RiGSf+7
/yw5ulLHXwYXWKZ9RpeOhfli8/qkCNzsGFQOgLWl/owTHNGqi6sxkpMNc3la
cEtX5WOqiayxFQnGwTyVV4bHFVkkv49qByvSOGunYAvXecY3k4uMiZplcPWl
rCfomrwQorJ0gx3hL+83YJk4YazCQp43dLC74PNERs6zkouXJFWjYPUPx+rC
vr+Lab4hj1cGhJ6AbfaL89xb2Ncq2EWwo06aFXRHTimuz+wET9VmHljB/ny+
R+k9eaUx5WQT7KtjZ3g2svS7NVIJfpMM8Fxg+cSZqe4B/h0oGNkD52iVp+wj
eTXfTzcBrv5sLPN8InM6v3tlYGmuelUPduWwbYXP5CH3D9MCWOitMoW8kPVl
AoMCXC7J7rGBORq3bbGdvHbgObsDjuYm9XFfyVsbsV/DYFGYMNIJHrbro1Id
5MP9ipgm8C8ZEpnb
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{5.466, 0.0012103734335655002`},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"cETaylorNearTarget", "'''''"}], "[", "0", "]"}]], "Input"],

Cell[BoxData["0.0012103734335742681`"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"cETaylorNearTarget", "'''''"}], "[", "\[CurlyEpsilon]", "]"}], 
   ",", 
   RowBox[{
    RowBox[{
     RowBox[{"cETaylorNearTarget", "'''''"}], "[", "0", "]"}], "+", " ", 
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"cETaylorNearTarget", "''''''"}], "[", "del", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"del", ",", "0", ",", "\[CurlyEpsilon]"}], "}"}]}], "]"}]}]}], 
  "}"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "izero"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Integral and error estimates are 0 on all integration \
subregions. Try increasing the value of the MinRecursion option. If value of \
integral may be 0, specify a finite value for the AccuracyGoal option. \\!\\(\
\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/NIntegrate\\\", ButtonNote -> \
\\\"NIntegrate::izero\\\"]\\)\"\>"}]], "Message", "MSG"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.0012103734335742681`", ",", "0.0012103734335742681`"}], 
  "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"cETaylorNearTarget", "''''"}], "[", "\[CurlyEpsilon]", "]"}], 
   ",", 
   RowBox[{
    RowBox[{
     RowBox[{"cETaylorNearTarget", "''''"}], "[", "0", "]"}], "+", " ", 
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"cETaylorNearTarget", "'''''"}], "[", "del", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"del", ",", "0", ",", "\[CurlyEpsilon]"}], "}"}]}], "]"}]}]}], 
  "}"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "0.0016432952179836638`"}], ",", 
   RowBox[{"-", "0.0016432952179836638`"}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"cETaylorNearTarget", "'''"}], "[", "\[CurlyEpsilon]", "]"}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"cETaylorNearTarget", "'''"}], "[", "0", "]"}], "+", " ", 
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"cETaylorNearTarget", "''''"}], "[", "del", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"del", ",", "0", ",", "\[CurlyEpsilon]"}], "}"}]}], "]"}]}]}], 
  "}"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.0030097573704479324`", ",", "0.003009757370447932`"}], 
  "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"cETaylorNearTarget", "''"}], "[", "\[CurlyEpsilon]", "]"}], ",", 
   
   RowBox[{
    RowBox[{
     RowBox[{"cETaylorNearTarget", "''"}], "[", "0", "]"}], "+", " ", 
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"cETaylorNearTarget", "'''"}], "[", "del", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"del", ",", "0", ",", "\[CurlyEpsilon]"}], "}"}]}], "]"}]}]}], 
  "}"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "0.00851589773132101`"}], ",", 
   RowBox[{"-", "0.00851589773132101`"}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"cEInterp", "''"}], "[", 
    RowBox[{"\[ScriptM]E", "+", "\[CurlyEpsilon]"}], "]"}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"cEInterp", "''"}], "[", "\[ScriptM]E", "]"}], "+", " ", 
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"cEInterp", "'''"}], "[", 
       RowBox[{"\[ScriptM]E", "+", "del"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"del", ",", "0", ",", "\[CurlyEpsilon]"}], "}"}]}], "]"}]}]}], 
  "}"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "0.008515897731321212`"}], ",", 
   RowBox[{"-", "0.00851589773132121`"}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"cEInterp", "''"}], "[", "m", "]"}], ",", 
     RowBox[{
      RowBox[{"cETaylorNearTarget", "''"}], "[", 
      RowBox[{"m", "-", "\[ScriptM]E"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", 
     RowBox[{"\[ScriptM]E", "-", 
      RowBox[{"0.99", "\[CurlyEpsilon]"}]}], ",", 
     RowBox[{"\[ScriptM]E", "+", 
      RowBox[{"0.99", "\[CurlyEpsilon]"}]}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Green"}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[1, 0, 0], LineBox[CompressedData["
1:eJwV0nsw1WkYB/AzdKRCRT9dsO6XxiBHW3ac1i+5xtp1iSydknOIOI57QnlD
1Kphk8tUy9CuXGqL3SaKV0PUpnZaO+veYR0VQlYuHZfd7/7xzDOfef54nnme
R/94tLdIgcPhfIX4Pzu+Gqo2GGTYUx/Ht19LJ7QtOczBCLZ4mFJeDDsZTPUa
w8sqquaFsHPckvJO+L2XNT8fdmM0w6zg+WPpgmzYM8DdkA/Pfm9bEQf7D/96
7RB8n91s4QFHzFzMzYEDCkIcVs4S2uquxlmAX314YeEN75B06gteM2yYvOlU
3RlCzXtv7muFlxIOTjFwdKrfxC4pw56p6DOLTCP03piDSxE8rt3T8iKVUJN8
5c+Vhhj2Y3OurgF8KO2ddhw8KEuqSk4hNMNGsb4Hjr1/+/LAaUJHDBf6nIcZ
9q7WL3we7PDa+N5teGxu0vFKMqGBg2Ki/jfDbhywSlw4RWilZv7IWVhns0es
JzyzfWp2FA7M/q79bhKhYn+jQt8Rhr2q4P2WC//YG897DMfoP7AWJBLab8xJ
M5ExrOFu0z8eJxB6oFYYUADzgiz3b4OrlxVlclgj05x7Oh717FROxCjDOv9+
suRlHKFFfhu3dsNzBpF+JvDY9EA//w3DPp90C70Qi/6tGbwauOVZsqs0BvMd
E+1Vf8uwi2sTUlnY6kDwniT4lju3+6aE0NKjezpkcKiWpdJyNKFqzs5K7u8Y
NrIqOUsA/xxq1d0Am4bz+uvFhG7o5JWbjDHsF23ph1Vg0ZJEKxfW+fOpoSSK
0H+EOSZy+EJgSUd7JKFpxX3SY+MMe37V9YEZ3LrJ5coTuH7l8MtLJwm1a83t
4U0wrNq55ebRCELr7FU7i+Gy9HC5Kxw4H+q19j3DKj/fql4aTqhi0lKmGI6y
TIzjwCJ+dV0XXCL3+SQ8Qajcjhe7fxL390458iiM0EvcOWklPEvs1+nCPuvy
pZpTuE/dYkF8KKFdXi69GfBi1xOnFyJCvYW2ZAxWW1DnW8OK9xQe+k8zbEJd
yJYcIaH1HWsrmuGcDXrW4yGE6hiaZhl+YNjS9A7J13DjA91PebASG1NQeRz/
t81HawE2G0iVr4fVdI+OLMJu9p72yvBT45M1cviOm14mF+bbZNitwo6+7aoc
2MizPpA7w7ASdof+XDD2m6FxXQO+EjfsIoXzpru0d8Hb7Cav1sMH56Uya9g4
s6vvLrxmZaLWBj4Y36h7B05av2bfXrjX7WLVLVhgvPvIl3DPM+umG7BFYMEN
D9hUu0yWDb8JLhN5wqp/5e3MgstO1Fp8A8/tOSc+B29JbGvygVsnQxdT4eW8
j4PfwjwrW5VY+H4R56cgeFnP0isalvygIhbAjxqMCiPhkRqj1WBYZ0hDLwy+
XrerPQRujFIRCWG/Bv5lEexUzq0Ohje1uPqFwS1p/04J4N/afT8Lh804cpsg
+D+S0FEr
     "]]}, 
   {RGBColor[0, 1, 0], LineBox[CompressedData["
1:eJwV0ntMk2cUBvBOLDAvyNQPAVGkUNxGFGiduFD0w0tB6nDILVpXrbRUK5au
IKhrlVdwsAWQRiI4cBh1c1YmQjcyhturQdGJDpUZ7hQsIJeJIiJaxe3xj5OT
X07ynpMnr9eO5E3KKRwO5zPUu772XreJ18mwSwfuLyrJIPTaftVqH7g6OOF8
MbyON9LKh82uzwOPw+KU144fwbOS560xwusZF5U/HJGnUGbDkZsl3iLYdNTV
lALH9/xaEgvbTI+EG2D16Le5ObCLkLd+8hChdRInzgS82H3dsk2wu/a2l6yL
YUu3dxysOkioX+vZkDq45NV/YwycrI8bDrAw7PWMmUuTDIRWDq4OK4KjvLKu
39ET6mt0/MS+m2GHHpR48+BYw4BHCtwV1Ve+/ytCM4V25hZ4UWaGseMAoVbv
iTZxD8N+HN61UgCv7uJX/gx/elMvPrafUGmnhsx+yLBubn7pE/sIPeditB6C
T+ZV6CLhUbeRsT44dmlS/aV0QjXxPsdjrAyb3Wzu58I/tKYKrsINIxUBsjRC
2/kcg28vw0pzG+9e3UvomnLF5kL48WDxKlfY9Mau1wZvFKXZHUjFPFvPUfcx
bBoxF/2dQmhR3Kx5zXDD9H9ifOHBJx3ton6GFUieKb7RYX9dpuAC7NVQEGb5
EvdtVwbNfsSw753w0LOw/xr58nT4Qbu6+ayW0LJty2/0wr63JA5vkgl1Eovt
JQPIN392tgyuSPRvroEfPvXsNGsInX5bcNp3EPdwC7fMgJWvtfNzYa2mja/d
Q+gzRY6vDW6zZf1Vn0SoobjNsn0I+XY+q/kQrnMOO3Ydfqs735i3m9DgutwW
wTDmLU20T01o1aqZt4vh+sbLtnBY+iIxyuFfhg2IaPigbBehdumvszRwwuEc
HQdWikxVTe9cfGVCsZNQW7BAF/qYYTP2+UsvqwjN445bzsGVv4jtPeHo940W
lxGGFdeGGVMTCW2KCmvNhO8ZVKF3lIRuUqwgg/DikAVBgbBd5ZTa+CcMW+bR
6pSjINR8w+HMn7A518NvKIHQBd6Lj3g/ZVhll1y9Ef79N89XBXB3S23euR34
f67R8ydgl+oTY9NgJ89t1pewxKhe4Qjf5O++YIMFLiIDFxYJM4PfwgsX9Nhz
YJ9Is5Q7ivc9he7jcuSbOad0DmwYf8Fa4IInTR4B8Nr+yXwzHPHC0hsIl01Y
my7BUyeHy4Xw+apbrhfh9GlTQ4Lga/zvTv8Ey/jLvlgJM5zQ6pPwEmnhyQ3w
46yLndlwv/yUMhKeFljGOwKf2lm+5HP47tcFqsPw3LRrf0TDW/z3jurhNwXP
O7fAW1PFXB1cXcT5ceu7fXtEEcmw9vsZGhl831l4NAm2XvB5K4eHonluKri0
KqA+AR4bc5cp4LgaUb4SPh0y94wcdr4SHqeCXwY4DcjgW/UxC3fB43ccl2yF
/wdksVQY
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{5.466, -0.008546},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"??", "Interpolation"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  StyleBox["\<\"\\!\\(\\*RowBox[{\\\"Interpolation\\\", \\\"[\\\", RowBox[{\\\
\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"f\\\", \\\"TI\\\"], StyleBox[\\\"1\
\\\", \\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"f\\\", \\\"TI\\\"], \
StyleBox[\\\"2\\\", \\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\
\"TR\\\"]}], \\\"}\\\"}], \\\"]\\\"}]\\) constructs an interpolation of the \
function values \\!\\(\\*SubscriptBox[StyleBox[\\\"f\\\", \\\"TI\\\"], \
StyleBox[\\\"i\\\", \\\"TI\\\"]]\\), assumed to correspond to \
\\!\\(\\*StyleBox[\\\"x\\\", \\\"TI\\\"]\\) values 1, 2, \[Ellipsis] . \\n\\!\
\\(\\*RowBox[{\\\"Interpolation\\\", \\\"[\\\", RowBox[{\\\"{\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \
\\\"TI\\\"], StyleBox[\\\"1\\\", \\\"TR\\\"]], \\\",\\\", \
SubscriptBox[StyleBox[\\\"f\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \
\\\"TR\\\"]]}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], StyleBox[\\\"2\\\", \
\\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"f\\\", \\\"TI\\\"], \
StyleBox[\\\"2\\\", \\\"TR\\\"]]}], \\\"}\\\"}], \\\",\\\", StyleBox[\\\"\
\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"}\\\"}], \\\"]\\\"}]\\) constructs an \
interpolation of the function values \
\\!\\(\\*SubscriptBox[StyleBox[\\\"f\\\", \\\"TI\\\"], StyleBox[\\\"i\\\", \\\
\"TI\\\"]]\\) corresponding to \\!\\(\\*StyleBox[\\\"x\\\", \\\"TI\\\"]\\) \
values \\!\\(\\*SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], \
StyleBox[\\\"i\\\", \
\\\"TI\\\"]]\\).\\n\\!\\(\\*RowBox[{\\\"Interpolation\\\", \\\"[\\\", \
RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \
\\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"y\\\", \\\"TI\\\"], \
StyleBox[\\\"1\\\", \\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\
\"TR\\\"]}], \\\"}\\\"}], \\\",\\\", SubscriptBox[StyleBox[\\\"f\\\", \
\\\"TI\\\"], StyleBox[\\\"1\\\", \\\"TR\\\"]]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], StyleBox[\\\"2\\\", \
\\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"y\\\", \\\"TI\\\"], \
StyleBox[\\\"2\\\", \\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\
\"TR\\\"]}], \\\"}\\\"}], \\\",\\\", SubscriptBox[StyleBox[\\\"f\\\", \
\\\"TI\\\"], StyleBox[\\\"2\\\", \\\"TR\\\"]]}], \\\"}\\\"}], \\\",\\\", \
StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"}\\\"}], \\\"]\\\"}]\\) \
constructs an interpolation of multidimensional \
data.\\n\\!\\(\\*RowBox[{\\\"Interpolation\\\", \\\"[\\\", RowBox[{\\\"{\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \
\\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"}\\\
\"}], \\\",\\\", SubscriptBox[StyleBox[\\\"f\\\", \\\"TI\\\"], StyleBox[\\\"1\
\\\", \\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"df\\\", \\\"TI\\\"], \
StyleBox[\\\"1\\\", \\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\
\"TR\\\"]}], \\\"}\\\"}], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \
\\\"TR\\\"]}], \\\"}\\\"}], \\\"]\\\"}]\\) constructs an interpolation that \
reproduces derivatives as well as function \
values.\\n\\!\\(\\*RowBox[{\\\"Interpolation\\\", \\\"[\\\", \
RowBox[{StyleBox[\\\"data\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"x\\\", \\\
\"TI\\\"]}], \\\"]\\\"}]\\) find an interpolation of \
\\!\\(\\*StyleBox[\\\"data\\\", \\\"TI\\\"]\\) at the point \
\\!\\(\\*StyleBox[\\\"x\\\", \\\"TI\\\"]\\).\"\>", "MSG"], 
  "\[NonBreakingSpace]", 
  ButtonBox[
   StyleBox["\[RightSkeleton]", "SR"],
   Active->True,
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Interpolation"]}]], "Print", "PrintUsage",
 CellTags->"Info3539779172-7371273"],

Cell[BoxData[
 InterpretationBox[GridBox[{
    {
     RowBox[{
      RowBox[{"Attributes", "[", "Interpolation", "]"}], "=", 
      RowBox[{"{", "Protected", "}"}]}]},
    {" "},
    {GridBox[{
       {
        RowBox[{
         RowBox[{"Options", "[", "Interpolation", "]"}], "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"InterpolationOrder", "\[Rule]", "3"}], ",", 
           RowBox[{"Method", "\[Rule]", "Automatic"}], ",", 
           RowBox[{"PeriodicInterpolation", "\[Rule]", "False"}]}], "}"}]}]}
      },
      BaselinePosition->{Baseline, {1, 1}},
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxItemSize->{"Columns" -> {{
           Scaled[0.999]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
        "RowsIndexed" -> {}}]}
   },
   BaselinePosition->{Baseline, {1, 1}},
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}}],
  Definition[Interpolation],
  Editable->False]], "Print",
 CellTags->"Info3539779172-7371273"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cEPointsSmall", "=", 
  RowBox[{"Select", "[", 
   RowBox[{"cEPoints", ",", 
    RowBox[{
     RowBox[{
      RowBox[{"#", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "1"}], "]"}], "]"}], "\[LessEqual]", " ", 
      "\[ScriptM]E", "\[LessEqual]", " ", 
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "1"}], "]"}], "]"}], "+", " ", 
       "\[CurlyEpsilon]"}]}], "&"}]}], "]"}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475752558086451`", "}"}], ",", "1.108516987079959`", ",",
      "0.11027860850770198`", ",", 
     RowBox[{"-", "0.008516499715662417`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4758525580864505`", "}"}], ",", "1.1085280148982277`", 
     ",", "0.11027775687278057`", ",", 
     RowBox[{"-", "0.008516198715274733`"}]}], "}"}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"cETaylorNearTarget", "[", 
      RowBox[{"-", "\[CurlyEpsilon]"}], "]"}], ",", 
     RowBox[{
      RowBox[{"cETaylorNearTarget", "'"}], "[", 
      RowBox[{"-", "\[CurlyEpsilon]"}], "]"}], ",", 
     RowBox[{
      RowBox[{"cETaylorNearTarget", "''"}], "[", 
      RowBox[{"-", "\[CurlyEpsilon]"}], "]"}], ",", 
     RowBox[{
      RowBox[{"cETaylorNearTarget", "'''"}], "[", 
      RowBox[{"-", "\[CurlyEpsilon]"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"cETaylorNearTarget", "[", "0.", "]"}], ",", 
     RowBox[{
      RowBox[{"cETaylorNearTarget", "'"}], "[", "0.", "]"}], ",", 
     RowBox[{
      RowBox[{"cETaylorNearTarget", "''"}], "[", "0.", "]"}], ",", 
     RowBox[{
      RowBox[{"cETaylorNearTarget", "'''"}], "[", "0.", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"cETaylorNearTarget", "[", "\[CurlyEpsilon]", "]"}], ",", 
     RowBox[{
      RowBox[{"cETaylorNearTarget", "'"}], "[", "\[CurlyEpsilon]", "]"}], ",", 
     RowBox[{
      RowBox[{"cETaylorNearTarget", "''"}], "[", "\[CurlyEpsilon]", "]"}], 
     ",", 
     RowBox[{
      RowBox[{"cETaylorNearTarget", "'''"}], "[", "\[CurlyEpsilon]", "]"}]}], 
    "}"}]}], "}"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1.107424811017225`", ",", "0.11036306963042565`", ",", 
     RowBox[{"-", "0.00854638030487662`"}], ",", "0.0030264163872465466`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.1085280148982277`", ",", "0.11027775687278057`", ",", 
     RowBox[{"-", "0.008516198715274733`"}], ",", "0.0030099217060215976`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.1096303671579897`", ",", "0.11019274510831474`", ",", 
     RowBox[{"-", "0.008486181467298378`"}], ",", "0.0029935480621400058`"}], 
    "}"}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[""], "Input"],

Cell[BoxData[
 TagBox[
  RowBox[{"InterpolatingFunction", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.0001`"}], ",", "0.`"}], "}"}], "}"}], 
    ",", "\<\"<>\"\>"}], "]"}],
  False,
  Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[""], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[1, 0, 0], LineBox[CompressedData["
1:eJwB4QQe+yFib1JlAgAAAE0AAAACAAAA64Ei4uI2Gr/IXf+2KTRBwKRxJPvT
NBq/ZhwLKnYxQcBcYSYUxTIavwLbFp3CLkHAzEAqRqcuGr86WC6DWylBwK7/
MaprJhq/rVJdT40eQcByfUFy9BUav5ZHu+fwCEHA+HhgAgb1Gb9kMXcYuN1A
wARwniIpsxm//wTveUaHQMAmGmXlWiQZv4fxscewlz/AMUo7TwOfGL/sTJz9
qzk+wIRn31NJHBi/6X085ITiPMDhQM7aeo4XvwRI0RhIbjvAJqDMCCMKF7/z
hXyv4hI6wHW7Fbm2eha/Bl0clGeaOMANxCwE6O0Vv7IJcinKKDfAjVJT9o9q
Fb80Kt4gBNA1wBadxGoj3BS/0uM+ZihaNMCIbUWGLVcUv0sRtg0k/TLAQyuU
PNXUE79ZFONl/aYxwAelLXVoRxO/ibAEDMEzMMC0pNZUcsMSvyKBeSi4si3A
amDKtmc0Er9q09LUwsMqwGkJjLP6pxG/6dCX4ojiJ8BQOF1XBCURvxK2ibT9
MiXAQSN5ffmWEL97zWQiR0kiwBqUpEplEhC/HpnZqH4iH8D6gTU0eQUPv8f7
u0QYPhnAUba9CGPrDb/WtHWjKHUTwHn2ZCs65Ay/fXoSFS0fDMC0rqFS6MYL
v0NU3lJbawDAwHL9x4O8Cr8MM3eFEvnlv14R9XJatwm/zDfQKZLf5D8PKIIi
CJwIv6gfoUa71gBAkUouIKOTB7+hkhry1q4LQCblbyIVdQa/WJ73FtC3E0BM
Wk1awlsFv/ecCvK9fBlAQ9tJ4FxVBL8GkZx0KN0eQE3U22rOOAO/AeIQXMla
IkAo2YxDLS8CvzrJG3lfEyVAlLjZUccqAb/Am/bg6L4nQBMQvGQ4EAC/7GMc
GqCjKkDH5nqLLRH+vp/0rLSjWC1Ajp2oVpjV+76GxJL40CIwQPdrFL7dv/m+
0owb5KuBMUCD77eQmbT3vpAGPYcP2TJANWOGbAN99b4u52nciE00QIjukuRH
a/O+9lOAzyqpNUABasplOi3xvp4nonTiITdAOjVzpEbz7b6uJQ5pvJM4QLbF
zbXN1+m+5q9j+77sOUB+Nn7ZsGPlvv+gxD/XYjtAidaqNUk74b5CHg8iGMA8
QLXBjdCcT9q+7MWjU3sWPkDxlnFaX3fRvnbUQzf0iT9AaJWbqhhtwr6Ut2bc
SnJAQLMHbkxkI8K+o5zGv1B1QED+eUDur9nBvrKBJqNWeEBAlV7lMUdGwb7P
S+ZpYn5AQMInL7l1H8C+C+Bl93mKQEA6dIWPpaO7voEIZRKpokBApb3TyRlt
sr5uWWNIB9NAQDyieA2x2bG+fT7DKw3WQEDShh1RSEaxvo0jIw8T2UBAAFBn
2HYfsL6q7eLVHt9AQLTE9c2no6u+5YFiYzbrQEAfDkQIHG2ivlyqYX5lA0FA
TNeNj0pGob5rj8FhawZBQHqg1xZ5H6C+enQhRXEJQUCoZdZKrKObvpc+4Qt9
D0FAE68khSBtkr7T0mCZlBtBQG5BuJN9H5C+4rfAfJoeQUCQp5dEtaOLvvCc
IGCgIUFA+/Dlfiltgr4OZ+AmrCdBQGErGjjHo3u+HExACrIqQUDMdGhyO21y
visxoO23LUFAbnxtWV9tYr46FgDRvTBBQIDP0IOC84G9SftftMMzQUDdX0hn

     "]]}, 
   {RGBColor[0, 1, 0], LineBox[CompressedData["
1:eJwV0X0w23ccB3AlSK31FClydjFPZaQuvbCUbuoYF+NST6WZVVcPqWhqQtpJ
MaR0u6FluDk683R1tlNriSm+H/UwmhvTlXShvY7VLj1DNYs+GPb5/fG5z73+
eN997v1550xWTJqxkZFREA61V4pdlpb8WfDg8M6dwlURdO1yOzM9WOCcm5RB
WVYQLPuXyQJp7x17yq8+P21sZnAEc/7F3AI07bPvXLxuO0Lg+885+WgPVtqy
yM0R5Bp9Rh6aGxEoNGlyANbhpdkL6MviJ7ECJwd49cFkZC568dj0vKLSHjrm
oSKbyn//K93Vwh5G+S3b59HyAWa/SnEAut3r/M+h94/50HSrTJgbLc7PQFfE
xG5elTBB7Ja4kY4+cH1M4vrIDtSMY76p6C+lH5ZxEuygfty28VN0iHfN0blZ
BjR7PmYmo83bOfKz4QxQsPoTk9A9bZo42agtDE9/oT6JlpxWq8Q8W9DYJJom
oDP2lt9+c8MG3M08o+LQx/mfJNDcbWBxcGk0Gh3smlfwus4azhvfNBGiWTVt
EWm21iC2SJdFot8U+/HyTK2A23yoU4COVg3RU1b2A+/Z2loYOm8z1Tvg6T5o
1defCaXu6WqO0f3yFvxVfqIpGD0s255QDlrANd22RRD6lI1BJurbC3JDo/Io
2sqzxIXeSAefqqjxI+iqiEPOrd+Yg3Bd5/ce1e9ylgtTbgYhj2qzeOhIUZRo
5GNTyFIEqLhUPwuCP5PiaUBfuOfti46aXZBM801AppZIfNCe2vIQjq8xCPI3
H3qha37WRk+8uwcSn+TFHEQzrAdT+dZGwL9vWeeGnvhb8TXHZoeUllbSXdCV
1ztOfDu3RVom2aFs9MtMO/IYXhOf6YYuJ7Ryve9afc9Lsn7ZyoOF9kspO2dS
YCBKdU26PfXPteqn4Zl6ovydprFD75Go0wI4GyQ+o8zSFh3gl9MWpl8lyT/t
xlqhVeNTvVMPn5G5gZTJfehC/0Jtd8oyeTtea2qB/krT6ScIXCQz3Udk5uje
uxUzjcJ5MjRUtUJDb9Rli5Iv3ieXTm5xjNFnaxs6HaQjpK1P2LT7jwhqTy1z
w8Puko8mWrIpjxz07Zezh8kLjSGEckBu6dX21gEStNmg20G3Dz245yi9RbQ8
HZey0XHxHxfY3aQoNJBGuWfMMHWj9QfiEVep2UazLUPpTtIWkpPDu0S5I00T
8WNrA2Epr0RRZtx0K3WWVpPh6nk25a3ny4Ve0hIibuG8+A9d9NuMskRfPGR5
q2iM8v/BnBUv
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-0.0001, 0}, {-34.40752303570804, 34.4044099301014}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output"]
}, Open  ]],

Cell[BoxData["\"\<\>"], "Input"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"cEInterpTest", " ", "=", " ", 
   RowBox[{"Interpolation", "[", 
    RowBox[{"cEPointsSmall", ",", 
     RowBox[{"InterpolationOrder", "\[Rule]", "6"}], ",", 
     RowBox[{"Method", "\[Rule]", "\"\<Hermite\>\""}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[ScriptM]E", "+", 
       RowBox[{"-", "\[CurlyEpsilon]"}]}], "}"}], ",", 
     RowBox[{"cEInterp", "[", 
      RowBox[{"\[ScriptM]E", "+", 
       RowBox[{"-", "\[CurlyEpsilon]"}]}], "]"}], ",", 
     RowBox[{
      RowBox[{"cEInterp", "'"}], "[", 
      RowBox[{"\[ScriptM]E", "+", 
       RowBox[{"-", "\[CurlyEpsilon]"}]}], "]"}], ",", 
     RowBox[{
      RowBox[{"cEInterp", "''"}], "[", 
      RowBox[{"\[ScriptM]E", "+", 
       RowBox[{"-", "\[CurlyEpsilon]"}]}], "]"}], ",", 
     RowBox[{
      RowBox[{"cEInterp", "'''"}], "[", 
      RowBox[{"\[ScriptM]E", "+", 
       RowBox[{"-", "\[CurlyEpsilon]"}]}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[ScriptM]E", "+", "0."}], "}"}], ",", 
     RowBox[{"cEInterp", "[", 
      RowBox[{"\[ScriptM]E", "+", "0."}], "]"}], ",", 
     RowBox[{
      RowBox[{"cEInterp", "'"}], "[", 
      RowBox[{"\[ScriptM]E", "+", "0."}], "]"}], ",", 
     RowBox[{
      RowBox[{"cEInterp", "''"}], "[", 
      RowBox[{"\[ScriptM]E", "+", "0."}], "]"}], ",", 
     RowBox[{
      RowBox[{"cEInterp", "'''"}], "[", 
      RowBox[{"\[ScriptM]E", "+", "0."}], "]"}]}], "}"}]}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{",", 
    RowBox[{"{", 
     RowBox[{"\[CurlyEpsilon]", ",", 
      RowBox[{"cEInterp", "[", 
       RowBox[{"\[ScriptM]E", "+", "\[CurlyEpsilon]"}], "]"}], ",", 
      RowBox[{
       RowBox[{"cEInterp", "'"}], "[", 
       RowBox[{"\[ScriptM]E", "+", "\[CurlyEpsilon]"}], "]"}], ",", 
      RowBox[{
       RowBox[{"cEInterp", "''"}], "[", 
       RowBox[{"\[ScriptM]E", "+", "\[CurlyEpsilon]"}], "]"}], ",", 
      RowBox[{
       RowBox[{"cEInterp", "'''"}], "[", 
       RowBox[{"\[ScriptM]E", "+", "\[CurlyEpsilon]"}], "]"}]}], "}"}]}], 
   "*)"}], "}"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Interpolation", "::", "innd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"First argument in \[NoBreak]\\!\\(cEPointsSmall\\)\
\[NoBreak] does not contain a list of data and coordinates. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/Interpolation/innd\\\", \
ButtonNote -> \\\"Interpolation::innd\\\"]\\)\"\>"}]], "Message", "MSG"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.465852558086451`", "}"}], ",", "1.107424811017225`", ",",
      "0.11036306962992133`", ",", 
     RowBox[{"-", "0.008546380103147715`"}], ",", "0.0030692329985656944`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4758525580864505`", "}"}], ",", "1.1085280148982277`", 
     ",", "0.11027775687278057`", ",", 
     RowBox[{"-", "0.008516198715274733`"}], ",", "0.0030099758756229073`"}], 
    "}"}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"cEInterpTest", "'''''"}], "[", "\[ScriptM]E", "]"}]], "Input"],

Cell[BoxData["2.538689043169993`*^6"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"cETaylorNearTarget", "'''''"}], "[", "\[ScriptM]E", 
  "]"}]], "Input"],

Cell[BoxData["0.0012103734335742681`"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"cETaylorNearTarget", "''''"}], "[", 
    RowBox[{"-", "\[CurlyEpsilon]"}], "]"}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"cETaylorNearTarget", "''''"}], "[", "0", "]"}], "+", " ", 
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"cETaylorNearTarget", "'''''"}], "[", "del", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"del", ",", "0", ",", 
        RowBox[{"-", "\[CurlyEpsilon]"}]}], "}"}]}], "]"}]}]}], 
  "}"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "izero"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Integral and error estimates are 0 on all integration \
subregions. Try increasing the value of the MinRecursion option. If value of \
integral may be 0, specify a finite value for the AccuracyGoal option. \\!\\(\
\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/NIntegrate\\\", ButtonNote -> \
\\\"NIntegrate::izero\\\"]\\)\"\>"}]], "Message", "MSG"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "0.0016434162553270212`"}], ",", 
   RowBox[{"-", "0.0016434162553270212`"}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"cETaylorNearTarget", "'''''"}], "[", "0", "]"}]], "Input"],

Cell[BoxData["0"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["cEPointsSmall"], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475752558086451`", "}"}], ",", "1.108516987079959`", ",",
      "0.11027860850770198`", ",", 
     RowBox[{"-", "0.008516499715662417`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4758525580864505`", "}"}], ",", "1.1085280148982277`", 
     ",", "0.11027775687278057`", ",", 
     RowBox[{"-", "0.008516198715274733`"}]}], "}"}]}], "}"}]], "Output"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"mm6", "[", "x_", "]"}], " ", "=", " ", 
   RowBox[{"InterpolatingPolynomial", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", "\[ScriptM]E", "}"}], ",", "\[ScriptC]E", ",", 
        "\[Kappa]E", ",", "\[Kappa]EP", ",", "\[Kappa]EPP", ",", 
        "\[Kappa]EPP", ",", "\[Kappa]EPPP", ",", "\[Kappa]EPPPP"}], "}"}], 
      "}"}], ",", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mm5", "[", "x_", "]"}], " ", "=", " ", 
   RowBox[{"InterpolatingPolynomial", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", "\[ScriptM]E", "}"}], ",", "\[ScriptC]E", ",", 
        "\[Kappa]E", ",", "\[Kappa]EP", ",", "\[Kappa]EPP", ",", 
        "\[Kappa]EPP", ",", "\[Kappa]EPPP"}], "}"}], "}"}], ",", "x"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mm4", "[", "x_", "]"}], " ", "=", " ", 
   RowBox[{"InterpolatingPolynomial", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", "\[ScriptM]E", "}"}], ",", "\[ScriptC]E", ",", 
        "\[Kappa]E", ",", "\[Kappa]EP", ",", "\[Kappa]EPP", ",", 
        "\[Kappa]EPP"}], "}"}], "}"}], ",", "x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"poly", "[", "eps_", "]"}], "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"InterpolatingPolynomial", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", "\[CurlyEpsilon]", "}"}], ",", 
         RowBox[{"cETaylorNearTarget", "[", "\[CurlyEpsilon]", "]"}], ",", 
         RowBox[{
          RowBox[{"cETaylorNearTarget", "'"}], "[", "\[CurlyEpsilon]", "]"}], 
         ",", 
         RowBox[{
          RowBox[{"cETaylorNearTarget", "''"}], "[", "\[CurlyEpsilon]", 
          "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", "0.", "}"}], ",", "\[ScriptC]E", ",", "\[Kappa]E", ",", 
         "\[Kappa]EP"}], "}"}]}], "}"}], ",", "eps"}], "]"}], 
   "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"1.1085280148982277`", "\[VeryThinSpace]", "+", 
  RowBox[{"0.11027775687278057`", " ", "eps"}], "-", 
  RowBox[{"0.004258099357637366`", " ", 
   SuperscriptBox["eps", "2"]}], "+", 
  RowBox[{"0.0016933228998237265`", " ", 
   SuperscriptBox["eps", "3"]}], "-", 
  RowBox[{"17.875031223160004`", " ", 
   SuperscriptBox["eps", "4"]}], "+", 
  RowBox[{"71500.1088743769`", " ", 
   SuperscriptBox["eps", "5"]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"1.1085280148982277`", "\[VeryThinSpace]", "+", 
  RowBox[{"0.11027775687278057`", " ", "eps"}], "-", 
  RowBox[{"0.004258099357637366`", " ", 
   SuperscriptBox["eps", "2"]}], "-", 
  RowBox[{"0.0005270532115256298`", " ", 
   SuperscriptBox["eps", "3"]}], "+", 
  RowBox[{"15.430538313331713`", " ", 
   SuperscriptBox["eps", "4"]}], "-", 
  RowBox[{"61722.435848107765`", " ", 
   SuperscriptBox["eps", "5"]}]}]], "Input",
 CellChangeTimes->{3.539808322015823*^9}],

Cell[BoxData[
 RowBox[{"1.1085280148982277`", "\[VeryThinSpace]", "+", 
  RowBox[{"0.11027775687278057`", " ", "eps"}], "-", 
  RowBox[{"0.004258099357637366`", " ", 
   SuperscriptBox["eps", "2"]}], "-", 
  RowBox[{"0.0005270532115256298`", " ", 
   SuperscriptBox["eps", "3"]}], "+", 
  RowBox[{"15.430538313331713`", " ", 
   SuperscriptBox["eps", "4"]}], "-", 
  RowBox[{"61722.435848107765`", " ", 
   SuperscriptBox["eps", "5"]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"poly2", "[", "eps_", "]"}], "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"InterpolatingPolynomial", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", "\[CurlyEpsilon]", "}"}], ",", 
         RowBox[{"cETaylorNearTarget", "[", "\[CurlyEpsilon]", "]"}], ",", 
         RowBox[{
          RowBox[{"cETaylorNearTarget", "'"}], "[", "\[CurlyEpsilon]", "]"}], 
         ",", 
         RowBox[{
          RowBox[{"cETaylorNearTarget", "''"}], "[", "\[CurlyEpsilon]", 
          "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", "0.", "}"}], ",", 
         RowBox[{"cETaylorNearTarget", "[", "0.", "]"}], ",", 
         RowBox[{
          RowBox[{"cETaylorNearTarget", "'"}], "[", "0.", "]"}], ",", 
         RowBox[{
          RowBox[{"cETaylorNearTarget", "''"}], "[", "0.", "]"}]}], "}"}]}], 
      "}"}], ",", "eps"}], "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"1.1085280148982277`", "\[VeryThinSpace]", "+", 
  RowBox[{"0.11027775687278057`", " ", "eps"}], "-", 
  RowBox[{"0.004258099357637366`", " ", 
   SuperscriptBox["eps", "2"]}], "+", 
  RowBox[{"0.0005016541304555047`", " ", 
   SuperscriptBox["eps", "3"]}], "-", 
  RowBox[{"0.00006855259569206462`", " ", 
   SuperscriptBox["eps", "4"]}], "+", 
  RowBox[{"0.000013163192758014475`", " ", 
   SuperscriptBox["eps", "5"]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cETaylorNearTarget", "[", "eps", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"1.1085280148982277`", "\[VeryThinSpace]", "+", 
  RowBox[{"0.11027775687278057`", " ", "eps"}], "-", 
  RowBox[{"0.004258099357637366`", " ", 
   SuperscriptBox["eps", "2"]}], "+", 
  RowBox[{"0.0005016536176702663`", " ", 
   SuperscriptBox["eps", "3"]}], "-", 
  RowBox[{"0.00006847567730529255`", " ", 
   SuperscriptBox["eps", "4"]}], "+", 
  RowBox[{"0.000010086445279785567`", " ", 
   SuperscriptBox["eps", "5"]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   RowBox[{"poly2", "[", "eps", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"eps", ",", "3"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData["0.0015799195285381984`"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"poly3", "[", "eps_", "]"}], "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"InterpolatingPolynomial", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", "\[CurlyEpsilon]", "}"}], ",", 
         RowBox[{"1.", "+", 
          RowBox[{"3.", "\[CurlyEpsilon]"}]}], ",", "3."}], " ", "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", "0.", "}"}], ",", "1.", ",", "3."}], "}"}]}], "}"}], 
     ",", "eps"}], "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"1.`", "\[VeryThinSpace]", "+", 
  RowBox[{"3.`", " ", "eps"}], "-", 
  RowBox[{"9.912071163853398`*^-9", " ", 
   SuperscriptBox["eps", "2"]}], "+", 
  RowBox[{"0.00006608047442568932`", " ", 
   SuperscriptBox["eps", "3"]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"cETaylorNearTarget", "'''"}], "[", "0", "]"}]], "Input"],

Cell[BoxData["0.0030099217060215976`"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"poly2", "[", "0.", "]"}], ",", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"poly2", "[", "eps", "]"}], ",", "eps"}], "]"}], " ", "/.", 
     " ", 
     RowBox[{"eps", " ", "\[Rule]", " ", "0."}]}], ",", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"poly2", "[", "eps", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"eps", ",", "2"}], "}"}]}], "]"}], " ", "/.", " ", 
     RowBox[{"eps", " ", "\[Rule]", " ", "0."}]}], ",", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"poly2", "[", "eps", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"eps", ",", "3"}], "}"}]}], "]"}], " ", "/.", " ", 
     RowBox[{"eps", " ", "\[Rule]", " ", "0."}]}]}], "}"}], "-", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"cETaylorNearTarget", "[", "0.", "]"}], ",", 
    RowBox[{
     RowBox[{"cETaylorNearTarget", "'"}], "[", "0.", "]"}], ",", 
    RowBox[{
     RowBox[{"cETaylorNearTarget", "''"}], "[", "0.", "]"}], ",", 
    RowBox[{
     RowBox[{"cETaylorNearTarget", "'''"}], "[", "0.", "]"}]}], 
   "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.`", ",", "0.`", ",", "0.`", ",", "3.0767114307661547`*^-9"}], 
  "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"poly2", "[", "\[CurlyEpsilon]", "]"}], ",", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"poly2", "[", "eps", "]"}], ",", "eps"}], "]"}], " ", "/.", 
     " ", 
     RowBox[{"eps", " ", "\[Rule]", " ", "\[CurlyEpsilon]"}]}], ",", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"poly2", "[", "eps", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"eps", ",", "2"}], "}"}]}], "]"}], " ", "/.", " ", 
     RowBox[{"eps", " ", "\[Rule]", " ", "\[CurlyEpsilon]"}]}]}], "}"}], "-", 
  
  RowBox[{"{", 
   RowBox[{
    RowBox[{"cETaylorNearTarget", "[", "\[CurlyEpsilon]", "]"}], ",", 
    RowBox[{
     RowBox[{"cETaylorNearTarget", "'"}], "[", "\[CurlyEpsilon]", "]"}], ",", 
    
    RowBox[{
     RowBox[{"cETaylorNearTarget", "''"}], "[", "\[CurlyEpsilon]", "]"}]}], 
   "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "4.7242703082872595`*^-9", ",", "9.343215276735872`*^-7", ",", 
   "0.00009028602144914646`"}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["\[Kappa]EPP"], "Input"],

Cell[BoxData["0.003009921706021598`"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"poly2", "''"}], "[", "eps", "]"}], ",", 
     RowBox[{
      RowBox[{"cETaylorNearTarget", "''"}], "[", "eps", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"eps", ",", "0", ",", "\[CurlyEpsilon]"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Green"}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[1, 0, 0], LineBox[CompressedData["
1:eJwV0Xs01HkYBnAksUhNTNEwyJaUFqUpMa+Qhqkl2nIpYZpqRoMyhjFifnx3
VzedOCon7bYkm5NbtZVRfslm3QpRdru5lYmSJZc6iX33j/c85/PHc85zzmsV
GRMg1NLQ0NiK939yvCaGFAbv3d7OUl7x5VK0Eacq95aqgTvc9KDMB20dWqtM
Vf3DncjWv8lDr5RslgpUA1xtm7P3vdGOMr3oH1SfuZZepc890NeTBsXfq/Qg
iLww3IAemwoZ8FWZwl/a6w+vQJtws219VMvh8uxRFwN0pWZfJq/FBSwDdE7U
u1F0iG0yK2rQE/SF24OPohsrE3tTt/iCncmMgI+OzFQLj+X5g868Lat00aOq
Q95lnYEQ0PZY2uBK0Ztbf19nHLQTQl9+SfoRnfMsaIllfQic+4mq9kBPdKnl
Ol93g/eEe4o22lA9/9CZqnCoKM//em8DRV8JZT9nhkbCcUfuZwpd4yuqEY8K
4LzfWicvtGvp0fKwq0LYf7vVThPtfir3Cc3bDwXqS7/ed6Hooteps2rmiOBC
xOKOFPSxG/klOdViaEz8sMkVPan5x8nOnQfhwI4vq6fXU3Rd7QVZ5YJoqE0p
7lGh2bNkObrXYiBTkq2fjJaEZr1SVMYCs8hinIM+Ovqzw8ucQ9B+RIc1vo6i
xbx483jBYZgxs6VvopP/fjh3t0ccDGi9t4pDBy6zOK9gSMGzYkBjDfrA9RNv
0l9JoW3K03yCQ9Gl8n1rXlTFAyvb/fM1dOU0xyLqmAw6h2XbpOjxu1IDX3EC
+J/1EzmgY1QttxneiTD1nFQPrcV+vLUGY4EcTNUfT5WhLaK6+REjcvjoOtvq
IDqQfcZJfS8J3IL9V9mj6+aJO3ecUMAdxqfEYWfc73pFyRQlwyTTI/0qun1p
958GnCNQ0PNALxot4acZBjJTQH/ynZ8dunkVa6SlPwVeP+Yz3q2haJFfR9ba
66kwwtdllKBZTxR5Mp4Sqoz2t4nQ/RF6bkNlShjPnTFYgW443tylb0nBULSL
rno1RfM7folgZ1KwqKfN/RL6u6n3Do/GKLhhWjAuRK+sidX6dm8aGF5giq3R
x4WxVgub0+Bpf21InxP+wzaVPe2YDu0PH2YUoi9m1LJPXkyHzBm5LBJtWp8u
uTWHwO3JPd1L0I/2thoTPQKZjMF6azTRNL/jr09gr720wgr9r8vNbwbnEjAS
ZKSx0XUlb4tYTAL7HpXbLEYfzt7aS9kQMC7UFDHQzWELd27ZSCAmoGBEA532
RTC9yJPAJon9sxlHiuacKy9840Vgccat+9Po/DafsRQegbq7TdlTaLlX8ukK
PwLmy8ecP6GX2vU0McMINM14JQ2jX9TZx/XtIfCbWUvkB/RpQZJZeQSBBOdg
/hB6Km+ByEdIwDpKwnqHbjfy1kk+SED+NKe6H51xNauEF03Ab4Rd9AbN9ena
bhJLwMag+NRrdHFaYkFpHIHWjdXhvehw9gNfRTyBy7t4Pj1okzvzRzcnEFAk
PHbsRjcGheUaywlsy9pl1oVWjhe79yQRWFbSr/UK/R8AfExu
     "]]}, 
   {RGBColor[0, 1, 0], LineBox[CompressedData["
1:eJwVz3s01HkYBnBUJGQxsTqYomK32miV6mTelJpxK0VYmskYo2bGZVyGGOE3
8z1bg+ym1Sba09apVsegrd0ypZ+JJsltl3a6uZRy26IUux2X9t0/3vOczz/P
c96lMUl7hEYGBgZBeP+nl+/kG7n5a++pO7X6t1KKtvS6WXpdc5/1+l/V6TG0
c1RDXq7mMUu9O5I7il6VwE4TaIZZ5ZKpF3+jPdJNE/dqPrI8fGB0AH01a0S8
U2MKK1Nb53ajP0xHDvtr7MF3fM7a++hFrBNufpovYDjqceHP6FrD/iJO+yZo
yP90KgAd6ZbtIBnZBvvGyr+ZSqLo5tpDL3ID/WH5AK+6Eh1TNCjMLw+Gx5bV
+8LR45rkHdX6EFjAHK8zQbM7ftnAiAgHF/3ajCuJFF3yJMJlSVMkOIvu3N2H
nuwdzDSe4QJDWnfPAm0xaJV88mY0NKi3ON9IoOiKKOZT26gYqN87suYgWusv
0orHBbD4TsSf9ujNVaoaXqUQ7DP+am2Mp+gt35U+pDkHQNE2KZehL73MnaM1
EcHi1BIlE51/7Zy65LYYzD86L3kgoeh/DH87pg+PB9dNLYnZaF3DmfRam0Tg
Nx+2c0Uz56SXzP81Ce7tNk7Riyk6Iaq4R14rheU/GrtSaNX4EffukmQYc9RK
V6HFHJmjTJACdp4PJN0iis5+1LqQuzUVogv12iPoEFenMrl1GggTRpu80Aev
Fr5S9qRBmGJd7PBBiq7KjPN8dlMGe/rnRf2Arp31cpLkp8Mac67RdvREXZq5
vzgDlDmV88YOUHSSpv2G9Y5DUMEKO3MaXSVzNrC2yQSnoU8vA9BOkr4A/rtM
4HauVE3G4T7z5NrB+iwYHbTuvojWfSbWhxXKgdHc3BiBFm+uyLMVZYN3QoHp
XHTnir5Gc6/D8MiAzFwT4v8BCosQ2xy4/fz9zv3olq8c3rUP5ICgJmyXJVq0
q6t4/dVcSNod1l8fS9EOD+Xl6Zw86PEJfShBD/BNvd9U54FlnFbmgL5f0NJr
toQC+46yNJ2AogO6fuIziygQuHibpKDXTL92b/tAAa9Lx3ZBr9JKjZbHKoCh
YQ+2xlB0gVC61K5FAUKfeM8ctMotlznroYSCjW0Md/TZow3MY2eV8KxbHfqU
T9H2TcqE6yYE6t6pfQrRbbEdDGJKwKLzTF8+mhg63go2I3Ch91iuCv120+8L
RhYSqMhKrPsWrVMPXXKwJWB8w2MjhU45EfSCWkbALLjePR3dwrMLD/TBvokZ
ZjRaMSWY/XwbAU94f5uH9jpVc+GVL4Gz14a4XPS5P/w+5HAIBC7tKotEZ/pm
H7+yi8CoodpuL3rFl88f2PIIBPfFWfqjn+lWp/bvJ6Dv4VVx0McFWYtr+ATO
zw8PYqOny21EfkICC3vYBb7oTssdxtnxBFZ8v9IE0Ecri9WcRAJPhpZd9Eaz
/HpDF0kJdMU7bd+Mvqw4dL4qlcCpSSvlRnQ0866/XEYgZtrMeQN60S2rcXYG
geTVxtr16OYIXikjk4BOZRC9Dp03cXnL8ywCfKup2a/R/wGLD1WY
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, -0.008515},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0, 0.01}, {-0.008516198714660464, -0.008395895446332858}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"cETaylorNearTarget", "[", "0.", "]"}], ",", 
   RowBox[{
    RowBox[{"cETaylorNearTarget", "'"}], "[", "0.", "]"}], ",", 
   RowBox[{
    RowBox[{"cETaylorNearTarget", "''"}], "[", "0.", "]"}]}], "}"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.1085280148982277`", ",", "0.11027775687278057`", ",", 
   RowBox[{"-", "0.008516198715274733`"}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"??", "InterpolatingPolynomial"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  StyleBox["\<\"\\!\\(\\*RowBox[{\\\"InterpolatingPolynomial\\\", \\\"[\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"f\\\", \
\\\"TI\\\"], StyleBox[\\\"1\\\", \\\"TR\\\"]], \\\",\\\", \
SubscriptBox[StyleBox[\\\"f\\\", \\\"TI\\\"], StyleBox[\\\"2\\\", \
\\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"}\\\
\"}], \\\",\\\", StyleBox[\\\"x\\\", \\\"TI\\\"]}], \\\"]\\\"}]\\) constructs \
an interpolating polynomial in \\!\\(\\*StyleBox[\\\"x\\\", \\\"TI\\\"]\\) \
which reproduces the function values \
\\!\\(\\*SubscriptBox[StyleBox[\\\"f\\\", \\\"TI\\\"], StyleBox[\\\"i\\\", \\\
\"TI\\\"]]\\) at successive integer values \\!\\(\\*RowBox[{\\\"1\\\", \
\\\",\\\", \\\"2\\\", \\\",\\\", \\\"\[Ellipsis]\\\"}]\\) of \
\\!\\(\\*StyleBox[\\\"x\\\", \\\"TI\\\"]\\). \
\\n\\!\\(\\*RowBox[{\\\"InterpolatingPolynomial\\\", \\\"[\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \
\\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"f\\\", \\\"TI\\\"], \
StyleBox[\\\"1\\\", \\\"TR\\\"]]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], \
StyleBox[\\\"2\\\", \\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"f\\\", \
\\\"TI\\\"], StyleBox[\\\"2\\\", \\\"TR\\\"]]}], \\\"}\\\"}], \\\",\\\", \
StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"}\\\"}], \\\",\\\", \
StyleBox[\\\"x\\\", \\\"TI\\\"]}], \\\"]\\\"}]\\) constructs an interpolating \
polynomial for the function values \\!\\(\\*SubscriptBox[StyleBox[\\\"f\\\", \
\\\"TI\\\"], StyleBox[\\\"i\\\", \\\"TI\\\"]]\\) corresponding to \
\\!\\(\\*StyleBox[\\\"x\\\", \\\"TI\\\"]\\) values \
\\!\\(\\*SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], StyleBox[\\\"i\\\", \\\
\"TI\\\"]]\\).\\n\\!\\(\\*RowBox[{\\\"InterpolatingPolynomial\\\", \\\"[\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\
\", RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \
\\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"y\\\", \\\"TI\\\"], \
StyleBox[\\\"1\\\", \\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\
\"TR\\\"]}], \\\"}\\\"}], \\\",\\\", SubscriptBox[StyleBox[\\\"f\\\", \
\\\"TI\\\"], StyleBox[\\\"1\\\", \\\"TR\\\"]]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], StyleBox[\\\"2\\\", \
\\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"y\\\", \\\"TI\\\"], \
StyleBox[\\\"2\\\", \\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\
\"TR\\\"]}], \\\"}\\\"}], \\\",\\\", SubscriptBox[StyleBox[\\\"f\\\", \
\\\"TI\\\"], StyleBox[\\\"2\\\", \\\"TR\\\"]]}], \\\"}\\\"}], \\\",\\\", \
StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"}\\\"}], \\\",\\\", RowBox[{\
\\\"{\\\", RowBox[{StyleBox[\\\"x\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"y\
\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\
\"}\\\"}]}], \\\"]\\\"}]\\) constructs a multidimensional interpolating \
polynomial in the variables \\!\\(\\*RowBox[{StyleBox[\\\"x\\\", \\\"TI\\\"], \
\\\",\\\", StyleBox[\\\"y\\\", \\\"TI\\\"], \\\",\\\", \
\\\"\[Ellipsis]\\\"}]\\).\\n\\!\\(\\*RowBox[{\\\"InterpolatingPolynomial\\\", \
\\\"[\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \
\\\"TI\\\"], StyleBox[\\\"1\\\", \\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\
\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"}\\\"}], \\\",\\\", \
SubscriptBox[StyleBox[\\\"f\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \
\\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"df\\\", \\\"TI\\\"], \
StyleBox[\\\"1\\\", \\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\
\"TR\\\"]}], \\\"}\\\"}], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \
\\\"TR\\\"]}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{StyleBox[\\\
\"x\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \
\\\"}\\\"}]}], \\\"]\\\"}]\\) constructs an interpolating polynomial that \
reproduces derivatives as well as function values.\"\>", "MSG"], 
  "\[NonBreakingSpace]", 
  ButtonBox[
   StyleBox["\[RightSkeleton]", "SR"],
   Active->True,
   BaseStyle->"Link",
   ButtonData->"paclet:ref/InterpolatingPolynomial"]}]], "Print", "PrintUsage",
 CellTags->"Info3539789563-7371273"],

Cell[BoxData[
 InterpretationBox[GridBox[{
    {
     RowBox[{
      RowBox[{"Attributes", "[", "InterpolatingPolynomial", "]"}], "=", 
      RowBox[{"{", "Protected", "}"}]}]},
    {" "},
    {GridBox[{
       {
        RowBox[{
         RowBox[{"Options", "[", "InterpolatingPolynomial", "]"}], "=", 
         RowBox[{"{", 
          RowBox[{"Modulus", "\[Rule]", "0"}], "}"}]}]}
      },
      BaselinePosition->{Baseline, {1, 1}},
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxItemSize->{"Columns" -> {{
           Scaled[0.999]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
        "RowsIndexed" -> {}}]}
   },
   BaselinePosition->{Baseline, {1, 1}},
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}}],
  Definition[InterpolatingPolynomial],
  Editable->False]], "Print",
 CellTags->"Info3539789563-7371273"]
}, Open  ]]
}, Open  ]],

Cell[BoxData["D"], "Input"],

Cell[BoxData[
 RowBox[{"cETaylorNearTarget", "[", "eps", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"ClearAll", "[", "poly", "]"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"poly", "[", "mm", "]"}], ",", 
     RowBox[{"cETaylorNearTarget", "[", 
      RowBox[{"mm", "-", "\[ScriptM]E"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"mm", ",", "\[ScriptM]E", ",", 
     RowBox[{"\[ScriptM]E", "+", 
      RowBox[{"1000", "\[CurlyEpsilon]"}]}]}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Green"}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[1, 0, 0], LineBox[CompressedData["
1:eJxN13k8VekbAPDj2iJRZGmxpLEkLVOEFudOi6UxKZMY04JKm8ZaUyKnTTUV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     "]]}, 
   {RGBColor[0, 1, 0], LineBox[CompressedData["
1:eJwV0ns01HkUAPA51nHSMor9fVE0iEmyExaZSfO9sa33sjoTKyG9bJSNzWq3
tgcpscvYxUlNTi+a0lnrcdpdoccSUqx3noVqCvHdktQ09vbHPfd8zr3nnnu+
32sZHR+8TYvH4wVgfMjn+qpH1z3l4KNkydCx64wa2r96EYCOUFjEZqAP77eb
laHvu+jM/IKOMs/X345W1bbw89CCyG9d09Dm4nDpBfTpYavj9eie2jDFDXTu
s2MrvFQc+Fq+CJtFH5/5KsH7GQd8390dO6sZPSRgXkljHPRteNAVVcNoZ5mR
8OAEB3Wrk458Ucvobbm8+cAkB9e6NeeX3WD01v5FVcWMg+0nzrQuvsnoknZh
WclLDnQ7T1yaQ2e6SFn/NAcW2i3pr28x+utI6RutNxxcbvj6oeo2ozPqonna
bznwLgwZbfqH0TirS1EOag5CtFMma+sYlZbb31yl4cA4SKK8UM+oMkvvuTOP
QPbQN72pdxgVJs+EbdIioEy8siC5gVFe87aOKG0CK3WzZsIaGR1bMZSbpUPA
27XxUVATo/Hd5YKKeQTCBro9PO4yGvTi47Ly+QTs/S9vWNrMqOfC+MxBPQKm
Z6/GGt9jNKdQFj/KJ3DVNsP5Hfql2KuAW0jgbcOAmt1ndELw28/uRgTinIfc
R1sY/XzP1nQpR6DGZMCpvpXRkvv0XqwxAenr5cKqfxndk3/G9DtTAgaa9NbC
NkZbroSKEhYTmHCrf3WwnVHabJ5xypyAZlr8SWIHo3qh26cKBQQMx9vGZZ2M
Pp/8S9FiScAheKzGr4vRze0xRtNLCaSEr5m/pptRF6tT8mkbAl3StgVLehhd
fKAnxNKWwJBuHd/wAaMRnieFtnYEjN/xG6fREllltbU99jtWaTp6GV2W2H/a
X0TAZGPZ8jt9uK86LTXQgcCnIr6Rsp/Re3L3igNOuJ+cN6UYYDQtZ+94mjMB
J3Fc5pFBRnsGdSeOuhKAYv7F6CFGV69SupS6EVDYO/8ue8jou7d30yolBHz0
H/3g9gjnNc0KnrgTSHIPdxUNM+r25MhhPUpA0hO3SzCC/7kra0x/LYHG8CUx
vFFGH8wVKSSeBMavHwp6hTbQrA31WEdgt0fe++7HjA56ufVRLwKZZdtsrz1h
tFYhLorxITAy2yVVPmX0fUTNvjg/ApFz2mYZKnzfQa19e9HBfybrZaHNNnkl
/4S+Xj+mzkFLNrYmZaNnRloGCtDJIcOJFWhDi+zCy+j/AnV2q9ERhVNWTWgV
fBmd6U9AVe24XPcZ3ndtzuZcdKUw21QfrUO7o86g5z2e0F2ItlkTFVmK9oku
fm6CjhYnhHegV0UaltiiBxzzNpgFYH1Lg8gbPV7aK7NBN1qbCfzR6pUCmQjd
uzreIAi9SHRpPaBLdhpNhaBD7f4O2oq2vrv+jx3oHUpN4C60g/jc2Vh0kq1n
YBK6TT0pj0fnCpsDjqNbU9MTvkdfuLggQP6h36cz+kd0hbXMv+DDvC0W6w+i
b58/6XceXdq20zMF3WY16FuCbs+v+OwY+n9bilGA
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{5.4750000000000005`, 0.965},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{5.4758525580864505`, 5.57585255808645}, {0.9649021288702939, 
   1.119513704275495}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"??", "D"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  StyleBox["\<\"\\!\\(\\*RowBox[{\\\"D\\\", \\\"[\\\", RowBox[{StyleBox[\\\"f\
\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"x\\\", \\\"TI\\\"]}], \
\\\"]\\\"}]\\) gives the partial derivative \
\\!\\(\\*RowBox[{\\\"\[PartialD]\\\", StyleBox[\\\"f\\\", \\\"TI\\\"], \
\\\"/\\\", \\\"\[PartialD]\\\", StyleBox[\\\"x\\\", \\\"TI\\\"]}]\\). \
\\n\\!\\(\\*RowBox[{\\\"D\\\", \\\"[\\\", RowBox[{StyleBox[\\\"f\\\", \
\\\"TI\\\"], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{StyleBox[\\\"x\\\", \\\"TI\
\\\"], \\\",\\\", StyleBox[\\\"n\\\", \\\"TI\\\"]}], \\\"}\\\"}]}], \
\\\"]\\\"}]\\) gives the multiple derivative \\!\\(\\*RowBox[{SuperscriptBox[\
\\\"\[PartialD]\\\", StyleBox[\\\"n\\\", \\\"TI\\\"]], StyleBox[\\\"f\\\", \\\
\"TI\\\"], \\\"/\\\", \\\"\[PartialD]\\\", SuperscriptBox[StyleBox[\\\"x\\\", \
\\\"TI\\\"], StyleBox[\\\"n\\\", \\\"TI\\\"]]}]\\). \\n\\!\\(\\*RowBox[{\\\"D\
\\\", \\\"[\\\", RowBox[{StyleBox[\\\"f\\\", \\\"TI\\\"], \\\",\\\", \
StyleBox[\\\"x\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"y\\\", \\\"TI\\\"], \
\\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"]\\\"}]\\) \
differentiates \\!\\(\\*StyleBox[\\\"f\\\", \\\"TI\\\"]\\) successively with \
respect to \\!\\(\\*RowBox[{StyleBox[\\\"x\\\", \\\"TI\\\"], \\\",\\\", \
StyleBox[\\\"y\\\", \\\"TI\\\"], \\\",\\\", \
\\\"\[Ellipsis]\\\"}]\\).\\n\\!\\(\\*RowBox[{\\\"D\\\", \\\"[\\\", \
RowBox[{StyleBox[\\\"f\\\", \\\"TI\\\"], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], \
StyleBox[\\\"1\\\", \\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"x\\\", \
\\\"TI\\\"], StyleBox[\\\"2\\\", \\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\
\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"}\\\"}], \\\"}\\\"}]}], \\\"]\\\"}]\\) \
for a scalar \\!\\(\\*StyleBox[\\\"f\\\", \\\"TI\\\"]\\) gives the vector \
derivative \\!\\(\\*RowBox[{\\\"(\\\", RowBox[{RowBox[{\\\"\[PartialD]\\\", \
RowBox[{StyleBox[\\\"f\\\", \\\"TI\\\"], \\\"/\\\", RowBox[{\\\"\[PartialD]\\\
\", SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], \\\"1\\\"]}]}]}], \
\\\",\\\", RowBox[{\\\"\[PartialD]\\\", RowBox[{StyleBox[\\\"f\\\", \
\\\"TI\\\"], \\\"/\\\", RowBox[{\\\"\[PartialD]\\\", SubscriptBox[StyleBox[\\\
\"x\\\", \\\"TI\\\"], \\\"2\\\"]}]}]}], \\\",\\\", \\\"\[Ellipsis]\\\"}], \
\\\")\\\"}]\\). \\n\\!\\(\\*RowBox[{\\\"D\\\", \\\"[\\\", RowBox[{StyleBox[\\\
\"f\\\", \\\"TI\\\"], \\\",\\\", RowBox[{\\\"{\\\", StyleBox[\\\"array\\\", \
\\\"TI\\\"], \\\"}\\\"}]}], \\\"]\\\"}]\\) gives a tensor derivative.\"\>", 
   "MSG"], "\[NonBreakingSpace]", 
  ButtonBox[
   StyleBox["\[RightSkeleton]", "SR"],
   Active->True,
   BaseStyle->"Link",
   ButtonData->"paclet:ref/D"]}]], "Print", "PrintUsage",
 CellTags->"Info3539788829-7371273"],

Cell[BoxData[
 InterpretationBox[GridBox[{
    {
     RowBox[{
      RowBox[{"Attributes", "[", "D", "]"}], "=", 
      RowBox[{"{", 
       RowBox[{"Protected", ",", "ReadProtected"}], "}"}]}]},
    {" "},
    {GridBox[{
       {
        RowBox[{
         RowBox[{"Options", "[", "D", "]"}], ":=", 
         RowBox[{"{", 
          RowBox[{"NonConstants", "\[Rule]", 
           RowBox[{"{", "}"}]}], "}"}]}]}
      },
      BaselinePosition->{Baseline, {1, 1}},
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxItemSize->{"Columns" -> {{
           Scaled[0.999]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
        "RowsIndexed" -> {}}]}
   },
   BaselinePosition->{Baseline, {1, 1}},
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}}],
  Definition[D],
  Editable->False]], "Print",
 CellTags->"Info3539788829-7371273"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"poly", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "5"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"-", "5.55617256436657`*^6"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   RowBox[{"cETaylorNearTarget", "[", "eps", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"eps", ",", "5"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData["0.0012103734335742681`"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"poly", "'''''"}]], "Input"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"2.2796755267766795`*^8", "-", 
     RowBox[{"2.081552308331382`*^8", " ", "x"}], "+", 
     RowBox[{"7.602590762772265`*^7", " ", 
      SuperscriptBox["x", "2"]}], "-", 
     RowBox[{"1.3883721786394386`*^7", " ", 
      SuperscriptBox["x", "3"]}], "+", 
     RowBox[{"1.2677108148630378`*^6", " ", 
      SuperscriptBox["x", "4"]}], "-", 
     RowBox[{"46301.438036388085`", " ", 
      SuperscriptBox["x", "5"]}]}], ")"}], 
   TagBox[
    RowBox[{"(", "5", ")"}],
    Derivative],
   MultilineFunction->None], "[", "5.4758525580864505`", "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "\[ScriptM]E", "}"}], ",", "\[ScriptC]E", ",", "\[Kappa]E",
       ",", "\[Kappa]EP"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[ScriptM]E", "-", "\[CurlyEpsilon]"}], "}"}], ",", 
      RowBox[{"mm4", "[", 
       RowBox[{"\[ScriptM]E", "-", "\[CurlyEpsilon]"}], "]"}], ",", 
      RowBox[{
       RowBox[{"mm4", "'"}], "[", 
       RowBox[{"\[ScriptM]E", "-", "\[CurlyEpsilon]"}], "]"}], ",", 
      RowBox[{
       RowBox[{"mm4", "''"}], "[", 
       RowBox[{"\[ScriptM]E", "-", "\[CurlyEpsilon]"}], "]"}]}], "}"}]}], 
   "}"}], "]"}]], "Input"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"{", "5.4758525580864505`", "}"}], "1.1085280148982277`", 
      "0.11027775687278057`", 
      RowBox[{"-", "0.008516198715274733`"}]},
     {
      RowBox[{"{", "5.475752558086451`", "}"}], "1.108516987079959`", 
      "0.1102786085077012`", 
      RowBox[{"-", "0.008516499692395724`"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ntrp", " ", "=", " ", 
  RowBox[{"Interpolation", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", "\[ScriptM]E", "}"}], ",", "\[ScriptC]E", ",", 
        "\[Kappa]E", ",", "\[Kappa]EP"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\[ScriptM]E", "-", "\[CurlyEpsilon]"}], "}"}], ",", 
        RowBox[{"mm4", "[", 
         RowBox[{"\[ScriptM]E", "-", "\[CurlyEpsilon]"}], "]"}], ",", 
        RowBox[{
         RowBox[{"mm4", "'"}], "[", 
         RowBox[{"\[ScriptM]E", "-", "\[CurlyEpsilon]"}], "]"}], ",", 
        RowBox[{
         RowBox[{"mm4", "''"}], "[", 
         RowBox[{"\[ScriptM]E", "-", "\[CurlyEpsilon]"}], "]"}]}], "}"}]}], 
     "}"}], ",", 
    RowBox[{"InterpolationOrder", "\[Rule]", "4"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 TagBox[
  RowBox[{"InterpolatingFunction", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"5.475752558086451`", ",", "5.4758525580864505`"}], "}"}], 
     "}"}], ",", "\<\"<>\"\>"}], "]"}],
  False,
  Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ntrp", "''"}], "[", "\[ScriptM]E", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"-", "0.008516198715274733`"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"??", "mm4"}]], "Input"],

Cell[CellGroupData[{

Cell["Global`mm4", "Print", "PrintUsage",
 CellTags->"Info3539782895-7371273"],

Cell[BoxData[
 InterpretationBox[GridBox[{
    {GridBox[{
       {
        RowBox[{
         RowBox[{"mm4", "[", "x_", "]"}], "=", 
         RowBox[{"1.1085280148982277`", "\[VeryThinSpace]", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"0.11027775687278057`", "\[VeryThinSpace]", "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "0.004258099357637366`"}], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"0.0005016536176702663`", "\[VeryThinSpace]", "+", 
                   RowBox[{"0.00012541340441756657`", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "5.4758525580864505`"}], "+", "x"}], 
                    ")"}]}]}], ")"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "5.4758525580864505`"}], "+", "x"}], 
                  ")"}]}]}], ")"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "5.4758525580864505`"}], "+", "x"}], ")"}]}]}], 
            ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "5.4758525580864505`"}], "+", "x"}], ")"}]}]}]}]}
      },
      BaselinePosition->{Baseline, {1, 1}},
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxItemSize->{"Columns" -> {{
           Scaled[0.999]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
        "RowsIndexed" -> {}}]}
   },
   BaselinePosition->{Baseline, {1, 1}},
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}}],
  Definition[$CellContext`mm4],
  Editable->False]], "Print",
 CellTags->"Info3539782895-7371273"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"mm6", "[", "m", "]"}], "-", 
     RowBox[{"cETaylorNearTarget", "[", 
      RowBox[{"m", "-", "\[ScriptM]E"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", 
     RowBox[{"\[ScriptM]E", "-", "\[CurlyEpsilon]"}], ",", "\[ScriptM]E"}], 
    "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJxV03tIU2EcxvEZVnNolrUIs9RaIurUzW06Ny+pMynnNSW1xMtmWVpkM8NL
YjCJqIQ15iXNS2VN06YwzVgpajbRhQ1dOM1IpymZ13DRH62CoMfBYXz4/s77
vmeHOaZdihFuIRAIOX+uv9+zC50trl/IgYR/H8PIwHP0dOdYG3pKvK78bwVX
5+jxGvtAQuM76Kong9Jl7JnyyzQ36A1zAT1u0IcLy3lUWN/5WrSaCp29ah/v
Dp3Tl6dH54uUk+4w/+LI+hR21s2LM9jpfOEiducPMb+w7/1KPeQBjqu+QEFL
+XInD3geGwXFFW2Vu5+BNjcRQ9FrNoZMdEb2CQV64m37Blo5Rsr3hP1DUvOI
NHAfL/sOWlT2xpqO68XTa+j4/HnOjl5gf7KXAl24r47LgN+nWSTrRpdF1POZ
MC8oYWqZ0J0oolH0/EC7DuezLD0nsOeWuxiwl7bYb6DDopJ/oEnr1T/RZT62
JnRF3x4iC9ZPzIglgVV2FhJL9FTzyA4W3F8XYb0LnbbK343zFOltMlo+bmGL
Ht763Q+9RJtKRfOSbQTo6luhGejjM63ncf9GafEV9Bmjg3jTfqr0p9ibji0s
oeM7inK88f/R4GTmA/eT5k+Vou9KvhHZMK9+KZOxoa9xBm19we99dzb5wvz0
gy4WB7ohabGLA/2+zCuMCw52MdegDxz2jvSD+59VXp9Eu2ZGpvjDfEoHY9kf
3rf49ENRAPTJsyIjen4lQRwIntWqLY6Cy+nhlegCI80pCPaPItfLg6DrFRSf
YPDJx7RXaDNTXUAInC9dR9Ggldvo0Tx83/LiWHRFuCYOnS85l4gOPFibjh5i
Wl7lwXk/C+aqsGu3M2rQ/U0ltZv2X7F7hM4qjG1BG+/1dMP63HnWjl7s+vGk
frTK3qhGt/aGDKFrhRIN+kYzVYvnF0UUjKKFq2odzod5Cyaws/VtH7G7FJk+
oe0c+NNoq74qA/o33ATLdQ==
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{5.475755, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{5.475752558086451, 
   5.4758525580864505`}, {-2.220446049250313*^-16, 2.220446049250313*^-16}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"zz6", "[", "x_", "]"}], " ", "=", " ", 
   RowBox[{"InterpolatingPolynomial", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", "0.", "}"}], ",", "\[ScriptC]E", ",", "\[Kappa]E", ",", 
        "\[Kappa]EP", ",", "\[Kappa]EPP", ",", "\[Kappa]EPP", ",", 
        "\[Kappa]EPPP", ",", "\[Kappa]EPPPP"}], "}"}], "}"}], ",", "x"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zz5", "[", "x_", "]"}], " ", "=", " ", 
   RowBox[{"InterpolatingPolynomial", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", "0.", "}"}], ",", "\[ScriptC]E", ",", "\[Kappa]E", ",", 
        "\[Kappa]EP", ",", "\[Kappa]EPP", ",", "\[Kappa]EPP", ",", 
        "\[Kappa]EPPP"}], "}"}], "}"}], ",", "x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zz4", "[", "x_", "]"}], " ", "=", " ", 
   RowBox[{"InterpolatingPolynomial", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", "0.", "}"}], ",", "\[ScriptC]E", ",", "\[Kappa]E", ",", 
        "\[Kappa]EP", ",", "\[Kappa]EPP", ",", "\[Kappa]EPP"}], "}"}], "}"}], 
     ",", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cE6", "[", "mm_", "]"}], " ", ":=", " ", 
   RowBox[{"zz6", "[", 
    RowBox[{"(", 
     RowBox[{"\[ScriptM]E", "-", "mm"}], ")"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cE5", "[", "mm_", "]"}], " ", ":=", " ", 
   RowBox[{"zz5", "[", 
    RowBox[{"(", 
     RowBox[{"\[ScriptM]E", "-", "mm"}], ")"}], "]"}]}], ";", 
  RowBox[{
   RowBox[{"cE4", "[", "mm_", "]"}], " ", ":=", " ", 
   RowBox[{"zz4", "[", 
    RowBox[{"(", 
     RowBox[{"\[ScriptM]E", "-", "mm"}], ")"}], "]"}]}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cE4", "[", "\[ScriptM]E", "]"}]], "Input"],

Cell[BoxData["1.1085280148982277`"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["\[ScriptC]E"], "Input"],

Cell[BoxData["1.1085280148982277`"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"zz4", "[", "0.", "]"}]], "Input"],

Cell[BoxData["1.1085280148982277`"], "Output"]
}, Open  ]],

Cell[BoxData[""], "Input"],

Cell[CellGroupData[{

Cell[BoxData[""], "Input"],

Cell[BoxData[
 RowBox[{"1.1085280148982277`", "\[VeryThinSpace]", "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"0.`", "\[VeryThinSpace]", "+", "x"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"0.11027775687278057`", "\[VeryThinSpace]", "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"0.`", "\[VeryThinSpace]", "+", "x"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "0.004258099357637366`"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"0.`", "\[VeryThinSpace]", "+", "x"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"0.0005016536176702663`", "\[VeryThinSpace]", "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"0.`", "\[VeryThinSpace]", "+", "x"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"0.00012541340441756657`", "\[VeryThinSpace]", "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"0.`", "\[VeryThinSpace]", "+", "x"}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "0.000013695135461058512`"}], "+", 
                 RowBox[{"1.6810742132975947`*^-6", " ", 
                  RowBox[{"(", 
                   RowBox[{"0.`", "\[VeryThinSpace]", "+", "x"}], ")"}]}]}], 
                ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}]}], 
    ")"}]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"zz", "[", "#", "]"}], ",", 
      RowBox[{
       RowBox[{"zz", "'"}], "[", "#", "]"}], ",", 
      RowBox[{
       RowBox[{"zz", "''"}], "[", "#", "]"}]}], "}"}], "&"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "\[CurlyEpsilon]"}], ",", "0."}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1.108516987079959`", ",", "0.11027860850770121`", ",", 
     RowBox[{"-", "0.008516499692395454`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.1085280148982277`", ",", "0.11027775687278057`", ",", 
     RowBox[{"-", "0.008516198715274733`"}]}], "}"}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"zz", "[", "e", "]"}], "-", 
     RowBox[{"cETaylorNearTarget", "[", "e", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", 
     RowBox[{"-", "\[CurlyEpsilon]"}], ",", "\[CurlyEpsilon]"}], "}"}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJxF1H0w03EcwPEZsdjYxthGS1lKD2iEaqbSjpLoSdGzxxNZR7tc52E9KeR2
4fQcolqaDElJWi4958q5aqRn7I4htOl2TXXXPp/f3e9+97r39/P7/r7//GZE
i9bHEQkEws6/97/ndeUc1Vcf9gPC/4tdNt+qjYfOy/b0v+ZutIKv3+Etyp2L
PVngV57kCr3ZszkocZyBvt0Y/2vKTxa49WYly62eBfNdF5yjRB5ozo/qTx00
JthrXVS9i4UD7M9Jzf5GMXWATiqqtJ0w2IM/dg6lvdSiT2w54i3uQ3/YKW94
3IbOSTE0Jh5F75O6qDdI0FsVwUxBBtpztDCdvh/dLZ69+F6MPZ4/M7yJHIi9
K/9yc40JdvMEiebnMAO8cMUODv8j+sQES/K0iQHzvnGnAr+kYS8WSJ7T++yg
T/+d4RrTYwu+72VzPK+FDh5c6T9NU0lD784z8b9EBRs0qs4nRBvwY4+eFSND
ZHCtK9NJ2msJbqVkGbprSGAxeWamaZk5eK1+xEwVYwbfu7pUp+PyiGB1FP94
iCsB1kdQtgQs+6BvMdq5uF52qVEH9tHHciOXjIG5Z600hEoNOPackNi0pxec
ficiPYKgAiePzrrgeEsJfpb2cirn6wOB0QO15bnyahX6kWizgdULDh6JFqZY
D4ELKpYGHk4eExjPU1e6ah4zRwfOv2disn5CD+upnZywJBtCgNG+jGM8XyYR
7BevJG8KNQswzp8uvb/6zDZz6K/V0uwFZ0jgBDaXqa62NK7nd5dIhPPvkqG7
udQlto5YQx940TEhOESF7m7te0dYRoP9Posnl9Oa6NAfvpFlDittYV7a0HxL
22MHPllQe5GqZsB6XZ7luuFBe3AYtX1Sa8GE97/NTd1Fo7Kg10Zvuiq3Y0E/
udRvMIiFPVDz+0DWTLQiPFc64I3OdyhraYtEL7vyyulgBdoxSxHNkKG1EUUy
hRxdTYr07m9As5O/h2x8ih7n6Q+6a+D7+FXfleZxWvTukpzC85NovijxvY8Z
G+aZwWs4HST0mLNH7F4Kuv0XrYpEZ8P5qzrGhyvssR+78W5RgCOav/3iQzEX
7eAjsaC5wTx/1DomVL4A3d4vLAriof//32H+D1qDfIo=
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-0.0001, 0.0001}, {-2.220446049250313*^-16, 
   2.220446049250313*^-16}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["\[ScriptC]E"], "Input"],

Cell[BoxData["1.1085280148982277`"], "Output"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"InterpolatingPolynomial", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "Automatic", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "Automatic", ",", "0"}], "}"}]}], "}"}], ",", "x"}], 
  "]"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"??", "InterpolatingPolynomial"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  StyleBox["\<\"\\!\\(\\*RowBox[{\\\"InterpolatingPolynomial\\\", \\\"[\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"f\\\", \
\\\"TI\\\"], StyleBox[\\\"1\\\", \\\"TR\\\"]], \\\",\\\", \
SubscriptBox[StyleBox[\\\"f\\\", \\\"TI\\\"], StyleBox[\\\"2\\\", \
\\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"}\\\
\"}], \\\",\\\", StyleBox[\\\"x\\\", \\\"TI\\\"]}], \\\"]\\\"}]\\) constructs \
an interpolating polynomial in \\!\\(\\*StyleBox[\\\"x\\\", \\\"TI\\\"]\\) \
which reproduces the function values \
\\!\\(\\*SubscriptBox[StyleBox[\\\"f\\\", \\\"TI\\\"], StyleBox[\\\"i\\\", \\\
\"TI\\\"]]\\) at successive integer values \\!\\(\\*RowBox[{\\\"1\\\", \
\\\",\\\", \\\"2\\\", \\\",\\\", \\\"\[Ellipsis]\\\"}]\\) of \
\\!\\(\\*StyleBox[\\\"x\\\", \\\"TI\\\"]\\). \
\\n\\!\\(\\*RowBox[{\\\"InterpolatingPolynomial\\\", \\\"[\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \
\\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"f\\\", \\\"TI\\\"], \
StyleBox[\\\"1\\\", \\\"TR\\\"]]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], \
StyleBox[\\\"2\\\", \\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"f\\\", \
\\\"TI\\\"], StyleBox[\\\"2\\\", \\\"TR\\\"]]}], \\\"}\\\"}], \\\",\\\", \
StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"}\\\"}], \\\",\\\", \
StyleBox[\\\"x\\\", \\\"TI\\\"]}], \\\"]\\\"}]\\) constructs an interpolating \
polynomial for the function values \\!\\(\\*SubscriptBox[StyleBox[\\\"f\\\", \
\\\"TI\\\"], StyleBox[\\\"i\\\", \\\"TI\\\"]]\\) corresponding to \
\\!\\(\\*StyleBox[\\\"x\\\", \\\"TI\\\"]\\) values \
\\!\\(\\*SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], StyleBox[\\\"i\\\", \\\
\"TI\\\"]]\\).\\n\\!\\(\\*RowBox[{\\\"InterpolatingPolynomial\\\", \\\"[\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\
\", RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \
\\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"y\\\", \\\"TI\\\"], \
StyleBox[\\\"1\\\", \\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\
\"TR\\\"]}], \\\"}\\\"}], \\\",\\\", SubscriptBox[StyleBox[\\\"f\\\", \
\\\"TI\\\"], StyleBox[\\\"1\\\", \\\"TR\\\"]]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], StyleBox[\\\"2\\\", \
\\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"y\\\", \\\"TI\\\"], \
StyleBox[\\\"2\\\", \\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\
\"TR\\\"]}], \\\"}\\\"}], \\\",\\\", SubscriptBox[StyleBox[\\\"f\\\", \
\\\"TI\\\"], StyleBox[\\\"2\\\", \\\"TR\\\"]]}], \\\"}\\\"}], \\\",\\\", \
StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"}\\\"}], \\\",\\\", RowBox[{\
\\\"{\\\", RowBox[{StyleBox[\\\"x\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"y\
\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\
\"}\\\"}]}], \\\"]\\\"}]\\) constructs a multidimensional interpolating \
polynomial in the variables \\!\\(\\*RowBox[{StyleBox[\\\"x\\\", \\\"TI\\\"], \
\\\",\\\", StyleBox[\\\"y\\\", \\\"TI\\\"], \\\",\\\", \
\\\"\[Ellipsis]\\\"}]\\).\\n\\!\\(\\*RowBox[{\\\"InterpolatingPolynomial\\\", \
\\\"[\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \
\\\"TI\\\"], StyleBox[\\\"1\\\", \\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\
\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"}\\\"}], \\\",\\\", \
SubscriptBox[StyleBox[\\\"f\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \
\\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"df\\\", \\\"TI\\\"], \
StyleBox[\\\"1\\\", \\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\
\"TR\\\"]}], \\\"}\\\"}], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \
\\\"TR\\\"]}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{StyleBox[\\\
\"x\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \
\\\"}\\\"}]}], \\\"]\\\"}]\\) constructs an interpolating polynomial that \
reproduces derivatives as well as function values.\"\>", "MSG"], 
  "\[NonBreakingSpace]", 
  ButtonBox[
   StyleBox["\[RightSkeleton]", "SR"],
   Active->True,
   BaseStyle->"Link",
   ButtonData->"paclet:ref/InterpolatingPolynomial"]}]], "Print", "PrintUsage",
 CellTags->"Info3539780770-7371273"],

Cell[BoxData[
 InterpretationBox[GridBox[{
    {
     RowBox[{
      RowBox[{"Attributes", "[", "InterpolatingPolynomial", "]"}], "=", 
      RowBox[{"{", "Protected", "}"}]}]},
    {" "},
    {GridBox[{
       {
        RowBox[{
         RowBox[{"Options", "[", "InterpolatingPolynomial", "]"}], "=", 
         RowBox[{"{", 
          RowBox[{"Modulus", "\[Rule]", "0"}], "}"}]}]}
      },
      BaselinePosition->{Baseline, {1, 1}},
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxItemSize->{"Columns" -> {{
           Scaled[0.999]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
        "RowsIndexed" -> {}}]}
   },
   BaselinePosition->{Baseline, {1, 1}},
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}}],
  Definition[InterpolatingPolynomial],
  Editable->False]], "Print",
 CellTags->"Info3539780770-7371273"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"cEInterp", "'''''"}], "[", "\[ScriptM]E", "]"}]], "Input"],

Cell[BoxData["2.538689043169993`*^6"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"cEInterp", "''''"}], "[", 
    RowBox[{"\[ScriptM]E", "-", "\[CurlyEpsilon]"}], "]"}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"cEInterp", "''''"}], "[", 
     RowBox[{"\[ScriptM]E", "+", "0"}], "]"}], "+", " ", 
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"cEInterp", "'''''"}], "[", 
       RowBox[{"\[ScriptM]E", "+", "del"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"del", ",", "0", ",", 
        RowBox[{"-", "\[CurlyEpsilon]"}]}], "}"}]}], "]"}]}]}], 
  "}"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "126.93615130527687`"}], ",", 
   RowBox[{"-", "126.93615130586876`"}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"cETaylorNearTarget", "'''''"}], "[", "\[CurlyEpsilon]", "]"}], 
   ",", 
   RowBox[{
    RowBox[{
     RowBox[{"cETaylorNearTarget", "'''''"}], "[", "0", "]"}], "+", " ", 
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"cETaylorNearTarget", "''''''"}], "[", "del", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"del", ",", "0", ",", "\[CurlyEpsilon]"}], "}"}]}], "]"}]}]}], 
  "}"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "izero"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Integral and error estimates are 0 on all integration \
subregions. Try increasing the value of the MinRecursion option. If value of \
integral may be 0, specify a finite value for the AccuracyGoal option. \\!\\(\
\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/NIntegrate\\\", ButtonNote -> \
\\\"NIntegrate::izero\\\"]\\)\"\>"}]], "Message", "MSG"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0.`"}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"cE", "'''"}], "[", "m", "]"}], ",", 
     RowBox[{
      RowBox[{"cETaylorNearTarget", "'''"}], "[", 
      RowBox[{"m", "-", "\[ScriptM]E"}], "]"}], ",", 
     RowBox[{
      RowBox[{"cEInterp", "'''"}], "[", "m", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", "\[ScriptM]E", ",", 
     RowBox[{"\[ScriptM]E", "+", "0.002"}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Green", ",", "Blue"}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[1, 0, 0], LineBox[CompressedData["
1:eJwVz31Q03UABvBJCUcaIt1GvA0QFa9LiQaWuPHDoAETcHIMFQRhMPhBxmsS
SsVLbiCjCzFsMMqQ1zbizWkgIhemASGynQbHlpCQ4IHHgEAEs57vH8899/nv
eZzFqaESEwaDEYyQLs5VTn04zfSJvmlxKKGRpuLkt1/nw38x9v0igbnfzu8l
vh8VxyGeb/Y9R2yW2GEdD4c9nN3tD9dei5uIhdk87qcB8C1BT3oU3L5mMD8I
Z/CLvwmD9afYbkL4mjx17ANY5L3/SCQcuM/jpD1c8dyqVwI3vdsqX22gqTtV
laup8BHdWswD2MHqxuYcuKHEktcC884o4qQwgzpdL4dlGgtFKVw0tcFaAnf+
4aFQkv2K0zwKvjrL1NfB5rI/jXawXle63gprFgfUy/U0NdB0J7oLNnqlLWnh
mpSmr27D/BGlsRmuM3m7chhmT/68XASnn0t4Mgbb9LgWSuCER16sx/DleoMT
Bfu59FgswC2c99Ns4Lnwl4HrsKNt/sGVOprqPj4iNp1h+piEZLsNw0dFH920
hIU1uy41wfZOFc/s4EVfg7UM7tdlvdgJz41Y8GNgn+wtfu5wbvWF/7jwxPyB
JC7cmCbtZcGCCDctH15jlFsu1dLUd02Drx6G+5TX3xiGbbWvsI7D70RonFRw
zMxyUgKsqE7skMH3tPnKdHjzkG9EDLyrplvxGVwbH97mBQsSNaMyeHCiq8wa
vviv38p5WNt25YuFGppSy0rDq2CRzcA/d2HVM3lBPTwV1OyohnVeziVtsLFR
LpLCv6alj3bB7WoXphgez440+Q2ejjSf2A/fymSkauEg11Meb8Lnw0UNergz
tpC3fJmmijb5dT+Gq8pDQu/BgVeeMhfI39z3jGqYs9s96AXsKXirUgqbfb09
xOwJ0+eHhcnVE3DtpK5sK7wz9+gEF05+ze6qPdxb7HOfBa+5sG1d4VBWi3Cp
mqYyd2gF7nB5e07+MMx67nCMC+cNbetRwQU9O1R8+GHw3NlC+MSZvaPEysWa
aRnM9fQ39YczOyIFxCsqWkyc0fD7FimcdFFtGwBrrH6qLICFH7vLA2FPdlbr
5zDbjncyCD5g7mzIhNcfBFcSi7QGb+LR0ug+4vzriuoMuMw0b3swvMdomZgO
b1zsNRD3z5gspsBzfQHBh+CXFk/NkuH+L4/lEN+YUSUnwfXeyT8SX5ik79Lk
j0a+UQhXcP8uS4R1l4a6iR/ljDtI4JaI8VniT6K/z4uHS5hGm8OwszhqMg7m
y7dmEQ8P6hvFsAt/Wy3xEEe5iZixgaMjnumKSImFDV2+jFDYUWKrjYE7s8L2
EKe4jXGI/wcNUj9u
     "]]}, 
   {RGBColor[0, 1, 0], LineBox[CompressedData["
1:eJwV0n841HcAB/AboRFSTs/8uMePqGemZsyedHyZX0d+h8hlfqXT0tHtTH4M
yT3ZpWSPOk4/zLnQzZaxMZQnc6ONunvauiGaNdVzJ26L6Nj2/vzxft7P68/3
87wd0rmxh/VoNFoEQvrzUvGToKd0P9a58OyAVg6VIRw2DYYfFg9OfwgzLy14
EZdxPeOIFzoCqojt0mwpfzhuWu0WAn/B11hSMMOH+SkLzsyoHvSGO19PvbkP
vhSr3PYePMln7I6GQ0o5cns43nfvgWQ4+feVPbrrHKp+dcudw7BobPxtFSxv
bFjhwvdbX/7cDdtt6d9UBA9qr1TUwD6FooxKmBdQ2pMDC7rMRDVwlJtWnwX3
/uYpEsOVBj3/OcLdavpkC7z6UlJAgyeVNbpv4NRHHhsnpRzqrkye0gfP9j+2
7IGbj8uqh+GTYUpFHdyi907Dfdj+Lr8lF86ryno+Ad/8YcdyBJw16201B7Nv
iQ7thAOdbptpYQ1vP18f1iT8G6qDGV2bjP9o4VAD7Ifphs/ofm3suu4+ODH+
41ub4XK+5bQItrWvf2UDq11y7XjwqDJ/zQVOTDM3jYT9CswD3WHx1rqTrvDj
Bf9sJpwmN1o3gMMO7lYEw0FjieuzEg51WfbLhhi4j/7oq0HYWqFvxYZfpKTw
xXDqs6XsLNiR29FbAN9TlIvz4HnpRvp+eGfzgKgY3ucitt8Fhx3pUgngE6Wa
VhP44nrg8gX4PDuRNdfMoW4IahIa4aqlwswhuP2V8JQU9m0YfrcJVno7nL0J
X/3e27IY/jE3T9UHL5kd+CQJnilI1vsJPrbWrvaAh3g0rgKuXrs8sxm+kBB/
fRLu13RWvPiSQ50xCRyYg3MKzalROPTbeboW7hbo8qWwh5t7+BrscIgpL4ON
zm+PNHqOv7tKhpNhyZ/KWgt4/bTQfw981Nim2xYeM1E92Aq/dmJY74CrdOIn
i00ciuesCHOHz13Ll4zDVqt2SUzYgisvaoNP3XZuD4Zldp/dE8AfFXqpiO1j
ZZ7EzPdDDEPgHuFEfSW83M5JJ440+yDzNJx98YY1C3aOWVwph6Nz3IWhcNpY
hmMJzLDxORYOM65F8nmw7teIBuJ/CkomTsCqmpQRYk2CjCKuNSzbHgEHORob
58EGf9+ZIm5aHr5yHNaMsCKi4Lk635FseLQiqYhYPZjjRiz1PdpGbKltrOWQ
PV1Cg2hYmapjH4GVV8cHiBdLerSZ8NcHZ9TEpsqnCcRn6YtvxcBRrtv6M+Bg
oUU+8d55viAddgp2lBD/Fd+iToNpb3goiTuHHkQTT/UF0GJhqdeG71Lh3vy4
XcS9HR42xP8DgJk/IQ==
     "]]}, 
   {RGBColor[0, 0, 1], LineBox[CompressedData["
1:eJwVz31Q03UABvBJCUcaIt1GvA0QFa9LiQaWuPHDoAETcHIMFQRhMPhBxmsS
SsVLbiCjCzFsMMqQ1zbizWkgIhemASGynQbHlpCQ4IHHgEAEs57vH8899/nv
eZzFqaESEwaDEYyQLs5VTn04zfSJvmlxKKGRpuLkt1/nw38x9v0igbnfzu8l
vh8VxyGeb/Y9R2yW2GEdD4c9nN3tD9dei5uIhdk87qcB8C1BT3oU3L5mMD8I
Z/CLvwmD9afYbkL4mjx17ANY5L3/SCQcuM/jpD1c8dyqVwI3vdsqX22gqTtV
laup8BHdWswD2MHqxuYcuKHEktcC884o4qQwgzpdL4dlGgtFKVw0tcFaAnf+
4aFQkv2K0zwKvjrL1NfB5rI/jXawXle63gprFgfUy/U0NdB0J7oLNnqlLWnh
mpSmr27D/BGlsRmuM3m7chhmT/68XASnn0t4Mgbb9LgWSuCER16sx/DleoMT
Bfu59FgswC2c99Ns4Lnwl4HrsKNt/sGVOprqPj4iNp1h+piEZLsNw0dFH920
hIU1uy41wfZOFc/s4EVfg7UM7tdlvdgJz41Y8GNgn+wtfu5wbvWF/7jwxPyB
JC7cmCbtZcGCCDctH15jlFsu1dLUd02Drx6G+5TX3xiGbbWvsI7D70RonFRw
zMxyUgKsqE7skMH3tPnKdHjzkG9EDLyrplvxGVwbH97mBQsSNaMyeHCiq8wa
vviv38p5WNt25YuFGppSy0rDq2CRzcA/d2HVM3lBPTwV1OyohnVeziVtsLFR
LpLCv6alj3bB7WoXphgez440+Q2ejjSf2A/fymSkauEg11Meb8Lnw0UNergz
tpC3fJmmijb5dT+Gq8pDQu/BgVeeMhfI39z3jGqYs9s96AXsKXirUgqbfb09
xOwJ0+eHhcnVE3DtpK5sK7wz9+gEF05+ze6qPdxb7HOfBa+5sG1d4VBWi3Cp
mqYyd2gF7nB5e07+MMx67nCMC+cNbetRwQU9O1R8+GHw3NlC+MSZvaPEysWa
aRnM9fQ39YczOyIFxCsqWkyc0fD7FimcdFFtGwBrrH6qLICFH7vLA2FPdlbr
5zDbjncyCD5g7mzIhNcfBFcSi7QGb+LR0ug+4vzriuoMuMw0b3swvMdomZgO
b1zsNRD3z5gspsBzfQHBh+CXFk/NkuH+L4/lEN+YUSUnwfXeyT8SX5ik79Lk
j0a+UQhXcP8uS4R1l4a6iR/ljDtI4JaI8VniT6K/z4uHS5hGm8OwszhqMg7m
y7dmEQ8P6hvFsAt/Wy3xEEe5iZixgaMjnumKSImFDV2+jFDYUWKrjYE7s8L2
EKe4jXGI/wcNUj9u
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{5.4759, 0.0030066},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"cEInterpLess", " ", "=", " ", 
    RowBox[{"Interpolation", "[", "cEPointsLess", "]"}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{"Map", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\[ScriptC]E", ",", "\[Kappa]E", ",", "\[Kappa]EP", ",", 
        "\[Kappa]EPP"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"cEInterp", "[", "#", "]"}], ",", 
        RowBox[{
         RowBox[{"cEInterp", "'"}], "[", "#", "]"}], ",", 
        RowBox[{
         RowBox[{"cEInterp", "''"}], "[", "#", "]"}], ",", 
        RowBox[{
         RowBox[{"cEInterp", "'''"}], "[", "#", "]"}]}], "}"}]}], "}"}], 
    "&"}], ",", 
   RowBox[{"{", "\[ScriptM]E", "}"}]}], "]"}]}], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1.1085280148982277`", ",", "0.11027775687278057`", ",", 
      RowBox[{"-", "0.008516198715274733`"}], ",", "0.003009921706021598`"}], 
     "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1.1085280148982277`", ",", "0.11027775687278057`", ",", 
      RowBox[{"-", "0.008516198715274733`"}], ",", "0.00512549312212619`"}], 
     "}"}]}], "}"}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"cETaylorNearTarget", "'''"}], "[", "0.", "]"}]], "Input"],

Cell[BoxData["0.0030099217060215976`"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"cEInterpLess", "''"}], "[", "m", "]"}], "-", 
     RowBox[{
      RowBox[{"cEInterp", "''"}], "[", "m", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", "\[ScriptM]E", ",", 
     RowBox[{"\[ScriptM]E", "+", "\[CurlyEpsilon]"}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Green"}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[0, 1, 0], LineBox[CompressedData["
1:eJwt1nk4VVsbAPCTkKlIpjRJCJkzppZzS5wTcYa9d1TKJTmViihTA5FLCXUV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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{5.475855, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["cEPoints"], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "0.`", "}"}], ",", "0.`", ",", "0.47674202832972296`", ",", 
     
     RowBox[{"-", "0.140827599639419`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "0.7296297778897389`", "}"}], ",", "0.3103597170342889`", 
     ",", "0.3500946221496257`", ",", 
     RowBox[{"-", "0.21588274203472838`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "1.429688921867708`", "}"}], ",", "0.5112635097504978`", 
     ",", "0.23671416923085567`", ",", 
     RowBox[{"-", "0.11010831866120299`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "1.941248283608323`", "}"}], ",", "0.6202609159943069`", 
     ",", "0.19326476502925485`", ",", 
     RowBox[{"-", "0.06476030549283093`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "2.3538139036992245`", "}"}], ",", "0.6951249070606955`", 
     ",", "0.17102025015983893`", ",", 
     RowBox[{"-", "0.04479257802924603`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "2.6999074182049965`", "}"}], ",", "0.7518635732969461`", 
     ",", "0.15746862060182568`", ",", 
     RowBox[{"-", "0.03421245666619416`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "2.9964527344540155`", "}"}], ",", "0.7971565683225028`", 
     ",", "0.14831687934088672`", ",", 
     RowBox[{"-", "0.02783603956427358`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "3.253948675859881`", "}"}], ",", "0.834473991036374`", ",",
      "0.1417115960280545`", ",", 
     RowBox[{"-", "0.02363986001103086`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "3.4795986307413713`", "}"}], ",", "0.8658755702564145`", 
     ",", "0.13672001699118186`", ",", 
     RowBox[{"-", "0.020700472829071857`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "3.678674078538008`", "}"}], ",", "0.8926978209205154`", 
     ",", "0.13281967414465728`", ",", 
     RowBox[{"-", "0.01854425770992387`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "3.8552077676192873`", "}"}], ",", "0.9158648220808145`", 
     ",", "0.12969400540567141`", ",", 
     RowBox[{"-", "0.016905890700481492`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "4.012385617735104`", "}"}], ",", "0.9360464466628879`", 
     ",", "0.12713936212517293`", ",", 
     RowBox[{"-", "0.01562620539152389`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "4.152786199473361`", "}"}], ",", "0.9537463171813456`", 
     ",", "0.1250184060164622`", ",", 
     RowBox[{"-", "0.01460437696120298`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "4.278536023366972`", "}"}], ",", "0.9693541288756962`", 
     ",", "0.12323492281500766`", ",", 
     RowBox[{"-", "0.013773648690307588`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "4.391415064569385`", "}"}], ",", "0.9831785034443423`", 
     ",", "0.1217193603708438`", ",", 
     RowBox[{"-", "0.013088172142763681`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "4.492931239669001`", "}"}], ",", "0.9954685476794406`", 
     ",", "0.12042010165859063`", ",", 
     RowBox[{"-", "0.01251547418407277`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "4.584374639885501`", "}"}], ",", "1.006428528801854`", ",",
      "0.11929797541894366`", ",", 
     RowBox[{"-", "0.012031943714653829`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "4.666858071944077`", "}"}], ",", "1.0162281788545697`", 
     ",", "0.11832267970894253`", ",", 
     RowBox[{"-", "0.01162002063838606`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "4.7413480459327815`", "}"}], ",", "1.025010124797748`", 
     ",", "0.11747038032819682`", ",", 
     RowBox[{"-", "0.011266385585565242`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "4.808688918475239`", "}"}], ",", "1.0328953707870145`", 
     ",", "0.11672205534229693`", ",", 
     RowBox[{"-", "0.010960759755661284`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "4.869622017348277`", "}"}], ",", "1.0399874254947772`", 
     ",", "0.11606232739419692`", ",", 
     RowBox[{"-", "0.010695088711131858`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "4.924801011461059`", "}"}], ",", "1.0463754649770627`", 
     ",", "0.11547862318114943`", ",", 
     RowBox[{"-", "0.010462974633875854`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "4.974804421314124`", "}"}], ",", "1.0521367949305565`", 
     ",", "0.11496055739052095`", ",", 
     RowBox[{"-", "0.010259273397960919`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.0201459168991995`", "}"}], ",", "1.0573387946790582`", 
     ",", "0.114499473772111`", ",", 
     RowBox[{"-", "0.010079803416453263`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.061282879207312`", "}"}], ",", "1.0620404714701233`", 
     ",", "0.11408809822927186`", ",", 
     RowBox[{"-", "0.009921131811060208`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.098623581569457`", "}"}], ",", "1.06629371741425`", ",", 
     "0.11372027308328699`", ",", 
     RowBox[{"-", "0.009780415040077735`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.132533261279465`", "}"}], ",", "1.0701443364668037`", 
     ",", "0.1133907510393268`", ",", 
     RowBox[{"-", "0.009655278510739116`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.163339289594257`", "}"}], ",", "1.073632891392883`", ",",
      "0.11309503366068213`", ",", 
     RowBox[{"-", "0.009543724516152905`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.191335602196678`", "}"}], ",", "1.0767954082263635`", 
     ",", "0.11282924343867157`", ",", 
     RowBox[{"-", "0.00944406103336432`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.216786517790477`", "}"}], ",", "1.0796639667533847`", 
     ",", "0.11259002151217073`", ",", 
     RowBox[{"-", "0.009354846078760125`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.239930046430364`", "}"}], ",", "1.0822671989713724`", 
     ",", "0.11237444517750303`", ",", 
     RowBox[{"-", "0.0092748437999025`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.260980769218348`", "}"}], ",", "1.084630712593677`", ",",
      "0.112179960817694`", ",", 
     RowBox[{"-", "0.009202989516209209`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.280132355531794`", "}"}], ",", "1.086777453006165`", ",",
      "0.11200432895506479`", ",", 
     RowBox[{"-", "0.00913836165088597`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.2975597718533916`", "}"}], ",", "1.0887280143021016`", 
     ",", "0.11184557891678959`", ",", 
     RowBox[{"-", "0.009080159018790862`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.31342122672644`", "}"}], ",", "1.0905009078908527`", ",",
      "0.1117019711835486`", ",", 
     RowBox[{"-", "0.009027682312998912`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.327859888758653`", "}"}], ",", "1.0921127955272676`", 
     ",", "0.11157196592472379`", ",", 
     RowBox[{"-", "0.008980318909566336`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.3410054084981855`", "}"}], ",", "1.0935786923217186`", 
     ",", "0.11145419655012276`", ",", 
     RowBox[{"-", "0.008937530314622149`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.352975270073452`", "}"}], ",", "1.094912144277937`", ",",
      "0.11134744735648451`", ",", 
     RowBox[{"-", "0.008898841730686441`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.363875994471534`", "}"}], ",", "1.0961253841024121`", 
     ",", "0.11125063453735858`", ",", 
     RowBox[{"-", "0.008863833334198672`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.373804213036795`", "}"}], ",", "1.09722946838721`", ",", 
     "0.11116278997202264`", ",", 
     RowBox[{"-", "0.008832132943669217`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.382847627054128`", "}"}], ",", "1.0982343987516006`", 
     ",", "0.11108304732358905`", ",", 
     RowBox[{"-", "0.00880340982481588`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.391085867025845`", "}"}], ",", "1.0991492291095928`", 
     ",", "0.1110106300661879`", ",", 
     RowBox[{"-", "0.008777369430699506`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.3985912633684725`", "}"}], ",", "1.0999821608895903`", 
     ",", "0.11094484113191991`", ",", 
     RowBox[{"-", "0.008753748915003903`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.405429538675483`", "}"}], ",", "1.1007406277529195`", 
     ",", "0.11088505392448825`", ",", 
     RowBox[{"-", "0.00873231328799661`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.411660430358989`", "}"}], ",", "1.1014313711275636`", 
     ",", "0.11083070449131639`", ",", 
     RowBox[{"-", "0.00871285210941582`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.417338251353327`", "}"}], ",", "1.1020605076824417`", 
     ",", "0.11078128468202016`", ",", 
     RowBox[{"-", "0.008695176632095968`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.422512395601107`", "}"}], ",", "1.1026335897084192`", 
     ",", "0.11073633615022224`", ",", 
     RowBox[{"-", "0.008679117325728581`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.427227794219121`", "}"}], ",", "1.103155659238972`", ",",
      "0.11069544507933327`", ",", 
     RowBox[{"-", "0.008664521722634452`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4315253275344055`", "}"}], ",", "1.103631296631292`", 
     ",", "0.11065823753220198`", ",", 
     RowBox[{"-", "0.008651252537468837`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4354421975710565`", "}"}], ",", "1.1040646642338612`", 
     ",", "0.11062437534033863`", ",", 
     RowBox[{"-", "0.00863918602090839`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.439012265040625`", "}"}], ",", "1.104459545686069`", ",",
      "0.11059355246142394`", ",", 
     RowBox[{"-", "0.008628210513974149`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.442266354430517`", "}"}], ",", "1.1048193813268725`", 
     ",", "0.11056549174457289`", ",", 
     RowBox[{"-", "0.008618225175039839`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.445232530385271`", "}"}], ",", "1.1051473001308065`", 
     ",", "0.11053994205175637`", ",", 
     RowBox[{"-", "0.008609138855999295`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.447936348226287`", "}"}], ",", "1.1054461485392326`", 
     ",", "0.1105166756912344`", ",", 
     RowBox[{"-", "0.008600869107711484`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.450401081149279`", "}"}], ",", "1.105718516511227`", ",",
      "0.11049548612509012`", ",", 
     RowBox[{"-", "0.008593341297857235`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.452647926369307`", "}"}], ",", "1.1059667610808899`", 
     ",", "0.11047618591819679`", ",", 
     RowBox[{"-", "0.008586487826844926`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4546961922458355`", "}"}], ",", "1.106193027675194`", 
     ",", "0.1104586049003746`", ",", 
     RowBox[{"-", "0.00858024742949061`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.456563468210223`", "}"}], ",", "1.1063992694180291`", 
     ",", "0.11044258851723636`", ",", 
     RowBox[{"-", "0.008574564551944774`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.45826577913218`", "}"}], ",", "1.1065872646212573`", ",",
      "0.11042799634840739`", ",", 
     RowBox[{"-", "0.008569388794806346`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.459817725596519`", "}"}], ",", "1.1067586326417986`", 
     ",", "0.11041470077451686`", ",", 
     RowBox[{"-", "0.008564674414601119`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.461232611414646`", "}"}], ",", "1.1069148482646514`", 
     ",", "0.11040258577668337`", ",", 
     RowBox[{"-", "0.008560379876849293`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.462522559564272`", "}"}], ",", "1.1070572547548816`", 
     ",", "0.11039154585420886`", ",", 
     RowBox[{"-", "0.008556467454835591`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.463698617633905`", "}"}], ",", "1.1071870757067457`", 
     ",", "0.11038148504791595`", ",", 
     RowBox[{"-", "0.008552902868952135`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.464770853744049`", "}"}], ",", "1.1073054258049333`", 
     ",", "0.11037231605804508`", ",", 
     RowBox[{"-", "0.008549654962132263`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4657484438234025`", "}"}], ",", "1.107413320601241`", 
     ",", "0.11036395944691678`", ",", 
     RowBox[{"-", "0.008546695407447449`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.466639751034233`", "}"}], ",", "1.1075116853995997`", 
     ",", "0.11035634291768033`", ",", 
     RowBox[{"-", "0.008543998444417307`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.467452398065654`", "}"}], ",", "1.1076013633331332`", 
     ",", "0.11034940066144537`", ",", 
     RowBox[{"-", "0.008541540640994414`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.468193332945624`", "}"}], ",", "1.1076831227086852`", 
     ",", "0.11034307276594493`", ",", 
     RowBox[{"-", "0.00853930067854195`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.468868888961328`", "}"}], ",", "1.1077576636868731`", 
     ",", "0.11033730467962502`", ",", 
     RowBox[{"-", "0.008537259157431297`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.469484839222526`", "}"}], ",", "1.1078256243591322`", 
     ",", "0.11033204672570968`", ",", 
     RowBox[{"-", "0.00853539842115621`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4700464463527485`", "}"}], ",", "1.1078875862773114`", 
     ",", "0.11032725366137108`", ",", 
     RowBox[{"-", "0.00853370239709488`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.470558507748312`", "}"}], ",", "1.10794407948606`", ",", 
     "0.11032288427764018`", ",", 
     RowBox[{"-", "0.008532156452256847`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.47102539680457`", "}"}], ",", "1.1079955871034926`", ",",
      "0.11031890103614797`", ",", 
     RowBox[{"-", "0.008530747262531788`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.471451100472149`", "}"}], ",", "1.1080425494913193`", 
     ",", "0.11031526973918442`", ",", 
     RowBox[{"-", "0.008529462694115992`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.471839253472703`", "}"}], ",", "1.108085368051769`", ",",
      "0.11031195922991796`", ",", 
     RowBox[{"-", "0.00852829169593209`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.472193169473645`", "}"}], ",", "1.1081244086851458`", 
     ",", "0.11030894111993372`", ",", 
     RowBox[{"-", "0.008527224201981199`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.472515869494094`", "}"}], ",", "1.108160004938725`", ",",
      "0.11030618954153318`", ",", 
     RowBox[{"-", "0.008526251042674765`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.47281010778957`", "}"}], ",", "1.108192460874844`", ",", 
     "0.11030368092248402`", ",", 
     RowBox[{"-", "0.008525363864292401`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.473078395440558`", "}"}], ",", "1.108222053683483`", ",",
      "0.11030139378113832`", ",", 
     RowBox[{"-", "0.008524555055796317`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.473323021849739`", "}"}], ",", "1.1082490360623152`", 
     ",", "0.11029930854003771`", ",", 
     RowBox[{"-", "0.008523817682310248`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.473546074334241`", "}"}], ",", "1.1082736383850893`", 
     ",", "0.1102974073563021`", ",", 
     RowBox[{"-", "0.008523145424639899`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.473749455982488`", "}"}], ",", "1.108296070677323`", ",",
      "0.11029567396726489`", ",", 
     RowBox[{"-", "0.008522532524271532`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.473934901929999`", "}"}], ",", "1.1083165244165456`", 
     ",", "0.11029409354995934`", ",", 
     RowBox[{"-", "0.00852197373334169`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.474103994194664`", "}"}], ",", "1.1083351741727745`", 
     ",", "0.11029265259319528`", ",", 
     RowBox[{"-", "0.008521464269118567`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4742581751994335`", "}"}], ",", "1.1083521791034865`", 
     ",", "0.11029133878108088`", ",", 
     RowBox[{"-", "0.008520999772580754`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.474398760098931`", "}"}], ",", "1.108367684316061`", ",",
      "0.11029014088695362`", ",", 
     RowBox[{"-", "0.008520576270717251`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4745269480160745`", "}"}], ",", "1.108381822109498`", 
     ",", "0.11028904867677737`", ",", 
     RowBox[{"-", "0.008520190142209467`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.474643832285355`", "}"}], ",", "1.108394713106162`", ",",
      "0.11028805282115361`", ",", 
     RowBox[{"-", "0.008519838086186884`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.474750409790796`", "}"}], ",", "1.1084064672833247`", 
     ",", "0.11028714481516905`", ",", 
     RowBox[{"-", "0.00851951709377749`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.474847589478783`", "}"}], ",", "1.1084171849134186`", 
     ",", "0.11028631690537709`", ",", 
     RowBox[{"-", "0.00851922442219958`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4749362001188135`", "}"}], ",", "1.1084269574211008`", 
     ",", "0.1102855620232715`", ",", 
     RowBox[{"-", "0.00851895757116543`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.47501699737875`", "}"}], ",", "1.1084358681645163`", ",",
      "0.11028487372467163`", ",", 
     RowBox[{"-", "0.008518714261388435`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4750906702752085`", "}"}], ",", "1.108443993147481`", 
     ",", "0.11028424613449005`", ",", 
     RowBox[{"-", "0.008518492415004046`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475157847054351`", "}"}], ",", "1.1084514016687057`", 
     ",", "0.1102836738964006`", ",", 
     RowBox[{"-", "0.00851829013773296`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475219100553479`", "}"}], ",", "1.1084581569136485`", 
     ",", "0.11028315212697179`", ",", 
     RowBox[{"-", "0.008518105702629945`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475274953089281`", "}"}], ",", "1.1084643164940648`", 
     ",", "0.11028267637386437`", ",", 
     RowBox[{"-", "0.008517937535276614`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475325880914607`", "}"}], ",", "1.1084699329398977`", 
     ",", "0.11028224257773403`", ",", 
     RowBox[{"-", "0.008517784200288519`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475372318281881`", "}"}], ",", "1.108475054147716`", ",",
      "0.11028184703750693`", ",", 
     RowBox[{"-", "0.008517644389019776`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475414661147899`", "}"}], ",", "1.1084797237895536`", 
     ",", "0.11028148637873073`", ",", 
     RowBox[{"-", "0.008517516908357668`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4754532705517`", "}"}], ",", "1.1084839816856447`", ",", 
     "0.11028115752472498`", ",", 
     RowBox[{"-", "0.008517400670510775`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475488475694378`", "}"}], ",", "1.1084878641442517`", 
     ",", "0.11028085767028477`", ",", 
     RowBox[{"-", "0.008517294683701545`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475520576747147`", "}"}], ",", "1.1084914042714948`", 
     ",", "0.11028058425770981`", ",", 
     RowBox[{"-", "0.008517198043683094`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475549847411673`", "}"}], ",", "1.1084946322538316`", 
     ",", "0.11028033495495276`", ",", 
     RowBox[{"-", "0.008517109926007243`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475576537254514`", "}"}], ",", "1.1084975756156066`", 
     ",", "0.11028010763569963`", ",", 
     RowBox[{"-", "0.008517029578976277`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475600873835635`", "}"}], ",", "1.1085002594538698`", 
     ",", "0.1102799003612098`", ",", 
     RowBox[{"-", "0.008516956317218681`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475623064649153`", "}"}], ",", "1.1085027066524764`", 
     ",", "0.11027971136376162`", ",", 
     RowBox[{"-", "0.008516889515832656`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475643298892894`", "}"}], ",", "1.1085049380772922`", 
     ",", "0.11027953903155945`", ",", 
     RowBox[{"-", "0.008516828605047638`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.47566174908187`", "}"}], ",", "1.1085069727541779`", ",",
      "0.11027938189497458`", ",", 
     RowBox[{"-", "0.008516773065357587`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475678572519436`", "}"}], ",", "1.1085088280312687`", 
     ",", "0.11027923861400067`", ",", 
     RowBox[{"-", "0.008516722423084426`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475693912638698`", "}"}], ",", "1.1085105197269394`", 
     ",", "0.11027910796681722`", ",", 
     RowBox[{"-", "0.00851667624633336`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475707900225616`", "}"}], ",", "1.1085120622647142`", 
     ",", "0.11027898883936246`", ",", 
     RowBox[{"-", "0.008516634141305603`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.47572065453423`", "}"}], ",", "1.108513468796279`", ",", 
     "0.11027888021582716`", ",", 
     RowBox[{"-", "0.008516595748936621`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.47573228430354`", "}"}], ",", "1.1085147513136397`", ",",
      "0.1102787811699869`", ",", 
     RowBox[{"-", "0.008516560741831528`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475742888684699`", "}"}], ",", "1.1085159207513902`", 
     ",", "0.11027869085729988`", ",", 
     RowBox[{"-", "0.008516528821470701`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475752558086451`", "}"}], ",", "1.108516987079959`", ",",
      "0.11027860850770198`", ",", 
     RowBox[{"-", "0.008516499715662417`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4758525580864505`", "}"}], ",", "1.1085280148982277`", 
     ",", "0.11027775687278057`", ",", 
     RowBox[{"-", "0.008516198715274733`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.47595255808645`", "}"}], ",", "1.1085390426313344`", ",",
      "0.11027690526795839`", ",", 
     RowBox[{"-", "0.008515897731321212`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.47596222737308`", "}"}], ",", "1.1085401089299418`", ",",
      "0.11027682292544298`", ",", 
     RowBox[{"-", "0.008515868629191268`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475972831604645`", "}"}], ",", "1.1085412783304294`", 
     ",", "0.11027673262136922`", ",", 
     RowBox[{"-", "0.008515836713288004`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475984461181824`", "}"}], ",", "1.1085425608016264`", 
     ",", "0.1102766335859924`", ",", 
     RowBox[{"-", "0.008515801711580928`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.475997215245966`", "}"}], ",", "1.108543967276192`", ",",
      "0.11027652497515597`", ",", 
     RowBox[{"-", "0.00851576332574464`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.476011202524166`", "}"}], ",", "1.1085455097437928`", 
     ",", "0.11027640586309966`", ",", 
     RowBox[{"-", "0.008515721228618161`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.47602654225602`", "}"}], ",", "1.1085472013532864`", ",",
      "0.1102762752345735`", ",", 
     RowBox[{"-", "0.008515675061418742`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.476043365209975`", "}"}], ",", "1.1085490565247822`", 
     ",", "0.11027613197618998`", ",", 
     RowBox[{"-", "0.008515624430686833`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4760618147979265`", "}"}], ",", "1.1085510910725287`", 
     ",", "0.11027597486694025`", ",", 
     RowBox[{"-", "0.00851556890493618`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.476082048297555`", "}"}], ",", "1.108553322339682`", ",",
      "0.11027580256779597`", ",", 
     RowBox[{"-", "0.008515508010980504`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.476104238192807`", "}"}], ",", "1.1085557693460932`", 
     ",", "0.1102756136103061`", ",", 
     RowBox[{"-", "0.008515441229905829`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.47612857364395`", "}"}], ",", "1.1085584529503791`", ",",
      "0.11027540638409321`", ",", 
     RowBox[{"-", "0.008515367992654326`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.476155262099711`", "}"}], ",", "1.1085613960276512`", 
     ",", "0.11027517912314305`", ",", 
     RowBox[{"-", "0.008515287675182061`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.476184531065219`", "}"}], ",", "1.108564623664418`", ",",
      "0.11027492989077084`", ",", 
     RowBox[{"-", "0.008515199593150015`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.476216630040822`", "}"}], ",", "1.1085681633723157`", 
     ",", "0.11027465656313726`", ",", 
     RowBox[{"-", "0.008515102996103108`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.476251832648261`", "}"}], ",", "1.108572045322485`", ",",
      "0.11027435681117373`", ",", 
     RowBox[{"-", "0.008514997061088554`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4762904389623115`", "}"}], ",", "1.10857630260259`", ",",
      "0.11027402808076557`", ",", 
     RowBox[{"-", "0.008514880885659`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.476332778067728`", "}"}], ",", "1.108580971498658`", ",",
      "0.11027366757102335`", ",", 
     RowBox[{"-", "0.008514753480202277`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.476379210863246`", "}"}], ",", "1.1085860918041366`", 
     ",", "0.11027327221045999`", ",", 
     RowBox[{"-", "0.008514613759532457`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.476430133136496`", "}"}], ",", "1.108591707158797`", ",",
      "0.11027283863087285`", ",", 
     RowBox[{"-", "0.008514460533671933`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.476485978935988`", "}"}], ",", "1.1085978654203554`", 
     ",", "0.11027236313870917`", ",", 
     RowBox[{"-", "0.008514292497746814`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.476547224268815`", "}"}], ",", "1.1086046190719692`", 
     ",", "0.11027184168367445`", ",", 
     RowBox[{"-", "0.008514108220910824`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.476614391155539`", "}"}], ",", "1.1086120256690633`", 
     ",", "0.11027126982431881`", ",", 
     RowBox[{"-", "0.008513906134205468`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4766880520766925`", "}"}], ",", "1.1086201483292775`", 
     ",", "0.11027064269031266`", ",", 
     RowBox[{"-", "0.008513684517254209`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.476768834848689`", "}"}], ",", "1.1086290562696843`", 
     ",", "0.11026995494109398`", ",", 
     RowBox[{"-", "0.008513441483680061`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.476857427970536`", "}"}], ",", "1.1086388253958288`", 
     ",", "0.11026920072054118`", ",", 
     RowBox[{"-", "0.008513174965125166`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.476954586486762`", "}"}], ",", "1.1086495389475755`", 
     ",", "0.11026837360729161`", ",", 
     RowBox[{"-", "0.00851288269373919`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.477061138416293`", "}"}], ",", "1.1086612882072253`", 
     ",", "0.11026746656029043`", ",", 
     RowBox[{"-", "0.008512562182991939`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4771779918018115`", "}"}], ",", "1.108674173275888`", 
     ",", "0.11026647185911571`", ",", 
     RowBox[{"-", "0.008512210706651343`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.477306142439385`", "}"}], ",", "1.1086883039246644`", 
     ",", "0.11026538103858337`", ",", 
     RowBox[{"-", "0.00851182527575321`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.477446682353832`", "}"}], ",", "1.108703800527823`", ",",
      "0.11026418481708819`", ",", 
     RowBox[{"-", "0.008511402613374495`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.477600809091618`", "}"}], ",", "1.1087207950858309`", 
     ",", "0.1102628730180877`", ",", 
     RowBox[{"-", "0.008510939127002851`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.477769835909935`", "}"}], ",", "1.1087394323468591`", 
     ",", "0.11026143448408071`", ",", 
     RowBox[{"-", "0.008510430878277749`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.477955202948108`", "}"}], ",", "1.1087598710361841`", 
     ",", "0.11025985698237127`", ",", 
     RowBox[{"-", "0.00850987354985771`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.478158489475767`", "}"}], ",", "1.1087822852038176`", 
     ",", "0.11025812710184603`", ",", 
     RowBox[{"-", "0.008509262409146012`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.47838142732118`", "}"}], ",", "1.1088068657016579`", ",",
      "0.11025623013991985`", ",", 
     RowBox[{"-", "0.008508592268583947`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.478625915593019`", "}"}], ",", "1.108833821802533`", ",",
      "0.11025414997873052`", ",", 
     RowBox[{"-", "0.008507857442194604`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.478894036819636`", "}"}], ",", "1.1088633829746641`", 
     ",", "0.11025186894957849`", ",", 
     RowBox[{"-", "0.008507051698032946`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4791880746416695`", "}"}], ",", "1.1088958008263456`", 
     ",", "0.11024936768451873`", ",", 
     RowBox[{"-", "0.008506168206168088`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4795105332067555`", "}"}], ",", "1.108931351237034`", 
     ",", "0.11024662495391595`", ",", 
     RowBox[{"-", "0.008505199481791762`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.479864158429132`", "}"}], ",", "1.1089703366925305`", 
     ",", "0.11024361748866689`", ",", 
     RowBox[{"-", "0.008504137323013583`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4802519612923835`", "}"}], ",", "1.1090130888436038`", 
     ",", "0.11024031978568526`", ",", 
     RowBox[{"-", "0.008502972742866228`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.480677243390342`", "}"}], ",", "1.1090599713091758`", 
     ",", "0.11023670389511901`", ",", 
     RowBox[{"-", "0.008501695895006964`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4811436249195085`", "}"}], ",", "1.10911138274715`", ",",
      "0.11023273918764512`", ",", 
     RowBox[{"-", "0.008500295992559205`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.481655075356395`", "}"}], ",", "1.1091677602180732`", 
     ",", "0.11022839210004447`", ",", 
     RowBox[{"-", "0.008498761219496841`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.482215947074999`", "}"}], ",", "1.1092295828691199`", 
     ",", "0.11022362585711469`", ",", 
     RowBox[{"-", "0.008497078633927449`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4828310121834365`", "}"}], ",", "1.1092973759683822`", 
     ",", "0.11021840016782071`", ",", 
     RowBox[{"-", "0.008495234062585393`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.483505502884659`", "}"}], ",", "1.1093717153221514`", 
     ",", "0.1102126708934186`", ",", 
     RowBox[{"-", "0.008493211985796618`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.484245155694395`", "}"}], ",", "1.1094532321107884`", 
     ",", "0.11020638968511216`", ",", 
     RowBox[{"-", "0.008490995412128138`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.485056259880149`", "}"}], ",", "1.1095426181819548`", 
     ",", "0.11019950358862261`", ",", 
     RowBox[{"-", "0.008488565741885957`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.485945710518438`", "}"}], ",", "1.1096406318433647`", 
     ",", "0.11019195461285941`", ",", 
     RowBox[{"-", "0.008485902618575509`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.486921066603625`", "}"}], ",", "1.1097481042008956`", 
     ",", "0.1101836792596878`", ",", 
     RowBox[{"-", "0.008482983767391214`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.487990614681019`", "}"}], ",", "1.1098659460918352`", 
     ",", "0.11017460801158915`", ",", 
     RowBox[{"-", "0.008479784819756586`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4891634385194035`", "}"}], ",", "1.109995155667261`", 
     ",", "0.1101646647738095`", ",", 
     RowBox[{"-", "0.008476279122895298`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.490449495384231`", "}"}], ",", "1.110136826682076`", ",",
      "0.110153766267395`", ",", 
     RowBox[{"-", "0.008472437533379345`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.491859699522397`", "}"}], ",", "1.110292157556031`", ",",
      "0.11014182136931909`", ",", 
     RowBox[{"-", "0.008468228193574649`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.493406013523201`", "}"}], ",", "1.1104624612741911`", 
     ",", "0.11012873039572704`", ",", 
     RowBox[{"-", "0.0084636162898903`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4951015482778`", "}"}], ",", "1.1106491762007153`", ",", 
     "0.11011438432415968`", ",", 
     RowBox[{"-", "0.008458563791739588`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.4969606723215865`", "}"}], ",", "1.1108538778855226`", 
     ",", "0.11009866395047962`", ",", 
     RowBox[{"-", "0.008453029170142944`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.498999131410398`", "}"}], ",", "1.1110782919494167`", 
     ",", "0.1100814389761273`", ",", 
     RowBox[{"-", "0.008446967094948788`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.501234179252685`", "}"}], ",", "1.1113243081394513`", 
     ",", "0.11006256702127466`", ",", 
     RowBox[{"-", "0.008440328109728985`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.5036847203956105`", "}"}], ",", "1.1115939956527852`", 
     ",", "0.1100418925594624`", ",", 
     RowBox[{"-", "0.00843305828352225`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.506371466343707`", "}"}], ",", "1.1118896198338666`", 
     ",", "0.11001924576939189`", ",", 
     RowBox[{"-", "0.008425098838766685`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.509317106074124`", "}"}], ",", "1.1122136603564996`", 
     ",", "0.10999444129974165`", ",", 
     RowBox[{"-", "0.008416385754988423`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.512546492202513`", "}"}], ",", "1.112568831009047`", ",",
      "0.10996727694319847`", ",", 
     RowBox[{"-", "0.008406849348109292`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.51608684414806`", "}"}], ",", "1.1129581012076184`", ",",
      "0.10993753221637215`", ",", 
     RowBox[{"-", "0.008396413825619557`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.519967969744657`", "}"}], ",", "1.1133847193684467`", 
     ",", "0.10990496684293605`", ",", 
     RowBox[{"-", "0.00838499681834538`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.524222506847235`", "}"}], ",", "1.1138522382765597`", 
     ",", "0.10986931913823964`", ",", 
     RowBox[{"-", "0.008372508890143614`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.528886186587125`", "}"}], ",", "1.1143645425931414`", 
     ",", "0.10983030429482607`", ",", 
     RowBox[{"-", "0.008358853027600763`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.53399812003695`", "}"}], ",", "1.1149258786483318`", ",",
      "0.10978761256980615`", ",", 
     RowBox[{"-", "0.008343924112719336`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.5396011101527325`", "}"}], ",", "1.1155408866693448`", 
     ",", "0.10974090737695066`", ",", 
     RowBox[{"-", "0.00832760838267003`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.545741990967084`", "}"}], ",", "1.1162146355953395`", 
     ",", "0.10968982328874237`", ",", 
     RowBox[{"-", "0.008309782881995758`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.552471996110357`", "}"}], ",", "1.1169526606299607`", 
     ",", "0.10963396395653636`", ",", 
     RowBox[{"-", "0.008290314914205014`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.559847158834168`", "}"}], ",", "1.1177610036794066`", 
     ",", "0.10957289996050759`", ",", 
     RowBox[{"-", "0.008269061501510785`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.567928745800607`", "}"}], ",", "1.1186462568176656`", 
     ",", "0.1095061666052963`", ",", 
     RowBox[{"-", "0.008245868863587144`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.576783726977167`", "}"}], ",", "1.1196156089105165`", 
     ",", "0.10943326168228712`", ",", 
     RowBox[{"-", "0.008220571928649757`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.586485284037619`", "}"}], ",", "1.120676895515233`", ",",
      "0.10935364322536241`", ",", 
     RowBox[{"-", "0.008192993892938828`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.597113359707723`", "}"}], ",", "1.1218386521528434`", 
     ",", "0.10926672729384353`", ",", 
     RowBox[{"-", "0.008162945847800234`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.608755250505889`", "}"}], ",", "1.1231101710233078`", 
     ",", "0.10917188582424513`", ",", 
     RowBox[{"-", "0.008130226497020122`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.621506245305976`", "}"}], ",", "1.1245015612001168`", 
     ",", "0.109068444601472`", ",", 
     RowBox[{"-", "0.008094621990847194`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.635470312084793`", "}"}], ",", "1.1260238122985073`", 
     ",", "0.1089556814102133`", ",", 
     RowBox[{"-", "0.008055905907187154`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.650760835101957`", "}"}], ",", "1.1276888615596894`", 
     ",", "0.1088328244385129`", ",", 
     RowBox[{"-", "0.008013839414694954`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.667501404585285`", "}"}], ",", "1.1295096642311286`", 
     ",", "0.10869905101774502`", ",", 
     RowBox[{"-", "0.007968171656802728`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.685826660750846`", "}"}], ",", "1.1315002670490504`", 
     ",", "0.10855348679633492`", ",", 
     RowBox[{"-", "0.007918640399930192`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.705883193662409`", "}"}], ",", "1.1336758845431767`", 
     ",", "0.10839520545829091`", ",", 
     RowBox[{"-", "0.007864972992998561`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.727830500019545`", "}"}], ",", "1.1360529777846726`", 
     ",", "0.10822322911155481`", ",", 
     RowBox[{"-", "0.007806887688603384`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.751841997446175`", "}"}], ",", "1.138649335086274`", ",",
      "0.10803652948481068`", ",", 
     RowBox[{"-", "0.007744095378415389`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.778106096221838`", "}"}], ",", "1.141484154038909`", ",",
      "0.10783403008398265`", ",", 
     RowBox[{"-", "0.007676301796105054`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.8068273276474285`", "}"}], ",", "1.1445781241329263`", 
     ",", "0.10761460947029616`", ",", 
     RowBox[{"-", "0.007603210239775512`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.838227527359056`", "}"}], ",", "1.1479535090662052`", 
     ",", "0.10737710582931578`", ",", 
     RowBox[{"-", "0.007524524861918402`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.872547070894392`", "}"}], ",", "1.151634227688991`", ",",
      "0.10712032300345985`", ",", 
     RowBox[{"-", "0.007439954567593223`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.910046157676305`", "}"}], ",", "1.1556459323805137`", 
     ",", "0.10684303815752924`", ",", 
     RowBox[{"-", "0.007349217550173931`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.951006138315204`", "}"}], ",", "1.1600160835010316`", 
     ",", "0.10654401123604308`", ",", 
     RowBox[{"-", "0.007252046477928766`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "5.995730878757954`", "}"}], ",", "1.1647740184220963`", 
     ",", "0.10622199635077575`", ",", 
     RowBox[{"-", "0.007148194323326935`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "6.044548153349489`", "}"}], ",", "1.1699510135163882`", 
     ",", "0.10587575520499372`", ",", 
     RowBox[{"-", "0.007037440799918952`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "6.0978110573552575`", "}"}], ",", "1.1755803373967375`", 
     ",", "0.1055040726158115`", ",", 
     RowBox[{"-", "0.006919599338833201`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "6.155899427960939`", "}"}], ",", "1.1816972936434715`", 
     ",", "0.10510577413648883`", ",", 
     RowBox[{"-", "0.006794524498730699`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "6.219221261274591`", "}"}], ",", "1.1883392512624544`", 
     ",", "0.10467974570567888`", ",", 
     RowBox[{"-", "0.006662119660372622`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "6.288214111470699`", "}"}], ",", "1.1955456611856898`", 
     ",", "0.10422495516078967`", ",", 
     RowBox[{"-", "0.006522344811384263`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "6.363346457011245`", "}"}], ",", "1.2033580572740161`", 
     ",", "0.10374047534911936`", ",", 
     RowBox[{"-", "0.006375224180701611`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "6.445119017939606`", "}"}], ",", "1.2118200405173065`", 
     ",", "0.10322550845611544`", ",", 
     RowBox[{"-", "0.006220853438721048`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "6.5340660076575485`", "}"}], ",", "1.2209772454585874`", 
     ",", "0.10267941104951205`", ",", 
     RowBox[{"-", "0.006059406142208141`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "6.630756302452726`", "}"}], ",", "1.2308772882969485`", 
     ",", "0.10210171921749464`", ",", 
     RowBox[{"-", "0.0058911390769793215`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "6.735794512427047`", "}"}], ",", "1.2415696966464689`", 
     ",", "0.10149217306640507`", ",", 
     RowBox[{"-", "0.005716396140881768`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "6.84982193845544`", "}"}], ",", "1.2531058215338944`", ",",
      "0.10085073974815276`", ",", 
     RowBox[{"-", "0.005535610419072113`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "6.973517401430063`", "}"}], ",", "1.2655387328878966`", 
     ",", "0.1001776341195741`", ",", 
     RowBox[{"-", "0.005349304136635872`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "7.107597932339175`", "}"}], ",", "1.2789231004807937`", 
     ",", "0.09947333610556908`", ",", 
     RowBox[{"-", "0.005158086232374722`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "7.252819314680417`", "}"}], ",", "1.2933150629956105`", 
     ",", "0.09873860385392726`", ",", 
     RowBox[{"-", "0.004962647382256535`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "7.409976474263413`", "}"}], ",", "1.308772088567538`", ",",
      "0.09797448183904948`", ",", 
     RowBox[{"-", "0.004763752409188567`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "7.579903715522841`", "}"}], ",", "1.325352830746129`", ",",
      "0.09718230319751124`", ",", 
     RowBox[{"-", "0.004562230142283476`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "7.763474807906234`", "}"}], ",", "1.3431169843000081`", 
     ",", "0.09636368575940334`", ",", 
     RowBox[{"-", "0.004358960925804154`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "7.9616029305506535`", "}"}], ",", "1.362125145600433`", 
     ",", "0.09552052146934739`", ",", 
     RowBox[{"-", "0.004154862115468688`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "8.1752404881222`", "}"}], ",", "1.3824386824426826`", ",", 
     "0.09465495915860923`", ",", 
     RowBox[{"-", "0.003950872026436784`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "8.40537881515043`", "}"}], ",", "1.4041196180755418`", ",",
      "0.09376938091885612`", ",", 
     RowBox[{"-", "0.0037479329016449716`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "8.653047790234627`", "}"}], ",", "1.427230533904013`", ",",
      "0.09286637261950981`", ",", 
     RowBox[{"-", "0.0035469735410466703`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "8.919315384934803`", "}"}], ",", "1.4518344948195405`", 
     ",", "0.09194868938348974`", ",", 
     RowBox[{"-", "0.003348892264185255`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "9.205287174822656`", "}"}], ",", "1.4779950004217166`", 
     ",", "0.09101921707013755`", ",", 
     RowBox[{"-", "0.0031545408665014933`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "9.512105841935572`", "}"}], ",", "1.505775964565562`", ",",
      "0.0900809309917533`", ",", 
     RowBox[{"-", "0.0029647101742613325`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "9.840950698682413`", "}"}], ",", "1.5352417247490853`", 
     ",", "0.08913685319861778`", ",", 
     RowBox[{"-", "0.002780117708713007`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "10.193037263082754`", "}"}], ",", "1.5664570819026684`", 
     ",", "0.08819000969984016`", ",", 
     RowBox[{"-", "0.0026013978455243715`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "10.56961691412758`", "}"}], ",", "1.599487370211151`", ",",
      "0.08724338894372295`", ",", 
     RowBox[{"-", "0.0024290947118676782`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "10.971976654126`", "}"}], ",", "1.6343985557432326`", ",", 
     "0.08629990276790485`", ",", 
     RowBox[{"-", "0.0022636579131342922`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "11.40143900228723`", "}"}], ",", "1.6712573619242514`", 
     ",", "0.08536235085811213`", ",", 
     RowBox[{"-", "0.0021054410363815948`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "11.859362040645996`", "}"}], ",", "1.7101314192992345`", 
     ",", "0.08443338954062989`", ",", 
     RowBox[{"-", "0.001954702748871479`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "12.347139629953253`", "}"}], ",", "1.7510894366117924`", 
     ",", "0.08351550549532089`", ",", 
     RowBox[{"-", "0.0018116102055067344`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "12.866201809504139`", "}"}], ",", "1.7942013899761577`", 
     ",", "0.08261099473102104`", ",", 
     RowBox[{"-", "0.0016762444035113336`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "13.418015391231439`", "}"}], ",", "1.8395387268374905`", 
     ",", "0.08172194692967666`", ",", 
     RowBox[{"-", "0.0015486070779968028`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "14.00408475490466`", "}"}], ",", "1.887174581482757`", ",",
      "0.08085023505304323`", ",", 
     RowBox[{"-", "0.0014286287168482497`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "14.625952848063973`", "}"}], ",", "1.9371839990571331`", 
     ",", "0.07999750992586159`", ",", 
     RowBox[{"-", "0.0013161772840823936`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "15.285202391475371`", "}"}], ",", "1.9896441653310848`", 
     ",", "0.07916519936797146`", ",", 
     RowBox[{"-", "0.001211067272373487`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "15.983457288478007`", "}"}], ",", "2.0446346398217434`", 
     ",", "0.07835451134689088`", ",", 
     RowBox[{"-", "0.0011130687519685764`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "16.72238423463635`", "}"}], ",", "2.1022375902708275`", 
     ",", "0.07756644056085282`", ",", 
     RowBox[{"-", "0.0010219161388492822`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "17.503694522612662`", "}"}], ",", "2.1625380268948993`", 
     ",", "0.07680177783655529`", ",", 
     RowBox[{"-", "0.0009373164643893565`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "18.329146036121518`", "}"}], ",", "2.2256240352309864`", 
     ",", "0.07606112173067356`", ",", 
     RowBox[{"-", "0.0008589569874423163`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "19.200545426184483`", "}"}], ",", "2.291587006785044`", 
     ",", "0.07534489175336716`", ",", 
     RowBox[{"-", "0.0007865120443715698`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "20.119750462624733`", "}"}], ",", "2.360521867040518`", 
     ",", "0.07465334267920753`", ",", 
     RowBox[{"-", "0.0007196490807072642`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "21.088672553777535`", "}"}], ",", "2.43252730069198`", ",",
      "0.07398657947010856`", ",", 
     RowBox[{"-", "0.0006580338485829108`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "22.109279427689895`", "}"}], ",", "2.50770597423082`", ",",
      "0.07334457240056033`", ",", 
     RowBox[{"-", "0.0006013347864248918`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "23.183597968588536`", "}"}], ",", "2.5861647562258536`", 
     ",", "0.07272717204324863`", ",", 
     RowBox[{"-", "0.0005492266217432275`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "24.313717203060705`", "}"}], ",", "2.66801493581327`", ",",
      "0.07213412383943185`", ",", 
     RowBox[{"-", "0.0005013932549663154`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "25.50179143117234`", "}"}], ",", "2.7533724400412436`", 
     ",", "0.07156508204065438`", ",", 
     RowBox[{"-", "0.0004575299930152589`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "26.750043498603965`", "}"}], ",", "2.8423580508093242`", 
     ",", "0.07101962286475966`", ",", 
     RowBox[{"-", "0.00041734520679597396`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "28.060768206783735`", "}"}], ",", "2.9350976222065173`", 
     ",", "0.07049725675872759`", ",", 
     RowBox[{"-", "0.0003805614880871344`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "29.436335858912223`", "}"}], ",", "3.03172229909007`", ",",
      "0.06999743970320543`", ",", 
     RowBox[{"-", "0.0003469163794430927`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "30.87919594068401`", "}"}], ",", "3.132368737764341`", ",",
      "0.06951958352877444`", ",", 
     RowBox[{"-", "0.0003161627466262471`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "32.39188093540081`", "}"}], ",", "3.2371793296204476`", 
     ",", "0.06906306524237828`", ",", 
     RowBox[{"-", "0.00028806885750793656`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "33.97701027402839`", "}"}], ",", "3.3463024285868`", ",", 
     "0.06862723538452761`", ",", 
     RowBox[{"-", "0.00026241822496141435`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "35.63729442156718`", "}"}], ",", "3.459892583221671`", ",",
      "0.0682114254545888`", ",", 
     RowBox[{"-", "0.00023900926450821995`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "37.37553910188033`", "}"}], ",", "3.5781107742546525`", 
     ",", "0.06781495445343515`", ",", 
     RowBox[{"-", "0.0002176548107369245`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "39.194649663850406`", "}"}], ",", "3.7011246583565995`", 
     ",", "0.06743713460072734`", ",", 
     RowBox[{"-", "0.00019818153005189912`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "41.09763559241772`", "}"}], ",", "3.8291088188894897`", 
     ",", "0.06707727628882405`", ",", 
     RowBox[{"-", "0.0001804292613001833`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "43.087615168691`", "}"}], ",", "3.962245024359913`", ",", 
     "0.06673469233744338`", ",", 
     RowBox[{"-", "0.00016425031036851234`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "45.16782028391708`", "}"}], ",", "4.100722495273863`", ",",
      "0.06640870161328773`", ",", 
     RowBox[{"-", "0.0001495087199870255`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "47.34160141265418`", "}"}], ",", "4.2447381800668955`", 
     ",", "0.06609863207740241`", ",", 
     RowBox[{"-", "0.00013607953172928609`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "49.61243275101739`", "}"}], ",", "4.394497040763036`", ",",
      "0.06580382332047882`", ",", 
     RowBox[{"-", "0.00012384805354042437`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "51.98391752635849`", "}"}], ",", "4.550212348998497`", ",",
      "0.06552362864299054`", ",", 
     RowBox[{"-", "0.00011270914301846622`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "54.45979348521024`", "}"}], ",", "4.712105993032372`", ",",
      "0.06525741673323668`", ",", 
     RowBox[{"-", "0.00010256651407037455`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "57.043938566771516`", "}"}], ",", "4.880408796356099`", 
     ",", "0.06500457299228718`", ",", 
     RowBox[{"-", "0.00009333207241009389`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "59.74037676963801`", "}"}], ",", "5.055360848506615`", ",",
      "0.06476450055065047`", ",", 
     RowBox[{"-", "0.00008492528360646523`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "62.553284219897975`", "}"}], ",", "5.237211848684619`", 
     ",", "0.06453662101734095`", ",", 
     RowBox[{"-", "0.00007727257597117626`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "65.48699544911659`", "}"}], ",", "5.426221462779103`", ",",
      "0.06432037499800872`", ",", 
     RowBox[{"-", "0.00007030677945074123`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "68.54600989113001`", "}"}], ",", "5.6226596944021106`", 
     ",", "0.06411522241496967`", ",", 
     RowBox[{"-", "0.00006396660080674491`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "71.73499860696339`", "}"}], ",", "5.8268072705434175`", 
     ",", "0.06392064265838428`", ",", 
     RowBox[{"-", "0.00005819613469400907`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "75.05881124757951`", "}"}], ",", "6.038956042463276`", ",",
      "0.06373613459450318`", ",", 
     RowBox[{"-", "0.00005294440974142157`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "78.5224832645585`", "}"}], ",", "6.259409402452339`", ",", 
     "0.06356121645383694`", ",", 
     RowBox[{"-", "0.00004816496837366713`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "82.1312433792065`", "}"}], ",", "6.4884827171013075`", ",",
      "0.06339542561932024`", ",", 
     RowBox[{"-", "0.000043815478857381915`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "85.89052132099503`", "}"}], ",", "6.726503777738474`", ",",
      "0.0632383183320172`", ",", 
     RowBox[{"-", "0.00003985737788994313`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "89.80595584664445`", "}"}], ",", "6.973813268711066`", ",",
      "0.06308946932964724`", ",", 
     RowBox[{"-", "0.00003625554195411169`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "93.88340305158567`", "}"}], ",", "7.230765254206109`", ",",
      "0.06294847143118365`", ",", 
     RowBox[{"-", "0.000032977985621557256`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "98.12894498596802`", "}"}], ",", "7.497727684328103`", ",",
      "0.06281493507897114`", ",", 
     RowBox[{"-", "0.000029995584989985113`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "102.54889858782603`", "}"}], ",", "7.77508292117432`", ",",
      "0.0626884878482123`", ",", 
     RowBox[{"-", "0.000027281824471512236`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "107.14982494647872`", "}"}], ",", "8.063228285673699`", 
     ",", "0.06256877393225997`", ",", 
     RowBox[{"-", "0.000024812565205862092`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "111.93853890971025`", "}"}], ",", "8.362576625982191`", 
     ",", "0.06245545361091454`", ",", 
     RowBox[{"-", "0.000022565833443767483`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "116.9221190487743`", "}"}], ",", "8.673556908255952`", ",",
      "0.062348202707836815`", ",", 
     RowBox[{"-", "0.000020521627328556024`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "122.1079179957749`", "}"}], ",", "8.996614830653861`", ",",
      "0.06224671204223896`", ",", 
     RowBox[{"-", "0.00001866174059285747`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "127.50357316850717`", "}"}], ",", "9.3322134614526`", ",", 
     "0.06215068687918858`", ",", 
     RowBox[{"-", "0.000016969601779518116`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "133.11701789839233`", "}"}], ",", "9.680833902190777`", 
     ",", "0.06205984638214378`", ",", 
     RowBox[{"-", "0.00001543012768863512`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "138.95649297771297`", "}"}], ",", "10.042975976793489`", 
     ",", "0.061973923070714546`", ",", 
     RowBox[{"-", "0.00001402958984428955`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "145.03055864295027`", "}"}], ",", "10.419158947665146`", 
     ",", "0.061892662286109956`", ",", 
     RowBox[{"-", "0.00001275549286363421`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "151.3481070116428`", "}"}], ",", "10.80992225977644`", ",",
      "0.06181582166626694`", ",", 
     RowBox[{"-", "0.000011596463696648887`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "157.91837499082993`", "}"}], ",", "11.215826313811057`", 
     ",", "0.06174317063226038`", ",", 
     RowBox[{"-", "0.000010542150786323525`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "164.75095767581163`", "}"}], ",", "11.637453269479064`", 
     ",", "0.06167448988725423`", ",", 
     RowBox[{"-", "9.58313227598725`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "171.85582225865272`", "}"}], ",", "12.07540788014696`", 
     ",", "0.061609570928961827`", ",", 
     RowBox[{"-", "8.710832462716591`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "179.24332246658278`", "}"}], ",", "12.530318359979153`", 
     ",", "0.06154821557633793`", ",", 
     RowBox[{"-", "7.917445763143266`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "186.92421355119583`", "}"}], ",", "13.002837284832209`", 
     ",", "0.061490235511014624`", ",", 
     RowBox[{"-", "7.195867520617443`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "194.90966785013714`", "}"}], ",", "13.493642528191659`", 
     ",", "0.06143545183381672`", ",", 
     RowBox[{"-", "6.539631040683389`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "203.21129094377795`", "}"}], ",", "14.003438233491424`", 
     ",", "0.06138369463654315`", ",", 
     RowBox[{"-", "5.942850295345139`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "211.8411384302266`", "}"}], ",", "14.532955824208225`", 
     ",", "0.061334802589076476`", ",", 
     RowBox[{"-", "5.400167785860719`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "220.81173334290452`", "}"}], ",", "15.082955053177647`", 
     ",", "0.061288622541779074`", ",", 
     RowBox[{"-", "4.9067070990681205`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "230.13608423583105`", "}"}], ",", "15.654225092634947`", 
     ",", "0.061245009143048736`", ",", 
     RowBox[{"-", "4.458029733702524`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "239.8277039627134`", "}"}], ",", "16.247585666542232`", 
     ",", "0.0612038244718362`", ",", 
     RowBox[{"-", "4.0500958111417795`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "249.90062917692782`", "}"}], ",", "16.86388822682451`", 
     ",", "0.0611649376848699`", ",", 
     RowBox[{"-", "3.679228319684458`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "260.3694405805063`", "}"}], ",", "17.504017175200325`", 
     ",", "0.0611282246782885`", ",", 
     RowBox[{"-", "3.3420805731315305`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "271.24928395131343`", "}"}], ",", "18.168891132358162`", 
     ",", "0.061093567763343896`", ",", 
     RowBox[{"-", "3.035606593317558`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "282.5558919787096`", "}"}], ",", "18.859464256298107`", 
     ",", "0.0610608553558111`", ",", 
     RowBox[{"-", "2.7570341525388686`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "294.3056069391519`", "}"}], ",", "19.576727611728803`", 
     ",", "0.061029981678719473`", ",", 
     RowBox[{"-", "2.5038402357668706`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "306.5154042443854`", "}"}], ",", "20.321710592483285`", 
     ",", "0.06100084647800481`", ",", 
     RowBox[{"-", "2.273728704345441`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "319.20291689612526`", "}"}], ",", "21.09548239899355`", 
     ",", "0.06097335475067201`", ",", 
     RowBox[{"-", "2.0646099626773054`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "332.3864608824274`", "}"}], ",", "21.899153572942833`", 
     ",", "0.06094741648505164`", ",", 
     RowBox[{"-", "1.874582447438922`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "346.0850615522934`", "}"}], ",", "22.733877591296803`", 
     ",", "0.06092294641273079`", ",", 
     RowBox[{"-", "1.7019157752452657`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "360.31848100645504`", "}"}], ",", "23.60085252200035`", 
     ",", "0.06089986377174033`", ",", 
     RowBox[{"-", "1.5450353995678056`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "375.10724654373956`", "}"}], ",", "24.50132274371517`", 
     ",", "0.06087809208058184`", ",", 
     RowBox[{"-", "1.402508641249415`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "390.4726802039293`", "}"}], ",", "25.436580732065554`", 
     ",", "0.06085755892268333`", ",", 
     RowBox[{"-", "1.2730319692437843`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "406.43692944959855`", "}"}], ",", "26.40796891495518`", 
     ",", "0.06083819574087854`", ",", 
     RowBox[{"-", "1.1554194193792838`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "423.02299903104483`", "}"}], ",", "27.416881599617255`", 
     ",", "0.06081993764151239`", ",", 
     RowBox[{"-", "1.0485920490995019`*^-6"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "440.25478408012486`", "}"}], ",", "28.4647669741632`", ",",
      "0.06080272320778437`", ",", 
     RowBox[{"-", "9.515683353382029`*^-7"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "458.15710448056956`", "}"}], ",", "29.553129186502286`", 
     ",", "0.06078649432195014`", ",", 
     RowBox[{"-", "8.63455431081061`*^-7"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "476.75574056418014`", "}"}], ",", "30.683530503615653`", 
     ",", "0.06077119599601216`", ",", 
     RowBox[{"-", "7.834412037678949`*^-7"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "496.07747018421026`", "}"}], ",", "31.857593554283802`", 
     ",", "0.06075677621054112`", ",", 
     RowBox[{"-", "7.107869856107684`*^-7"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "516.1501072192125`", "}"}], ",", "33.07700365848629`", ",",
      "0.060743185761279656`", ",", 
     RowBox[{"-", "6.448209721938159`*^-7"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "537.0025415626803`", "}"}], ",", "34.34351124681708`", ",",
      "0.06073037811319204`", ",", 
     RowBox[{"-", "5.84932211433905`*^-7"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "558.664780655947`", "}"}], ",", "35.65893437338823`", ",", 
     "0.0607183092616342`", ",", 
     RowBox[{"-", "5.305651301797572`*^-7"}]}], "}"}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[CurlyEpsilon]", "=", "0.000001`"}]], "Input"],

Cell[BoxData["1.`*^-6"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["FindStableArm"], "Input"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Solving ...\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Below \[ScriptM]MinBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "162", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Below \[ScriptM]MinBound times \[ScriptM]E after ", 162, 
   " backwards Euler iterations."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.6337999542407995`", ",", "0.27580360391597747`", ",", 
     "0.3712424569880819`", ",", 
     RowBox[{"-", "23.644310186222317`"}], ",", 
     RowBox[{"-", "0.22458522998536828`"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {0.6337999542407995, 0.27580360391597747`, 
   0.3712424569880819, -23.644310186222317`, -0.22458522998536828`}],
  Editable->False]], "Print"],

Cell[BoxData["\<\"Solving ...\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Above \[ScriptM]MaxBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "260", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Above \[ScriptM]MaxBound times \[ScriptM]E after ", 260, 
   " backwards Euler iterations."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "561.015775260982`", ",", "35.801681329687`", ",", "0.06071706835647415`",
      ",", 
     RowBox[{"-", "0.46093174109146096`"}], ",", 
     RowBox[{"-", "5.250906621194469`*^-7"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {561.015775260982, 35.801681329687, 
   0.06071706835647415, -0.46093174109146096`, -5.250906621194469*^-7}],
  Editable->False]], "Print"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"cE", "'''"}], "[", "m", "]"}], "-", 
     RowBox[{
      RowBox[{"cETaylorNearTarget", "'''"}], "[", 
      RowBox[{"m", "-", "\[ScriptM]E"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", 
     RowBox[{"\[ScriptM]E", "-", "0.001"}], ",", 
     RowBox[{"\[ScriptM]E", "+", "0.001"}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Green"}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[0, 1, 0], LineBox[CompressedData["
1:eJwc2nc4Vm8YB3AiUhlJVpEk2UWSUA+ysmdkr5DsZO9RVrYI2SSbrJDHDqms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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{5.4749, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"??", "Take"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  StyleBox["\<\"\!\(\*RowBox[{\\\"Take\\\", \\\"[\\\", \
RowBox[{StyleBox[\\\"list\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"n\\\", \\\
\"TI\\\"]}], \\\"]\\\"}]\) gives the first \!\(\*StyleBox[\\\"n\\\", \\\"TI\\\
\"]\) elements of \!\(\*StyleBox[\\\"list\\\", \\\"TI\\\"]\). \
\\n\!\(\*RowBox[{\\\"Take\\\", \\\"[\\\", RowBox[{StyleBox[\\\"list\\\", \
\\\"TI\\\"], \\\",\\\", RowBox[{\\\"-\\\", StyleBox[\\\"n\\\", \
\\\"TI\\\"]}]}], \\\"]\\\"}]\) gives the last \!\(\*StyleBox[\\\"n\\\", \
\\\"TI\\\"]\) elements of \!\(\*StyleBox[\\\"list\\\", \\\"TI\\\"]\). \\n\!\(\
\*RowBox[{\\\"Take\\\", \\\"[\\\", RowBox[{StyleBox[\\\"list\\\", \
\\\"TI\\\"], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{StyleBox[\\\"m\\\", \\\"TI\
\\\"], \\\",\\\", StyleBox[\\\"n\\\", \\\"TI\\\"]}], \\\"}\\\"}]}], \
\\\"]\\\"}]\) gives elements \!\(\*StyleBox[\\\"m\\\", \\\"TI\\\"]\) through \
\!\(\*StyleBox[\\\"n\\\", \\\"TI\\\"]\) of \!\(\*StyleBox[\\\"list\\\", \
\\\"TI\\\"]\). \\n\!\(\*RowBox[{\\\"Take\\\", \\\"[\\\", \
RowBox[{StyleBox[\\\"list\\\", \\\"TI\\\"], \\\",\\\", SubscriptBox[StyleBox[\
\\\"seq\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \\\"TR\\\"]], \\\",\\\", \
SubscriptBox[StyleBox[\\\"seq\\\", \\\"TI\\\"], StyleBox[\\\"2\\\", \
\\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"]\\\
\"}]\) gives a nested list in which elements specified by \
\!\(\*SubscriptBox[StyleBox[\\\"seq\\\", \\\"TI\\\"], StyleBox[\\\"i\\\", \
\\\"TI\\\"]]\) are taken at level \!\(\*StyleBox[\\\"i\\\", \\\"TI\\\"]\) in \
\!\(\*StyleBox[\\\"list\\\", \\\"TI\\\"]\). \"\>", "MSG"], 
  "\[NonBreakingSpace]", 
  ButtonBox[
   StyleBox["\[RightSkeleton]", "SR"],
   Active->True,
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Take"]}]], "Print", "PrintUsage",
 CellTags->"Info3539770687-7371273"],

Cell[BoxData[
 InterpretationBox[GridBox[{
    {
     RowBox[{
      RowBox[{"Attributes", "[", "Take", "]"}], "=", 
      RowBox[{"{", 
       RowBox[{"NHoldRest", ",", "Protected"}], "}"}]}]}
   },
   BaselinePosition->{Baseline, {1, 1}},
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}}],
  Definition[Take],
  Editable->False]], "Print",
 CellTags->"Info3539770687-7371273"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Take", "[", 
  RowBox[{"StableArmBelowSS", ",", "10"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0.7296297778897389`", ",", "0.3103597170342889`", ",", 
     "0.3500946221496257`", ",", 
     RowBox[{"-", "22.526071636545304`"}], ",", 
     RowBox[{"-", "0.21588274203472838`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1.429688921867708`", ",", "0.5112635097504978`", ",", 
     "0.23671416923085567`", ",", 
     RowBox[{"-", "18.255950259497915`"}], ",", 
     RowBox[{"-", "0.11010831866120299`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1.941248283608323`", ",", "0.6202609159943069`", ",", 
     "0.19326476502925485`", ",", 
     RowBox[{"-", "16.653304739843172`"}], ",", 
     RowBox[{"-", "0.06476030549283093`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "2.3538139036992245`", ",", "0.6951249070606955`", ",", 
     "0.17102025015983893`", ",", 
     RowBox[{"-", "15.698648243101834`"}], ",", 
     RowBox[{"-", "0.04479257802924603`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "2.6999074182049965`", ",", "0.7518635732969461`", ",", 
     "0.15746862060182568`", ",", 
     RowBox[{"-", "15.037159083584937`"}], ",", 
     RowBox[{"-", "0.03421245666619416`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "2.9964527344540155`", ",", "0.7971565683225028`", ",", 
     "0.14831687934088672`", ",", 
     RowBox[{"-", "14.54267206345672`"}], ",", 
     RowBox[{"-", "0.02783603956427358`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "3.253948675859881`", ",", "0.834473991036374`", ",", 
     "0.1417115960280545`", ",", 
     RowBox[{"-", "14.155714714335854`"}], ",", 
     RowBox[{"-", "0.02363986001103086`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "3.4795986307413713`", ",", "0.8658755702564145`", ",", 
     "0.13672001699118186`", ",", 
     RowBox[{"-", "13.843487262341513`"}], ",", 
     RowBox[{"-", "0.020700472829071857`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "3.678674078538008`", ",", "0.8926978209205154`", ",", 
     "0.13281967414465728`", ",", 
     RowBox[{"-", "13.58597742076517`"}], ",", 
     RowBox[{"-", "0.01854425770992387`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "3.8552077676192873`", ",", "0.9158648220808145`", ",", 
     "0.12969400540567141`", ",", 
     RowBox[{"-", "13.370079936658945`"}], ",", 
     RowBox[{"-", "0.016905890700481492`"}]}], "}"}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"cETaylorNearTarget", "'"}], "[", "del", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"0.11027775687278057`", "\[VeryThinSpace]", "-", 
  RowBox[{"0.008516198715274733`", " ", "del"}], "+", 
  RowBox[{"0.0015049608530107988`", " ", 
   SuperscriptBox["del", "2"]}], "-", 
  RowBox[{"0.0002739027092211702`", " ", 
   SuperscriptBox["del", "3"]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"StableArmBelowSS", "[", 
  RowBox[{"[", 
   RowBox[{"All", ",", "5"}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "0.21588274203472838`"}], ",", 
   RowBox[{"-", "0.11010831866120299`"}], ",", 
   RowBox[{"-", "0.06476030549283093`"}], ",", 
   RowBox[{"-", "0.04479257802924603`"}], ",", 
   RowBox[{"-", "0.03421245666619416`"}], ",", 
   RowBox[{"-", "0.02783603956427358`"}], ",", 
   RowBox[{"-", "0.02363986001103086`"}], ",", 
   RowBox[{"-", "0.020700472829071857`"}], ",", 
   RowBox[{"-", "0.01854425770992387`"}], ",", 
   RowBox[{"-", "0.016905890700481492`"}], ",", 
   RowBox[{"-", "0.01562620539152389`"}], ",", 
   RowBox[{"-", "0.01460437696120298`"}], ",", 
   RowBox[{"-", "0.013773648690307588`"}], ",", 
   RowBox[{"-", "0.013088172142763681`"}], ",", 
   RowBox[{"-", "0.01251547418407277`"}], ",", 
   RowBox[{"-", "0.012031943714653829`"}], ",", 
   RowBox[{"-", "0.01162002063838606`"}], ",", 
   RowBox[{"-", "0.011266385585565242`"}], ",", 
   RowBox[{"-", "0.010960759755661284`"}], ",", 
   RowBox[{"-", "0.010695088711131858`"}], ",", 
   RowBox[{"-", "0.010462974633875854`"}], ",", 
   RowBox[{"-", "0.010259273397960919`"}], ",", 
   RowBox[{"-", "0.010079803416453263`"}], ",", 
   RowBox[{"-", "0.009921131811060208`"}], ",", 
   RowBox[{"-", "0.009780415040077735`"}], ",", 
   RowBox[{"-", "0.009655278510739116`"}], ",", 
   RowBox[{"-", "0.009543724516152905`"}], ",", 
   RowBox[{"-", "0.00944406103336432`"}], ",", 
   RowBox[{"-", "0.009354846078760125`"}], ",", 
   RowBox[{"-", "0.0092748437999025`"}], ",", 
   RowBox[{"-", "0.009202989516209209`"}], ",", 
   RowBox[{"-", "0.00913836165088597`"}], ",", 
   RowBox[{"-", "0.009080159018790862`"}], ",", 
   RowBox[{"-", "0.009027682312998912`"}], ",", 
   RowBox[{"-", "0.008980318909566336`"}], ",", 
   RowBox[{"-", "0.008937530314622149`"}], ",", 
   RowBox[{"-", "0.008898841730686441`"}], ",", 
   RowBox[{"-", "0.008863833334198672`"}], ",", 
   RowBox[{"-", "0.008832132943669217`"}], ",", 
   RowBox[{"-", "0.00880340982481588`"}], ",", 
   RowBox[{"-", "0.008777369430699506`"}], ",", 
   RowBox[{"-", "0.008753748915003903`"}], ",", 
   RowBox[{"-", "0.00873231328799661`"}], ",", 
   RowBox[{"-", "0.00871285210941582`"}], ",", 
   RowBox[{"-", "0.008695176632095968`"}], ",", 
   RowBox[{"-", "0.008679117325728581`"}], ",", 
   RowBox[{"-", "0.008664521722634452`"}], ",", 
   RowBox[{"-", "0.008651252537468837`"}], ",", 
   RowBox[{"-", "0.00863918602090839`"}], ",", 
   RowBox[{"-", "0.008628210513974149`"}], ",", 
   RowBox[{"-", "0.008618225175039839`"}], ",", 
   RowBox[{"-", "0.008609138855999295`"}], ",", 
   RowBox[{"-", "0.008600869107711484`"}], ",", 
   RowBox[{"-", "0.008593341297857235`"}], ",", 
   RowBox[{"-", "0.008586487826844926`"}], ",", 
   RowBox[{"-", "0.00858024742949061`"}], ",", 
   RowBox[{"-", "0.008574564551944774`"}], ",", 
   RowBox[{"-", "0.008569388794806346`"}], ",", 
   RowBox[{"-", "0.008564674414601119`"}], ",", 
   RowBox[{"-", "0.008560379876849293`"}], ",", 
   RowBox[{"-", "0.008556467454835591`"}], ",", 
   RowBox[{"-", "0.008552902868952135`"}], ",", 
   RowBox[{"-", "0.008549654962132263`"}], ",", 
   RowBox[{"-", "0.008546695407447449`"}], ",", 
   RowBox[{"-", "0.008543998444417307`"}], ",", 
   RowBox[{"-", "0.008541540640994414`"}], ",", 
   RowBox[{"-", "0.00853930067854195`"}], ",", 
   RowBox[{"-", "0.008537259157431297`"}], ",", 
   RowBox[{"-", "0.00853539842115621`"}], ",", 
   RowBox[{"-", "0.00853370239709488`"}], ",", 
   RowBox[{"-", "0.008532156452256847`"}], ",", 
   RowBox[{"-", "0.008530747262531788`"}], ",", 
   RowBox[{"-", "0.008529462694115992`"}], ",", 
   RowBox[{"-", "0.00852829169593209`"}], ",", 
   RowBox[{"-", "0.008527224201981199`"}], ",", 
   RowBox[{"-", "0.008526251042674765`"}], ",", 
   RowBox[{"-", "0.008525363864292401`"}], ",", 
   RowBox[{"-", "0.008524555055796317`"}], ",", 
   RowBox[{"-", "0.008523817682310248`"}], ",", 
   RowBox[{"-", "0.008523145424639899`"}], ",", 
   RowBox[{"-", "0.008522532524271532`"}], ",", 
   RowBox[{"-", "0.00852197373334169`"}], ",", 
   RowBox[{"-", "0.008521464269118567`"}], ",", 
   RowBox[{"-", "0.008520999772580754`"}], ",", 
   RowBox[{"-", "0.008520576270717251`"}], ",", 
   RowBox[{"-", "0.008520190142209467`"}], ",", 
   RowBox[{"-", "0.008519838086186884`"}], ",", 
   RowBox[{"-", "0.00851951709377749`"}], ",", 
   RowBox[{"-", "0.00851922442219958`"}], ",", 
   RowBox[{"-", "0.00851895757116543`"}], ",", 
   RowBox[{"-", "0.008518714261388435`"}], ",", 
   RowBox[{"-", "0.008518492415004046`"}], ",", 
   RowBox[{"-", "0.00851829013773296`"}], ",", 
   RowBox[{"-", "0.008518105702629945`"}], ",", 
   RowBox[{"-", "0.008517937535276614`"}], ",", 
   RowBox[{"-", "0.008517784200288519`"}], ",", 
   RowBox[{"-", "0.008517644389019776`"}], ",", 
   RowBox[{"-", "0.008517516908357668`"}], ",", 
   RowBox[{"-", "0.008517400670510775`"}], ",", 
   RowBox[{"-", "0.008517294683701545`"}], ",", 
   RowBox[{"-", "0.008517198043683094`"}], ",", 
   RowBox[{"-", "0.008517109926007243`"}], ",", 
   RowBox[{"-", "0.008517029578976277`"}], ",", 
   RowBox[{"-", "0.008516956317218681`"}], ",", 
   RowBox[{"-", "0.008516889515832656`"}], ",", 
   RowBox[{"-", "0.008516828605047638`"}], ",", 
   RowBox[{"-", "0.008516773065357587`"}], ",", 
   RowBox[{"-", "0.008516722423084426`"}], ",", 
   RowBox[{"-", "0.00851667624633336`"}], ",", 
   RowBox[{"-", "0.008516634141305603`"}], ",", 
   RowBox[{"-", "0.008516595748936621`"}], ",", 
   RowBox[{"-", "0.008516560741831528`"}], ",", 
   RowBox[{"-", "0.008516528821470701`"}], ",", 
   RowBox[{"-", "0.008516499715662417`"}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["StartPoint"], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "5.47595255808645`", ",", "1.1085390426313344`", ",", 
   "0.11027690526795839`", ",", 
   RowBox[{"-", "11.781918113999792`"}], ",", 
   RowBox[{"-", "0.008515897731321212`"}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"del", " ", "=", " ", 
  RowBox[{
   RowBox[{"StartPoint", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "-", "\[ScriptM]E"}]}]], "Input"],

Cell[BoxData["0.00009999999999976694`"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"cETaylorNearTarget", "''"}], "[", "del", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"-", "0.008515897731321213`"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["\[Kappa]EPP"], "Input"],

Cell[BoxData["0.003009921706021598`"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"??", "cETaylorNearTarget"}]], "Input"],

Cell[CellGroupData[{

Cell["Global`cETaylorNearTarget", "Print", "PrintUsage",
 CellTags->"Info3539769762-7371273"],

Cell[BoxData[
 InterpretationBox[GridBox[{
    {GridBox[{
       {
        RowBox[{
         RowBox[{"cETaylorNearTarget", "[", "\[FilledUpTriangle]_", "]"}], ":=", 
         RowBox[{"\[ScriptC]E", "+", 
          RowBox[{"\[FilledUpTriangle]", " ", "\[Kappa]E"}], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[FilledUpTriangle]", "2"], " ", "\[Kappa]EP"}], 
           "2"], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[FilledUpTriangle]", "3"], " ", "\[Kappa]EPP"}], 
           "6"], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[FilledUpTriangle]", "4"], " ", "\[Kappa]EPPP"}],
            "24"]}]}]}
      },
      BaselinePosition->{Baseline, {1, 1}},
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxItemSize->{"Columns" -> {{
           Scaled[0.999]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
        "RowsIndexed" -> {}}]}
   },
   BaselinePosition->{Baseline, {1, 1}},
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}}],
  Definition[$CellContext`cETaylorNearTarget],
  Editable->False]], "Print",
 CellTags->"Info3539769762-7371273"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1568, 1342},
WindowMargins->{{Automatic, 333}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (February 23, \
2011)",
StyleDefinitions->"Default.nb"
]

