Notebook[{
Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "This", " ", "notebook", " ", "solves", " ", "and", " ", "simulates", " ", 
   "the", " ", "TractableBufferStock", " ", "model"}], " ", "*)"}]], "Input",
 CellChangeTimes->{
  3.414624340257347*^9, {3.457888922657312*^9, 3.4578889315710497`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "This", " ", "cell", " ", "is", " ", "uninteresting", " ", "housekeeping",
      " ", "and", " ", "setup", " ", "stuff"}], ";", " ", 
    RowBox[{"it", " ", "can", " ", "be", " ", "ignored"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], ";", 
    RowBox[{"ParamsAreSet", "=", "False"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Length", "[", "$FrontEnd", "]"}], " ", ">", " ", "0"}], ",", 
      RowBox[{"NBDir", "=", 
       RowBox[{"SetDirectory", "[", 
        RowBox[{"NotebookDirectory", "[", "]"}], "]"}]}]}], "]"}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
    "If", " ", "running", " ", "from", " ", "the", " ", "Notebook", " ", 
     "interface"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"$VersionNumber", "<", "8"}], ",", 
      RowBox[{"(*", "then", "*)"}], " ", 
      RowBox[{
       RowBox[{
       "Print", "[", 
        "\"\<These programs require Mathematica version 8 or greater.\>\"", 
        "]"}], ";", 
       RowBox[{"Abort", "[", "]"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"If", " ", "running", " ", "from", " ", "shell"}], ",", " ", 
     RowBox[{
     "must", " ", "be", " ", "run", " ", "from", " ", "inside", " ", "same", 
      " ", "directory", " ", "in", " ", "which", " ", "notebook", " ", 
      "resides"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AutoLoadDir", "=", 
     RowBox[{"SetDirectory", "[", "\"\<../../CoreCode/Autoload\>\"", "]"}]}], 
    ";", 
    RowBox[{"Get", "[", "\"\<./init.m\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"CoreCodeDir", "=", 
     RowBox[{"SetDirectory", "[", "\"\<..\>\"", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rootDir", " ", "=", " ", 
     RowBox[{"SetDirectory", "[", "\"\<..\>\"", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", 
     RowBox[{"CoreCodeDir", "<>", "\"\</MakeAnalyticalResults.m\>\""}], "]"}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", 
     RowBox[{"CoreCodeDir", "<>", "\"\</VarsAndFuncs.m\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Method", " ", "of", " ", "creating", " ", "figures", " ", "depends", " ",
      "on", " ", "whether", " ", "being", " ", "run", " ", "in", " ", "batch",
      " ", "mode", " ", "or", " ", "interactively"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"$FrontEnd", " ", "\[Equal]", " ", "Null"}], ",", 
      RowBox[{"OpenFigsUsingShell", "=", "True"}], ",", 
      RowBox[{"OpenFigsUsingShell", "=", "False"}]}], "]"}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FigsDir", "=", 
     RowBox[{"SetDirectory", "[", 
      RowBox[{"rootDir", "<>", "\"\</Examples/ctDiscrete/Figures/\>\""}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"CodeDir", "=", 
     RowBox[{"SetDirectory", "[", 
      RowBox[{"rootDir", "<>", "\"\</Examples/ctDiscrete\>\""}], "]"}]}], 
    ";"}]}]}]], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Get", "[", 
   RowBox[{"CoreCodeDir", "<>", "\"\</ParametersBase.m\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"FindStableArm", ";", 
  RowBox[{"\[Kappa]EBase", " ", "=", " ", "\[Kappa]E"}], ";"}]}], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData["\<\"Solving ...\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Below \[ScriptM]MinBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "62", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Below \[ScriptM]MinBound times \[ScriptM]E after ", 62, 
   " backwards Euler iterations."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.824411914427029`", ",", "0.34259070403268976`", ",", 
     "0.3302150754892809`", ",", 
     RowBox[{"-", "21.635502687255663`"}], ",", 
     RowBox[{"-", "0.20306906720787984`"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {0.824411914427029, 0.34259070403268976`, 
   0.3302150754892809, -21.635502687255663`, -0.20306906720787984`}],
  Editable->False]], "Print"],

Cell[BoxData["\<\"Solving ...\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Above \[ScriptM]MaxBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "160", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Above \[ScriptM]MaxBound times \[ScriptM]E after ", 160, 
   " backwards Euler iterations."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "556.4499878816595`", ",", "35.52445459521509`", ",", 
     "0.06071949013176408`", ",", 
     RowBox[{"-", "0.46452166149406504`"}], ",", 
     RowBox[{"-", "5.357948748580723`*^-7"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {556.4499878816595, 35.52445459521509, 
   0.06071949013176408, -0.46452166149406504`, -5.357948748580723*^-7}],
  Editable->False]], "Print"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"StableArmStyle", "=", 
   RowBox[{"{", 
    RowBox[{"Black", ",", 
     RowBox[{"Dashing", "[", 
      RowBox[{"{", ".01", "}"}], "]"}], ",", 
     RowBox[{"Thickness", "[", "Medium", "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Get", "[", 
   RowBox[{"CodeDir", "<>", "\"\</cFunc.m\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExportFigsToDir", "[", 
   RowBox[{"\"\<TractableBufferStockcFunc\>\"", ",", "FigsDir"}], "]"}], 
  ";"}]}], "Input",
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwVkHk81Pkfxwdj5AhjzPAtUdgc/RwhyuLztkmOicF35ye1xObahGyHI7VS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      "]]}}, {{}, {}, 
    {GrayLevel[0], Thickness[Medium], Dashing[{0.02}], LineBox[CompressedData["
1:eJwVxXk01AkAB/BBKWeYGPwkjZZImZC2SeZLRSRhfiRaHm+GXpOrJLpEGIWI
5FxRCuvYlSulyFrFMM9sWUY6UFJIy/QsOXb3j8/7bPAPceNKUyiUg//5/1mL
+uH09U3WDT+8XX6tT8GIRPkksyuHZXS4hrNoQMEZ009m0l1lrNxEfoeOMQVP
nTyoo4JG1oVx0wxvBgUBr5Jl+gUdLNvqSwZiKwoe0Eu/9wjELKEV/eBLdwr8
2uvOdAs+sT6yubmdfAoss5vqBII5Fi123KJhnALR9NUi/pA8xBFckW+bFCRG
Z+XmZql4KdAfrrgmDeubqdNcH208ybiiJO0ug992ryzqL9GDouRooYHJCojf
hJ1ifNDH9drwkinJCgRbqUbNBhoiSmlePVG4EsOz7zy8BozBFhvc2lQsi6kh
X98Q1a3grMzOD+KtgkVbYvdcOwN9HRFSsXtW4/HWRkpmoBkuf8kZYCrJwfK5
lN7Ssjl0EzjC73/K4UPzSL/uo+3Qrc83Si6TxzvndSXZnjvAttOaawlTgKrV
V+VOzZ2YDJZh/OGoiG2er/w7epg4I58ZI1qvhAIF3a4NPCv8KMuzjx1Vgs26
eeG2Tdbwya0Kl36iDEb7lo+5z1h4cM1Sw5C/BuUBF7petwFNSjdTUxgqqJMK
JXqLbHAjhVOUlKcC7jHlb/+E2CJxt/uk97IKGBej8iIP7UFF48JEBk8Vt33T
ujbq7cUXbrtBQY8qkjxrZhom9uKeYCSowlwNqZQ7H+917sP1xYZj9Ftq2Blu
HdCaY4cs36qfj8tQsXTzXvXOs/boSfFO0A6lYpdIeybLYz+iTx89LxygQreP
2Uzf6ACnlOgK0notdJINPeVkHLE/7Eia7S9r0aLYck7nhSP84t2rpNeoY7CY
k6lx6wCm3e6K28PUQZ3oPXfivBPqJ8ofTA+q4+vS9MQXx4O4Uf9S9BUaGGsZ
NO42dkaxU22BR6UGEpxPzvR9d4ZIrf7uNTUa8meo9zueH0J4usLDztM0jOo/
LUhiu8DxDS02eIgGkbmwbP8jF1h52cW936cJxzybvJrNrvC5vZnZel8T0cqP
VqnlumL+Dmfxzjot8AOvNspKuaG6t3n+cIwWdDRbXMtC3ZDzQlR+alILcVUH
TIf73ZAvJZvl56aNUpfXfGUWG5qfUlLZddrwcuxtH6tk41l+165KPQJvjfQP
HFEnkX5pC10cR4DeOrPZkEZiMYvkZScQ4Hi1KX7TJHHs13O1hxMJfL7KFabp
kMCbDru/kghIxktcn+uTmNoVwHuRTkC+ysRzhxkJ59mC2u5CApZmllz1QyQU
glXsW5sIRHXK2o24kIiK35EW84RAk3+fQbUbiff5PmK0ELDJiBxz8iDRJKjg
Nf9OwEnykBf3E4njRg5pTZ0E/OpZJ2d4JDrex4jr+wkUO6uwnwaRsFgopUcM
EBgdfWeeGkKikNrD2z5I4AQt9pvxKRKRtrpLNW8JRES2RfqfJWFQ+JBePUqg
USXzCOM8iYyGIV7oGIGFUi5z6QKJZeHqOtPPBGLEsgs5MST6Fj3sqyYJtIX1
DQZeJmGrfjEtaIqArHzp4+3xJCpN7opN/ibgcDuyQIZPQntvF31imkAy0yFa
lEgi3nuGVy4h8C/S9yu+
      "]]}}, {{}, {}, 
    {GrayLevel[0], Thickness[Medium], Dashing[{0.01}], LineBox[CompressedData["
1:eJxFxWlM0mEcAGA8ILAMRQWtD01TC2crm8NjKqVbTvJvy9tmK1FTZyYzjdxY
S2w6FKdtOdYsl7mKyIM2VmrCvPJAK2StwqkgiYqOVIK8IqsP/t4Pzx5vdnFi
rj0Oh8P++b8ut0R8dLgiau/WhmNpc9hV5t4Kpk4pxzhwvKjXsQ27C7sNSrxb
sQb41zdvaTP2BF7Kvsx9hEnhLPrOpSasD7alJIl8bCq4vGqkvzZSA5/UK/jR
Eh1MeT5LqnQ2wHUt2OsPfkZ486xd1HSjCRZaJIUPN9fgpe+80THcT7jXb502
HWyFMx3quDdjNuC0nPKZjtgtWEkjMia4OzAxT9F8g2+DFUTatrlrF16i6trr
zLgze6dyR6/NW+1gnJ29VyDZAW5Iv5D0xsMRztSYqoJO4+EvTTL5nTgCzAis
5x1M2AerDT3B9flEOLlouzSRQ4IrGeyuxRIn+Mfxw9ai2v0w07jYzbh/AJ5Q
42+vtTnDhD/nw3iDB2H/jWd81ggZ7heK9fc4LrDekTiKt6CnHu90rJa6wpxx
EUWNo8Bb2sielEr0EYFwdtLFDQ71MpxbfYCmKyelZVR3+C05T2R5ig6NIAy4
+3vA6Tas4IQMnaClUzqZVDhETN6d7EfL8c35pgQazGAxqBI1urqT/f5Tkidc
9jJk3aRFp9ZQs9rZXnBy+GCQNQd9cbnYPjIPHc8aa50oRMc48RZWStGnauYK
A6rRTjVtt168QhPDM2JX29H4ZbxniBSNY13pHpahN0iU3wY5el7ArfBVofVh
vonX1WitUeUj+4yeigsYitGgVaQZQrYe/bFb8FUyjx4vYIjNC+jhsfo4/gp6
qDzikNKEHqAbl13X0H2axncZZrRcEC1ssaD/AsCmMkM=
      "]]}}, 
   InsetBox["\<\" \[LongLeftArrow] 45 Degree Line \"\>", \
{5.191118110977471, 5.191118110977471}, {-1, 0}], 
   InsetBox["\<\"  \[LongLeftArrow] Consumption Function \
\\!\\(\\*\\nStyleBox[\\\"c\\\",\\nFontWeight->\\\"Plain\\\"]\\)(\\!\\(\\*\
SubsuperscriptBox[\\(\[ScriptM]\\), \\(\[ScriptT]\\), \\(e\\)]\\))\"\>", \
{1.8252841860288163`, 0.5973968872099225}, {-1, 0}], InsetBox[
    OverscriptBox[
     StyleBox["\<\"\\!\\(\\*\\nStyleBox[\\\"c\\\",\\nFontWeight->\\\"Plain\\\"\
]\\)\"\>",
      StripOnInput->False,
      FontWeight->Plain,
      FontSlant->Plain,
      FontVariations->{"Underline"->False}], 
     "_"], {51.30334127847256, 5.756079748142839}, {-1, 0}], InsetBox[
    StyleBox["\<\"\\!\\(\\*\\nStyleBox[\\\"(\\\",\\nFontWeight->\\\"Plain\\\"]\
\\)\\!\\(\\*\\nStyleBox[SubsuperscriptBox[\\\"\[ScriptM]\\\", \
\\\"\[ScriptT]\\\", \
\\\"e\\\"],\\nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\")\\\",\\\
nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\"\[LongRightArrow]\\\",\
\\nFontWeight->\\\"Plain\\\"]\\)\"\>",
     StripOnInput->False,
     FontWeight->Plain,
     FontSlant->Plain,
     FontVariations->{
     "Underline"->False}], {52.603341278472556`, 5.746079748142839}, {-1, 0}],
    InsetBox[
    StyleBox["\<\"Perfect Foresight Cons Function\"\>",
     StripOnInput->False,
     FontWeight->Plain,
     FontSlant->Plain,
     FontVariations->{
     "Underline"->False}], {50.603341278472556`, 5.746079748142839}, {1, 0}]},
  
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptM]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptC]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0, 82.13778837129674}, {0., 6.488897532453747}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->None]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Work/BufferStock/Tractable/ctDiscrete/Latest/Figures/\
TractableBufferStockcFunc.pdf\"\>"], "Print"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Get", "[", 
   RowBox[{"CodeDir", " ", "<>", " ", "\"\</PhaseDiag.m\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExportFigsToDir", "[", 
   RowBox[{"\"\<TractableBufferStockPhaseDiag\>\"", ",", "FigsDir"}], "]"}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {GrayLevel[0], Thickness[Medium], Dashing[{0.01}], LineBox[CompressedData["
1:eJwVzn881Accx/Fz261zdYrjwl3uK3LkxxohP/L5WGmNUrFEPK7cIa0fiigP
rY4KedRdP6a2NmmuuJqsolrTj9WF5NDkZw+SmbgfuM7dVyaZ/fF+vP55//G0
F6ZEJFIpFMramf3f2lOC2/LDuUEUitjjYVp6kFrRaYiXJQClbIRd9mskuMfk
GZfK9oF4REPLvyqCJtnrdDvZUaD0dLMKr6QB72uGD0v2PVxqsOVOFB2BOg5x
jim7DDcE8q4d0rPAobnWMmRVsDXLe2vCPhnUZC4RmMqeQrmWtb9uRSUEP6GH
+2W3wXH+inMv5Aqo7naZ6zzWC3tYyEsWK2F6ZZdkg/UAcLdRmicDWqBKSE/m
l6oh+WK/h7ttO5DP10XYto1CgIDeKInuAqcprDtzTw8ZWY0ravO64chE5YGs
LCOUBorMdFt6gc+pvKVnvgcaKeS2Db2BjZfKrMiOfyHZeNqjw+FvqA91NslP
nQKaJwS99OkHXReVMjU9DX5+IUWh3v/AhiQV67DQBBlbksTj/gOwNnW+dtV1
KlbkBHUcdHgLZkv+7GxlfYqmJ5qapZaD4PzGal1rGg1vvbbwPDE+CG9Lbppy
7n+Giws+iGWKIUie/6yTT9DRrxEVpT+qQHLRUZu10xTz3O4fXR6rhsyOSda5
VgaabU6ZmnTSwAOquMbeZw6qmdGnj6k0cBlDqw2HmVjHlgyfvKCF9UukNScH
zPCMZ67WPGoY1tkwGXdt5uHqQc/NUSYjIGO5kFsezEPO0tEMw5UR6ErK0Wp2
myM9/Te+48ZRiFd8PPqTpQXe/u6J5JpxFBoO/M73eGaBqvSFlZHrdSAsWy3N
PMDCYJ/oD10lOgjrnfxhiGuJbcu80kpHdMDeoy33b7bEAX7teCm8Ay8GRXQj
3QrLl51Qehe8g4ML1D2vrdlIK4gMELS8A/lxc5Guno214xZPK3h6WDQdW7Ao
ZT4GO4Tb6pP0cKyxv3r5QmvMrw+oXlOpB98rEmlmvTWqlEdMlBN6sCLnOu/e
ZYMpqXFBXkFj0F7c9DyEZ4trHdT3ZHljMBRxY25wjS0W3kyjZTeMQY+gWcDL
5OCj4b5Z0ZYG+Nj/NPWOCxcLTykfuccaYG9qj/PeJi5+c75Yfv1nA9TGeKnM
shdgweOXNJt+A+wKLQ97wbdDZYbrwzWORgiumkwNbbDD3ObFbdUiI4xn5F8u
O8jDC83hxXS5EcT23EBLcwKthw9JwwaNcMdEcf+YBYGaJ4pZiUNG0PRtXz7O
IjBNGLn/kMoIUSV3g16xCWTrogNvaozg6hAZfIlL4Jt6JwFbZ4R2x4JVbs4E
+kVYU3vfG8HN+f36lUDgtq8K27YzSBDSi/+6jQRWGeb458wm4fxQSAT/SwLb
/T8WXphDAvXq2UhGCIGzIyKXNpiR0OHyedSLUAJtXo0y3Fgk5LgmxcZFESjN
87TXcki4O5vZ3bhp5n98dOqTBSRoNZVxEENg50RgC8eOhE3lJoKFcQSyWiTx
YQQJbu5FW4fiCdwx4M255jjjYa7sixERGK0tqnq8aMYzrI5vSCBw/7VfQrqc
ZjwVy0QV2wjcrMoOp7uQ4Cvp7edtJ/AP3/ha3mISdu7OTTj9LYF5nX3evq4k
lIS7D1B3Eij/glYU7jbj92hN3LeLwDK5cjLRnYT/ABHgOQk=
      "]]}}, {{}, {}, 
    {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwV0ms01AkYBnBmUy6N2wwGw/zZ7IyY0mk3KXlfFdXYIizNusSIJImJlrRL
RTTr0u3Q5ZSOGWu2UlkZiZzKpWRDrWtHJo0pt5Ymt/6Snf3wnOfD8+X34bER
HPSNpGhoaGxX5/9uOh1aKU076ZbTrlr+wVngNlLfMxku3gO1deH0jTIELj9r
6ntxInRFZ0msZD7QKu5PshZngGLDpVg9WRiwtumuoYnPQ4xU7EORxcMTS6KA
KpZAWYj08XxlOlhqOTTpiu/CjnvXU+cqT0NjilOojrgBipQOu8jKa+D+WHuH
y7FO6JTaein3lUNNn70B55McAoqrFTbyaljY3Ju3k6EEx0eJpSr6I7gr0I5m
/zECh57sZfHON8L0M29fi85xSB5ndbQ0NcN38/jkbLUKGrirvTb5tcKJzxXJ
qalTID3YbAKRL4BtWfGXijoL23uDJAlH/oGfrpWaTHeTYNpqSS+q7YRmHkcz
WzgPD/zcisN7umGil6Ixv7AAWrQlyszhXtgZNUxLE2hiQsi8dgm7D7YLzcY8
yyhYszbAiw/9oO/0sKeDtgjPe8c5L9r4BjhvTLw7Dmnh5aIM8dLdA/CuuFzH
snYxGq/9+6o8+i1Emz3tYRPaaFFwXdfplALyri4bS43VwbOu97W8CgYhpXuO
VtChi5elYQmKaiU8oKQ32qxZikmrfq5y7HkHEuTVTKZRsY6SmYOK9+DjlN+Y
q9THCxc9X75YNAze5lTdKnNDHEh2KeXSRkBMs5/e/cAQ5xLTAtYxR6E36vjY
aJwRlqwJPtywfgzC679mXKYb40OMsTPf+gFaku+xVzw1xv2GBh6jMf+CoHRr
fkoyDd9/WQxx2ePgJZ+7MMSk4wiDMRiybQJM48durmujI8d0Nqy+dwJW62pE
3EkywaKqeLu8sI9w1GrkdT/DFH99bxxYPvgRpKeMIiaaTXHZEQ13WqIK7BaC
RHYHzfCb8pPCV59VkPlcUbPBloE3eLuC34g+gXNJXn5KMwN/z36c62U8CSbT
Bpy4A+b40j/A0aBwErqKWp95sCxQceKHE0bsKRjyvWPg3miBDoFlNillU/A6
tC2UlWKJrrnxySyYhq+KBqHMnomVO0NcrVunIUH4mpPQysSo+2+3HPebgSb+
6mH9Y1Yoz6zQsxucgQO8m17tbGs8PcU04+6fBfe7c0JeizVe/3Q7P3d8FmYO
Z0tKj7Iwxz/voWPaZ0i3YbrSjQgs5Wu5rNIiQaZZX5tpTGBsl7M4awkJowP7
NszQCFzpF0Pt1yHVv69ye2VKoOzHtgGRPgkO3/q5X2MS2AAXRYNmJHQtE3k6
cgh8a8ftK1xOgiNn1mczEGil8k/76k2CQLvoRSWq97isYX9fEgqHPHzZGwks
Ga32u+FPAuXPc366HgRyldacXXwSuu1XBrTzCFzfM9ReLiDhuENUUHAAgfy6
o7aRSSRU6VH7ngcSyFx/O6fmFxLGRiuCgU+gvGpg2ugICYE3NUNtgwncW+7Z
Uveb2sO9EjYUTmCSxDCRka32UDcP8CMIdLHZ1B8nUns+jIS37CHwy5WkrY05
as+ttRG39hKYUfiKKTxDgnOeXMHaR+AWOjXr6TkSYuNO7jkTQ6DeGfhoXUBC
8Q6ukhJLYBtVGJR0Qe1f0RGZeIDAsyJJY8slEv4D2FI3tA==
      "]]}, 
    {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwVz3s0lAkYx3FmVUy5j+sMXqXMHKN0aiWl55kWlU7JCE2Y3KK2iW2i5aio
JuEUbbWVilrTpjq27aIrti0ZhhJWi45LJTUGZ973Vch13/3jOb/z+e/7OMck
ibez9PT0NjD3/6pOSu9fz8ha5TDovCtyuQ60VW1fopVxsIWuVHQydpcc+7pU
mQynRyRFkd46aFB2pTgqFWDIOtUUuUIHTuvYnpbKMzBkzfKS+uighkucNVZe
BTV+MNgm0gF3hpuKrSyDlDPFRVHrdFCd5iE1Ur6AVyvmNcdKdCB6brhx+aE3
UDFg3cLdr4PyDoEpf6gbWNdqWrMu6WDatz0vyLYXVnusMQus0EFZjOEO12ta
eM573FPbpYPhukCx/RsdFJhrHn2d0sGCSaw59ZiGLWUKjtaMhCPf7qWmp3+F
qNqJT7PmkuDKvXeXNh6FM1HB3tOLSQi5UmI13DoGGsG88MAfSFAH8PWz5ZOQ
8HPTRGowCWQ7S29yehri3D97BcWSEBTfZ5kRo4+ZnH2rDyeTsEFuM+D/Bwtr
M3peHleQYOLxd1uLpQF68OpcyF9J4L+zCmzZOwM5zrY2rBISPhXfMeJWzESX
m765gw9I2GFT2+ZKGOLmOG3d4loS8opcBtJlRni7OPF4YBsJaa3jlmdb2Ci0
kHFVfSRUsjKrnT3noIu20bd/jISrGFD+JcMY1/pzdH1sCjZ55Fef6DXB4/80
xot4FATaGbMf2pnhxMdd2+RCCpSWguFtlWaokSbSQSspaI8/PNCfaI5fjLTi
3A0URFdNKS5yLFC43HfppUgK6lMfuS6stUBFgU3PzCQKYkrW5qelWuKWGLGQ
yKRgfff4eQ2Pg5I/dw1bnKTA+qeBUu/XHExznzoh/Y2CJWy92NspVli9KOna
kTsU7HfQdnbZWuOJC2skYc8ouJ5jHkuqrXGfZ0H7kWYK5k+H585PssHcUPXb
nA8UHH3VU+4z1xb/KpHf0AxRsOz3vPw0tS06HBgbJQxosBo25SfutsOxJ30f
ZnFo+PdyQ52fkz0OC8QX1synQSO+bSqqtkdHh4LmqO9p6JS+ljqlcTFeJGlr
9qdhqueF/IGAh24NmalDYTTskXfy9zTwkNudVTCYQINKsqTP5JADujnPzMY0
GnYHlK5vdHXEhM+xI7IcGkRl4/KAekckrAX6awtoGNmXfbVkvxOOpiS0pd+k
IdOZt5JjTuCkROGR84SGB/pVFUctCJwzlt/ZyLj//U6fEUsC7S9czLUtpyG0
+OGqt9YEer29+7GEsdu8YNEVHoF7t74/r6pg/nPJ9RfyCezbukrf4CkNQv7o
Jl8g8E34aNPBKhpiDC833UcCP45/l6FifE7jJ3ZdTSB90VRo8oIG1o3TwWw/
As06FmQVMm4VLAptDCBwfUSId0U1DYfd4sMjQgl8FnG3+FsNDQ9nG3e8CiPw
9URloKiWhoH+exEgIbDrknoim3FYqb50bgSBEx3vQm3VTI97YZQmmkDPSNPZ
y+qYHmPf95JYAv0m7R8dZHxuUBtdH0fg5sIF21WMWbe8Ym8lECjv9HkaUk/D
srzuHqedBGYeWCcrZCxLzIr75UcC8x1C7HoZF29072XJCCyqjFIJXzL9C1u2
J+8msDRStjeZ8X9sckqN
      "]]}}, 
   InsetBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalDelta]\[ScriptC]\\), \
\\(\[ScriptT] + 1\\), \\(e\\)]\\)=0 \[LongRightArrow] \"\>", \
{6.844815697608061, 1.385660018622784}, {1, 0}], 
   InsetBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalDelta]\[ScriptM]\\), \
\\(\[ScriptT] + 1\\), \\(e\\)]\\)= 0 \[LowerRightArrow]\"\>", \
{1.8252841860288163`, 1.0200110377350988`}, {1, -1}], 
   InsetBox["\<\"\\!\\(\\*SuperscriptBox[\\(\[ScriptC]\\), \\(e\\)]\\)(\
\[ScriptM])=Stable Arm \[LongRightArrow] \"\>", \
{2.7379262790432244`, 0.7578258518536143}, {1, 0}], 
   InsetBox["\<\"Steady State \[LowerRightArrow] \"\>", \
{5.475852558086449, 1.1085280148982277`}, {1, -1}], 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{5.475852558086449, 0.5542640074491139}, {6.023437813895094, 
     0.5542640074491139}}]}, 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{5.475852558086449, 0.5542640074491139}, {5.475852558086449, 
     0.33255840446946827`}}]}, 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{5.475852558086449, 1.6627920223473416`}, {4.928267302277804, 
     1.6627920223473416`}}]}, 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{5.475852558086449, 1.6627920223473416`}, {5.475852558086449, 
     1.8844976253269872`}}]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptM]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptC]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0, 8.213778837129674}, {0, 1.8844976253269872`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->None]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Work/BufferStock/Tractable/ctDiscrete/Latest/Figures/\
TractableBufferStockPhaseDiag.pdf\"\>"], "Print"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Get", "[", 
   RowBox[{"CoreCodeDir", "<>", "\"\</ParametersBase.m\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"FindStableArm", ";", 
  RowBox[{"\[Kappa]EBase", " ", "=", " ", "\[Kappa]E"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"HorizAxis", "=", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"], "-", 
    "0.01"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[ScriptC]GroMax", "=", 
   RowBox[{"Log", "[", 
    RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
     RowBox[{"0.5`", " ", "\[ScriptM]E"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"BufferFigPlot", "=", 
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"Log", "[", 
         RowBox[{
         "\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", "\[ScriptM]", "]"}], 
         "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]", ",", 
          RowBox[{"0.5`", " ", "\[ScriptM]E"}], ",", 
          RowBox[{"2.5`", " ", "\[ScriptM]E"}]}], "}"}], 
        "\[IndentingNewLine]", ",", 
        RowBox[{"Ticks", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"{", 
             RowBox[{
             "\[ScriptM]E", ",", 
              "\"\<\!\(\*SuperscriptBox[OverscriptBox[\(\[ScriptM]\), \(\
\[Hacek]\)], \(e\)]\)\>\""}], "}"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[GothicG]", "+", "\[Mho]"}], ",", 
               "\"\<\[Gamma]\>\""}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               FractionBox[
                RowBox[{
                 RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"], 
               ",", 
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<\!\(\*SuperscriptBox[\(\[Rho]\), \(-1\)]\)(r-\
\[CurlyTheta])\[TildeTilde]\[Thorn]\>\"", ",", 
                 RowBox[{
                 "CharacterEncoding", "\[Rule]", "\"\<WindowsANSI\>\""}]}], 
                "]"}]}], "}"}]}], "}"}]}], "}"}]}], "\[IndentingNewLine]", 
        ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"2.5`", " ", "\[ScriptM]E"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"HorizAxis", ",", "\[ScriptC]GroMax"}], "}"}]}], 
          "}"}]}]}], "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Dashing", "[", 
            RowBox[{"{", 
             RowBox[{"0.005`", ",", "0.025`"}], "}"}], "]"}], ",", 
           RowBox[{"Thickness", "[", "Medium", "]"}], ",", "Black", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"\[ScriptM]E", ",", "HorizAxis"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"\[ScriptM]E", ",", "\[ScriptC]GroMax"}], "}"}]}], 
             "}"}], "]"}]}], "}"}], "]"}]}], "*)"}], "\[IndentingNewLine]", 
      ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Dashing", "[", 
          RowBox[{"{", "}"}], "]"}], ",", 
         RowBox[{"Thickness", "[", "Small", "]"}], ",", "Black", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"\[ScriptM]E", ",", "HorizAxis"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"\[ScriptM]E", ",", "\[ScriptC]GroMax"}], "}"}]}], "}"}],
           "]"}]}], "}"}], "]"}], "\[IndentingNewLine]", ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Dashing", "[", 
          RowBox[{"{", "}"}], "]"}], ",", 
         RowBox[{"Thickness", "[", "Medium", "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"\[GothicG]", "+", "\[Mho]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"2.5`", " ", "\[ScriptM]E"}], ",", 
              RowBox[{"\[GothicG]", "+", "\[Mho]"}]}], "}"}]}], "}"}], 
          "]"}]}], "}"}], "]"}], "\[IndentingNewLine]", ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Dashing", "[", 
           RowBox[{"{", "}"}], "]"}], ",", 
          RowBox[{"Thickness", "[", "Medium", "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               FractionBox[
                RowBox[{
                 RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"]}],
               "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"2.5`", " ", "\[ScriptM]E"}], ",", 
               FractionBox[
                RowBox[{
                 RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"]}],
               "}"}]}], "}"}], "]"}]}], "}"}], "\[IndentingNewLine]", ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"2.5`", " ", "\[ScriptM]E"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"HorizAxis", ",", "\[ScriptC]GroMax"}], "}"}]}], 
          "}"}]}]}], "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ",", 
      RowBox[{"AxesOrigin", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"], "-", 
          "0.1"}], ",", "HorizAxis"}], "}"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}], "\n", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "The", " ", "thorn", " ", "character", " ", "\[Thorn]", " ", "does", " ", 
     "not", " ", "appear", " ", "properly", " ", "unless", " ", "encoded", 
     " ", "with", " ", "the", " ", "WindowsANSI", " ", "encoding"}], ",", " ", 
    RowBox[{
    "which", " ", "necessitates", " ", "the", " ", "cumbersome", " ", 
     "apparatus", " ", "below"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cLev", "=", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<c\>\"", ",", 
     RowBox[{"{", 
      RowBox[{"Bold", ",", "Italic"}], "}"}], ",", 
     RowBox[{"CharacterEncoding", "\[Rule]", "\"\<WindowsANSI\>\""}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cELevtp1", "=", 
   RowBox[{
    RowBox[{"SubsuperscriptBox", "[", 
     RowBox[{"cLev", ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<t+1\>\"", ",", 
        RowBox[{"CharacterEncoding", "\[Rule]", "\"\<WindowsANSI\>\""}]}], 
       "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<e\>\"", ",", 
        RowBox[{"CharacterEncoding", "\[Rule]", "\"\<WindowsANSI\>\""}]}], 
       "]"}]}], "]"}], " ", "//", "DisplayForm"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dLog", " ", "=", " ", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<\!\(\*
StyleBox[\"\[CapitalDelta]\",
FontWeight->\"Plain\"]\)\!\(\*
StyleBox[\" \",
FontWeight->\"Plain\"]\)\!\(\*
StyleBox[\"log\",
FontWeight->\"Plain\"]\)\!\(\*
StyleBox[\" \",
FontWeight->\"Plain\"]\)\>\"", ",", 
     RowBox[{"CharacterEncoding", "\[Rule]", "\"\<WindowsANSI\>\""}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ArrowPointingLeft", " ", "=", " ", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\< \[LongLeftArrow] \>\"", ",", 
     RowBox[{"CharacterEncoding", "\[Rule]", "\"\<WindowsANSI\>\""}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ArrowPointingRight", " ", "=", " ", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\< \[LongRightArrow] \>\"", ",", 
     RowBox[{"CharacterEncoding", "\[Rule]", "\"\<WindowsANSI\>\""}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ApproxcELevGro", " ", "=", " ", 
   RowBox[{"Style", "[", 
    RowBox[{
    "\"\< \[TildeTilde] \[Thorn] + \[Mho](1+\[Omega]\!\(\*SubscriptBox[\(\
\[Del]\), \(t + 1\)]\))\!\(\*SubscriptBox[\(\[Del]\), \(t + 1\)]\)\>\"", ",", 
     
     RowBox[{"CharacterEncoding", "\[Rule]", "\"\<WindowsANSI\>\""}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TractableBufferStockGrowthA", "=", 
   RowBox[{"BufferFigBaseline", "=", 
    RowBox[{"Show", "[", 
     RowBox[{"BufferFigPlot", "\[IndentingNewLine]", ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"DisplayForm", "[", 
          RowBox[{"RowBox", "[", 
           RowBox[{"{", 
            RowBox[{
            "ArrowPointingLeft", ",", "dLog", ",", "cELevtp1", ",", 
             "ApproxcELevGro"}], "}"}], "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           FractionBox[
            RowBox[{"\[ScriptM]E", " ", "2"}], "3"], ",", 
           RowBox[{"Log", "[", 
            RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
             FractionBox[
              RowBox[{"\[ScriptM]E", " ", "2"}], "3"], "]"}], "]"}]}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"Text", "[", 
        RowBox[{"\"\< \!\(\*
StyleBox[\"{\",
FontSize->36]\)\>\"", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"\[ScriptM]E", " ", "2"}], ",", 
           RowBox[{
            FractionBox["1", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Log", "[", 
               RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
                RowBox[{"\[ScriptM]E", " ", "2"}], "]"}], "]"}], "+", 
              FractionBox[
               RowBox[{
                RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"]}], 
             ")"}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"Text", "[", 
        RowBox[{
        "\"\<Precautionary Increment: \[Mho](1+\[Omega]\!\(\*SubscriptBox[\(\
\[Del]\), \(t + 1\)]\))\!\(\*SubscriptBox[\(\[Del]\), \(t + 1\)]\)   \>\"", 
         ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"\[ScriptM]E", " ", "2"}], ",", 
           RowBox[{
            FractionBox["1", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Log", "[", 
               RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
                RowBox[{"\[ScriptM]E", " ", "2"}], "]"}], "]"}], "+", 
              FractionBox[
               RowBox[{
                RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"]}], 
             ")"}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"Axes", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Automatic", ",", "Automatic"}], "}"}]}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<\!\(\*SubsuperscriptBox[\(\[ScriptM]\), \(\[ScriptT]\), \(e\)]\)\
\>\"", ",", "\"\<Growth\>\""}], "}"}]}], "\[IndentingNewLine]", ",", 
      RowBox[{"AxesOrigin", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"], "-", 
          "0.1"}], ",", "HorizAxis"}], "}"}]}], "\[IndentingNewLine]", ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{
              RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"], "-",
             "0.1"}], ",", 
           RowBox[{"2.5`", " ", "\[ScriptM]E"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"HorizAxis", ",", "\[ScriptC]GroMax"}], "}"}]}], "}"}]}]}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExportFigsToDir", "[", 
   RowBox[{"\"\<TractableBufferStockGrowthA\>\"", ",", "FigsDir"}], "]"}], 
  ";"}], "\[IndentingNewLine]", "TractableBufferStockGrowthA"}], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData["\<\"Solving ...\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Below \[ScriptM]MinBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "62", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Below \[ScriptM]MinBound times \[ScriptM]E after ", 62, 
   " backwards Euler iterations."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.824411914427029`", ",", "0.34259070403268976`", ",", 
     "0.3302150754892809`", ",", 
     RowBox[{"-", "21.635502687255663`"}], ",", 
     RowBox[{"-", "0.20306906720787984`"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {0.824411914427029, 0.34259070403268976`, 
   0.3302150754892809, -21.635502687255663`, -0.20306906720787984`}],
  Editable->False]], "Print"],

Cell[BoxData["\<\"Solving ...\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Above \[ScriptM]MaxBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "160", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Above \[ScriptM]MaxBound times \[ScriptM]E after ", 160, 
   " backwards Euler iterations."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "556.4499878816595`", ",", "35.52445459521509`", ",", 
     "0.06071949013176408`", ",", 
     RowBox[{"-", "0.46452166149406504`"}], ",", 
     RowBox[{"-", "5.357948748580723`*^-7"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {556.4499878816595, 35.52445459521509, 
   0.06071949013176408, -0.46452166149406504`, -5.357948748580723*^-7}],
  Editable->False]], "Print"],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwV1Ps31GkcwPFh1wyJQTIN436fr/sJkTwfc5BbTsiQy4lCNvfYdKFowo77
mG9YIWzujLFpldKzEdlQKkRSq0h2Y2Vrq1Vrd394n9d/8NY+mOAbKUmhUPz+
639rAyokXRelIHhu5ZL9+Q60etNJynBFClTLk4YzMjoQGCzRpN9LwWWL1sHJ
mA707J2t3F1JKuyy7PrQyelArJIJhrcGFeaUzRN134pQ+YiCKdefCo6ClIj5
vSJU7JQTENVPhfAty5sT1dpRBpHSln2RBun1HFb6dAuaHv7u/noDDUZsS1+P
DrYgq9iqtUQRDVyY9YqmXS1ovm1wR3AvDZTCKA4qRS3IzYw5YD5Dg6D+aucS
lxZEt7w5O6UiDWdcZSX0rjSjahtpOlEoDUkBdkz36iZ03aky6X6aDDBi+qfa
zzegk2qpDqn2svCCNrFc5PADEhfsUA7/YzN49/Jy+2JrEIfjRvP7RR4uyWmM
L5RfQCahUpSHTgoQkq/x6UtAGYrskcs9bakIcoFDQv29QjR9iK86wlICtJZc
8FBUhOgJz0zdPypBwaz7RXKFj5IvPPH2eLUFspCz797Qc+h7Y/HaydvK8CDu
ZTQ9+gxa/+pTpVf1Vqh5kSO+p52K8jZe76vLVYEks19Pn/0ch2ZDfiwyPMyA
WJPIsmYiDIXO6ExZcLeB2WPjJkfJ7WhbA9VwBphAM2MvKJ3zw6UP+z92qanC
30cUjz11jcAcLaMpJRk1mHtKmBqOxmPx/Uj7mldqUNcPBw3eJmOvGo+WzkkW
fBab5NVkHMe6vXVaEX3q4KhprGXSmIZv7BxnulZrAOMAl1umnYF5M21abfma
EBk8I454n4lz4s0naqy1IMKYEfNnAQ8f2cpRv1GnBeO3v5k/Qs3C815GsUym
Nvwc06O3MzsbI+tTaYU52tCBsqpcHudgS1Gt0GVDG0wVmq+fMudjGJUwG03R
AZbc5eCpuFxsUXWPH/tCB8aDBtevZufh7i/xb/bs14Upp4zNRGM+1qKnKewe
0gU1sWJ4VEMBbhjs61aw1oNyOuVaDFmI++VnI1mtetAW7n+UmluEb9EiJhBT
H3IYRTx5q2LMFdz0rC/Wh7GghKSmumI8MpzF06EYQKZgauglVYDD2rIdE+MM
IG2s/Z8nEQKcpx5MocwbgPMt+3TXQQEuQ5W8Rl9D0JSQDnZQL8H2a2I5wV1D
oDez+XGpJXjdY0PVE4zAy5us1R0pwVX7epZYIiNQdm7lvmUI8eSKG7bQNwa/
ninZySghXrVz5oaQxhDLY48K2oXYiDiRGCjBhmK9PQb7VoX4Q1umoDSVDVSu
fw7VhsSNz/9KfrPABs39OmfrUkhcvilDc3qRDRqaYWtd35I411pmeGCJDQHE
MZs7x0gcn6emc3GZDfWS/va/HyexjS2M+bxnw1i0pJVlOokHCvkm3V8TIL/b
9reuLBK/3MVayNQlQKfNbvBCKYnHo+uL4/UJ2PAVDDSVkXhQaOYQbEhA74lN
FVfKSdyyBMLtBAHPyvl99ypIfPR8pNOiFQFlneNKG9UkllgWVXlxCJC+HnYt
oJHEa4wd7nbOBLyp5NEPNpF4nnPrnb4r8d+PDu+MbSbxUPkjzw13Ajo0K5Uz
Wklc7PzxU6cPATW1d0brO0h8NiGzvtqPAN5zmUciMYlTKjb55PkT4OYZIuru
JHHgKqspYj8BztOBi0OXSeyh1uDnE0zAMF/F5UEXiR1czTd2hRJwPEv2xPQV
EpslXW1hHyDAJd+JN/cTiTUrnbiMcAKigvoOLXWT+F9FhVhB
       "]]}}, 
    {GrayLevel[0], Thickness[Small], Dashing[{}], 
     LineBox[{{5.475852558086449, -0.045000000000000005`}, {5.475852558086449,
       0.06168541305834973}}]}, 
    {Thickness[Medium], Dashing[{}], 
     LineBox[{{0, 0.005}, {13.689631395216121`, 0.005}}]}, 
    {Thickness[Medium], Dashing[{}], 
     LineBox[{{0, -0.035}, {13.689631395216121`, -0.035}}]}}, InsetBox[
    TagBox[
     RowBox[{
      StyleBox["\<\" \[LongLeftArrow] \"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"], 
      StyleBox["\<\"\\!\\(\\*\\nStyleBox[\\\"\[CapitalDelta]\\\",\\\
nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\" \
\\\",\\nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\"log\\\",\\\
nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\" \
\\\",\\nFontWeight->\\\"Plain\\\"]\\)\"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"], 
      TagBox[
       SubsuperscriptBox[
        StyleBox["\<\"c\"\>",
         StripOnInput->False,
         FontWeight->Bold,
         FontSlant->Italic,
         CharacterEncoding->"WindowsANSI"], 
        StyleBox["\<\"t+1\"\>",
         StripOnInput->False,
         CharacterEncoding->"WindowsANSI"], 
        StyleBox["\<\"e\"\>",
         StripOnInput->False,
         CharacterEncoding->"WindowsANSI"]],
       DisplayForm], 
      StyleBox["\<\" \[TildeTilde] \[Thorn] + \
\[Mho](1+\[Omega]\\!\\(\\*SubscriptBox[\\(\[Del]\\), \\(t + \
1\\)]\\))\\!\\(\\*SubscriptBox[\\(\[Del]\\), \\(t + 1\\)]\\)\"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"]}],
     DisplayForm], {3.6505683720576325`, 0.031283786206395145`}, {-1, 0}], 
   InsetBox["\<\" \\!\\(\\*\\nStyleBox[\\\"{\\\",\\nFontSize->36]\\)\"\>", \
{10.951705116172898`, -0.02577204221599917}, {1, 0}], 
   InsetBox["\<\"Precautionary Increment: \
\[Mho](1+\[Omega]\\!\\(\\*SubscriptBox[\\(\[Del]\\), \\(t + \
1\\)]\\))\\!\\(\\*SubscriptBox[\\(\[Del]\\), \\(t + 1\\)]\\)   \"\>", \
{10.951705116172898`, -0.02577204221599917}, {1, 0}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{Automatic, Automatic},
  AxesLabel->{
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptM]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm], 
    FormBox["\"Growth\"", TraditionalForm]},
  AxesOrigin->{-0.135, -0.045000000000000005`},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-0.135, 13.689631395216121`}, {-0.045000000000000005`, 
   0.06168541305834973}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{5.475852558086449, 
      FormBox[
      "\"\\!\\(\\*SuperscriptBox[OverscriptBox[\\(\[ScriptM]\\), \
\\(\[Hacek]\\)], \\(e\\)]\\)\"", TraditionalForm]}}, {{0.005, 
      FormBox["\"\[Gamma]\"", TraditionalForm]}, {-0.035, 
      FormBox[
       StyleBox[
       "\"\\!\\(\\*SuperscriptBox[\\(\[Rho]\\), \\(-1\\)]\\)(r-\[CurlyTheta])\
\[TildeTilde]\[Thorn]\"", CharacterEncoding -> "WindowsANSI", StripOnInput -> 
        False], TraditionalForm]}}}]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Work/BufferStock/Tractable/ctDiscrete/Latest/Figures/\
TractableBufferStockGrowthA.pdf\"\>"], "Print"]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwV1Ps31GkcwPFh1wyJQTIN436fr/sJkTwfc5BbTsiQy4lCNvfYdKFowo77
mG9YIWzujLFpldKzEdlQKkRSq0h2Y2Vrq1Vrd394n9d/8NY+mOAbKUmhUPz+
639rAyokXRelIHhu5ZL9+Q60etNJynBFClTLk4YzMjoQGCzRpN9LwWWL1sHJ
mA707J2t3F1JKuyy7PrQyelArJIJhrcGFeaUzRN134pQ+YiCKdefCo6ClIj5
vSJU7JQTENVPhfAty5sT1dpRBpHSln2RBun1HFb6dAuaHv7u/noDDUZsS1+P
DrYgq9iqtUQRDVyY9YqmXS1ovm1wR3AvDZTCKA4qRS3IzYw5YD5Dg6D+aucS
lxZEt7w5O6UiDWdcZSX0rjSjahtpOlEoDUkBdkz36iZ03aky6X6aDDBi+qfa
zzegk2qpDqn2svCCNrFc5PADEhfsUA7/YzN49/Jy+2JrEIfjRvP7RR4uyWmM
L5RfQCahUpSHTgoQkq/x6UtAGYrskcs9bakIcoFDQv29QjR9iK86wlICtJZc
8FBUhOgJz0zdPypBwaz7RXKFj5IvPPH2eLUFspCz797Qc+h7Y/HaydvK8CDu
ZTQ9+gxa/+pTpVf1Vqh5kSO+p52K8jZe76vLVYEks19Pn/0ch2ZDfiwyPMyA
WJPIsmYiDIXO6ExZcLeB2WPjJkfJ7WhbA9VwBphAM2MvKJ3zw6UP+z92qanC
30cUjz11jcAcLaMpJRk1mHtKmBqOxmPx/Uj7mldqUNcPBw3eJmOvGo+WzkkW
fBab5NVkHMe6vXVaEX3q4KhprGXSmIZv7BxnulZrAOMAl1umnYF5M21abfma
EBk8I454n4lz4s0naqy1IMKYEfNnAQ8f2cpRv1GnBeO3v5k/Qs3C815GsUym
Nvwc06O3MzsbI+tTaYU52tCBsqpcHudgS1Gt0GVDG0wVmq+fMudjGJUwG03R
AZbc5eCpuFxsUXWPH/tCB8aDBtevZufh7i/xb/bs14Upp4zNRGM+1qKnKewe
0gU1sWJ4VEMBbhjs61aw1oNyOuVaDFmI++VnI1mtetAW7n+UmluEb9EiJhBT
H3IYRTx5q2LMFdz0rC/Wh7GghKSmumI8MpzF06EYQKZgauglVYDD2rIdE+MM
IG2s/Z8nEQKcpx5MocwbgPMt+3TXQQEuQ5W8Rl9D0JSQDnZQL8H2a2I5wV1D
oDez+XGpJXjdY0PVE4zAy5us1R0pwVX7epZYIiNQdm7lvmUI8eSKG7bQNwa/
ninZySghXrVz5oaQxhDLY48K2oXYiDiRGCjBhmK9PQb7VoX4Q1umoDSVDVSu
fw7VhsSNz/9KfrPABs39OmfrUkhcvilDc3qRDRqaYWtd35I411pmeGCJDQHE
MZs7x0gcn6emc3GZDfWS/va/HyexjS2M+bxnw1i0pJVlOokHCvkm3V8TIL/b
9reuLBK/3MVayNQlQKfNbvBCKYnHo+uL4/UJ2PAVDDSVkXhQaOYQbEhA74lN
FVfKSdyyBMLtBAHPyvl99ypIfPR8pNOiFQFlneNKG9UkllgWVXlxCJC+HnYt
oJHEa4wd7nbOBLyp5NEPNpF4nnPrnb4r8d+PDu+MbSbxUPkjzw13Ajo0K5Uz
Wklc7PzxU6cPATW1d0brO0h8NiGzvtqPAN5zmUciMYlTKjb55PkT4OYZIuru
JHHgKqspYj8BztOBi0OXSeyh1uDnE0zAMF/F5UEXiR1czTd2hRJwPEv2xPQV
EpslXW1hHyDAJd+JN/cTiTUrnbiMcAKigvoOLXWT+F9FhVhB
       "]]}}, 
    {GrayLevel[0], Thickness[Small], Dashing[{}], 
     LineBox[{{5.475852558086449, -0.045000000000000005`}, {5.475852558086449,
       0.06168541305834973}}]}, 
    {Thickness[Medium], Dashing[{}], 
     LineBox[{{0, 0.005}, {13.689631395216121`, 0.005}}]}, 
    {Thickness[Medium], Dashing[{}], 
     LineBox[{{0, -0.035}, {13.689631395216121`, -0.035}}]}}, InsetBox[
    TagBox[
     RowBox[{
      StyleBox["\<\" \[LongLeftArrow] \"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"], 
      StyleBox["\<\"\\!\\(\\*\\nStyleBox[\\\"\[CapitalDelta]\\\",\\\
nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\" \
\\\",\\nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\"log\\\",\\\
nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\" \
\\\",\\nFontWeight->\\\"Plain\\\"]\\)\"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"], 
      TagBox[
       SubsuperscriptBox[
        StyleBox["\<\"c\"\>",
         StripOnInput->False,
         FontWeight->Bold,
         FontSlant->Italic,
         CharacterEncoding->"WindowsANSI"], 
        StyleBox["\<\"t+1\"\>",
         StripOnInput->False,
         CharacterEncoding->"WindowsANSI"], 
        StyleBox["\<\"e\"\>",
         StripOnInput->False,
         CharacterEncoding->"WindowsANSI"]],
       DisplayForm], 
      StyleBox["\<\" \[TildeTilde] \[Thorn] + \
\[Mho](1+\[Omega]\\!\\(\\*SubscriptBox[\\(\[Del]\\), \\(t + \
1\\)]\\))\\!\\(\\*SubscriptBox[\\(\[Del]\\), \\(t + 1\\)]\\)\"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"]}],
     DisplayForm], {3.6505683720576325`, 0.031283786206395145`}, {-1, 0}], 
   InsetBox["\<\" \\!\\(\\*\\nStyleBox[\\\"{\\\",\\nFontSize->36]\\)\"\>", \
{10.951705116172898`, -0.02577204221599917}, {1, 0}], 
   InsetBox["\<\"Precautionary Increment: \
\[Mho](1+\[Omega]\\!\\(\\*SubscriptBox[\\(\[Del]\\), \\(t + \
1\\)]\\))\\!\\(\\*SubscriptBox[\\(\[Del]\\), \\(t + 1\\)]\\)   \"\>", \
{10.951705116172898`, -0.02577204221599917}, {1, 0}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{Automatic, Automatic},
  AxesLabel->{
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptM]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm], 
    FormBox["\"Growth\"", TraditionalForm]},
  AxesOrigin->{-0.135, -0.045000000000000005`},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-0.135, 13.689631395216121`}, {-0.045000000000000005`, 
   0.06168541305834973}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{5.475852558086449, 
      FormBox[
      "\"\\!\\(\\*SuperscriptBox[OverscriptBox[\\(\[ScriptM]\\), \
\\(\[Hacek]\\)], \\(e\\)]\\)\"", TraditionalForm]}}, {{0.005, 
      FormBox["\"\[Gamma]\"", TraditionalForm]}, {-0.035, 
      FormBox[
       StyleBox[
       "\"\\!\\(\\*SuperscriptBox[\\(\[Rho]\\), \\(-1\\)]\\)(r-\[CurlyTheta])\
\[TildeTilde]\[Thorn]\"", CharacterEncoding -> "WindowsANSI", StripOnInput -> 
        False], TraditionalForm]}}}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"r", " ", "=", " ", 
     RowBox[{"rBase", "+", ".04"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"FindStableArm", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cEModLevtp1", "=", 
     RowBox[{"SubsuperscriptBox", "[", 
      RowBox[{
       RowBox[{"OverscriptBox", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<c\>\"", ",", 
           RowBox[{"{", 
            RowBox[{"Bold", ",", "Italic"}], "}"}], ",", 
           RowBox[{"CharacterEncoding", "\[Rule]", "\"\<WindowsANSI\>\""}]}], 
          "]"}], ",", "\"\<`\>\""}], "]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<t+1\>\"", ",", "Plain"}], "]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<e\>\"", ",", "Plain"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"BufferFigNew", " ", "=", " ", 
     RowBox[{"Plot", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Log", "[", 
        RowBox[{
        "\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", "\[ScriptM]", "]"}], 
        "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", 
         RowBox[{"0.5", " ", "\[ScriptM]EBase"}], ",", 
         RowBox[{"2.5", " ", "\[ScriptM]EBase"}]}], "}"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Dashing", "[", 
           RowBox[{"{", ".01", "}"}], "]"}], ",", 
          RowBox[{"Thickness", "[", "Medium", "]"}], ",", "Black"}], 
         "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TractableBufferStockGrowthB", "=", 
     RowBox[{"Show", "[", 
      RowBox[{
      "BufferFigPlot", "\[IndentingNewLine]", ",", "BufferFigNew", 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"DisplayForm", "[", 
           RowBox[{"RowBox", "[", 
            RowBox[{"{", 
             RowBox[{"ArrowPointingLeft", ",", "dLog", ",", "cEModLevtp1"}], 
             "}"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            FractionBox[
             RowBox[{"\[ScriptM]EBase", " ", "14"}], "8"], ",", 
            RowBox[{"Log", "[", 
             RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
              FractionBox[
               RowBox[{"\[ScriptM]EBase", " ", "13"}], "8"], "]"}], "]"}]}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"DisplayForm", "[", 
           RowBox[{"RowBox", "[", 
            RowBox[{"{", 
             RowBox[{
             "dLog", ",", " ", "cELevtp1", ",", " ", "ArrowPointingRight", 
              ",", "\"\<   \>\""}], "}"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            FractionBox[
             RowBox[{"\[ScriptM]EBase", " ", "5"}], "6"], ",", 
            RowBox[{"Log", "[", 
             RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
              FractionBox[
               RowBox[{"\[ScriptM]EBase", " ", "5"}], "6"], "]"}], "]"}]}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "1"}], "}"}]}], "]"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Dashing", "[", 
           RowBox[{"{", 
            RowBox[{"0.005`", ",", "0.025`"}], "}"}], "]"}], ",", 
          RowBox[{"Thickness", "[", "Medium", "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"\[ScriptM]E", ",", "HorizAxis"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"\[ScriptM]E", ",", 
               RowBox[{"Log", "[", 
                RowBox[{
                "\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", "1.5`", "]"}],
                 "]"}]}], "}"}]}], "}"}], "]"}]}], "}"}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Dashing", "[", 
           RowBox[{"{", "0.01`", "}"}], "]"}], ",", 
          RowBox[{"Thickness", "[", "Medium", "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               FractionBox[
                RowBox[{
                 RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"]}],
               "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"2.5`", " ", "\[ScriptM]EBase"}], ",", 
               FractionBox[
                RowBox[{
                 RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"]}],
               "}"}]}], "}"}], "]"}]}], "}"}], "]"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"PhaseArrow", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"\[ScriptM]E", " ", "1.25`"}], ",", 
           FractionBox[
            RowBox[{"rBase", "-", "\[CurlyTheta]"}], "\[Rho]"]}], "}"}], ",", 
         
         RowBox[{"{", 
          RowBox[{
           RowBox[{"\[ScriptM]E", " ", "1.25`"}], ",", 
           FractionBox[
            RowBox[{
             RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"]}], 
          "}"}]}], "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"PhaseArrow", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"\[ScriptM]E", " ", "1.25`"}], ",", 
           RowBox[{
            RowBox[{"Log", "[", 
             RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
              RowBox[{"\[ScriptM]E", " ", "1.25`"}], "]"}], "]"}], "-", 
            FractionBox[
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", "r", ")"}], "-", "rBase"}], ")"}], " ", "2"}], 
             RowBox[{"\[Rho]", " ", "4"}]]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"\[ScriptM]E", " ", "1.25`"}], ",", 
           RowBox[{"Log", "[", 
            RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
             RowBox[{"\[ScriptM]E", " ", "1.25`"}], "]"}], "]"}]}], "}"}]}], 
        "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"Axes", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Automatic", ",", "Automatic"}], "}"}]}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<\!\(\*SubscriptBox[\(\[ScriptM]\), \(\[ScriptT]\)]\)\>\"", ",", 
          "\"\<Growth\>\""}], "}"}]}], "\[IndentingNewLine]", ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Automatic", ",", "HorizAxis"}], "}"}]}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"Ticks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
             "\[ScriptM]EBase", ",", 
              "\"\<\!\(\*OverscriptBox[\(m\), \(\[Hacek]\)]\)\>\""}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
             "\[ScriptM]E", ",", 
              "\"\<\!\(\*OverscriptBox[OverscriptBox[\(\[ScriptM]\), \(\
\[Hacek]\)], \(`\)]\)\>\""}], "}"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"\[GothicG]", "+", "\[Mho]"}], ",", 
              "\"\<\[Gamma]\>\""}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              FractionBox[
               RowBox[{"rBase", "-", "\[CurlyTheta]"}], "\[Rho]"], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<\!\(\*SuperscriptBox[\(\[Rho]\), \(-1\)]\)(\[ScriptR]-\
\[CurlyTheta])\[TildeTilde]\[Thorn]\>\"", ",", 
                RowBox[{
                "CharacterEncoding", "\[Rule]", "\"\<WindowsANSI\>\""}]}], 
               "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              FractionBox[
               RowBox[{
                RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"], 
              ",", 
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<\!\(\*SuperscriptBox[\(\[Rho]\), \
\(-1\)]\)(\!\(\*OverscriptBox[\(\[ScriptR]\), \(`\)]\)-\[CurlyTheta])\
\[TildeTilde]\!\(\*OverscriptBox[\(\[Thorn]\), \(`\)]\)\>\"", ",", 
                RowBox[{
                "CharacterEncoding", "\[Rule]", "\"\<WindowsANSI\>\""}]}], 
               "]"}]}], "}"}]}], "}"}]}], "}"}]}], "\[IndentingNewLine]", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"1.8`", " ", "\[ScriptM]E"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"HorizAxis", ",", 
            RowBox[{"Log", "[", 
             RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
              RowBox[{"0.5`", "\[ScriptM]E"}], "]"}], "]"}]}], "}"}]}], 
         "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ExportFigsToDir", "[", 
     RowBox[{"\"\<TractableBufferStockGrowthB\>\"", ",", "FigsDir"}], "]"}], 
    ";"}], "\[IndentingNewLine]", "TractableBufferStockGrowthB"}]}]], "Input",
 
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData["\<\"Solving ...\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Below \[ScriptM]MinBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "122", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Below \[ScriptM]MinBound times \[ScriptM]E after ", 122, 
   " backwards Euler iterations."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.5222044924234568`", ",", "0.26726905167597065`", ",", 
     "0.45492936749749974`", ",", 
     RowBox[{"-", "20.198791762412828`"}], ",", 
     RowBox[{"-", "0.2701547076343724`"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {0.5222044924234568, 0.26726905167597065`, 
   0.45492936749749974`, -20.198791762412828`, -0.2701547076343724}],
  Editable->False]], "Print"],

Cell[BoxData["\<\"Solving ...\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Above \[ScriptM]MaxBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "334", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Above \[ScriptM]MaxBound times \[ScriptM]E after ", 334, 
   " backwards Euler iterations."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "696.3707806672065`", ",", "55.60696538919212`", ",", 
     "0.07825870827633702`", ",", 
     RowBox[{"-", "0.22980511731306677`"}], ",", 
     RowBox[{"-", "1.6784996121831505`*^-8"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {696.3707806672065, 55.60696538919212, 
   0.07825870827633702, -0.22980511731306677`, -1.6784996121831505`*^-8}],
  Editable->False]], "Print"],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwV1Ps31GkcwPFh1wyJQTIN436fr/sJkTwfc5BbTsiQy4lCNvfYdKFowo77
mG9YIWzujLFpldKzEdlQKkRSq0h2Y2Vrq1Vrd394n9d/8NY+mOAbKUmhUPz+
639rAyokXRelIHhu5ZL9+Q60etNJynBFClTLk4YzMjoQGCzRpN9LwWWL1sHJ
mA707J2t3F1JKuyy7PrQyelArJIJhrcGFeaUzRN134pQ+YiCKdefCo6ClIj5
vSJU7JQTENVPhfAty5sT1dpRBpHSln2RBun1HFb6dAuaHv7u/noDDUZsS1+P
DrYgq9iqtUQRDVyY9YqmXS1ovm1wR3AvDZTCKA4qRS3IzYw5YD5Dg6D+aucS
lxZEt7w5O6UiDWdcZSX0rjSjahtpOlEoDUkBdkz36iZ03aky6X6aDDBi+qfa
zzegk2qpDqn2svCCNrFc5PADEhfsUA7/YzN49/Jy+2JrEIfjRvP7RR4uyWmM
L5RfQCahUpSHTgoQkq/x6UtAGYrskcs9bakIcoFDQv29QjR9iK86wlICtJZc
8FBUhOgJz0zdPypBwaz7RXKFj5IvPPH2eLUFspCz797Qc+h7Y/HaydvK8CDu
ZTQ9+gxa/+pTpVf1Vqh5kSO+p52K8jZe76vLVYEks19Pn/0ch2ZDfiwyPMyA
WJPIsmYiDIXO6ExZcLeB2WPjJkfJ7WhbA9VwBphAM2MvKJ3zw6UP+z92qanC
30cUjz11jcAcLaMpJRk1mHtKmBqOxmPx/Uj7mldqUNcPBw3eJmOvGo+WzkkW
fBab5NVkHMe6vXVaEX3q4KhprGXSmIZv7BxnulZrAOMAl1umnYF5M21abfma
EBk8I454n4lz4s0naqy1IMKYEfNnAQ8f2cpRv1GnBeO3v5k/Qs3C815GsUym
Nvwc06O3MzsbI+tTaYU52tCBsqpcHudgS1Gt0GVDG0wVmq+fMudjGJUwG03R
AZbc5eCpuFxsUXWPH/tCB8aDBtevZufh7i/xb/bs14Upp4zNRGM+1qKnKewe
0gU1sWJ4VEMBbhjs61aw1oNyOuVaDFmI++VnI1mtetAW7n+UmluEb9EiJhBT
H3IYRTx5q2LMFdz0rC/Wh7GghKSmumI8MpzF06EYQKZgauglVYDD2rIdE+MM
IG2s/Z8nEQKcpx5MocwbgPMt+3TXQQEuQ5W8Rl9D0JSQDnZQL8H2a2I5wV1D
oDez+XGpJXjdY0PVE4zAy5us1R0pwVX7epZYIiNQdm7lvmUI8eSKG7bQNwa/
ninZySghXrVz5oaQxhDLY48K2oXYiDiRGCjBhmK9PQb7VoX4Q1umoDSVDVSu
fw7VhsSNz/9KfrPABs39OmfrUkhcvilDc3qRDRqaYWtd35I411pmeGCJDQHE
MZs7x0gcn6emc3GZDfWS/va/HyexjS2M+bxnw1i0pJVlOokHCvkm3V8TIL/b
9reuLBK/3MVayNQlQKfNbvBCKYnHo+uL4/UJ2PAVDDSVkXhQaOYQbEhA74lN
FVfKSdyyBMLtBAHPyvl99ypIfPR8pNOiFQFlneNKG9UkllgWVXlxCJC+HnYt
oJHEa4wd7nbOBLyp5NEPNpF4nnPrnb4r8d+PDu+MbSbxUPkjzw13Ajo0K5Uz
Wklc7PzxU6cPATW1d0brO0h8NiGzvtqPAN5zmUciMYlTKjb55PkT4OYZIuru
JHHgKqspYj8BztOBi0OXSeyh1uDnE0zAMF/F5UEXiR1czTd2hRJwPEv2xPQV
EpslXW1hHyDAJd+JN/cTiTUrnbiMcAKigvoOLXWT+F9FhVhB
       "]]}}, 
    {GrayLevel[0], Thickness[Small], Dashing[{}], 
     LineBox[{{5.475852558086449, -0.045000000000000005`}, {5.475852558086449,
       0.06168541305834973}}]}, 
    {Thickness[Medium], Dashing[{}], 
     LineBox[{{0, 0.005}, {13.689631395216121`, 0.005}}]}, 
    {Thickness[Medium], Dashing[{}], 
     LineBox[{{0, -0.035}, {13.689631395216121`, -0.035}}]}}, {{}, {}, 
    {GrayLevel[0], Thickness[Medium], Dashing[{0.01}], LineBox[CompressedData["
1:eJwVjnk41HkcgCdiBmFyhIaMyTHNrwaVHE19PzNqElKOplyddJKz/KglqciU
xCTlJtc0Tciu7fyWJOQo5MhT29Z0aEWLolVr2z/e533e/16zHWFewUoUCsX3
J/+7aNMlJeF7FXjVHBuir3oVfb7LV7EaVoEWjcML/x6XIbAcpNK+qACNq/31
+RsZejlur9mipApy/YRdffdlyDjjmYHHPFU4qLJeJTZehrJb6YtEG1XhNcW7
2fmfKyidn7xp1wNVSCx/uSR7SoqOEtGykwVUqJ65qVXAqkT9j1M6psqo8D5v
fJ+SbiVaHJI3Gi6nQopdj6RduRIpZI0O/neowHOw9jz9tgK5cI0eWg9QQfTE
8VVOZQXStr37om8ODfprshynl1Sg/GU0bSKNBiudWgZiPcvRLX5uRMcRNTB3
8eCdk5Ui1tVH9Makn212q+Z1YSlKMRy7djtVDd4qwg7xzpci0cja4cpsNci5
2NlAiy9Fo7kT+47XqkG4RtlF5Q2liDPpFeQ4pAb3viosDn+5jC7J1TaV+KvD
N4HH8+XCyyiOEcOLcdKAebo2kxE/ilHVGQe97SOz4N8tBQHu9YVIIHChejdr
gT0t78bQzjy0MFCF0smnQ3dcTm+P7iUUfFMzNd52NnQzqCc6vmah/p2n5rYa
6wCFrvnnjXUSpB32ctHaSR3wi/y++IxJBorKee7h+k4XNOTHEtqV0tHFBVWj
cQ16UPeLdKbhidNoSvlbrnu+PkTvco1qDT2FxNMffIpT54CM3yS5uvskehFQ
c9ZqtwE48/TeUJ8nocABVp+NyBAU9rut4kSJyLBM1WoAjGAsfXWfjU08yup8
MFnLmAuL5u542u4XhwRMdp+OGgOmuix9plMOoaqOYKfCdwzwFcv3pEEUci90
lVb3GEMcuzlMOhKG5t8pZgbVm8DHthSG7dRedHt5t5Ewfx5Ui8llrM4glDQg
Y8pOm0JHAbNYy2krSj5g/azQjglpv5oy2AtEaJ++wOR2MRP6uPqhmlI3pHBn
hxgZmcHI7OoK7xg7hOwOH0lLNoOSvBuC2EAmtpUXZa6eNgPLOrG6iY0zhrYZ
3LZoFsQOazby0jZgm7z2UyGvWfBXwCxpuFyE634cGFrnOx+WHO8TNowHYKb2
EfqapvlA3MywdEHbcVljfR3dzhzokcyEns6d+IHWi2DjK+bA75qIfhq7C9+n
Bj1DRhbwqNp+tW/XHiw6d9etNN0C6LMKzhij/bj18YkkFsUSbjlwz0qCQ/E2
2cmV4aGWcDRZskayJwyLTfwpFIUlcBv0DtfeDccXUG5SuZcVVPnafqfJIrDT
aJXmuRYrGIj7uLSmKBJPuU7PdQM29No7Z0wkR+E8n5uDxnI2rC8c8y7ZGI17
hl2wjcUCMKP6+bkTB/Fnx1WiAMkCYLdH0pM+HsRsIjZ88wwO+BCho7L8Q3hC
lnguK4YDOk97qyL8YnD5H1+jht5ywNzwuPkzJRJnqx817X/PgZCp+JLfVEic
aqf2+OEgB3b7pZZdoJH4gJjBKvjEAa0RN8fNWiReZg9PPL9wQDjeLOkyIvHD
tFML62YSwBvQXHndhsRvVhi/TZxPwIttxRyDLSTu3lOafsCCgNvK9cGD20jc
mMnl+VsRYPtByr61k8TSQchcShDQZrBOGLiXxJHng/nvFxMwQc5Q5ESTeMYn
eZ67gAAv54R6JTGJRw0c1jquIoDxpiW57QyJFYL74xZCAurN5D0X0knclN3l
Nr2WgJtPr84mskicvmryW7UnAfvDqqbdikh8LCyxNN+bAFTTq6d7mcTRl9Q9
xRt//vnG1faXkXjzZ+OKIF8CGrRLMoNlJHZllHl7+hPAL9nexblGYp7QenpF
IAEelbPyR6pJzI34XcrZSkCT272x67UkNs3liwy2E1B0Lbs7po7E/wF8P35P

      "]]}}, InsetBox[
    TagBox[
     RowBox[{
      StyleBox["\<\" \[LongLeftArrow] \"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"], 
      StyleBox["\<\"\\!\\(\\*\\nStyleBox[\\\"\[CapitalDelta]\\\",\\\
nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\" \
\\\",\\nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\"log\\\",\\\
nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\" \
\\\",\\nFontWeight->\\\"Plain\\\"]\\)\"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"], 
      SubsuperscriptBox[
       OverscriptBox[
        StyleBox["\<\"c\"\>",
         StripOnInput->False,
         FontWeight->Bold,
         FontSlant->Italic,
         CharacterEncoding->"WindowsANSI"], "`"], 
       StyleBox["\<\"t+1\"\>",
        StripOnInput->False,
        FontWeight->Plain,
        FontSlant->Plain,
        FontVariations->{"Underline"->False}], 
       StyleBox["\<\"e\"\>",
        StripOnInput->False,
        FontWeight->Plain,
        FontSlant->Plain,
        FontVariations->{"Underline"->False}]]}],
     DisplayForm], {9.582741976651285, -0.00039150493879715437`}, {-1, 0}], 
   InsetBox[
    TagBox[
     RowBox[{
      StyleBox["\<\"\\!\\(\\*\\nStyleBox[\\\"\[CapitalDelta]\\\",\\\
nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\" \
\\\",\\nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\"log\\\",\\\
nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\" \
\\\",\\nFontWeight->\\\"Plain\\\"]\\)\"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"], 
      TagBox[
       SubsuperscriptBox[
        StyleBox["\<\"c\"\>",
         StripOnInput->False,
         FontWeight->Bold,
         FontSlant->Italic,
         CharacterEncoding->"WindowsANSI"], 
        StyleBox["\<\"t+1\"\>",
         StripOnInput->False,
         CharacterEncoding->"WindowsANSI"], 
        StyleBox["\<\"e\"\>",
         StripOnInput->False,
         CharacterEncoding->"WindowsANSI"]],
       DisplayForm], 
      StyleBox["\<\" \[LongRightArrow] \"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"], "   "}],
     DisplayForm], {4.56321046507204, 0.019460331924678234`}, {1, 1}], 
   {Thickness[Medium], Dashing[{0.005, 0.025}], 
    LineBox[{{6.888898287406177, -0.045000000000000005`}, {6.888898287406177, 
     0.1642382715607053}}]}, 
   {Thickness[Medium], Dashing[{0.01}], 
    LineBox[{{0, -0.015}, {13.689631395216121`, -0.015}}]}, 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{8.611122859257721, -0.035}, {8.611122859257721, -0.015}}]}, 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{8.611122859257721, -0.009805508405813382}, {8.611122859257721, 
     0.00019449159418662054`}}]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{Automatic, Automatic},
  AxesLabel->{
    FormBox[
    "\"\\!\\(\\*SubscriptBox[\\(\[ScriptM]\\), \\(\[ScriptT]\\)]\\)\"", 
     TraditionalForm], 
    FormBox["\"Growth\"", TraditionalForm]},
  AxesOrigin->{Automatic, -0.045000000000000005`},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0, 12.400016917331119`}, {-0.045000000000000005`, 
    0.03619991705191764}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{5.475852558086449, 
      FormBox[
      "\"\\!\\(\\*OverscriptBox[\\(m\\), \\(\[Hacek]\\)]\\)\"", 
       TraditionalForm]}, {6.888898287406177, 
      FormBox[
      "\"\\!\\(\\*OverscriptBox[OverscriptBox[\\(\[ScriptM]\\), \
\\(\[Hacek]\\)], \\(`\\)]\\)\"", TraditionalForm]}}, {{0.005, 
      FormBox["\"\[Gamma]\"", TraditionalForm]}, {-0.035, 
      FormBox[
       StyleBox[
       "\"\\!\\(\\*SuperscriptBox[\\(\[Rho]\\), \\(-1\\)]\\)(\[ScriptR]-\
\[CurlyTheta])\[TildeTilde]\[Thorn]\"", CharacterEncoding -> "WindowsANSI", 
        StripOnInput -> False], TraditionalForm]}, {-0.015, 
      FormBox[
       StyleBox[
       "\"\\!\\(\\*SuperscriptBox[\\(\[Rho]\\), \
\\(-1\\)]\\)(\\!\\(\\*OverscriptBox[\\(\[ScriptR]\\), \\(`\\)]\\)-\
\[CurlyTheta])\[TildeTilde]\\!\\(\\*OverscriptBox[\\(\[Thorn]\\), \\(`\\)]\\)\
\"", CharacterEncoding -> "WindowsANSI", StripOnInput -> False], 
       TraditionalForm]}}}]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Work/BufferStock/Tractable/ctDiscrete/Latest/Figures/\
TractableBufferStockGrowthB.pdf\"\>"], "Print"]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwV1Ps31GkcwPFh1wyJQTIN436fr/sJkTwfc5BbTsiQy4lCNvfYdKFowo77
mG9YIWzujLFpldKzEdlQKkRSq0h2Y2Vrq1Vrd394n9d/8NY+mOAbKUmhUPz+
639rAyokXRelIHhu5ZL9+Q60etNJynBFClTLk4YzMjoQGCzRpN9LwWWL1sHJ
mA707J2t3F1JKuyy7PrQyelArJIJhrcGFeaUzRN134pQ+YiCKdefCo6ClIj5
vSJU7JQTENVPhfAty5sT1dpRBpHSln2RBun1HFb6dAuaHv7u/noDDUZsS1+P
DrYgq9iqtUQRDVyY9YqmXS1ovm1wR3AvDZTCKA4qRS3IzYw5YD5Dg6D+aucS
lxZEt7w5O6UiDWdcZSX0rjSjahtpOlEoDUkBdkz36iZ03aky6X6aDDBi+qfa
zzegk2qpDqn2svCCNrFc5PADEhfsUA7/YzN49/Jy+2JrEIfjRvP7RR4uyWmM
L5RfQCahUpSHTgoQkq/x6UtAGYrskcs9bakIcoFDQv29QjR9iK86wlICtJZc
8FBUhOgJz0zdPypBwaz7RXKFj5IvPPH2eLUFspCz797Qc+h7Y/HaydvK8CDu
ZTQ9+gxa/+pTpVf1Vqh5kSO+p52K8jZe76vLVYEks19Pn/0ch2ZDfiwyPMyA
WJPIsmYiDIXO6ExZcLeB2WPjJkfJ7WhbA9VwBphAM2MvKJ3zw6UP+z92qanC
30cUjz11jcAcLaMpJRk1mHtKmBqOxmPx/Uj7mldqUNcPBw3eJmOvGo+WzkkW
fBab5NVkHMe6vXVaEX3q4KhprGXSmIZv7BxnulZrAOMAl1umnYF5M21abfma
EBk8I454n4lz4s0naqy1IMKYEfNnAQ8f2cpRv1GnBeO3v5k/Qs3C815GsUym
Nvwc06O3MzsbI+tTaYU52tCBsqpcHudgS1Gt0GVDG0wVmq+fMudjGJUwG03R
AZbc5eCpuFxsUXWPH/tCB8aDBtevZufh7i/xb/bs14Upp4zNRGM+1qKnKewe
0gU1sWJ4VEMBbhjs61aw1oNyOuVaDFmI++VnI1mtetAW7n+UmluEb9EiJhBT
H3IYRTx5q2LMFdz0rC/Wh7GghKSmumI8MpzF06EYQKZgauglVYDD2rIdE+MM
IG2s/Z8nEQKcpx5MocwbgPMt+3TXQQEuQ5W8Rl9D0JSQDnZQL8H2a2I5wV1D
oDez+XGpJXjdY0PVE4zAy5us1R0pwVX7epZYIiNQdm7lvmUI8eSKG7bQNwa/
ninZySghXrVz5oaQxhDLY48K2oXYiDiRGCjBhmK9PQb7VoX4Q1umoDSVDVSu
fw7VhsSNz/9KfrPABs39OmfrUkhcvilDc3qRDRqaYWtd35I411pmeGCJDQHE
MZs7x0gcn6emc3GZDfWS/va/HyexjS2M+bxnw1i0pJVlOokHCvkm3V8TIL/b
9reuLBK/3MVayNQlQKfNbvBCKYnHo+uL4/UJ2PAVDDSVkXhQaOYQbEhA74lN
FVfKSdyyBMLtBAHPyvl99ypIfPR8pNOiFQFlneNKG9UkllgWVXlxCJC+HnYt
oJHEa4wd7nbOBLyp5NEPNpF4nnPrnb4r8d+PDu+MbSbxUPkjzw13Ajo0K5Uz
Wklc7PzxU6cPATW1d0brO0h8NiGzvtqPAN5zmUciMYlTKjb55PkT4OYZIuru
JHHgKqspYj8BztOBi0OXSeyh1uDnE0zAMF/F5UEXiR1czTd2hRJwPEv2xPQV
EpslXW1hHyDAJd+JN/cTiTUrnbiMcAKigvoOLXWT+F9FhVhB
       "]]}}, 
    {GrayLevel[0], Thickness[Small], Dashing[{}], 
     LineBox[{{5.475852558086449, -0.045000000000000005`}, {5.475852558086449,
       0.06168541305834973}}]}, 
    {Thickness[Medium], Dashing[{}], 
     LineBox[{{0, 0.005}, {13.689631395216121`, 0.005}}]}, 
    {Thickness[Medium], Dashing[{}], 
     LineBox[{{0, -0.035}, {13.689631395216121`, -0.035}}]}}, {{}, {}, 
    {GrayLevel[0], Thickness[Medium], Dashing[{0.01}], LineBox[CompressedData["
1:eJwVjnk41HkcgCdiBmFyhIaMyTHNrwaVHE19PzNqElKOplyddJKz/KglqciU
xCTlJtc0Tciu7fyWJOQo5MhT29Z0aEWLolVr2z/e533e/16zHWFewUoUCsX3
J/+7aNMlJeF7FXjVHBuir3oVfb7LV7EaVoEWjcML/x6XIbAcpNK+qACNq/31
+RsZejlur9mipApy/YRdffdlyDjjmYHHPFU4qLJeJTZehrJb6YtEG1XhNcW7
2fmfKyidn7xp1wNVSCx/uSR7SoqOEtGykwVUqJ65qVXAqkT9j1M6psqo8D5v
fJ+SbiVaHJI3Gi6nQopdj6RduRIpZI0O/neowHOw9jz9tgK5cI0eWg9QQfTE
8VVOZQXStr37om8ODfprshynl1Sg/GU0bSKNBiudWgZiPcvRLX5uRMcRNTB3
8eCdk5Ui1tVH9Makn212q+Z1YSlKMRy7djtVDd4qwg7xzpci0cja4cpsNci5
2NlAiy9Fo7kT+47XqkG4RtlF5Q2liDPpFeQ4pAb3viosDn+5jC7J1TaV+KvD
N4HH8+XCyyiOEcOLcdKAebo2kxE/ilHVGQe97SOz4N8tBQHu9YVIIHChejdr
gT0t78bQzjy0MFCF0smnQ3dcTm+P7iUUfFMzNd52NnQzqCc6vmah/p2n5rYa
6wCFrvnnjXUSpB32ctHaSR3wi/y++IxJBorKee7h+k4XNOTHEtqV0tHFBVWj
cQ16UPeLdKbhidNoSvlbrnu+PkTvco1qDT2FxNMffIpT54CM3yS5uvskehFQ
c9ZqtwE48/TeUJ8nocABVp+NyBAU9rut4kSJyLBM1WoAjGAsfXWfjU08yup8
MFnLmAuL5u542u4XhwRMdp+OGgOmuix9plMOoaqOYKfCdwzwFcv3pEEUci90
lVb3GEMcuzlMOhKG5t8pZgbVm8DHthSG7dRedHt5t5Ewfx5Ui8llrM4glDQg
Y8pOm0JHAbNYy2krSj5g/azQjglpv5oy2AtEaJ++wOR2MRP6uPqhmlI3pHBn
hxgZmcHI7OoK7xg7hOwOH0lLNoOSvBuC2EAmtpUXZa6eNgPLOrG6iY0zhrYZ
3LZoFsQOazby0jZgm7z2UyGvWfBXwCxpuFyE634cGFrnOx+WHO8TNowHYKb2
EfqapvlA3MywdEHbcVljfR3dzhzokcyEns6d+IHWi2DjK+bA75qIfhq7C9+n
Bj1DRhbwqNp+tW/XHiw6d9etNN0C6LMKzhij/bj18YkkFsUSbjlwz0qCQ/E2
2cmV4aGWcDRZskayJwyLTfwpFIUlcBv0DtfeDccXUG5SuZcVVPnafqfJIrDT
aJXmuRYrGIj7uLSmKBJPuU7PdQM29No7Z0wkR+E8n5uDxnI2rC8c8y7ZGI17
hl2wjcUCMKP6+bkTB/Fnx1WiAMkCYLdH0pM+HsRsIjZ88wwO+BCho7L8Q3hC
lnguK4YDOk97qyL8YnD5H1+jht5ywNzwuPkzJRJnqx817X/PgZCp+JLfVEic
aqf2+OEgB3b7pZZdoJH4gJjBKvjEAa0RN8fNWiReZg9PPL9wQDjeLOkyIvHD
tFML62YSwBvQXHndhsRvVhi/TZxPwIttxRyDLSTu3lOafsCCgNvK9cGD20jc
mMnl+VsRYPtByr61k8TSQchcShDQZrBOGLiXxJHng/nvFxMwQc5Q5ESTeMYn
eZ67gAAv54R6JTGJRw0c1jquIoDxpiW57QyJFYL74xZCAurN5D0X0knclN3l
Nr2WgJtPr84mskicvmryW7UnAfvDqqbdikh8LCyxNN+bAFTTq6d7mcTRl9Q9
xRt//vnG1faXkXjzZ+OKIF8CGrRLMoNlJHZllHl7+hPAL9nexblGYp7QenpF
IAEelbPyR6pJzI34XcrZSkCT272x67UkNs3liwy2E1B0Lbs7po7E/wF8P35P

      "]]}}, InsetBox[
    TagBox[
     RowBox[{
      StyleBox["\<\" \[LongLeftArrow] \"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"], 
      StyleBox["\<\"\\!\\(\\*\\nStyleBox[\\\"\[CapitalDelta]\\\",\\\
nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\" \
\\\",\\nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\"log\\\",\\\
nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\" \
\\\",\\nFontWeight->\\\"Plain\\\"]\\)\"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"], 
      SubsuperscriptBox[
       OverscriptBox[
        StyleBox["\<\"c\"\>",
         StripOnInput->False,
         FontWeight->Bold,
         FontSlant->Italic,
         CharacterEncoding->"WindowsANSI"], "`"], 
       StyleBox["\<\"t+1\"\>",
        StripOnInput->False,
        FontWeight->Plain,
        FontSlant->Plain,
        FontVariations->{"Underline"->False}], 
       StyleBox["\<\"e\"\>",
        StripOnInput->False,
        FontWeight->Plain,
        FontSlant->Plain,
        FontVariations->{"Underline"->False}]]}],
     DisplayForm], {9.582741976651285, -0.00039150493879715437`}, {-1, 0}], 
   InsetBox[
    TagBox[
     RowBox[{
      StyleBox["\<\"\\!\\(\\*\\nStyleBox[\\\"\[CapitalDelta]\\\",\\\
nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\" \
\\\",\\nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\"log\\\",\\\
nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\" \
\\\",\\nFontWeight->\\\"Plain\\\"]\\)\"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"], 
      TagBox[
       SubsuperscriptBox[
        StyleBox["\<\"c\"\>",
         StripOnInput->False,
         FontWeight->Bold,
         FontSlant->Italic,
         CharacterEncoding->"WindowsANSI"], 
        StyleBox["\<\"t+1\"\>",
         StripOnInput->False,
         CharacterEncoding->"WindowsANSI"], 
        StyleBox["\<\"e\"\>",
         StripOnInput->False,
         CharacterEncoding->"WindowsANSI"]],
       DisplayForm], 
      StyleBox["\<\" \[LongRightArrow] \"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"], "   "}],
     DisplayForm], {4.56321046507204, 0.019460331924678234`}, {1, 1}], 
   {Thickness[Medium], Dashing[{0.005, 0.025}], 
    LineBox[{{6.888898287406177, -0.045000000000000005`}, {6.888898287406177, 
     0.1642382715607053}}]}, 
   {Thickness[Medium], Dashing[{0.01}], 
    LineBox[{{0, -0.015}, {13.689631395216121`, -0.015}}]}, 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{8.611122859257721, -0.035}, {8.611122859257721, -0.015}}]}, 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{8.611122859257721, -0.009805508405813382}, {8.611122859257721, 
     0.00019449159418662054`}}]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{Automatic, Automatic},
  AxesLabel->{
    FormBox[
    "\"\\!\\(\\*SubscriptBox[\\(\[ScriptM]\\), \\(\[ScriptT]\\)]\\)\"", 
     TraditionalForm], 
    FormBox["\"Growth\"", TraditionalForm]},
  AxesOrigin->{Automatic, -0.045000000000000005`},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0, 12.400016917331119`}, {-0.045000000000000005`, 
    0.03619991705191764}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{5.475852558086449, 
      FormBox[
      "\"\\!\\(\\*OverscriptBox[\\(m\\), \\(\[Hacek]\\)]\\)\"", 
       TraditionalForm]}, {6.888898287406177, 
      FormBox[
      "\"\\!\\(\\*OverscriptBox[OverscriptBox[\\(\[ScriptM]\\), \
\\(\[Hacek]\\)], \\(`\\)]\\)\"", TraditionalForm]}}, {{0.005, 
      FormBox["\"\[Gamma]\"", TraditionalForm]}, {-0.035, 
      FormBox[
       StyleBox[
       "\"\\!\\(\\*SuperscriptBox[\\(\[Rho]\\), \\(-1\\)]\\)(\[ScriptR]-\
\[CurlyTheta])\[TildeTilde]\[Thorn]\"", CharacterEncoding -> "WindowsANSI", 
        StripOnInput -> False], TraditionalForm]}, {-0.015, 
      FormBox[
       StyleBox[
       "\"\\!\\(\\*SuperscriptBox[\\(\[Rho]\\), \
\\(-1\\)]\\)(\\!\\(\\*OverscriptBox[\\(\[ScriptR]\\), \\(`\\)]\\)-\
\[CurlyTheta])\[TildeTilde]\\!\\(\\*OverscriptBox[\\(\[Thorn]\\), \\(`\\)]\\)\
\"", CharacterEncoding -> "WindowsANSI", StripOnInput -> False], 
       TraditionalForm]}}}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{
   RowBox[{
    RowBox[{"r", " ", "=", " ", "rBase"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CurlyTheta]", "=", 
     RowBox[{"\[CurlyTheta]Base", "-", "0.02"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"FindStableArm", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cFuncPlotNew", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"cE", "[", "\[ScriptM]", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"Thickness", "[", "Medium", "]"}]}], "}"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cFuncPlotNewPoints", "=", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"#", ",", 
           RowBox[{"\[ScriptC]", "[", "#", "]"}]}], "}"}], "}"}], "&"}], ",", 
       
       RowBox[{"Table", "[", 
        RowBox[{"\[ScriptM]", ",", 
         RowBox[{"{", 
          RowBox[{
          "\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax", ",", "0.01"}], 
          "}"}]}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Stable\[ScriptM]LocusPlot", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[ScriptM]EDelEqZero", "[", "\[ScriptM]", "]"}], "}"}], ",", 
       
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Dashing", "[", 
           RowBox[{"{", ".01", "}"}], "]"}], ",", 
          RowBox[{"Thickness", "[", "Medium", "]"}], ",", "Black"}], 
         "}"}]}]}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"Stable\[ScriptM]LocusPoints", "=", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"#", ",", 
           RowBox[{"\[ScriptM]EDelEqZero", "[", "#", "]"}]}], "}"}], "}"}], 
        "&"}], ",", 
       RowBox[{"Table", "[", 
        RowBox[{"\[ScriptM]", ",", 
         RowBox[{"{", 
          RowBox[{
          "\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax", ",", "0.1"}], 
          "}"}]}], "]"}]}], "]"}]}], ";"}]}]}]], "Input",
 PageWidth->Infinity,
 InitializationCell->True,
 CellChangeTimes->{{3.413722736078219*^9, 3.413722738917939*^9}, {
   3.413722948908338*^9, 3.413722972876524*^9}, 3.413723084067931*^9, {
   3.414278010213022*^9, 3.4142780168637342`*^9}, 3.414624608942724*^9, {
   3.414862283814937*^9, 3.414862284682383*^9}, {3.4151205272479143`*^9, 
   3.415120527737167*^9}, {3.427039348449047*^9, 3.427039366126049*^9}, {
   3.447687283949106*^9, 3.4476872915134153`*^9}, {3.447687329234064*^9, 
   3.44768734082857*^9}, {3.4477613522731857`*^9, 3.447761358720022*^9}, {
   3.4477616774924498`*^9, 3.4477616848248863`*^9}, {3.447767336077924*^9, 
   3.447767337858366*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Solving ...\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Below \[ScriptM]MinBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "91", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Below \[ScriptM]MinBound times \[ScriptM]E after ", 91, 
   " backwards Euler iterations."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.9942064505217432`", ",", "0.358123182674832`", ",", 
     "0.26672514066179226`", ",", 
     RowBox[{"-", "25.870799461983566`"}], ",", 
     RowBox[{"-", "0.15837653410814587`"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {0.9942064505217432, 0.358123182674832, 
   0.26672514066179226`, -25.870799461983566`, -0.15837653410814587`}],
  Editable->False]], "Print"],

Cell[BoxData["\<\"Solving ...\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Above \[ScriptM]MaxBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "224", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Above \[ScriptM]MaxBound times \[ScriptM]E after ", 224, 
   " backwards Euler iterations."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "737.5988515260663`", ",", "39.90244238008445`", ",", 
     "0.0519525015038009`", ",", 
     RowBox[{"-", "0.48289609401736494`"}], ",", 
     RowBox[{"-", "1.9612398500599208`*^-7"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {737.5988515260663, 39.90244238008445, 
   0.0519525015038009, -0.48289609401736494`, -1.9612398500599208`*^-7}],
  Editable->False]], "Print"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"ListPlot", ",", 
    RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}], ";", 
  RowBox[{"SimGeneratePath", "[", 
   RowBox[{"\[ScriptM]EBase", ",", "200"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[ScriptM]\[ScriptC]PathPlot", " ", "=", " ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"\[ScriptM]\[ScriptC]Path", ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"PointSize", "[", "0.008", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[ScriptM]MinNew", ",", "\[ScriptM]MaxNew"}], "}"}], "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"2", " ", "\[ScriptM]EBase"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[ScriptC]MinNew", ",", "\[ScriptC]MaxNew"}], "}"}], "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"1.5", " ", "\[ScriptC]EBase"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TractableBufferStockTarget", " ", "=", " ", 
   RowBox[{"Show", "[", 
    RowBox[{
    "cFuncPlotBase", ",", "Stable\[ScriptM]LocusPlot", "\[IndentingNewLine]", 
     ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<Target \[LongRightArrow]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]EBase", ",", 
          RowBox[{"1.02", "\[ScriptC]EBase"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<     \[LongLeftArrow] Sustainable \[ScriptC]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1.3", " ", "\[ScriptM]EBase"}], ",", 
          RowBox[{"\[ScriptM]EDelEqZero", "[", 
           RowBox[{"1.3", " ", "\[ScriptM]EBase"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<c(\[ScriptM]) \[LongRightArrow]   \>\"", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"0.3", "\[ScriptM]EBase"}], ",", 
          RowBox[{"0.5", "\[ScriptC]EBase"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Ticks", "\[Rule]", "None"}], "\n", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\[ScriptM]MinNew", ",", "\[ScriptM]MaxNew"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptC]MinNew", ",", "\[ScriptC]MaxNew"}], "}"}]}], 
       "}"}]}], "\n", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<\[ScriptM]\>\"", ",", "\"\<\[ScriptC]\>\""}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OldAndNewcFuncsPlot", " ", "=", " ", 
   RowBox[{"Show", "[", 
    RowBox[{
    "Stable\[ScriptM]LocusPlot", ",", "cFuncPlotBase", ",", "cFuncPlotNew", 
     "\[IndentingNewLine]", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "Automatic"}], "}"}]}], "}"}]}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0.", ",", "0."}], "}"}]}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExportFigsToDir", "[", 
   RowBox[{"\"\<TractableBufferStockTarget\>\"", ",", "FigsDir"}], "]"}], ";", 
  RowBox[{"Show", "[", "TractableBufferStockTarget", "]"}]}]}], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwVkHk81Pkfxwdj5AhjzPAtUdgc/RwhyuLztkmOicF35ye1xObahGyHI7VS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      "]]}}, {{}, {}, 
    {GrayLevel[0], Thickness[Medium], Dashing[{0.01}], LineBox[CompressedData["
1:eJwVxXk4lHkAB/AZMm9Jlp3KsUjYFK2Q9JD1+zpqhVzzZrFPWWpm8hClwyBX
ilaeSLGOlnU8GrrpkjzR2lnHmIc8VuNo0ePIWjNhkiPt7h+f57M5NMqPq8Rg
MA785//nbR6P5Gx67hh3/ffEQ3Yy8nZOPdpeXEBELYOJhx1lJGbHO2slcRXR
/KRIDHaRkSZPf/ZYex0RcrckhRyQEV5/pvLr9lbSY5uexA2RkadGwqXOdimx
krolH/9JRkJEj2I62t+RcX1xSoJURmzznz9qb18g1ZywlxIHOemayShNH1aF
f4u5mDcpJ3Pb4tYszLPxkFfyJiHzPXHMy5rhHtaFQkd/gWc+Q+5/q1L6+qYh
zjz1123pnSHSNydPWY4aQ5js5CoUzJJIB83Yeb4pdG0mTjNM58jI/JB/UJ8Z
Ipfz75i9miOy4eDgKE0LnJlenO4+qSA2zZc6FkSWqG/X3q0w+EAaLOoYuXxr
PHw1np7b+IHYtjANVz7vRPZ04xAVPE9GX7x9bVC/C9WKg5hR/UiGvPRv5gfs
hmDLDeEPtz4STQe5epu2HS46F2t9G7hArAL6Q1s77XH6VPUVufIiKV5rIN4c
7oCNEr66cfkicdJflFhtdcQH9vD1Du8lYin6ZrzwD4KM1LUm8/IlcouXIB5s
Bg6/eV+XX7JMHjFPfNVT6gS218j3ah6fCPeYuuJjlDPix1NXViY/EcvE2CKB
twuMIoZvheWvkLLgbLGJoSsSdOUhHPvP5HJA7eyTKVfUDa42/EL6mWQxyscr
2/ZCVxQZXerMgN1pR97Lgn2wqrGSLuYwsJJX+cAu7jtMXPNz0ZhkYE+X7uzP
/m7QSBY8uEKYMOi1f2Fksh+azPlyzywm9DJNA9You6MmprtANMpEo1pjvF63
O7anrl6fbKuEgYqjuRtLPKBV4JxTdlEJ7Kme+Ihzniir6GOn9CtBvjIzNe1+
AKy97Tol5sqYaBww6zDzgmq/jnHseWWkeUXP9i55YUKl6X5OtzJuzLJrWlu8
YbvnuPMG41UYM24qvszxgQkvppcTuwpdOyVVbvU+mPq6T97VugruRU5Ftea+
4PQXrlPbrIIk9Xrqy0JfmBf9aHHvrArS+Rl1LKYfBmSJ3VdFKtDTbvStOuEH
C/uleEt9Fi7c9dgx8toPATqdQvVIFoQ+g+nqhIM5pWrpwQYWgtx7RBN3ONgx
MrwukE3hr23GHoEbaLj6R4uKjlAwejlrbqpF48rZ26ZKXApHg5rVFNo0evPG
Lh3jUZjM4Eqy9WiE9wZ57AqjMPf3Td8WYxpXA1w6JZEUVO9uD9htTWMoaH0f
M46CrbUtd4M3jXPBj//hZ1OIbWPte+tDQ5Qk95JcpfA8tHfLAz8aGr+a3be5
RsHpmmDC059G+VBxNDOPgufcs/ALh2i0haTPFxZRCHlMomfDaWgfDWBKKilU
eGlwmo7TCL2QE2ojpDA2NrQzK4pGdYX4t8IqChFa5xVmp2g4jiKNf5vCWUGz
IDSOBpe3bS2zhkKdRm6g5Tka99KORPBrKSwLufYrCTQWKn/p6HhIIUXKWi5I
oZE5rpld+IRC88neAX4qjT8pz/eMOgosVWHDros0Nm1N8+M/o7C/TFCsnE4j
zK2xtqOeQqb9/qSuSzRqjy2ut2mg8C/Fjjfh
      "]]}}, 
   InsetBox["\<\"Target \[LongRightArrow]\"\>", \
{5.475852558086449, 1.1306985751961922`}, {1, 0}], 
   InsetBox["\<\"     \[LongLeftArrow] Sustainable \[ScriptC]\"\>", \
{7.118608325512383, 1.1483606546216354`}, {-1, 0}], 
   InsetBox["\<\"c(\[ScriptM]) \[LongRightArrow]   \"\>", 
    {1.6427557674259345`, 0.5542640074491139}, {1, 0}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"\[ScriptM]\"", TraditionalForm], 
    FormBox["\"\[ScriptC]\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0, 10.951705116172898`}, {0, 1.6627920223473416`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->None]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Work/BufferStock/Tractable/ctDiscrete/Latest/Figures/\
TractableBufferStockTarget.pdf\"\>"], "Print"]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwVkHk81Pkfxwdj5AhjzPAtUdgc/RwhyuLztkmOicF35ye1xObahGyHI7VS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      "]]}}, {{}, {}, 
    {GrayLevel[0], Thickness[Medium], Dashing[{0.01}], LineBox[CompressedData["
1:eJwVxXk4lHkAB/AZMm9Jlp3KsUjYFK2Q9JD1+zpqhVzzZrFPWWpm8hClwyBX
ilaeSLGOlnU8GrrpkjzR2lnHmIc8VuNo0ePIWjNhkiPt7h+f57M5NMqPq8Rg
MA785//nbR6P5Gx67hh3/ffEQ3Yy8nZOPdpeXEBELYOJhx1lJGbHO2slcRXR
/KRIDHaRkSZPf/ZYex0RcrckhRyQEV5/pvLr9lbSY5uexA2RkadGwqXOdimx
krolH/9JRkJEj2I62t+RcX1xSoJURmzznz9qb18g1ZywlxIHOemayShNH1aF
f4u5mDcpJ3Pb4tYszLPxkFfyJiHzPXHMy5rhHtaFQkd/gWc+Q+5/q1L6+qYh
zjz1123pnSHSNydPWY4aQ5js5CoUzJJIB83Yeb4pdG0mTjNM58jI/JB/UJ8Z
Ipfz75i9miOy4eDgKE0LnJlenO4+qSA2zZc6FkSWqG/X3q0w+EAaLOoYuXxr
PHw1np7b+IHYtjANVz7vRPZ04xAVPE9GX7x9bVC/C9WKg5hR/UiGvPRv5gfs
hmDLDeEPtz4STQe5epu2HS46F2t9G7hArAL6Q1s77XH6VPUVufIiKV5rIN4c
7oCNEr66cfkicdJflFhtdcQH9vD1Du8lYin6ZrzwD4KM1LUm8/IlcouXIB5s
Bg6/eV+XX7JMHjFPfNVT6gS218j3ah6fCPeYuuJjlDPix1NXViY/EcvE2CKB
twuMIoZvheWvkLLgbLGJoSsSdOUhHPvP5HJA7eyTKVfUDa42/EL6mWQxyscr
2/ZCVxQZXerMgN1pR97Lgn2wqrGSLuYwsJJX+cAu7jtMXPNz0ZhkYE+X7uzP
/m7QSBY8uEKYMOi1f2Fksh+azPlyzywm9DJNA9You6MmprtANMpEo1pjvF63
O7anrl6fbKuEgYqjuRtLPKBV4JxTdlEJ7Kme+Ihzniir6GOn9CtBvjIzNe1+
AKy97Tol5sqYaBww6zDzgmq/jnHseWWkeUXP9i55YUKl6X5OtzJuzLJrWlu8
YbvnuPMG41UYM24qvszxgQkvppcTuwpdOyVVbvU+mPq6T97VugruRU5Ftea+
4PQXrlPbrIIk9Xrqy0JfmBf9aHHvrArS+Rl1LKYfBmSJ3VdFKtDTbvStOuEH
C/uleEt9Fi7c9dgx8toPATqdQvVIFoQ+g+nqhIM5pWrpwQYWgtx7RBN3ONgx
MrwukE3hr23GHoEbaLj6R4uKjlAwejlrbqpF48rZ26ZKXApHg5rVFNo0evPG
Lh3jUZjM4Eqy9WiE9wZ57AqjMPf3Td8WYxpXA1w6JZEUVO9uD9htTWMoaH0f
M46CrbUtd4M3jXPBj//hZ1OIbWPte+tDQ5Qk95JcpfA8tHfLAz8aGr+a3be5
RsHpmmDC059G+VBxNDOPgufcs/ALh2i0haTPFxZRCHlMomfDaWgfDWBKKilU
eGlwmo7TCL2QE2ojpDA2NrQzK4pGdYX4t8IqChFa5xVmp2g4jiKNf5vCWUGz
IDSOBpe3bS2zhkKdRm6g5Tka99KORPBrKSwLufYrCTQWKn/p6HhIIUXKWi5I
oZE5rpld+IRC88neAX4qjT8pz/eMOgosVWHDros0Nm1N8+M/o7C/TFCsnE4j
zK2xtqOeQqb9/qSuSzRqjy2ut2mg8C/Fjjfh
      "]]}}, 
   InsetBox["\<\"Target \[LongRightArrow]\"\>", \
{5.475852558086449, 1.1306985751961922`}, {1, 0}], 
   InsetBox["\<\"     \[LongLeftArrow] Sustainable \[ScriptC]\"\>", \
{7.118608325512383, 1.1483606546216354`}, {-1, 0}], 
   InsetBox["\<\"c(\[ScriptM]) \[LongRightArrow]   \"\>", \
{1.6427557674259345`, 0.5542640074491139}, {1, 0}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"\[ScriptM]\"", TraditionalForm], 
    FormBox["\"\[ScriptC]\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0, 10.951705116172898`}, {0, 1.6627920223473416`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->None]], "Output",
 PageWidth->Infinity,
 InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"PhaseDiagramDecreaseThetaPlot", " ", "=", " ", 
   RowBox[{"Show", "[", 
    RowBox[{
    "OldAndNewcFuncsPlot", ",", "\[ScriptM]\[ScriptC]PathPlot", 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<Original Target \[LowerRightArrow] \>\"", ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]EBase", ",", 
          RowBox[{"1.02", "\[ScriptC]EBase"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "]"}], "]"}], "\[IndentingNewLine]", 
     ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<\[UpperLeftArrow] New Target \>\"", ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]E", ",", 
          RowBox[{"0.98", "\[ScriptC]E"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<Original c(\[ScriptM]) \[LongRightArrow]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"0.45", "\[ScriptM]EBase"}], ",", 
          RowBox[{"0.67", "\[ScriptC]EBase"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\< \[LongLeftArrow] New c(\[ScriptM])\>\"", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"0.8", "\[ScriptM]EBase"}], ",", 
          RowBox[{"cE", "[", 
           RowBox[{"0.8", "\[ScriptM]EBase"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Ticks", "\[Rule]", "None"}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<\[ScriptM]\>\"", ",", "\"\<\[ScriptC]\>\""}], "}"}]}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[ScriptM]MinNew", "-", "1"}], ",", 
          RowBox[{"\[ScriptM]E", "+", "2"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptC]MinNew", ",", 
          RowBox[{"1.3", "\[ScriptC]E"}]}], "}"}]}], "}"}]}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0.", ",", "0."}], "}"}]}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExportFigsToDir", "[", 
   RowBox[{"\"\<PhaseDiagramDecreaseThetaPlot\>\"", ",", "FigsDir"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "PhaseDiagramDecreaseThetaPlot", 
  "]"}], "\[IndentingNewLine]"}], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     {GrayLevel[0], Thickness[Medium], Dashing[{0.01}], 
      LineBox[CompressedData["
1:eJwVxXk4lHkAB/AZMm9Jlp3KsUjYFK2Q9JD1+zpqhVzzZrFPWWpm8hClwyBX
ilaeSLGOlnU8GrrpkjzR2lnHmIc8VuNo0ePIWjNhkiPt7h+f57M5NMqPq8Rg
MA785//nbR6P5Gx67hh3/ffEQ3Yy8nZOPdpeXEBELYOJhx1lJGbHO2slcRXR
/KRIDHaRkSZPf/ZYex0RcrckhRyQEV5/pvLr9lbSY5uexA2RkadGwqXOdimx
krolH/9JRkJEj2I62t+RcX1xSoJURmzznz9qb18g1ZywlxIHOemayShNH1aF
f4u5mDcpJ3Pb4tYszLPxkFfyJiHzPXHMy5rhHtaFQkd/gWc+Q+5/q1L6+qYh
zjz1123pnSHSNydPWY4aQ5js5CoUzJJIB83Yeb4pdG0mTjNM58jI/JB/UJ8Z
Ipfz75i9miOy4eDgKE0LnJlenO4+qSA2zZc6FkSWqG/X3q0w+EAaLOoYuXxr
PHw1np7b+IHYtjANVz7vRPZ04xAVPE9GX7x9bVC/C9WKg5hR/UiGvPRv5gfs
hmDLDeEPtz4STQe5epu2HS46F2t9G7hArAL6Q1s77XH6VPUVufIiKV5rIN4c
7oCNEr66cfkicdJflFhtdcQH9vD1Du8lYin6ZrzwD4KM1LUm8/IlcouXIB5s
Bg6/eV+XX7JMHjFPfNVT6gS218j3ah6fCPeYuuJjlDPix1NXViY/EcvE2CKB
twuMIoZvheWvkLLgbLGJoSsSdOUhHPvP5HJA7eyTKVfUDa42/EL6mWQxyscr
2/ZCVxQZXerMgN1pR97Lgn2wqrGSLuYwsJJX+cAu7jtMXPNz0ZhkYE+X7uzP
/m7QSBY8uEKYMOi1f2Fksh+azPlyzywm9DJNA9You6MmprtANMpEo1pjvF63
O7anrl6fbKuEgYqjuRtLPKBV4JxTdlEJ7Kme+Ihzniir6GOn9CtBvjIzNe1+
AKy97Tol5sqYaBww6zDzgmq/jnHseWWkeUXP9i55YUKl6X5OtzJuzLJrWlu8
YbvnuPMG41UYM24qvszxgQkvppcTuwpdOyVVbvU+mPq6T97VugruRU5Ftea+
4PQXrlPbrIIk9Xrqy0JfmBf9aHHvrArS+Rl1LKYfBmSJ3VdFKtDTbvStOuEH
C/uleEt9Fi7c9dgx8toPATqdQvVIFoQ+g+nqhIM5pWrpwQYWgtx7RBN3ONgx
MrwukE3hr23GHoEbaLj6R4uKjlAwejlrbqpF48rZ26ZKXApHg5rVFNo0evPG
Lh3jUZjM4Eqy9WiE9wZ57AqjMPf3Td8WYxpXA1w6JZEUVO9uD9htTWMoaH0f
M46CrbUtd4M3jXPBj//hZ1OIbWPte+tDQ5Qk95JcpfA8tHfLAz8aGr+a3be5
RsHpmmDC059G+VBxNDOPgufcs/ALh2i0haTPFxZRCHlMomfDaWgfDWBKKilU
eGlwmo7TCL2QE2ojpDA2NrQzK4pGdYX4t8IqChFa5xVmp2g4jiKNf5vCWUGz
IDSOBpe3bS2zhkKdRm6g5Tka99KORPBrKSwLufYrCTQWKn/p6HhIIUXKWi5I
oZE5rpld+IRC88neAX4qjT8pz/eMOgosVWHDros0Nm1N8+M/o7C/TFCsnE4j
zK2xtqOeQqb9/qSuSzRqjy2ut2mg8C/Fjjfh
       "]]}}, {{}, {}, 
     {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwVkHk81Pkfxwdj5AhjzPAtUdgc/RwhyuLztkmOicF35ye1xObahGyHI7VS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       "]]}}, {{}, {}, 
     {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwVzHk81PkfwPHBoJDFrC+PYsYRaiZHsizi89avtRnXmPmuRqvkZslV6wo9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       "]]}}}, {{}, 
    {GrayLevel[0], PointSize[0.008], PointBox[CompressedData["
1:eJw103k01VsbB3CZoqLo4nB+OrdS3YzlIiR7K5JmaaDJEJqMmUtEpiiHkHlq
MFXKSemqzJeESoYMKbqSWwfn/FQ4kvvsd633j732+qy9vnuv53nWXurgvsdJ
WEhI6AUssos1pw2afZbD9UJqHyKf8tH/XRPayFKvG0NLA7lD7XbyONhPeZ2W
DA9973AVt26Vx2IrpeUcjXiIerR2KtFAAVtbOT9TdOQh9qBdgFGaAl7Odn+X
H8VDWZ+GNEfGFfB3jdS5h4p4yGB1x2I9cwZe2BbC9m3kocbT1zxSEhl4o9Sa
cd0hHtIMywu/9I6Bk3s0578U4iPT9PXjXixF3H5CYcZVkY/ibgV8fXxEEdfh
ahG8ho8ajk7olyQr4heeJnKnzPjIOtxkaXGLIp49edtV2oaP1LTOrBbMKmK9
A8Mi20/zkaPck+puTSVsGtTANQ7kI8/Q1t6Yg0o4wz7sntBlPtLQdXffelEJ
b+ZYxhak8VGBQtTY1kIlvF9svG5bAR/lZNpyKpqV8OdEicqZUj6qnd66s21E
CefttTN/XcVHsvxcLmcBE7Ne2ZW0NfFRbsayxLDVTOx3yWNGvpOPVN/0nHYx
ZeJJSbmp/A98JMAXJmKOMHHKK8dDCcN8VFHza4ewDxPv69rxfpDHR9JDn7dy
o5m4xUt5X/4kH91WP/DEMZuJ7y68VTU4y0e7r7+ICOMwsXiehX2eOI28y462
O9QxcXA/avi2gEbarJfqch1M/M1JY+CtLI0qbKNT7w0ysVKtreQBBo38fNdV
m44zMS+vRiZAmUZqis1zhoQonBD2107TZTSyDYmLuiFFYf9P0zkVK2lko6R1
4rIihf8oYgeNqEL+kejdYhUK3xSdEnRo0khF0OWuoEXh02IPXwZq04ixf/nn
N/oUZkjJHB3SpZHm7zO+XBMKq25xr5Q3oJGq+PtKt60U3nZWvFrGiEY1qzbc
ObaHwjYVq0d7jGnEZGueb7ehcLrf8kQfExpVect2NtpRuNjnbv3gJhptKj3Z
sO04hc0NFzqqbabR6NyBLntXCsvZfmFs30KjQrEbsou9KDy8+ekxi600SnSe
FXP2p/CqGGbKiu00+tjl3WF3nsJx9KOBjztoZOK12kgylMJcdab5xV00aut8
l+gYQeFsadM7EpY0qqaO9vtFU5idONPuvYdG/7bFNpnHUvjTVcbxRisarWVP
l3bFQ3+u+XLn7qNRfZsMRzOJwt3qvPa1+2kUnCRI2JFC4acRDP8tB6CffSyu
fjqFz8oNyO+wphHv/rFF3zIp7JDN6sM2NArokmKF5lBYMDv5UeUgjX6U+AgP
XafwRK62pgC8r9fFe9ktCssnuDyoPkQji9/d5xjmU/jNF7MDgYdptLgufb5W
IYVPKLqOqR6h0Xn+uRaR2xTWT8zc9BJc15Z6uPwO5Nddlj5+lEbXU7/e3lsM
80iu/fUdrHRcLrb9HoXPuHiWnbOl0U/h8LL1JRRWV17ZOgl+232yKoZD4YET
kT2udjS6URWzsv4BhS3lJqx7wRUPhXdxS2E+PpqNJvY0OvGoNXL2IeRjX2Xn
gtNSnSXnlFE4PIFrMQ12qRCa5IPXO0Ro7HKg0XYjIae2xxRekSpclAlOX8Ha
nfcXhRUHUhmfwSWW1wpOl1NYm1vRrHaMRv2SWjtVnlA4pCjoNxfwzr6Nsq3g
/at79AvAFxuLHp95SuE10UpB/eCVrVmTks8o/MCXpSLnSCOruZHnk8ET7gXO
m8EOopWfmRXwnmXqeW9waMH2lmRw3X7DzGzwhjkx5fMrKfxxwutHA7id8ULb
HxzYKV42ApY6OXi/D/x2XpWkjBONmrNe5BtVUThMvEheG7x5t/jFJPCnLYYi
luARI538YXCJUiDtCta76XtGr5rC8aH6YpfAsuv6jYLBJ3OZB6+D17O6rGvB
X3PfSpWDHdh+i0VqKCzhaLb+NbjBfKDUGLxu3sXpQfAtr4QLvuCpmEXOk2Dr
DaUPi8DFbl/i5jnTaNLDht0LTqi9HscEuwQ3mUrWUrg90t9fDZyqWSepA44N
cT1oCLY2LpQ+DP7JOWi+BaxqVnshBGx2TmTXPvB+Ec/om+CJs6su2INHnA9Y
/Q3O2p0w7AKO8IsVGgTX4jVJfuA3h5tKheoorNIrezUEPHUvMo4JliyO+hIN
9jRdydEBGyusKEwAG1yV09sODjBpeZsOvjY8pucArj9UG3yD5K+ktviCWxRK
CovAJmOHZaLBvLMlR0rAx3+JMjLAblIHb5SBo99//34HPOVZG/IMfGhqU8VT
cJZ7/GwNeHlKY2gTeIGfYNlz8CBj/d5ucN/tl/xm8KVOg41D4LcBQZ6t4Mvd
Todo8M1nv+d3gNc5ud2dAYtG+Sd3g9d6LzWT+JvCwqGCzX3gb7pnNWXBFpOt
f/WDUzKLvZlg24RP4/+ATWWMlqmApWt6J4fAlVvGsTpYoXdJ87/gcydEev4E
Nwn6PbjgZ06iPwzB/BzWl1FwfqVQpgmYtTjfkA9mpQR1mpP3IuWcxsG0XlTh
DrCO0vvT38E1QqWUFVgmaZvlBLjji5qeNdhb7KLCFJm3d+n0YXCKakSVAFyr
9uCMPTivXHfnT3BQk06OEzg51KpmBnxqlI46CVY8FrZkFsw4abPWFVyjvsdR
6DiNPljEZHqArxzRSJoD7ow43uoFrqt24wiDnxy98tqX1C+wfiYCbvG0ywoA
Ow8rlomCVZMXGAeCc8Sac8TADK9LnCAwL8fvnDjY+E3mrwvgoXm/bZkLzmj5
qHKR1Hs3aq4EuK28flU42G1RcTmxJJctGQkWvN7pIAm+vNG2OQqMw/6YJV6S
rH0mGsxkc+PngVMFQz9jwIGjmDkfHNFq6HYFrDVelU483fyqIRYcxZ9ZvIDc
X6s+Pw787FNwGHHDiUqDeHCVVP0I8dexvr1XwUsCzHdLkX5cen4kAVzK9rpD
XNpatC8RXMjmCEuD97MyNySBD4g4WxGb1d2Sv0b6ofVvFrGbTvkAscq5+E/E
T5lV2cngnpfFqxaCe+1jLVPAZ3gxTsRYeXSC+GOnWzZxjm96Qio4biqlg7jk
/OYVaWCrNHOJRWBLXsJd4up5peuI335T1kgHi4wsdiR2fO59k9jfI/UKsaQD
67cMcFC0VynxqfkZgcTRai+7iGPH7N4T93q8ERBH5LwzyARPvslTkgEHJvqy
iXUs3fWJOWnsD8ROaTv2Es+xCFXNAk9r27sRWzjc8CC+kdIQQWypt5FDnH8s
I5PYZ7pgjFjZeYpDnLZMeXU2+S+NP+qJ7936cJSY+uN2N/FaS414Ypcita/E
wxKoitiAeXmaGEls5RL/M/t+niw4YMkFuRwwfUdXkVj880Ij4hKbnJXEBr9U
7IgjtDX/JL6mPRxCLH9qxJh4hhOcS7zP4qsFcbfBwkriBGOdvcThuo97iEO+
th0hVh5N/UZsr93hTNxX0LogF7xz40Z34g2NZ5cTP7+u4kf8ZaxYn9jLODyI
uFohYjuxtqtLODHvvrwt8bWZgRhiq3IfD+KSDSPxxLrdjy4QW4skJRNHuHPZ
xP0PPmQQF9xflfW/821tucQfSv1vE1se88kjjowZLSNWN2gqIv4PGdP31w==

      "]]}, {}}, 
   InsetBox["\<\"Original Target \[LowerRightArrow] \"\>", \
{5.475852558086449, 1.1306985751961922`}, {1, -1}], 
   InsetBox["\<\"\[UpperLeftArrow] New Target \"\>", \
{7.193002421777527, 1.1271612313778099`}, {-1, 1}], 
   InsetBox["\<\"Original c(\[ScriptM]) \[LongRightArrow]\"\>", \
{2.464133651138902, 0.7427137699818126}, {1, 0}], 
   InsetBox["\<\" \[LongLeftArrow] New c(\[ScriptM])\"\>", \
{4.380682046469159, 0.8807122731470054}, {-1, 0}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"\[ScriptM]\"", TraditionalForm], 
    FormBox["\"\[ScriptC]\"", TraditionalForm]},
  AxesOrigin->{0., 0.},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-1, 9.193002421777527}, {0, 1.4952138783583193`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->None]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Work/BufferStock/Tractable/ctDiscrete/Latest/Figures/\
PhaseDiagramDecreaseThetaPlot.pdf\"\>"], "Print"]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     {GrayLevel[0], Thickness[Medium], Dashing[{0.01}], 
      LineBox[CompressedData["
1:eJwVxXk4lHkAB/AZMm9Jlp3KsUjYFK2Q9JD1+zpqhVzzZrFPWWpm8hClwyBX
ilaeSLGOlnU8GrrpkjzR2lnHmIc8VuNo0ePIWjNhkiPt7h+f57M5NMqPq8Rg
MA785//nbR6P5Gx67hh3/ffEQ3Yy8nZOPdpeXEBELYOJhx1lJGbHO2slcRXR
/KRIDHaRkSZPf/ZYex0RcrckhRyQEV5/pvLr9lbSY5uexA2RkadGwqXOdimx
krolH/9JRkJEj2I62t+RcX1xSoJURmzznz9qb18g1ZywlxIHOemayShNH1aF
f4u5mDcpJ3Pb4tYszLPxkFfyJiHzPXHMy5rhHtaFQkd/gWc+Q+5/q1L6+qYh
zjz1123pnSHSNydPWY4aQ5js5CoUzJJIB83Yeb4pdG0mTjNM58jI/JB/UJ8Z
Ipfz75i9miOy4eDgKE0LnJlenO4+qSA2zZc6FkSWqG/X3q0w+EAaLOoYuXxr
PHw1np7b+IHYtjANVz7vRPZ04xAVPE9GX7x9bVC/C9WKg5hR/UiGvPRv5gfs
hmDLDeEPtz4STQe5epu2HS46F2t9G7hArAL6Q1s77XH6VPUVufIiKV5rIN4c
7oCNEr66cfkicdJflFhtdcQH9vD1Du8lYin6ZrzwD4KM1LUm8/IlcouXIB5s
Bg6/eV+XX7JMHjFPfNVT6gS218j3ah6fCPeYuuJjlDPix1NXViY/EcvE2CKB
twuMIoZvheWvkLLgbLGJoSsSdOUhHPvP5HJA7eyTKVfUDa42/EL6mWQxyscr
2/ZCVxQZXerMgN1pR97Lgn2wqrGSLuYwsJJX+cAu7jtMXPNz0ZhkYE+X7uzP
/m7QSBY8uEKYMOi1f2Fksh+azPlyzywm9DJNA9You6MmprtANMpEo1pjvF63
O7anrl6fbKuEgYqjuRtLPKBV4JxTdlEJ7Kme+Ihzniir6GOn9CtBvjIzNe1+
AKy97Tol5sqYaBww6zDzgmq/jnHseWWkeUXP9i55YUKl6X5OtzJuzLJrWlu8
YbvnuPMG41UYM24qvszxgQkvppcTuwpdOyVVbvU+mPq6T97VugruRU5Ftea+
4PQXrlPbrIIk9Xrqy0JfmBf9aHHvrArS+Rl1LKYfBmSJ3VdFKtDTbvStOuEH
C/uleEt9Fi7c9dgx8toPATqdQvVIFoQ+g+nqhIM5pWrpwQYWgtx7RBN3ONgx
MrwukE3hr23GHoEbaLj6R4uKjlAwejlrbqpF48rZ26ZKXApHg5rVFNo0evPG
Lh3jUZjM4Eqy9WiE9wZ57AqjMPf3Td8WYxpXA1w6JZEUVO9uD9htTWMoaH0f
M46CrbUtd4M3jXPBj//hZ1OIbWPte+tDQ5Qk95JcpfA8tHfLAz8aGr+a3be5
RsHpmmDC059G+VBxNDOPgufcs/ALh2i0haTPFxZRCHlMomfDaWgfDWBKKilU
eGlwmo7TCL2QE2ojpDA2NrQzK4pGdYX4t8IqChFa5xVmp2g4jiKNf5vCWUGz
IDSOBpe3bS2zhkKdRm6g5Tka99KORPBrKSwLufYrCTQWKn/p6HhIIUXKWi5I
oZE5rpld+IRC88neAX4qjT8pz/eMOgosVWHDros0Nm1N8+M/o7C/TFCsnE4j
zK2xtqOeQqb9/qSuSzRqjy2ut2mg8C/Fjjfh
       "]]}}, {{}, {}, 
     {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwVkHk81Pkfxwdj5AhjzPAtUdgc/RwhyuLztkmOicF35ye1xObahGyHI7VS
CJt+WhH9iIqp1O5SRouNJSYzLLvuq3HHkGNGxtnaP16P53/Px/Px2hMQ4Rko
SSAQzmztXy5bVIxkalXbEQg9jOdtT+1GRYpR1rx76IcVbqVZQgq6ZDJlJsl7
gm6bXaBVfpeD6uhMygT3NTK9soGz7VkoqD9dqof7DimLDV6SxGxUqc1aa+P2
oj34+Az7mybkfXws98eQfnRJNfHn5ioOWsnYbe0iPYiIHWyyBK0Z/f8Kvdpf
i48yuw0nlmp4aEjQsNrnPYpg1+i8taAN+Te+utTCnUIx/5NTv3GzE5UNezXt
y51GxPJ+Nl2lC0luLNBSQwSo2bHmgTinCxWZG1c4Ss+i0tC6AeMH3SiK4bXq
pzWPTlqdEh/N7kXlNdyDvd5C9DiqbbV7/yA6yc09ta1WiDQn/E308re6ekNT
rPRESHWtLE9OdgjhIpmerCURklEa2VXRN4REhg6XPDM/IcFDrtPXVnxkmVP9
istdQV1yqtctfxlGYRsL9awvVxFTSO1p5w+jwgC9v248W0Wf8YA/R5VHkIJR
5keUtoZmO88rx0WMoNG6YL2XLhvIT45xrH/vKOJcuElvPU2A0r0t32onjKGL
BRa/V4xKwU6RFt4umkBkT/cjj3cSwYOTYlqOTaJS4ne8O15EEK1nh//XbhKN
hBb0RdYTQSCtYjGTNImOWcgtGz6Uht6Eljch1A9I9917k4IAGSAsOAY/0J9C
7YuphcnDcpDF8xebGQsQM4fhWkeVh4Hg4kgbVwHqs6UtrTrLQxeXuVN/6+eR
lEKn8DJ5eGmY0VRSKEAizco5PFEB4roumOKUGURzHbfV/kIRfoo9x2IvzKAX
7VpnfV8qw1uREXH1/kckMoiVXVmmQN5suVTl4Dyyu5uxGOi7A9Y/6p9IKhSi
X2ylC3tKdsNqyVxT5PFPqHfo3Pem4zqgcfLpfRu2GIXbkGOWg/WAaB7HTNu7
hkaW+UyfPkOYvkYp+uncBpob9vOLIBvDtYPyaeuJn5FFQ0rLSqMpPHj/jKne
R4Aa49eErGAzMLrL+bqjVwIsORK7Nz+bw8hiUwSpTRLG34z2aFYdAHb/728H
uqSA77arJMfbCuKP6DQWc4hAtplXbFY/BPtSY+diuNKw37s/4F2bNch8oVT5
vJEE+fKavD1nbMA+O/rY8xcyYL9rtXW/vh34nx+XxFjbwLTRaDK3CYHVZma0
fIYsPAuK5w02AEyRA6pikuXglUTkzs5Ce1Byuvm2MkYeAkMUl8QRXwGdWC/l
66MApldi8qLdDwMCB9Vs+nYo8rvN093tAH4mvKhsI0VI8y4Xsmcc4Gd+joyx
rBJkEB5OFjcfgaMZHS5+n5Tg0Hm7oD/uOUKJKZUVGqoMm3eLfz0UexTq9wSZ
n+Urw5ftO4TZTCfQGfCd7cbJoNlt/UZb1xkoQQb2lDoyaKTrectKuYCFYlIG
zVIFahVq4zT+doFW8uUkwkMVGHh0OotW4AonCi5YX9lOAcpMZ1zYZTp8yyet
1f5AgfnNxZmPLsfAFytf2zZDgQ+1A4Ythm5wMTQnjnxKFZLcooTda24QUu0b
bMxThftCStk7jjscDpl2WD5AhQmduvw0LwacxHCteBYV2s1bnzhVMaDRS8bQ
iEIDlzz7vPJ9HkBjTyvdTaLBVcUqGZVcD+hKl/QqW6ZBcnDqa5KEJ0xMWmrL
+6uBhnqtx5NIT/CtibTF/laD6y9cTUZ6PMGjuGkszFYdWIzBZEXkBeirdamk
x+rg49LZ+OG5F1CXOzYZNAzeG+i4HqficGcs6XP4VQy0/xDu01PDoQ97SnVI
wOC0T4PCkjoOtWIfAywRg+nUwNbbGjgQfgx2rk/CQCQo8eDo4KC/djBM7RYG
ci/+421lhsPymI7tm/sYWJpZBlLdcegwclXa/hsGMc0kx1EGDhuFpJ7hKgyq
A7r3/uqJww6Gb35FDQb2d6I/0Jk4qOmO6Zyqw4Au+u3M9W9wGDBgqpRzMPCv
QFHCMziU21nFe3dj8MhN2avuLA63qgVaRr0YTEzwzTMicHC4dbhWoh+DMLVr
S4bf4/Bobmjl6RAGF6MbogNicRAJ2xgb4xi8Vs46bnoZB78Tpfz2SQzWWYHW
m/E40HOMw4unMEjoJa3fS9jyeRhcc5/FoOFc90BwIg7M0qJtunMYkORYNQdu
4LCQ25AunsfAuSg6XyoZB0Z6hmLLIgbp1s5X21O2+uakbhWKMPgHjTUVpg==

       "]]}}, {{}, {}, 
     {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwVzHk81PkfwPHBoJDFrC+PYsYRaiZHsizi89avtRnXmPmuRqvkZslV6wo9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       "]]}}}, {{}, 
    {GrayLevel[0], PointSize[0.008], PointBox[CompressedData["
1:eJw103k01VsbB3CZoqLo4nB+OrdS3YzlIiR7K5JmaaDJEJqMmUtEpiiHkHlq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      "]]}, {}}, 
   InsetBox["\<\"Original Target \[LowerRightArrow] \"\>", \
{5.475852558086449, 1.1306985751961922`}, {1, -1}], 
   InsetBox["\<\"\[UpperLeftArrow] New Target \"\>", \
{7.193002421777527, 1.1271612313778099`}, {-1, 1}], 
   InsetBox["\<\"Original c(\[ScriptM]) \[LongRightArrow]\"\>", \
{2.464133651138902, 0.7427137699818126}, {1, 0}], 
   InsetBox["\<\" \[LongLeftArrow] New c(\[ScriptM])\"\>", \
{4.380682046469159, 0.8807122731470054}, {-1, 0}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"\[ScriptM]\"", TraditionalForm], 
    FormBox["\"\[ScriptC]\"", TraditionalForm]},
  AxesOrigin->{0., 0.},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-1, 9.193002421777527}, {0, 1.4952138783583193`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->None]], "Output",
 PageWidth->Infinity,
 InitializationCell->True]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"HowMany", "=", "75"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[ScriptM]Path", "=", 
   RowBox[{"Take", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Transpose", "[", "\[ScriptM]\[ScriptC]Path", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", "HowMany"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[ScriptC]Path", "=", 
   RowBox[{"Take", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Transpose", "[", "\[ScriptM]\[ScriptC]Path", "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], ",", "HowMany"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MPCPath", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"cE", "'"}], "[", "#", "]"}], "&"}], ",", 
     RowBox[{"Rest", "[", "\[ScriptM]Path", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"\[ScriptM]Path", ",", "\[ScriptM]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"\[ScriptC]Path", ",", "\[ScriptC]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"\[ScriptM]Path", ",", "\[ScriptM]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"\[ScriptC]Path", ",", "\[ScriptC]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"\[ScriptM]Path", ",", "\[ScriptM]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"\[ScriptC]Path", ",", "\[ScriptC]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"MPCPath", ",", "\[Kappa]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"MPCPath", ",", "\[Kappa]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"MPCPath", ",", "\[Kappa]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"MPCPath", ",", "\[Kappa]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"timePath", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"i", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "\[ScriptC]Path", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[ScriptC]PathPlot", " ", "=", " ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"timePath", ",", "\[ScriptC]Path"}], "}"}], "]"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[ScriptM]PathPlot", " ", "=", " ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"timePath", ",", "\[ScriptM]Path"}], "}"}], "]"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MPCPathPlot", " ", "=", " ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"timePath", ",", "MPCPath"}], "}"}], "]"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ";"}]}], "Input",
 PageWidth->Infinity,
 InitializationCell->True,
 CellChangeTimes->{{3.414278339183446*^9, 3.414278341745433*^9}, 
   3.414278779728621*^9, {3.414278878001575*^9, 3.414278885030191*^9}, 
   3.414862540088749*^9, {3.414862671057727*^9, 3.414862671463376*^9}, {
   3.415436203093796*^9, 3.415436203643718*^9}, {3.423056630903368*^9, 
   3.423056641014819*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"cPathAfterThetaDrop", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"\[ScriptC]PathPlot", "\[IndentingNewLine]", ",", 
     RowBox[{"Ticks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"4", ",", "\"\<0\>\""}], "}"}], "}"}], ",", "None"}], 
       "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Time\>\"", ",", 
        "\"\<\!\(\*SubsuperscriptBox[\(\[ScriptC]\), \(\[ScriptT]\), \(e\)]\)\
\>\""}], "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "0"}], "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "Automatic"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "Automatic"}], "}"}]}], "}"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExportFigsToDir", "[", 
   RowBox[{"\"\<cPathAfterThetaDrop\>\"", ",", "FigsDir"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "cPathAfterThetaDrop", "]"}]}], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[{{}, 
   {GrayLevel[0], PointBox[CompressedData["
1:eJxdzn1MzHEAx/HfUDIqmTsXWh6TXCdRodTn6rqH7q66O6mEHoRIy1MPaJVn
ppWpeW5poyxP8zxbKBqLKQ95ymMtNAtHTGoJ6z5/8Nu+++31e38/2290Qqpx
UR9BEEL/nL/v3scccFOY9Hpb5ZcAywf8a5v/PPg/D8X1jbXO0prPFkuQk+Hk
M9nBbPFIWLnYiRL96FGIMi2+4phIj8HYgtQX5dvpcfjuvr9/TAXtAvuHGwrS
a2lXBNp6tHu9o92wt1E2sE7g/0jRkDSsO8WRlqEG1X3hQXvg9kq5aFkwPQU9
S4+n2EXTnvCObO2rS6anQpF9q80/i56GQ/GbTwt5tBeUZw35xw7Q3phj1V6j
PUb74H2RzbXu8/R0lM2OU92romfAuT7uzMM79Exk7FjRLX5M+6JjgOhn+Wva
D/vqE2MKW+lZiHiqf9Vipv1xd7VTRHkHHYCT9kerWnpowLpME19m/bXXuUDO
m4Bb3wZZLMjxbZF705Mh7HIMvxE7IFLCHghz2XWHtU7sgSjcfDlUMYY9CJlv
uw5fdWEPgmtFQfZHN3YFjvT72flIxq5AstWFuixP9mBIbB0WvPNiD4abOvWa
eAa7Etp11tUOfuxKRF+d+KnRn12Fgxlji9Lk7CqcSjt5syWIXQ3VTPvESUp2
NUSxHyQ6NbsGrcrKhZoQdg0m7Byxb7yOPQS7vl5satazh6BNOkK1KYxdixI7
xQkbA7sWBUXdDWuM7Dq83S1ZUmti18F1T3pb/wh2PZ5JzQ1T5rDrUblVkqmO
ZA/FOlGTWB/FHoqEEueXiGYPQ2dPR/O4uexh+FHqKeukhXCIC5efq46xGOF4
8CE4Mmse74cjyTHls9t8i6vCMb2oOKiOFgwQ++TZLVnAvQHavTd+fadzDVi1
fOWl9bHcGyB1crnfQQtGNCVta0yJ494Ig+hH1HM61whVmqxWHs+9EdL8+pJS
WjBhS2GbpouGCb4JW93DErg3Yfz+PhXFf/wbnOFxRg==
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptC]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm]},
  AxesOrigin->{-3, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-3, Automatic}, {0, Automatic}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{4, 
      FormBox["\"0\"", TraditionalForm]}}, None}]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Work/BufferStock/Tractable/ctDiscrete/Latest/Figures/\
cPathAfterThetaDrop.pdf\"\>"], "Print"]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{}, 
   {GrayLevel[0], PointBox[CompressedData["
1:eJxdzn1MzHEAx/HfUDIqmTsXWh6TXCdRodTn6rqH7q66O6mEHoRIy1MPaJVn
ppWpeW5poyxP8zxbKBqLKQ95ymMtNAtHTGoJ6z5/8Nu+++31e38/2290Qqpx
UR9BEEL/nL/v3scccFOY9Hpb5ZcAywf8a5v/PPg/D8X1jbXO0prPFkuQk+Hk
M9nBbPFIWLnYiRL96FGIMi2+4phIj8HYgtQX5dvpcfjuvr9/TAXtAvuHGwrS
a2lXBNp6tHu9o92wt1E2sE7g/0jRkDSsO8WRlqEG1X3hQXvg9kq5aFkwPQU9
S4+n2EXTnvCObO2rS6anQpF9q80/i56GQ/GbTwt5tBeUZw35xw7Q3phj1V6j
PUb74H2RzbXu8/R0lM2OU92romfAuT7uzMM79Exk7FjRLX5M+6JjgOhn+Wva
D/vqE2MKW+lZiHiqf9Vipv1xd7VTRHkHHYCT9kerWnpowLpME19m/bXXuUDO
m4Bb3wZZLMjxbZF705Mh7HIMvxE7IFLCHghz2XWHtU7sgSjcfDlUMYY9CJlv
uw5fdWEPgmtFQfZHN3YFjvT72flIxq5AstWFuixP9mBIbB0WvPNiD4abOvWa
eAa7Etp11tUOfuxKRF+d+KnRn12Fgxlji9Lk7CqcSjt5syWIXQ3VTPvESUp2
NUSxHyQ6NbsGrcrKhZoQdg0m7Byxb7yOPQS7vl5satazh6BNOkK1KYxdixI7
xQkbA7sWBUXdDWuM7Dq83S1ZUmti18F1T3pb/wh2PZ5JzQ1T5rDrUblVkqmO
ZA/FOlGTWB/FHoqEEueXiGYPQ2dPR/O4uexh+FHqKeukhXCIC5efq46xGOF4
8CE4Mmse74cjyTHls9t8i6vCMb2oOKiOFgwQ++TZLVnAvQHavTd+fadzDVi1
fOWl9bHcGyB1crnfQQtGNCVta0yJ494Ig+hH1HM61whVmqxWHs+9EdL8+pJS
WjBhS2GbpouGCb4JW93DErg3Yfz+PhXFf/wbnOFxRg==
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptC]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm]},
  AxesOrigin->{-3, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-3, Automatic}, {0, Automatic}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{4, 
      FormBox["\"0\"", TraditionalForm]}}, None}]], "Output",
 PageWidth->Infinity,
 InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"mPathAfterThetaDrop", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"\[ScriptM]PathPlot", "\[IndentingNewLine]", ",", 
     RowBox[{"Ticks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"4", ",", "\"\<0\>\""}], "}"}], "}"}], ",", "None"}], 
       "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Time\>\"", ",", 
        "\"\<\!\(\*SubsuperscriptBox[\(\[ScriptM]\), \(\[ScriptT]\), \(e\)]\)\
\>\""}], "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "HowMany"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "Automatic"}], "}"}]}], "}"}]}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "0"}], "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "Automatic"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "Automatic"}], "}"}]}], "}"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExportFigsToDir", "[", 
   RowBox[{"\"\<mPathAfterThetaDrop\>\"", ",", "FigsDir"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Show", "[", "mPathAfterThetaDrop", "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[{{}, 
   {GrayLevel[0], PointBox[CompressedData["
1:eJxd0X9MzHEcx/HrCM2PUdIPbf3Qoh8u+dWl4nW6urq6urv8yqijX0w5VNJo
Top0VpmLrvys+dEiOqnGdiotQ9nqKocYlmvWhRYiP5L5vv/Qd/vsu8f3+Xn9
9XXcKpfGs1ksVvjY+fv+93xaZdpa0hvYZwnmA/73lHGeOc6zx9kajgeMhk7Z
HMZ2+NKVPGlDO9kBdrVe31U+VoydUNAry/ArITvj3DsDZ2CI7AIf1y6L5QJr
xgvwcMepXcUqshs42ZdzjvWQPcAv9R1KsbdhzEHhpYz++s3kRXgQPcytPk32
woYcnmNVG3kx3D33uI6MkpcgzvJu4zOOLeOl2J3V/kK5kbwMC5fJ5cLD5OW4
apX7UVhB9saFszEabSuZi/s/hOG6AbIPzAcvGjXT5jJegYtnnFTZrmRfuHU8
35HEJ/thBIph5WayP7RNv0XsNPJKzDD0CY155FWo9Fh/N+48GRCXPTqSrWGs
AFLroju3NlPnYbH9Ew/LLuo8aGPy1Dd6qa9G+l7vRv4Q9dVwt2k1MYz95389
ADGHCnPLpzNWBCDK1nPbcRvqfKTXTrxe5UydD+cRvdzKk3ogrNfN6+vgUg8E
x+HXXiOPehDcJr26t1NIPQhN8/2vxUqpCzC3gJPZGUVdgIZU8+6HMurBCKjZ
/iA0kXowPkx+o9+STD0EFabl5hYp1EOgShg1TdhHXYi3+tQuWSZ1IXgprn5m
WdRDoevuUcUdoR6KRrvo1+l51MPwXpf/WJBPPQxeBT9q9Ceoi9Cim6XhFFEX
4WDRyElRMfVwRL20N3JLqYfj083YmZ/PUo9Ahn66fdYF6hH4Wp3GNpRRF2Pt
i6RUp0uMIUaIg9xkxRW6L4ZFc+lUzwrGDWJkDu5vm1BJewmadepNd67RXoIy
dX/lmiraS2CbaJnfeYP2Evxk59T5VtNeiqfPtjcoNbSXorxB6dJyi/ZSaG+z
I4w1tJdiW2370dHbtI9EiTrBzKSO9pFI0rK+DZIVkQjzY8Xr6u3wB+CdRaI=

     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptM]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm]},
  AxesOrigin->{-3, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-3, 75}, {0, Automatic}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{4, 
      FormBox["\"0\"", TraditionalForm]}}, None}]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Work/BufferStock/Tractable/ctDiscrete/Latest/Figures/\
mPathAfterThetaDrop.pdf\"\>"], "Print"]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{}, 
   {GrayLevel[0], PointBox[CompressedData["
1:eJxd0X9MzHEcx/HrCM2PUdIPbf3Qoh8u+dWl4nW6urq6urv8yqijX0w5VNJo
Top0VpmLrvys+dEiOqnGdiotQ9nqKocYlmvWhRYiP5L5vv/Qd/vsu8f3+Xn9
9XXcKpfGs1ksVvjY+fv+93xaZdpa0hvYZwnmA/73lHGeOc6zx9kajgeMhk7Z
HMZ2+NKVPGlDO9kBdrVe31U+VoydUNAry/ArITvj3DsDZ2CI7AIf1y6L5QJr
xgvwcMepXcUqshs42ZdzjvWQPcAv9R1KsbdhzEHhpYz++s3kRXgQPcytPk32
woYcnmNVG3kx3D33uI6MkpcgzvJu4zOOLeOl2J3V/kK5kbwMC5fJ5cLD5OW4
apX7UVhB9saFszEabSuZi/s/hOG6AbIPzAcvGjXT5jJegYtnnFTZrmRfuHU8
35HEJ/thBIph5WayP7RNv0XsNPJKzDD0CY155FWo9Fh/N+48GRCXPTqSrWGs
AFLroju3NlPnYbH9Ew/LLuo8aGPy1Dd6qa9G+l7vRv4Q9dVwt2k1MYz95389
ADGHCnPLpzNWBCDK1nPbcRvqfKTXTrxe5UydD+cRvdzKk3ogrNfN6+vgUg8E
x+HXXiOPehDcJr26t1NIPQhN8/2vxUqpCzC3gJPZGUVdgIZU8+6HMurBCKjZ
/iA0kXowPkx+o9+STD0EFabl5hYp1EOgShg1TdhHXYi3+tQuWSZ1IXgprn5m
WdRDoevuUcUdoR6KRrvo1+l51MPwXpf/WJBPPQxeBT9q9Ceoi9Cim6XhFFEX
4WDRyElRMfVwRL20N3JLqYfj083YmZ/PUo9Ahn66fdYF6hH4Wp3GNpRRF2Pt
i6RUp0uMIUaIg9xkxRW6L4ZFc+lUzwrGDWJkDu5vm1BJewmadepNd67RXoIy
dX/lmiraS2CbaJnfeYP2Evxk59T5VtNeiqfPtjcoNbSXorxB6dJyi/ZSaG+z
I4w1tJdiW2370dHbtI9EiTrBzKSO9pFI0rK+DZIVkQjzY8Xr6u3wB+CdRaI=

     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptM]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm]},
  AxesOrigin->{-3, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-3, 75}, {0, Automatic}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{4, 
      FormBox["\"0\"", TraditionalForm]}}, None}]], "Output",
 PageWidth->Infinity,
 InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"MPCPathAfterThetaDrop", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"MPCPathPlot", "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Dashing", "[", 
         RowBox[{"{", "0.01", "}"}], "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"timePath", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", "\[Kappa]"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"timePath", "[", 
              RowBox[{"[", 
               RowBox[{"-", "1"}], "]"}], "]"}], ",", "\[Kappa]"}], "}"}]}], 
          "}"}], "]"}]}], "}"}], "]"}], "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<\[UpArrow]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"timePath", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "+", 
             RowBox[{"timePath", "[", 
              RowBox[{"[", 
               RowBox[{"-", "1"}], "]"}], "]"}]}], ")"}], "/", "2"}], ",", 
          "\[Kappa]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<Perfect Foresight MPC\>\"", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"timePath", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "+", 
             RowBox[{"timePath", "[", 
              RowBox[{"[", 
               RowBox[{"-", "1"}], "]"}], "]"}]}], ")"}], "/", "2"}], ",", 
          RowBox[{"\[Kappa]", 
           RowBox[{"(", 
            RowBox[{"4", "/", "5"}], ")"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Ticks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"4", ",", "\"\<0\>\""}], "}"}], "}"}], ",", "None"}], 
       "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Time\>\"", ",", 
        "\"\<\!\(\*SubscriptBox[\(\[Kappa]\), \(\[ScriptT]\)]\)\>\""}], 
       "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"PlotRange", "->", "All"}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "0."}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExportFigsToDir", "[", 
   RowBox[{"\"\<MPCPathAfterThetaDrop\>\"", ",", "FigsDir"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "MPCPathAfterThetaDrop", "]"}]}], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[{{{}, 
    {GrayLevel[0], PointBox[CompressedData["
1:eJxdy31MzHEAx/ErehiZKGqe6lIi56ZSSdx9erie7uqepDDWWuTpSshKZ27k
OckyU/+YHthwWkaR4qYhDLVi0uShNtN6kCWluTD3+UO/7bvfXt/39yNMydBs
shYIBPF/zt//v++rVG2U3F8UUie1XOB/24+z4zg7ozGnv9mh+7bFrrAbrEzf
fp2eg1GzvnNdDu2OlBWluu4Y2gP9NWafBDfaE1utbuwYHq6xeAH2mSccUrym
F6KqeI/ifTXtg+wnpyarSmgR3Pp6RQoDLcaVxgRT/hZ6KYY6GrNbNbQvqpsb
nPoktB8cTg9OvSqi/SG27rj4aTa9DH5TvNp2OtABmFSh6wkwV1scCLmVTfmM
AToIpW3ad0Nd9HL4h6d6NLTRwbh78aF680t6Bcy6Du2Lh3QI9uxXt3fX0Sux
91mR2HiTXoWCiMUjdkZaAocDSfP7K2gphHu9KxMv0IDJZlpJULHFBqDkg/7B
4SL2UIy8L2wKLmAPxaXcVqHiOHsYJj5Bza089jB0F2zx2mlgD4djefqRLD17
OL6HF+hM2ewR6Po11i7PYo+AqMQxyGkXuwwn80Ol0zPYZRjVr7aX7WCPRNkD
z2+Xt7JHos0msDQojT0Kds+7fn1NZY9C/g1Pr+YU9mhEDdTrXiWzR+Pe7tGN
oxvZYzD0o96IDewx0Iu/LC9bzx4LcaXQVriOPRaP37ZIbiexy9F6IHdJWiK7
HJkjC0JEa9gVWDIm7rVJYFcgXeDW+U3LHoeqhsbWAQ17HJyOGQqtaEE8Mtbn
jrir2eORZlTaKlXsSpw7c/b+CSW7EkP7z0ta4tlVSCoKuOZNQ4Xza2ulR+P4
XoUxn8+rBhQWm1TISR77kUoL1Kjr7Hn6Uc69Gj/7Muel0QY12l22pQ7Gcq9G
evlc1+O0QIOeg8X1njQ0cH7j8vFRDPca5PlmzcygTRrckV0ZnkMLtMht0ixq
iuZei+DnIapjtEGL2jvDs2R//Bv1rm1M
      "]]}, {}}, 
   {Dashing[{0.01}], 
    LineBox[{{1, 0.051866460019042826`}, {78, 0.051866460019042826`}}]}, 
   InsetBox["\<\"\[UpArrow]\"\>", 
    NCache[{Rational[79, 2], 0.051866460019042826`}, {39.5, 
     0.051866460019042826`}], {0, 1}], 
   InsetBox["\<\"Perfect Foresight MPC\"\>", 
    NCache[{Rational[79, 2], 0.04149316801523426}, {39.5, 
     0.04149316801523426}], {0, 1}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubscriptBox[\\(\[Kappa]\\), \\(\[ScriptT]\\)]\\)\"", 
     TraditionalForm]},
  AxesOrigin->{-3, 0.},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->All,
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{4, 
      FormBox["\"0\"", TraditionalForm]}}, None}]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Work/BufferStock/Tractable/ctDiscrete/Latest/Figures/\
MPCPathAfterThetaDrop.pdf\"\>"], "Print"]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{{}, 
    {GrayLevel[0], PointBox[CompressedData["
1:eJxdy31MzHEAx/ErehiZKGqe6lIi56ZSSdx9erie7uqepDDWWuTpSshKZ27k
OckyU/+YHthwWkaR4qYhDLVi0uShNtN6kCWluTD3+UO/7bvfXt/39yNMydBs
shYIBPF/zt//v++rVG2U3F8UUie1XOB/24+z4zg7ozGnv9mh+7bFrrAbrEzf
fp2eg1GzvnNdDu2OlBWluu4Y2gP9NWafBDfaE1utbuwYHq6xeAH2mSccUrym
F6KqeI/ifTXtg+wnpyarSmgR3Pp6RQoDLcaVxgRT/hZ6KYY6GrNbNbQvqpsb
nPoktB8cTg9OvSqi/SG27rj4aTa9DH5TvNp2OtABmFSh6wkwV1scCLmVTfmM
AToIpW3ad0Nd9HL4h6d6NLTRwbh78aF680t6Bcy6Du2Lh3QI9uxXt3fX0Sux
91mR2HiTXoWCiMUjdkZaAocDSfP7K2gphHu9KxMv0IDJZlpJULHFBqDkg/7B
4SL2UIy8L2wKLmAPxaXcVqHiOHsYJj5Bza089jB0F2zx2mlgD4djefqRLD17
OL6HF+hM2ewR6Po11i7PYo+AqMQxyGkXuwwn80Ol0zPYZRjVr7aX7WCPRNkD
z2+Xt7JHos0msDQojT0Kds+7fn1NZY9C/g1Pr+YU9mhEDdTrXiWzR+Pe7tGN
oxvZYzD0o96IDewx0Iu/LC9bzx4LcaXQVriOPRaP37ZIbiexy9F6IHdJWiK7
HJkjC0JEa9gVWDIm7rVJYFcgXeDW+U3LHoeqhsbWAQ17HJyOGQqtaEE8Mtbn
jrir2eORZlTaKlXsSpw7c/b+CSW7EkP7z0ta4tlVSCoKuOZNQ4Xza2ulR+P4
XoUxn8+rBhQWm1TISR77kUoL1Kjr7Hn6Uc69Gj/7Muel0QY12l22pQ7Gcq9G
evlc1+O0QIOeg8X1njQ0cH7j8vFRDPca5PlmzcygTRrckV0ZnkMLtMht0ixq
iuZei+DnIapjtEGL2jvDs2R//Bv1rm1M
      "]]}, {}}, 
   {Dashing[{0.01}], 
    LineBox[{{1, 0.051866460019042826`}, {78, 0.051866460019042826`}}]}, 
   InsetBox["\<\"\[UpArrow]\"\>", 
    NCache[{Rational[79, 2], 0.051866460019042826`}, {39.5, 
     0.051866460019042826`}], {0, 1}], 
   InsetBox["\<\"Perfect Foresight MPC\"\>", 
    NCache[{Rational[79, 2], 0.04149316801523426}, {39.5, 
     0.04149316801523426}], {0, 1}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubscriptBox[\\(\[Kappa]\\), \\(\[ScriptT]\\)]\\)\"", 
     TraditionalForm]},
  AxesOrigin->{-3, 0.},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->All,
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{4, 
      FormBox["\"0\"", TraditionalForm]}}, None}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Get", "[", 
   RowBox[{"CoreCodeDir", "<>", "\"\</ParametersBase.m\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"FindStableArm", ";", 
  RowBox[{"\[Kappa]EBase", " ", "=", " ", "\[Kappa]E"}], ";", 
  RowBox[{"\[ScriptM]EBase", "=", "\[ScriptM]E"}], ";", 
  RowBox[{"\[ScriptC]EBase", "=", "\[ScriptC]E"}], ";"}]}], "Input",
 PageWidth->Infinity,
 InitializationCell->True,
 CellChangeTimes->{
  3.4147113360593357`*^9, {3.414711423427273*^9, 3.4147114237703323`*^9}, {
   3.415049857503332*^9, 3.415049860033053*^9}, {3.4232523017432213`*^9, 
   3.423252303309757*^9}, {3.423296951388492*^9, 3.423296951462578*^9}, {
   3.445519651765409*^9, 3.445519653916889*^9}, {3.445521684031488*^9, 
   3.445521712313098*^9}, {3.445522057901187*^9, 3.445522070590028*^9}, 
   3.445522295367165*^9, {3.445531443560748*^9, 3.445531446932507*^9}, {
   3.445686028585678*^9, 3.445686034809003*^9}, {3.4477599034470263`*^9, 
   3.447759903588168*^9}, {3.447762206725656*^9, 3.447762207971937*^9}, {
   3.447762413742395*^9, 3.4477624301576433`*^9}, 3.447767632838335*^9, {
   3.447775896441001*^9, 3.4477758969184113`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Solving ...\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Below \[ScriptM]MinBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "62", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Below \[ScriptM]MinBound times \[ScriptM]E after ", 62, 
   " backwards Euler iterations."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.824411914427029`", ",", "0.34259070403268976`", ",", 
     "0.3302150754892809`", ",", 
     RowBox[{"-", "21.635502687255663`"}], ",", 
     RowBox[{"-", "0.20306906720787984`"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {0.824411914427029, 0.34259070403268976`, 
   0.3302150754892809, -21.635502687255663`, -0.20306906720787984`}],
  Editable->False]], "Print"],

Cell[BoxData["\<\"Solving ...\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Above \[ScriptM]MaxBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "160", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Above \[ScriptM]MaxBound times \[ScriptM]E after ", 160, 
   " backwards Euler iterations."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "556.4499878816595`", ",", "35.52445459521509`", ",", 
     "0.06071949013176408`", ",", 
     RowBox[{"-", "0.46452166149406504`"}], ",", 
     RowBox[{"-", "5.357948748580723`*^-7"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {556.4499878816595, 35.52445459521509, 
   0.06071949013176408, -0.46452166149406504`, -5.357948748580723*^-7}],
  Editable->False]], "Print"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[ScriptM]Max", ",", "\[ScriptM]MaxMax"}], "}"}], "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1.5", ",", "5"}], "}"}], " ", "\[ScriptM]E"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"\[ScriptC]LowerPlot", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"cE", "[", "\[ScriptM]", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]Max"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"Dashing", "[", 
       RowBox[{"{", ".01", "}"}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cEPFPlot", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"cEPF", "[", "\[ScriptM]", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"Dashing", "[", 
       RowBox[{"{", ".02", "}"}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Degree45", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{"\[ScriptM]", ",", 
     RowBox[{"{", 
      RowBox[{"\[ScriptM]", ",", "0", ",", 
       RowBox[{"cE", "[", "\[ScriptM]MaxMax", "]"}]}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"Dashing", "[", 
       RowBox[{"{", ".01", "}"}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cFuncPlotBase", "=", 
   RowBox[{"cFuncPlot", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"cE", "[", "\[ScriptM]", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
      
      RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BufferFigOrig", "=", 
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"Log", "[", 
        RowBox[{
        "\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", "\[ScriptM]", "]"}], 
        "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", 
         RowBox[{"0.5`", " ", "\[ScriptM]E"}], ",", 
         RowBox[{"2.1`", " ", "\[ScriptM]E"}]}], "}"}], "\[IndentingNewLine]",
        ",", 
       RowBox[{"Ticks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{
            "\[ScriptM]E", ",", 
             "\"\<\!\(\*SuperscriptBox[OverscriptBox[\(\[ScriptM]\), \(\
\[Hacek]\)], \(e\)]\)\>\""}], "}"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"\[GothicG]", "+", "\[Mho]"}], ",", 
              "\"\<\[Gamma]\>\""}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              FractionBox[
               RowBox[{
                RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"], 
              ",", 
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<\!\(\*SuperscriptBox[\(\[Rho]\), \
\(-1\)]\)(r-\[CurlyTheta])\[TildeTilde]\[Thorn]\>\"", ",", 
                RowBox[{
                "CharacterEncoding", "\[Rule]", "\"\<WindowsANSI\>\""}]}], 
               "]"}]}], "}"}]}], "}"}]}], "}"}]}], "\[IndentingNewLine]", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"2.1`", " ", "\[ScriptM]E"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"HorizAxis", ",", "\[ScriptC]GroMax"}], "}"}]}], "}"}]}]}],
       "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Dashing", "[", 
           RowBox[{"{", 
            RowBox[{"0.005`", ",", "0.025`"}], "}"}], "]"}], ",", 
          RowBox[{"Thickness", "[", "Medium", "]"}], ",", "Black", ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"\[ScriptM]E", ",", "HorizAxis"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"\[ScriptM]E", ",", "\[ScriptC]GroMax"}], "}"}]}], 
            "}"}], "]"}]}], "}"}], "]"}]}], "*)"}], "\[IndentingNewLine]", 
     ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Dashing", "[", 
         RowBox[{"{", "}"}], "]"}], ",", 
        RowBox[{"Thickness", "[", "Small", "]"}], ",", "Black", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[ScriptM]E", ",", "HorizAxis"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[ScriptM]E", ",", "\[ScriptC]GroMax"}], "}"}]}], "}"}], 
         "]"}]}], "}"}], "]"}], "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Dashing", "[", 
         RowBox[{"{", "}"}], "]"}], ",", 
        RowBox[{"Thickness", "[", "Medium", "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"\[GothicG]", "+", "\[Mho]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"2.1`", " ", "\[ScriptM]E"}], ",", 
             RowBox[{"\[GothicG]", "+", "\[Mho]"}]}], "}"}]}], "}"}], "]"}]}],
        "}"}], "]"}], "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Dashing", "[", 
          RowBox[{"{", "}"}], "]"}], ",", 
         RowBox[{"Thickness", "[", "Medium", "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              FractionBox[
               RowBox[{
                RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"]}], 
             "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"2.1`", " ", "\[ScriptM]E"}], ",", 
              FractionBox[
               RowBox[{
                RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"]}], 
             "}"}]}], "}"}], "]"}]}], "}"}], "\[IndentingNewLine]", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"2.1`", " ", "\[ScriptM]E"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"HorizAxis", ",", "\[ScriptC]GroMax"}], "}"}]}], "}"}]}]}],
       "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{
           RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"], "-", 
         "0.1"}], ",", "HorizAxis"}], "}"}]}]}], "\[IndentingNewLine]", 
    "]"}]}], ";"}], "\[IndentingNewLine]"}], "Input",
 PageWidth->Infinity,
 InitializationCell->True,
 CellChangeTimes->{{3.409085410618239*^9, 3.409085453210408*^9}, {
   3.414676780720089*^9, 3.414676791044487*^9}, {3.4146988673573313`*^9, 
   3.414698905469092*^9}, {3.414861919386621*^9, 3.414861958284054*^9}, {
   3.414864300071748*^9, 3.4148643020521708`*^9}, 3.414880599298835*^9, 
   3.414880641246543*^9, {3.414880806856895*^9, 3.41488082735209*^9}, {
   3.415120358954856*^9, 3.415120373439983*^9}, {3.415372657470644*^9, 
   3.41537265786821*^9}, {3.419702482996944*^9, 3.419702484787754*^9}, {
   3.4477711977368193`*^9, 3.447771223466619*^9}, {3.4477713592665854`*^9, 
   3.4477713598555737`*^9}, {3.4477714890828753`*^9, 3.447771495190624*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Stable\[ScriptM]LocusOrigPlot", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[ScriptM]EDelEqZero", "[", "\[ScriptM]", "]"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
      
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Black", ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", ".01", "}"}], "]"}], ",", 
         RowBox[{"Thickness", "[", "Medium", "]"}]}], "}"}]}]}], "]"}]}], 
   ";"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Mho]", "=", 
   RowBox[{"3", " ", "\[Mho]Base"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"FindStableArm", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cFuncPlotNew", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"cE", "[", "\[ScriptM]", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"RGBColor", "[", 
       RowBox[{"0", ",", "0", ",", "0"}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cFuncPlotNewPoints", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{"\[ScriptC]", "[", "#", "]"}]}], "}"}], "}"}], "&"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{"\[ScriptM]", ",", 
       RowBox[{"{", 
        RowBox[{
        "\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax", ",", "0.01"}], 
        "}"}]}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Stable\[ScriptM]LocusPlot", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[ScriptM]EDelEqZero", "[", "\[ScriptM]", "]"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"Dashing", "[", 
         RowBox[{"{", ".01", "}"}], "]"}], ",", 
        RowBox[{"Thickness", "[", "Medium", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"Stable\[ScriptM]LocusPoints", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{"\[ScriptM]EDelEqZero", "[", "#", "]"}]}], "}"}], "}"}], 
      "&"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{"\[ScriptM]", ",", 
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax", ",", "0.1"}],
         "}"}]}], "]"}]}], "]"}]}], ";"}]}], "Input",
 PageWidth->Infinity,
 InitializationCell->True,
 CellChangeTimes->{{3.413722736078219*^9, 3.413722738917939*^9}, {
   3.413722948908338*^9, 3.413722972876524*^9}, 3.413723084067931*^9, {
   3.414278010213022*^9, 3.4142780168637342`*^9}, 3.414624608942724*^9, {
   3.414862283814937*^9, 3.414862284682383*^9}, {3.4151205272479143`*^9, 
   3.415120527737167*^9}, {3.427039348449047*^9, 3.427039366126049*^9}, {
   3.445521295359478*^9, 3.4455213014029903`*^9}, 3.44552135685144*^9, {
   3.445521493151105*^9, 3.445521501839384*^9}, 3.4455215842364807`*^9, 
   3.445521725718635*^9, 3.4455223108025846`*^9, {3.4455225173310423`*^9, 
   3.445522523920755*^9}, 3.447762092950346*^9, {3.447762255079711*^9, 
   3.447762256130522*^9}, {3.447762552916504*^9, 3.4477625572551193`*^9}, {
   3.447768497513296*^9, 3.447768499095418*^9}, {3.447768615907078*^9, 
   3.447768653974662*^9}, {3.447768769938015*^9, 3.447768774020068*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Solving ...\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Below \[ScriptM]MinBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "75", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Below \[ScriptM]MinBound times \[ScriptM]E after ", 75, 
   " backwards Euler iterations."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.7980286675013117`", ",", "0.24100652866135025`", ",", 
     "0.24696491778442228`", ",", 
     RowBox[{"-", "32.41683284736303`"}], ",", 
     RowBox[{"-", "0.12693790462966145`"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {0.7980286675013117, 0.24100652866135025`, 
   0.24696491778442228`, -32.41683284736303, -0.12693790462966145`}],
  Editable->False]], "Print"],

Cell[BoxData["\<\"Solving ...\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Above \[ScriptM]MaxBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "161", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Above \[ScriptM]MaxBound times \[ScriptM]E after ", 161, 
   " backwards Euler iterations."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "756.2210456942753`", ",", "47.49598497133147`", ",", 
     "0.06071522800391689`", ",", 
     RowBox[{"-", "0.3474184093093843`"}], ",", 
     RowBox[{"-", "3.497027319945998`*^-7"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {756.2210456942753, 47.49598497133147, 
   0.06071522800391689, -0.3474184093093843, -3.497027319945998*^-7}],
  Editable->False]], "Print"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SimGeneratePath", "[", 
   RowBox[{"\[ScriptM]EBase", ",", "100"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[ScriptM]\[ScriptC]PathPlot", " ", "=", " ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"\[ScriptM]\[ScriptC]Path", ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"PointSize", "[", "0.007", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[ScriptM]MinNew", ",", "\[ScriptM]MaxNew"}], "}"}], "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "5"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[ScriptC]MinNew", ",", "\[ScriptC]MaxNew"}], "}"}], "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1.5"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TractableBufferStockTarget", " ", "=", " ", 
   RowBox[{"Show", "[", 
    RowBox[{
    "cFuncPlotBase", ",", "Stable\[ScriptM]LocusPlot", ",", 
     "Stable\[ScriptM]LocusOrigPlot", "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<Target \[LongRightArrow]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]EBase", ",", 
          RowBox[{"1.02", "\[ScriptC]EBase"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\< \[LongLeftArrow] Sustainable \[ScriptC]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]E", ",", 
          RowBox[{"0.98", "\[ScriptC]E"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<c(\[ScriptM]) \[LongRightArrow]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"0.7", "\[ScriptM]EBase"}], ",", 
          RowBox[{"0.85", "\[ScriptC]EBase"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Ticks", "\[Rule]", "None"}], "\n", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\[ScriptM]MinNew", ",", "\[ScriptM]MaxNew"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptC]MinNew", ",", "\[ScriptC]MaxNew"}], "}"}]}], 
       "}"}]}], "\n", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<\[ScriptM]\>\"", ",", "\"\<\[ScriptC]\>\""}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OldAndNewcFuncsPlot", " ", "=", " ", 
   RowBox[{"Show", "[", 
    RowBox[{
    "Stable\[ScriptM]LocusPlot", ",", "cFuncPlotBase", ",", "cFuncPlotNew", 
     "\[IndentingNewLine]", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "Automatic"}], "}"}]}], "}"}]}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0.", ",", "0."}], "}"}]}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 PageWidth->Infinity,
 InitializationCell->True,
 CellChangeTimes->{{3.414278041558679*^9, 3.414278046680132*^9}, 
   3.4146997826547194`*^9, {3.4148622952733927`*^9, 3.41486229571399*^9}, {
   3.414862401679669*^9, 3.414862428312516*^9}, {3.414862505798785*^9, 
   3.414862511825191*^9}, 3.43930657088412*^9, {3.4455213178585167`*^9, 
   3.445521319929006*^9}, {3.4455225484065313`*^9, 3.445522549340981*^9}, {
   3.445686015977983*^9, 3.445686059294726*^9}, {3.445686098264359*^9, 
   3.4456861162318563`*^9}, 3.445686207496058*^9, {3.453679236749938*^9, 
   3.453679238266032*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"PhaseDiagramIncreaseMhoPlot", " ", "=", " ", 
   RowBox[{"Show", "[", 
    RowBox[{
    "OldAndNewcFuncsPlot", ",", "\[ScriptM]\[ScriptC]PathPlot", ",", 
     "Stable\[ScriptM]LocusOrigPlot", "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<Orig Target \[LongRightArrow]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]EBase", ",", 
          RowBox[{"1.02", "\[ScriptC]EBase"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<\[UpperLeftArrow]New Target\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]E", ",", 
          RowBox[{"0.96", "\[ScriptC]E"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<Orig c(\[ScriptM]) \[LongRightArrow]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1.3", "\[ScriptM]EBase"}], ",", 
          RowBox[{"1.2", "\[ScriptC]EBase"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\< \[LongLeftArrow] New c(\[ScriptM])\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]EBase", ",", 
          RowBox[{"cE", "[", "\[ScriptM]EBase", "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Ticks", "\[Rule]", "None"}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<\[ScriptM]\>\"", ",", "\"\<\[ScriptC]\>\""}], "}"}]}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[ScriptM]MinNew", "-", "1"}], ",", 
          RowBox[{"\[ScriptM]E", "+", "3"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptC]MinNew", ",", 
          RowBox[{"1.3", "\[ScriptC]EBase"}]}], "}"}]}], "}"}]}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0.", ",", "0."}], "}"}]}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExportFigsToDir", "[", 
   RowBox[{"\"\<PhaseDiagramIncreaseMhoPlot\>\"", ",", "FigsDir"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "PhaseDiagramIncreaseMhoPlot", 
  "]"}], "\[IndentingNewLine]"}], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     {GrayLevel[0], Thickness[Medium], Dashing[{0.01}], 
      LineBox[CompressedData["
1:eJwVjns0lAkYxodCO5ZSyLpTuUbMuDQzq/dVSrmkBtGKmiRsnZZdS9OdM2lQ
ko1KOWHrkJRuNKRcsqcNpSElRzvUhDOTZuab+T5R2Z394z3P+Z3nnN/zOuz8
hZukS6PRwrX3f848ex54v7Vq1aGjGfMF+Qr4FL69UszIhsSG4UvHChSwqUvp
UMc4AyHyILfDJxWQLWTtvMCoBIsYs7WZhQooG4/XLWLchruejQdSihXgtDiN
W8BoB9nbqQ9hZQr46MmfETLEEPvjwRazWgX0Nh9+foIxCj7T2anVTxVQEGbQ
Xi9XQXOav7uRgRLWngq/T12egbQAP31dZyW47qJPrTmrgxWvtydvWaeEkurb
r+x99dHMdfoMN0UJz/rPBclz6WjXb+lAFypBdrWd2uA7H/f51PFTa5VwfqZE
OjZmgv6JKbEuPUqoLJWdvWxoiiWyuotVciWU6/GSqxLMcaUrr6bTSAWzExTN
Ot8C09rKf6jyUIGGfsOtptYSlyzTM5GEqeDtv4LMI9PWaBk4LH68TwXuqYfy
uu3tsLqBM5VYqILGvpDt3g/scf8ofez6LRXYF40H5o44YOfQ3LjIPhU8NDAV
mhOOeGX5CZ9GlQpepmyWdFsuxS5f/uu2RQTYCGzLWlYsw+Pn1P/kMgkYEX5N
6otzQsGtt/WaaAIm62T89BxnnC0l9DuyCPAoSFGFlrig0avTHSHnCBjjTvFD
W12R13Mp+GATAX0vzXbnDrhhiBXDO/kNAfMyg8pCxtzxhj9RceczASKaQMI0
9sBoQ8ehq5ZquLg2Uhjr6InF/kNZUWw1TP3GXF0VvgJNrXQltdvU0DtiUtXM
8kKTnqieHUfU0CIVv2zv8MKqgRW2feVqSIq3LIqL8UZ+6QGWvFUNLnfdvi18
543S+vCmVokaiizWGM//mYFdpaGt6lk13CPeV5d/YyDp01TYa68B4lqYesMJ
Jt5zr+/YjRqYHAh4IrT2waY3pm1Xd2pAR0KFfaj2wcgRXceKHA00T93PzPXy
xeR7VvSZSg14Hddxbe70xTa48uDLYw20KhaeMozww5tLGsSi9xow7K3jK6R+
OPLI97aNPglfH26kW+z3x0LnUfN3ziQY5IvCEnRW4osJ01FeMAnPu2oX+5eu
xBieKCMvlYT6iV1nPRxYmMGQ7t2bR4KvuXNDyjUW0sVs+c0aErJE6Ql+AWwc
c9JhXugiod9f0OTwhI1bBiIkq2Qk5NxQnM57ysbT4+OePVr2WhK3W9XNxr+n
jx7ZKifhpDFjUfsLNrJtb9lkfCRh3QfJ3h1DbLRNXrDt2icSRMUc+8uTbJR+
fjG4SE3CpUki19qUg79ac/smvpAQkpgQLzDn4HVPmUPmVxI+Dz5lfrTgoBRz
0ud8IyG6s2LkgQ0HtyTdWWA7S4LxxY3sOGcOsm4ujIikUXBsfe3kBTYHadjf
/XAuBZ6PzDp1ArQ9d49VqB4Fw8zsslTQ7u2as2dQyyy72GBWkNYvZNLV+hQQ
pF7lYDgHn4j/WO/yHQUVe9KzcJPWJ3U/36DliNHh8Bqu1kc9Hl9Np6Cu5+5M
Voz2X0tNbrwhBT+tthNLtmp9y0++kml5nii/OngbB61hqdP+7ylo9KAO1ydw
MHpzy+96RhQk/cmLWszjYGFi1F/FWv4Pfu1TBQ==
       "]]}}, {{}, {}, 
     {GrayLevel[0], LineBox[CompressedData["
1:eJwV0Hk81AkfwPFxzShFyTFN5CrHlDCaHLP1/aqQa3OmVq4WW6ktT0+s3ZzP
5EiOTsdqHa0cS3hJ7hx5kdyEMDEmyTOahh9hh/Ts88fn9f7/o3HuirO/OIlE
uvBP/1fU3WNR1Zh7hETyabzGvXPks4N3Tj8jCiLlORlpPlfB8fW8RjHjDjTZ
35Khe0RCVJzZuXRGDvi8bz434ZgCGR89xVMY5aBLMcrMPZwN2spXnRMYzcAx
2iE/SSuDTwdCRXGMflg2ctdjVTaCpkWigWp9P1A/ql4yc2sCd5ccv3LLAWBz
p79L6G2ClpCOntHTg9CW12dm+7IZ0pp2PqZHDMFdiZZ9kvkvwdK51q6rcxQW
0poEFZ7t0Fsb1hPLmIK125bKp0N74MSGnf6usCkocuxMU5jvgRYL2u2n7VOw
yXXU1DCgF569em4zdJYHvuCXfUS3D9KGha2ase+hBDOJLNl+8CF86xrGPwDc
jfrFuHMACD2rgkU2H8YbnOLdJIch8LICJbaXDxcztiQ4MYdhuoznT6PNQZeq
fyUlYBiGTSK0LErnAPn023+2DUOdZfUfSaOfQL3Q5uFT9giwfekP9A4IIbBy
ZCVk6S0k2FOaS+cW4MR5g9nYJ+OQ5M/lRMoSsDPesU2uexxSwmtWnYwIeLbf
j3FhcRwelgUaLgUTkCvtcvYucCBXoS/LVHwRUu6VhXQMcaCWkxbeTF2C7fLx
h/aK3sHsJfp3g5bLULQunporzwXLRIeq5SwR/LURH0LI8IBRpLtObRHBH8Mb
n2NoPNjdLmHBmhZB4cnrMnJ6PFgm1b6O0F2DmReN2SJLHjz5t/aEdPkafG7P
0zsawQPps98kd7Wsw9ieYXqhkAdd9HJnmN6A/0SuRd549R70/DavHLsvht41
W4hsrw/wIL98WJ1JxidNaS8Sr85C92Dq8bmYzbinzW08fo0P/LzmZRumHCYH
+BjbRQggTfRgemZmOxbNCe0KOoSQ85B/P0tGAY87zNTXzczDIynfn3K9lDBG
ddMIMb8AG7PLJJVbVJTdxvx5/yQBS5tL6AVFNORcvC5e3LQI776xg8P/VsE0
eV1mZckS7LtwI75TXQ1fTAq/1rC/wPMBW2+jOnU8I1vKXf9pGdRTPlrEcDWw
VUnRiLBYgQaKQpwSoYmDWmXKuptW4c15p8lO2h5kTl0WWL1bBVX27ox6g73o
fadcZj7rb+DGrfsPeGjjc9rLH9KviEBQzA8NitbBpsWdOb+ZroF+wvkFuwe6
aPNfGlxb+Oez80qoXaMejjzrskuuWoeBN4oBMUN0pIhlFV76+StIBx/PsJ3Z
h3rXqzK4ahtQTWJPGsvq4zVPZljExAb8bukSd1rzAGbCU+v6pG+wcs34aK6D
AeZF5Jls0iZhL3d7bq2ZIb6KdhsyiCZh/XT/m+YWQxzjN6T+OkJCf09aioe7
Ea72t/TZG4uhbgX9qzzPCBVTru8LjBPDFOoxWbmLDEzli3e7jYvhM+J9/qOv
DPxyRyWq6aA4EoX2izaxxliZkRhXGiuOgqHD7XEqBzFrKmZCYUocxSaX7T/k
H0TQORlPOyiBtStVwTGGTFx0OmNBvSmBhjfF9GpbmaiZmqnC5khgo1A+Uebk
IdwbtkOuRl8SZXqLQ4XThzBQJt3K5aYkrjd8v5n6iwkuGXS7EmOSSLlVbe8l
ZopffttpFUaXwp7XRcomD02xdmKXn3+kFJbO+t3X1zDD2V5qvG2fFDKVdCrP
F5qhhD2sndpNxpDqIK9Dh82xg2/Mqf4XGQdN2DUa7eaoMtbVa9RMxugSYXJ8
hznGXKE/Tm4ho6GWR8BCpzkSuulBgpdkvC3L2NHcZ45bg0q+FbSR0erD5CWf
MXOMpndw1brIWH2XpZ4lMMfR/QlVW0bImCkgYlQUWLjmp9rA+0RG2x+9PNlK
LDQ7dXQJPpNx9W2H8ScqC8Pt7mk/EpLRrTWbW6fKwlfJ9TfcCTLK/v69uYcO
C/3uHRN2rpAx8kSRIN2chTPB44IKcQoeeKHYKnaYhQIXrbfbJCnIMY7KuAAs
vOryZ8NlKQqaqZ22NjvOQhS5/qojTUHii1TOWwcWTj+Krc3YSsHswKAQdGSh
onVp+IosBU9OcRwKnFlITVI64rqNgsVdFaIQdxaeMsh/unUHBX84qtY/eYaF
xN4B74sKFJSuvpVvfZaF6ouwpV2Rgs/1l8NKvViY5LdQoaVMQf/Hvq7Kviys
sv54KpJKwf8BpHcTFA==
       "]]}}, {{}, {}, 
     {RGBColor[0, 0, 0], LineBox[CompressedData["
1:eJwVxX08lAccAPC767kxNlbJ28jLilx5O664Z/X7EYUQsghdnSWqtVUaU0tI
3qpFifL+VmSkUtxJdKXk/e00enNEJJJzHR2y7Y/v56vn/5tHAI1CoXD+8/+y
llabytq8DRSK6MNwb/yGDy67cjuYkfAgix/cdSMQ3Bo/6pUwkwCbB1Inr4VC
ZJy1/xVmLrRzvCxHUmMhbXgnLZF5C4LGNpj8fjwVDNQOeZxhCuDo3qLO7k2F
MGYSJotjdoCk/ablxEAF6NucM9Wu7gDXDNHQoYuV4LUtd88t+06QaLxriNjI
g4ehDa293l2wffD2e9s8Plx+oJHPONkNr7ui9Jb6VIO9R9WW5qZeaFYoHQ7s
eQBtVSdaY5n9oKF4pb9R8hgcvmwx/v5EP9QYM7Y7OT2BhzaaZ2/U90Pnjdt1
ftlP4M7TCsduvwEYVYwxXOdQD5efTdTpx76BIv1rGmXJT2G3mHvv/oshuKjC
P7JfvQnERpuKpqJH4YflGaWtbW1wxllOUPZ+EkoqzhV06QnhrwDRywglMSRt
v8C2BSEkhvNn3M3FwCk4OJTsJ4SUmwfMJCFisHUMODKcIoQ8lfZsK9oUWGgQ
Og4K3VD18nK4QF0C3ldFxJqxbhj5hfFjl70UXteG0OWz/gH7cy6V0mwZKBYd
MeHVPQejPQrTG5Op2OlsMPNZVwSXCm8902V9hd8m0RrdBQPQ0pVq9z5GAYlq
Xqrb3CCMXhVIHVnK+MbE+UIwOQyXZZcG375djNoT1QW0re8gN2U0OVtRBRk1
Imeh4XvIpHMD8ziqKJT6B/uojMOXESlFK0Edhw7ylcPbP4BEoZRRVKyJBsVm
ix+TH+HVQnRI+GctZIT3rPT9fhJW7/szvklXB/17TvcxhiehotNpl/k9XaS+
c+CeqhWDbuKwTYxID3njm191nJ+C+3IqcapifZT7I5DZ6yoBYZB7X5PmCrwb
33CqT/MTaEcvT6s2XYm83eUtWc8+gShuLqDT1wB76d/xg7KlMF4yGnY4yhBL
9nwjp+k/DcZngia3XFqFSSl+d6qXzcBbj+mwLbVGePVGvmvEsxnoFC7bG9PN
wJPe7iU1cZ9BPsQuzentaoxkVf4+y5IBjxLdZ6FkjJ7SlskdH2WQbr8tzlvf
BO3KpE+GMmZhOtjCNs/FFE0yRdyo7XPQJlqcV2VthjOeK7X2Kc5D9WCHUPDQ
DGfT52/Kl89DwE7NRF8vc6w/2ZNRGvgFVpUz5pcMmGOWkdF6F+UFSFTfqKS8
n4nKJXzRvdsLcEf8pjBznomVu2IrEs0pKL7uPOUYa4E3Iy0v/HaKguPd6+vj
tCwRrwm+EbygILVP6jxUaImeV3UXuo2pWDVdGRJjxsKw63bx0hNUNDtNNaqq
Y2EN46lSlJCKtRNLziluXYvNDTLu1AoaKraVhE0MrsVjj9i364/TcO6+q4L6
H+vQgGP++lY7DeUSeM4cqhWq/+qzM1tnEbY2FqutS7HCL5kHuSNHF2HZyJ5k
Yz1rlFP94LKxbhGyVA3vBl23Rt6Iz96OxQSG8g5z1q5nI6vLZaQ8gMCuddF8
vXo21ubYFNaUExhVOnE+voGNWm7CHM27BJr94Lt3somN/ZPLUkIqCDyrxFwq
aGfjseGiYBM+gZuG+n7Z/ZyNorN6s5k1BPIukLrZ42xMqJoj/2wgMGNcHKOl
QmKwqWMCq49Ap585O6NVScwRqs8migic6WmwGFMncWSsNHCsn8Cf6nJE97RJ
tCJXW+YPEqiU7sr2NSRxX8HptO9GCYxwKB6/wiaReLwtc1RCoEnNsjrqehI9
N7U02ksJfGkRmbYPSCy2UpPkTBNoreO92dqORImRDttLRqD4Ez23x4XEQw5L
kh8tEJhz4HAoupF43k8/ZzmVjlv7X7oUeZB41E2+KIxGx5LmclmoF4kPznj/
bUqno4+tTkffDhJ719RdS/iKjvK8hMLNfiSqceWzhuToWGEsPVHGIfGdcGUS
fk3HgHyupxqXxGRL7Yh0BTr+Cynex6s=
       "]]}}}, {{}, 
    {GrayLevel[0], PointSize[0.007], PointBox[CompressedData["
1:eJw10n001dkaB/CTmJcyqcnrOWeL7hyUhq7GbTDW8+TlSsgwGcydOCkHlUIy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      "]]}, {}}, {{}, {}, 
    {GrayLevel[0], Thickness[Medium], Dashing[{0.01}], LineBox[CompressedData["
1:eJwVx30w1HkcwHGrQsytETYjslSearXWQ3Z/6fMhcUJ1oidPJ3TVqVZXZMKl
09o8lAqVdOGu8VjqFNKD8TAnq0jRUB3bnWS0a+2uffCN7ro/3vOel+3eI6EJ
ujo6OiFf+//kea9PU2vFhoh4Lj+KK4OpkJjyfk4miI778A0oGWwTTdvWcS6A
V3Ygv2G9DDKF3L1XOeVgXrObvxhlUPIxSreAcxf6ZKn8+/4ysF/KD83ltMHG
ky38b8JkIHFJJUJOPzhfpJIeH5ZBX0t6bzbnPcy2eh+1/l0GucH6bfWf5CDW
u28iMZqGTfkhTeobBGopQbvSZxqc4g01GwtpyLC7w5QkT0NR5d3XTA89LKYd
fh17Zxqev7rs90lgiHNT+8Zo49MwebNNHehhjCmDykAbphyukKKx8XETvHRo
OJK1Ww7lxZOFN4zMsNiUdCWck8P1RbE/VEQz8NYft3OWPZXDlwm1jlWOBdbG
/Hrz87wcZgxvOVfVWGLgk/FDzzgK+OvfrOSMWSucN+/It0xUwOoDaWd7mDZ4
+eSbRZfKFdD4cnOM60Mm+r85Myh8qwBmwUcfgdgWiybPhh4xU8JjfTMhQ2GH
PQbdDqcClTCw/7vRHsuVyGCWhtF/UYJ11vKSR2tXYcCmmuE/m5UgFs4lvIyw
x/y44MY5hRKkdZOpSacd8JhbAK5YMwOs3P3yoCJH9DVJtzsWOwPjoZrUoFYn
XDnhH+l7bQZeDpjvEww6o+RZ0BSvfwYMkv1KNo+vxh1x1ayVeipo1skadaOz
cEBR0pkDKri2abtwl50Lcgu6GpYdV4HmJzffipC12GAvJE71KugTm1S0cNn4
/HD5lOOECh6N9Q+0tbOxt1PFC7VWQ0KUZUHETlccMx0Z0e5Qg2OD8/ySv11R
zKe97c5TQ4HFRrrxQQ6m/5yeldumhnuKfyqvz3NwbXb+GRFRg6I6WBmY7YZd
pUMjbmwNSAe9u4RW7nistum85UEN0EbVwR8q3dHgaf+V1WUaaNE0JQvYHri+
2G8ra1AD7DM0p5ZODxREBUXV0bXQKluSb7TVExs5+R3hflow6qtLlY15ItGJ
y0zL0MLc4y2GFifWofjUBcmlJi3o5zQHR9O8sI7+uX5QooVeUc3SdcVemFek
FRXaz0L9RHwhy5aLYc6uGzIiZ8GD4XB/fzUXH/Hbo3ddmIWU5qRoT28eet35
+LpeNAuv1mU9sO3iYel8QKWrDoHTt2Tnz3bz0M608yKTRoC9ImKfvIeHVY6Y
YaxLII/OMW17wcPG7V7h0gUE/D+MJn7/hocvqh0XVOsTaL5IMW9Iebhwx+IY
pjGBUqlCYGVGYeJtEcN4OYHNcdFRWQwKFR3+ul++WjvU7SaxoPDEcLtUYkMg
vLNM/NCaQsHCh50iWwL0a1t4EQ4Ulu2pPSpYReDUtzXSqzwKX+nl9c6vIeDy
xLyT5k3hHiuDFgmLwDu3zJIDQKHYNevmWxcCXJtdAVw/CqWRaWkP2AQUqkXl
QyEU6jckOh93J1D2Y1IKbqPw3NMJ83gPAlvfvwupCqXQbCSett2TQN2zBpKy
k0K7xVFDbC8Ce3xt+kd3U1i1fLjDhkvAoDmnMiCSQhf38Ho6j0AjS51eH03h
vcD+kvmvTvgtNmxpLIXrY0IEEorAfzRZTtk=
      "]]}}, 
   InsetBox["\<\"Orig Target \[LongRightArrow]\"\>", \
{5.475852558086449, 1.1306985751961922`}, {1, 0}], 
   InsetBox["\<\"\[UpperLeftArrow]New Target\"\>", \
{7.50275366067779, 1.0495278331598719`}, {-1, 0}], 
   InsetBox["\<\"Orig c(\[ScriptM]) \[LongRightArrow]\"\>", \
{7.118608325512383, 1.3302336178778733`}, {1, 0}], 
   InsetBox["\<\" \[LongLeftArrow] New c(\[ScriptM])\"\>", \
{5.475852558086449, 0.8968558720293791}, {-1, 0}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"\[ScriptM]\"", TraditionalForm], 
    FormBox["\"\[ScriptC]\"", TraditionalForm]},
  AxesOrigin->{0., 0.},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-1, 10.50275366067779}, {0, 1.441086419367696}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->None]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Work/BufferStock/Tractable/ctDiscrete/Latest/Figures/\
PhaseDiagramIncreaseMhoPlot.pdf\"\>"], "Print"]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     {GrayLevel[0], Thickness[Medium], Dashing[{0.01}], 
      LineBox[CompressedData["
1:eJwVjns0lAkYxodCO5ZSyLpTuUbMuDQzq/dVSrmkBtGKmiRsnZZdS9OdM2lQ
ko1KOWHrkJRuNKRcsqcNpSElRzvUhDOTZuab+T5R2Z394z3P+Z3nnN/zOuz8
hZukS6PRwrX3f848ex54v7Vq1aGjGfMF+Qr4FL69UszIhsSG4UvHChSwqUvp
UMc4AyHyILfDJxWQLWTtvMCoBIsYs7WZhQooG4/XLWLchruejQdSihXgtDiN
W8BoB9nbqQ9hZQr46MmfETLEEPvjwRazWgX0Nh9+foIxCj7T2anVTxVQEGbQ
Xi9XQXOav7uRgRLWngq/T12egbQAP31dZyW47qJPrTmrgxWvtydvWaeEkurb
r+x99dHMdfoMN0UJz/rPBclz6WjXb+lAFypBdrWd2uA7H/f51PFTa5VwfqZE
OjZmgv6JKbEuPUqoLJWdvWxoiiWyuotVciWU6/GSqxLMcaUrr6bTSAWzExTN
Ot8C09rKf6jyUIGGfsOtptYSlyzTM5GEqeDtv4LMI9PWaBk4LH68TwXuqYfy
uu3tsLqBM5VYqILGvpDt3g/scf8ofez6LRXYF40H5o44YOfQ3LjIPhU8NDAV
mhOOeGX5CZ9GlQpepmyWdFsuxS5f/uu2RQTYCGzLWlYsw+Pn1P/kMgkYEX5N
6otzQsGtt/WaaAIm62T89BxnnC0l9DuyCPAoSFGFlrig0avTHSHnCBjjTvFD
W12R13Mp+GATAX0vzXbnDrhhiBXDO/kNAfMyg8pCxtzxhj9RceczASKaQMI0
9sBoQ8ehq5ZquLg2Uhjr6InF/kNZUWw1TP3GXF0VvgJNrXQltdvU0DtiUtXM
8kKTnqieHUfU0CIVv2zv8MKqgRW2feVqSIq3LIqL8UZ+6QGWvFUNLnfdvi18
543S+vCmVokaiizWGM//mYFdpaGt6lk13CPeV5d/YyDp01TYa68B4lqYesMJ
Jt5zr+/YjRqYHAh4IrT2waY3pm1Xd2pAR0KFfaj2wcgRXceKHA00T93PzPXy
xeR7VvSZSg14Hddxbe70xTa48uDLYw20KhaeMozww5tLGsSi9xow7K3jK6R+
OPLI97aNPglfH26kW+z3x0LnUfN3ziQY5IvCEnRW4osJ01FeMAnPu2oX+5eu
xBieKCMvlYT6iV1nPRxYmMGQ7t2bR4KvuXNDyjUW0sVs+c0aErJE6Ql+AWwc
c9JhXugiod9f0OTwhI1bBiIkq2Qk5NxQnM57ysbT4+OePVr2WhK3W9XNxr+n
jx7ZKifhpDFjUfsLNrJtb9lkfCRh3QfJ3h1DbLRNXrDt2icSRMUc+8uTbJR+
fjG4SE3CpUki19qUg79ac/smvpAQkpgQLzDn4HVPmUPmVxI+Dz5lfrTgoBRz
0ud8IyG6s2LkgQ0HtyTdWWA7S4LxxY3sOGcOsm4ujIikUXBsfe3kBTYHadjf
/XAuBZ6PzDp1ArQ9d49VqB4Fw8zsslTQ7u2as2dQyyy72GBWkNYvZNLV+hQQ
pF7lYDgHn4j/WO/yHQUVe9KzcJPWJ3U/36DliNHh8Bqu1kc9Hl9Np6Cu5+5M
Voz2X0tNbrwhBT+tthNLtmp9y0++kml5nii/OngbB61hqdP+7ylo9KAO1ydw
MHpzy+96RhQk/cmLWszjYGFi1F/FWv4Pfu1TBQ==
       "]]}}, {{}, {}, 
     {GrayLevel[0], LineBox[CompressedData["
1:eJwV0Hk81AkfwPFxzShFyTFN5CrHlDCaHLP1/aqQa3OmVq4WW6ktT0+s3ZzP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       "]]}}, {{}, {}, 
     {RGBColor[0, 0, 0], LineBox[CompressedData["
1:eJwVxX08lAccAPC767kxNlbJ28jLilx5O664Z/X7EYUQsghdnSWqtVUaU0tI
3qpFifL+VmSkUtxJdKXk/e00enNEJJJzHR2y7Y/v56vn/5tHAI1CoXD+8/+y
llabytq8DRSK6MNwb/yGDy67cjuYkfAgix/cdSMQ3Bo/6pUwkwCbB1Inr4VC
ZJy1/xVmLrRzvCxHUmMhbXgnLZF5C4LGNpj8fjwVDNQOeZxhCuDo3qLO7k2F
MGYSJotjdoCk/ablxEAF6NucM9Wu7gDXDNHQoYuV4LUtd88t+06QaLxriNjI
g4ehDa293l2wffD2e9s8Plx+oJHPONkNr7ui9Jb6VIO9R9WW5qZeaFYoHQ7s
eQBtVSdaY5n9oKF4pb9R8hgcvmwx/v5EP9QYM7Y7OT2BhzaaZ2/U90Pnjdt1
ftlP4M7TCsduvwEYVYwxXOdQD5efTdTpx76BIv1rGmXJT2G3mHvv/oshuKjC
P7JfvQnERpuKpqJH4YflGaWtbW1wxllOUPZ+EkoqzhV06QnhrwDRywglMSRt
v8C2BSEkhvNn3M3FwCk4OJTsJ4SUmwfMJCFisHUMODKcIoQ8lfZsK9oUWGgQ
Og4K3VD18nK4QF0C3ldFxJqxbhj5hfFjl70UXteG0OWz/gH7cy6V0mwZKBYd
MeHVPQejPQrTG5Op2OlsMPNZVwSXCm8902V9hd8m0RrdBQPQ0pVq9z5GAYlq
Xqrb3CCMXhVIHVnK+MbE+UIwOQyXZZcG375djNoT1QW0re8gN2U0OVtRBRk1
Imeh4XvIpHMD8ziqKJT6B/uojMOXESlFK0Edhw7ylcPbP4BEoZRRVKyJBsVm
ix+TH+HVQnRI+GctZIT3rPT9fhJW7/szvklXB/17TvcxhiehotNpl/k9XaS+
c+CeqhWDbuKwTYxID3njm191nJ+C+3IqcapifZT7I5DZ6yoBYZB7X5PmCrwb
33CqT/MTaEcvT6s2XYm83eUtWc8+gShuLqDT1wB76d/xg7KlMF4yGnY4yhBL
9nwjp+k/DcZngia3XFqFSSl+d6qXzcBbj+mwLbVGePVGvmvEsxnoFC7bG9PN
wJPe7iU1cZ9BPsQuzentaoxkVf4+y5IBjxLdZ6FkjJ7SlskdH2WQbr8tzlvf
BO3KpE+GMmZhOtjCNs/FFE0yRdyo7XPQJlqcV2VthjOeK7X2Kc5D9WCHUPDQ
DGfT52/Kl89DwE7NRF8vc6w/2ZNRGvgFVpUz5pcMmGOWkdF6F+UFSFTfqKS8
n4nKJXzRvdsLcEf8pjBznomVu2IrEs0pKL7uPOUYa4E3Iy0v/HaKguPd6+vj
tCwRrwm+EbygILVP6jxUaImeV3UXuo2pWDVdGRJjxsKw63bx0hNUNDtNNaqq
Y2EN46lSlJCKtRNLziluXYvNDTLu1AoaKraVhE0MrsVjj9i364/TcO6+q4L6
H+vQgGP++lY7DeUSeM4cqhWq/+qzM1tnEbY2FqutS7HCL5kHuSNHF2HZyJ5k
Yz1rlFP94LKxbhGyVA3vBl23Rt6Iz96OxQSG8g5z1q5nI6vLZaQ8gMCuddF8
vXo21ubYFNaUExhVOnE+voGNWm7CHM27BJr94Lt3somN/ZPLUkIqCDyrxFwq
aGfjseGiYBM+gZuG+n7Z/ZyNorN6s5k1BPIukLrZ42xMqJoj/2wgMGNcHKOl
QmKwqWMCq49Ap585O6NVScwRqs8migic6WmwGFMncWSsNHCsn8Cf6nJE97RJ
tCJXW+YPEqiU7sr2NSRxX8HptO9GCYxwKB6/wiaReLwtc1RCoEnNsjrqehI9
N7U02ksJfGkRmbYPSCy2UpPkTBNoreO92dqORImRDttLRqD4Ez23x4XEQw5L
kh8tEJhz4HAoupF43k8/ZzmVjlv7X7oUeZB41E2+KIxGx5LmclmoF4kPznj/
bUqno4+tTkffDhJ719RdS/iKjvK8hMLNfiSqceWzhuToWGEsPVHGIfGdcGUS
fk3HgHyupxqXxGRL7Yh0BTr+Cynex6s=
       "]]}}}, {{}, 
    {GrayLevel[0], PointSize[0.007], PointBox[CompressedData["
1:eJw10n001dkaB/CTmJcyqcnrOWeL7hyUhq7GbTDW8+TlSsgwGcydOCkHlUIy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      "]]}, {}}, {{}, {}, 
    {GrayLevel[0], Thickness[Medium], Dashing[{0.01}], LineBox[CompressedData["
1:eJwVx30w1HkcwHGrQsytETYjslSearXWQ3Z/6fMhcUJ1oidPJ3TVqVZXZMKl
09o8lAqVdOGu8VjqFNKD8TAnq0jRUB3bnWS0a+2uffCN7ro/3vOel+3eI6EJ
ujo6OiFf+//kea9PU2vFhoh4Lj+KK4OpkJjyfk4miI778A0oGWwTTdvWcS6A
V3Ygv2G9DDKF3L1XOeVgXrObvxhlUPIxSreAcxf6ZKn8+/4ysF/KD83ltMHG
ky38b8JkIHFJJUJOPzhfpJIeH5ZBX0t6bzbnPcy2eh+1/l0GucH6bfWf5CDW
u28iMZqGTfkhTeobBGopQbvSZxqc4g01GwtpyLC7w5QkT0NR5d3XTA89LKYd
fh17Zxqev7rs90lgiHNT+8Zo49MwebNNHehhjCmDykAbphyukKKx8XETvHRo
OJK1Ww7lxZOFN4zMsNiUdCWck8P1RbE/VEQz8NYft3OWPZXDlwm1jlWOBdbG
/Hrz87wcZgxvOVfVWGLgk/FDzzgK+OvfrOSMWSucN+/It0xUwOoDaWd7mDZ4
+eSbRZfKFdD4cnOM60Mm+r85Myh8qwBmwUcfgdgWiybPhh4xU8JjfTMhQ2GH
PQbdDqcClTCw/7vRHsuVyGCWhtF/UYJ11vKSR2tXYcCmmuE/m5UgFs4lvIyw
x/y44MY5hRKkdZOpSacd8JhbAK5YMwOs3P3yoCJH9DVJtzsWOwPjoZrUoFYn
XDnhH+l7bQZeDpjvEww6o+RZ0BSvfwYMkv1KNo+vxh1x1ayVeipo1skadaOz
cEBR0pkDKri2abtwl50Lcgu6GpYdV4HmJzffipC12GAvJE71KugTm1S0cNn4
/HD5lOOECh6N9Q+0tbOxt1PFC7VWQ0KUZUHETlccMx0Z0e5Qg2OD8/ySv11R
zKe97c5TQ4HFRrrxQQ6m/5yeldumhnuKfyqvz3NwbXb+GRFRg6I6WBmY7YZd
pUMjbmwNSAe9u4RW7nistum85UEN0EbVwR8q3dHgaf+V1WUaaNE0JQvYHri+
2G8ra1AD7DM0p5ZODxREBUXV0bXQKluSb7TVExs5+R3hflow6qtLlY15ItGJ
y0zL0MLc4y2GFifWofjUBcmlJi3o5zQHR9O8sI7+uX5QooVeUc3SdcVemFek
FRXaz0L9RHwhy5aLYc6uGzIiZ8GD4XB/fzUXH/Hbo3ddmIWU5qRoT28eet35
+LpeNAuv1mU9sO3iYel8QKWrDoHTt2Tnz3bz0M608yKTRoC9ImKfvIeHVY6Y
YaxLII/OMW17wcPG7V7h0gUE/D+MJn7/hocvqh0XVOsTaL5IMW9Iebhwx+IY
pjGBUqlCYGVGYeJtEcN4OYHNcdFRWQwKFR3+ul++WjvU7SaxoPDEcLtUYkMg
vLNM/NCaQsHCh50iWwL0a1t4EQ4Ulu2pPSpYReDUtzXSqzwKX+nl9c6vIeDy
xLyT5k3hHiuDFgmLwDu3zJIDQKHYNevmWxcCXJtdAVw/CqWRaWkP2AQUqkXl
QyEU6jckOh93J1D2Y1IKbqPw3NMJ83gPAlvfvwupCqXQbCSett2TQN2zBpKy
k0K7xVFDbC8Ce3xt+kd3U1i1fLjDhkvAoDmnMiCSQhf38Ho6j0AjS51eH03h
vcD+kvmvTvgtNmxpLIXrY0IEEorAfzRZTtk=
      "]]}}, 
   InsetBox["\<\"Orig Target \[LongRightArrow]\"\>", \
{5.475852558086449, 1.1306985751961922`}, {1, 0}], 
   InsetBox["\<\"\[UpperLeftArrow]New Target\"\>", \
{7.50275366067779, 1.0495278331598719`}, {-1, 0}], 
   InsetBox["\<\"Orig c(\[ScriptM]) \[LongRightArrow]\"\>", \
{7.118608325512383, 1.3302336178778733`}, {1, 0}], 
   InsetBox["\<\" \[LongLeftArrow] New c(\[ScriptM])\"\>", \
{5.475852558086449, 0.8968558720293791}, {-1, 0}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"\[ScriptM]\"", TraditionalForm], 
    FormBox["\"\[ScriptC]\"", TraditionalForm]},
  AxesOrigin->{0., 0.},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-1, 10.50275366067779}, {0, 1.441086419367696}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->None]], "Output",
 PageWidth->Infinity,
 InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"cEModLevtp1", "=", 
   RowBox[{"SubsuperscriptBox", "[", 
    RowBox[{
     RowBox[{"OverscriptBox", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<c\>\"", ",", 
         RowBox[{"{", 
          RowBox[{"Bold", ",", "Italic"}], "}"}], ",", 
         RowBox[{"CharacterEncoding", "\[Rule]", "\"\<WindowsANSI\>\""}]}], 
        "]"}], ",", "\"\<`\>\""}], "]"}], ",", 
     RowBox[{"Style", "[", 
      RowBox[{"\"\<t+1\>\"", ",", "Plain"}], "]"}], ",", 
     RowBox[{"Style", "[", 
      RowBox[{"\"\<e\>\"", ",", "Plain"}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BufferFigNew", " ", "=", " ", 
   RowBox[{"Plot", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Log", "[", 
      RowBox[{
      "\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", "\[ScriptM]", "]"}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[ScriptM]", ",", 
       RowBox[{"0.5", " ", "\[ScriptM]EBase"}], ",", 
       RowBox[{"2.1", " ", "\[ScriptM]EBase"}]}], "}"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Dashing", "[", 
         RowBox[{"{", ".01", "}"}], "]"}], ",", 
        RowBox[{"Thickness", "[", "Medium", "]"}], ",", "Black"}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cGroIncreaseMhoPlot", "=", 
   RowBox[{"Show", "[", 
    RowBox[{
    "BufferFigOrig", "\[IndentingNewLine]", ",", "BufferFigNew", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"DisplayForm", "[", 
           RowBox[{"RowBox", "[", 
            RowBox[{"{", 
             RowBox[{"ArrowPointingLeft", ",", "dLog", ",", "cEModLevtp1"}], 
             "}"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            FractionBox[
             RowBox[{"\[ScriptM]EBase", " ", "14"}], "8"], ",", 
            RowBox[{"Log", "[", 
             RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
              FractionBox[
               RowBox[{"\[ScriptM]EBase", " ", "13"}], "8"], "]"}], "]"}]}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}]}], "*)"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"DisplayForm", "[", 
         RowBox[{"RowBox", "[", 
          RowBox[{"{", 
           RowBox[{
           "dLog", ",", " ", "cEModLevtp1", ",", "ArrowPointingRight"}], 
           "}"}], "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          FractionBox[
           RowBox[{"\[ScriptM]EBase", " ", "7.5"}], "12"], ",", 
          RowBox[{"Log", "[", 
           RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
            FractionBox[
             RowBox[{"\[ScriptM]EBase", " ", "7.5"}], "12"], "]"}], "]"}]}], 
         "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Dashing", "[", 
         RowBox[{"{", "}"}], "]"}], ",", 
        RowBox[{"Thickness", "[", "Small", "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[ScriptM]E", ",", "HorizAxis"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[ScriptM]E", ",", 
             RowBox[{"Log", "[", 
              RowBox[{
              "\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", "1.5`", "]"}], 
              "]"}]}], "}"}]}], "}"}], "]"}]}], "}"}], "]"}], 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Dashing", "[", 
           RowBox[{"{", "0.01`", "}"}], "]"}], ",", 
          RowBox[{"Thickness", "[", "Medium", "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               FractionBox[
                RowBox[{
                 RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"]}],
               "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"2.0`", " ", "\[ScriptM]EBase"}], ",", 
               FractionBox[
                RowBox[{
                 RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"]}],
               "}"}]}], "}"}], "]"}]}], "}"}], "]"}]}], "*)"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Dashing", "[", 
         RowBox[{"{", "}"}], "]"}], ",", 
        RowBox[{"Thickness", "[", "Small", "]"}], ",", "Black", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[ScriptM]EBase", ",", "HorizAxis"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[ScriptM]EBase", ",", 
             RowBox[{"Log", "[", 
              RowBox[{
              "\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", "1.5`", "]"}], 
              "]"}]}], "}"}]}], "}"}], "]"}]}], "}"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Dashing", "[", 
         RowBox[{"{", "0.01`", "}"}], "]"}], ",", 
        RowBox[{"Thickness", "[", "Medium", "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"\[GothicG]", "+", "\[Mho]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"2.1`", " ", "\[ScriptM]EBase"}], ",", 
             RowBox[{"\[GothicG]", "+", "\[Mho]"}]}], "}"}]}], "}"}], "]"}]}],
        "}"}], "]"}], "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\< \!\(\*
StyleBox[\"{\",
FontSize->36]\)\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[ScriptM]E", " ", "1.65"}], ",", 
            RowBox[{
             RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Log", "[", 
                 RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
                  RowBox[{"\[ScriptM]E", " ", "2"}], "]"}], "]"}], "+", 
                FractionBox[
                 RowBox[{
                  RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], 
                 "\[Rho]"]}], ")"}]}], "-", "0.003"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{
         "\"\<\[Mho](1+\[Omega]\!\(\*SubscriptBox[\(\[Del]\), \(t + 1\)]\))\!\
\(\*SubscriptBox[\(\[Del]\), \(t + 1\)]\)   \>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[ScriptM]E", " ", "1.65"}], ",", 
            RowBox[{
             RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Log", "[", 
                 RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
                  RowBox[{"\[ScriptM]E", " ", "2"}], "]"}], "]"}], "+", 
                FractionBox[
                 RowBox[{
                  RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], 
                 "\[Rho]"]}], ")"}]}], "-", "0.003"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\< \!\(\*
StyleBox[\"}\",
FontSize->72]\)\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[ScriptM]E", " ", "1.65"}], ",", 
            RowBox[{
             RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Log", "[", 
                 RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
                  RowBox[{"\[ScriptM]E", " ", "2"}], "]"}], "]"}], "+", 
                FractionBox[
                 RowBox[{
                  RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], 
                 "\[Rho]"]}], ")"}]}], "+", "0.001"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{
         "\"\<\!\(\*OverscriptBox[\(\[Mho]\), \
\(`\)]\)(1+\[Omega]\!\(\*SubscriptBox[OverscriptBox[\(\[Del]\), \(`\)], \(t + \
1\)]\))\!\(\*SubscriptBox[OverscriptBox[\(\[Del]\), \(`\)], \(t + 1\)]\)\>\"",
           ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[ScriptM]E", " ", "1.85"}], ",", 
            RowBox[{
             RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Log", "[", 
                 RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
                  RowBox[{"\[ScriptM]E", " ", "2"}], "]"}], "]"}], "+", 
                FractionBox[
                 RowBox[{
                  RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], 
                 "\[Rho]"]}], ")"}]}], "+", "0.001"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}]}], "*)"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<Original Eqbm \[UpperRightArrow]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]EBase", ",", 
          RowBox[{"\[GothicG]", "+", "\[Mho]Base"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\< \[LowerLeftArrow] New Target\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]E", ",", 
          RowBox[{"\[GothicG]", "+", "\[Mho]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "]"}], "]"}], "\[IndentingNewLine]", 
     ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"\[ScriptM]EBase", ",", 
           RowBox[{"\[GothicG]", "+", "\[Mho]Base"}]}], "}"}], "]"}]}], "}"}],
       "]"}], "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"\[ScriptM]E", ",", 
           RowBox[{"\[GothicG]", "+", "\[Mho]"}]}], "}"}], "]"}]}], "}"}], 
      "]"}], "\[IndentingNewLine]", ",", 
     RowBox[{"PhaseArrow", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"0.1", " ", "\[ScriptM]EBase"}], ",", 
         RowBox[{"\[GothicG]", "+", "\[Mho]Base"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"0.1", " ", "\[ScriptM]EBase"}], ",", 
         RowBox[{"\[GothicG]", "+", "\[Mho]"}]}], "}"}]}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"PhaseArrow", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[ScriptM]EBase", ",", 
         RowBox[{"\[GothicG]", "+", "\[Mho]Base"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[ScriptM]EBase", ",", 
         RowBox[{"Log", "[", 
          RowBox[{
          "\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", "\[ScriptM]EBase", 
           "]"}], "]"}]}], "}"}]}], "]"}], "\[IndentingNewLine]", ",", 
     RowBox[{"Axes", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", "Automatic"}], "}"}]}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(\[ScriptM]\), \(\[ScriptT]\)]\)\>\"", ",", 
        "\"\<Growth\>\""}], "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", "HorizAxis"}], "}"}]}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Ticks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
           "\[ScriptM]EBase", ",", 
            "\"\<\!\(\*OverscriptBox[\(m\), \(\[Hacek]\)]\)\>\""}], "}"}], 
          "\[IndentingNewLine]", ",", 
          RowBox[{"{", 
           RowBox[{
           "\[ScriptM]E", ",", 
            "\"\<\!\(\*OverscriptBox[OverscriptBox[\(\[ScriptM]\), \(\[Hacek]\
\)], \(`\)]\)\>\""}], "}"}]}], "}"}], "\[IndentingNewLine]", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[GothicG]", "+", "\[Mho]Base"}], ",", 
            "\"\<\[Gamma]\>\""}], "}"}], "\[IndentingNewLine]", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[GothicG]", "+", "\[Mho]"}], ",", 
            "\"\<\!\(\*OverscriptBox[\(\[Gamma]\), \(`\)]\)\>\""}], "}"}], 
          "\[IndentingNewLine]", ",", 
          RowBox[{"{", 
           RowBox[{
            FractionBox[
             RowBox[{"rBase", "-", "\[CurlyTheta]"}], "\[Rho]"], ",", 
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<\!\(\*SuperscriptBox[\(\[Rho]\), \(-1\)]\)(\[ScriptR]-\
\[CurlyTheta])\[TildeTilde]\[Thorn]\>\"", ",", 
              RowBox[{
              "CharacterEncoding", "\[Rule]", "\"\<WindowsANSI\>\""}]}], 
             "]"}]}], "}"}]}], "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{",", 
           RowBox[{"{", 
            RowBox[{
             FractionBox[
              RowBox[{
               RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"], 
             ",", 
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<\!\(\*SuperscriptBox[\(\[Rho]\), \
\(-1\)]\)(\!\(\*OverscriptBox[\(\[ScriptR]\), \(`\)]\)-\[CurlyTheta])\
\[TildeTilde]\!\(\*OverscriptBox[\(\[Thorn]\), \(`\)]\)\>\"", ",", 
               RowBox[{
               "CharacterEncoding", "\[Rule]", "\"\<WindowsANSI\>\""}]}], 
              "]"}]}], "}"}]}], "*)"}], "\[IndentingNewLine]", "}"}]}], 
       "}"}]}], "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"2.6`", " ", "\[ScriptM]E"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"HorizAxis", ",", 
            RowBox[{"Log", "[", 
             RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
              RowBox[{"0.5`", "\[ScriptM]E"}], "]"}], "]"}]}], "}"}]}], 
         "}"}]}]}], "*)"}], "\[IndentingNewLine]", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"1.8`", " ", "\[ScriptM]E"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"HorizAxis", ",", 
          RowBox[{"Log", "[", 
           RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
            RowBox[{"0.45`", "\[ScriptM]E"}], "]"}], "]"}]}], "}"}]}], 
       "}"}]}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExportFigsToDir", "[", 
   RowBox[{"\"\<cGroIncreaseMhoPlot\>\"", ",", "FigsDir"}], "]"}], 
  ";"}], "\[IndentingNewLine]", "cGroIncreaseMhoPlot"}], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwB4QQe+yFib1JlAgAAAE0AAAACAAAA6W6a/EXnBUC4bgm3OpWvP47BhsvG
7AVAOf49xKSErz80FHOaR/IFQEbOWvUYdK8/gLlLOEn9BUCmzaWgH1OvPxgE
/XNMEwZAbTv5KqURrz9ImV/rUj8GQMgChaiJkK4/qMMk2l+XBkD+gsnqfpWt
P2gYr7d5RwdA6WbCK2u6qz/99puITcUIQLBJPl/AIag/yT5+xNMpCkAG/mOR
XzilP8EzTKRbhwtAy73guvi1oj/PXfKZgwINQEhb3n+VT6A/FPGN+l1kDkA5
RrKip6acP2+5AXHY4w9ACxM7Q9zQmD97l7BFKq4QQMlgv7AldJU/2QZbiMFd
EUDpRaCYQqCSP8OQ8dUoHBJAEbs1qlizjz9IzwJZ6c0SQEOULQM4/oo/ZOQJ
rip8E0BgcRTxmsSGPwsU/Q08ORRAnuZzv3SRgj9M+GqjpukUQLjTcOnv730/
GvfEQ+GoFUBmMCxd+b92P37MFLacZBZAjiFTs6A/cD99Vt9dsRMXQE3vFEFD
QWU/BvuVEJbRF0As9k1hctpTPytUx/jTghhAlSnik17T5T7bx+Tr4UIZQGDZ
r0/tt1O/IRL4sHD/GUBqHRPn1PZivwIRhqtYrxpA9jBPQa3sar9vKgCxEG4b
QAniezJAg3G/d/j06yEgHEAr3vkjKhF1vxSd3/izzhxAeOX/tjNbeL8+XLYQ
FowdQMf87+A+uXu/A9AHXtE8HkDzDpSGO7F+v1JeRbZc/B5AZUlEwiXegL84
w3jgaLgfQLQi5XG9R4K/XW4TIOczIEAJ43LMz4eDv2OIYNUBkyBAzpjRLorR
hL+3/GolyesgQDxZTPss9oW/Vlxw3tBCIUDqrr1B0geHvzvJ65xAoSFAvL5Z
YPAiiL9tkCT2XPkhQPokygj7Hom/5WTTVOFYIkB46oxQ4SOKv6uTP04SsiJA
DxBt6KkMi7+8raawgwkjQH/frFVc54u/EtWDGF1oI0AV4z7oksqMv7ZWHhvj
wCNAyObJcc2Vjb+f5S4j0SAkQP4Qwxz+aI6/0186lP9+JEBnytVwui+Pv1U0
A6Da1iRAJFEbl+Dhj78dFkKxHTYlQGb5gsvMTZC/MlI+XQ2PJUBY3MEbMaGQ
v5J5NXI95iVABYN37QPwkL84rqKM1UQmQAhQq7ZtQpG/LD3NQRqdJkAk2i0M
kYyRv4dfoWSkniZAaGkfPtaNkb/igXWHLqAmQFUzqD0bj5G/mMYdzUKjJkC3
ZK2lpJGRvwNQblhrqSZAov3GGrWWkb/aYg9vvLUmQHLTMaPMoJG/iYhRnF7O
JkB+uQp81rSRv+SqJb/ozyZAhY3idhW2kb8+zfnhctEmQHmVukBUt5G/9BGi
J4fUJkCbgpdB0bmRv2Cb8rKv2iZA5Nc5+ci+kb84rpPJAOcmQPD4vUmvyJG/
k9Bn7IroJkDFy8E568mRv+7yOw8V6iZA1Fh1+SbLkb+kN+RUKe0mQKUQF+id
zZG/D8E04FHzJkBoVnSDidKRv2rjCAPc9CZAaG0l8sPTkb/EBd0lZvYmQM3L
3DD+1JG/ekqFa3r5JkCEaIkecteRv9VsWY4E+yZAxSOUzavYkb8wjy2xjvwm
QOsg0Ezl2ZG/i7EB1Bj+JkBZFkicHtuRv+bT1fai/yZAW7cGvFfckb85I128

       "]]}}, 
    {GrayLevel[0], Thickness[Small], Dashing[{}], 
     LineBox[{{5.475852558086449, -0.045000000000000005`}, {5.475852558086449,
       0.06168541305834973}}]}, 
    {Thickness[Medium], Dashing[{}], 
     LineBox[{{0, 0.005}, {11.499290371981543`, 0.005}}]}, 
    {Thickness[Medium], Dashing[{}], 
     LineBox[{{0, -0.035}, {11.499290371981543`, -0.035}}]}}, {{}, {}, 
    {GrayLevel[0], Thickness[Medium], Dashing[{0.01}], LineBox[CompressedData["
1:eJwB4QQe+yFib1JlAgAAAE0AAAACAAAA6W6a/EXnBUDObIGMzZG8P47BhsvG
7AVAGEEEVU6HvD80FHOaR/IFQDLpttLUfLw/gLlLOEn9BUD+rdHb8me8PxgE
/XNMEwZAFkjiqHI+vD9ImV/rUj8GQItdG1197Ls/qMMk2l+XBkBlfaOEoUy7
P2gYr7d5RwdAQuBnz0Qcuj/99puITcUIQHuEBZwwx7c/yT5+xNMpCkD0P0Wa
QNy1P8EzTKRbhwtA+EV7ZEEvtD/PXfKZgwINQFZaDNt1j7I/FPGN+l1kDkDP
qlf0HTOxP2+5AXHY4w9AlHJu40a9rz97l7BFKq4QQFPJZ1BWYa0/2QZbiMFd
EUDCM7WHC2CrP8OQ8dUoHBJAHn4vByJjqT9IzwJZ6c0SQK7AkaFxr6c/ZOQJ
rip8E0CtaWyl/ySmPwsU/Q08ORRAUETXCo2ZpD9M+GqjpukUQMoWnF3TQ6M/
GvfEQ+GoFUAjMFkB9uuhP37MFLacZBZAsyH27nyyoD99Vt9dsRMXQOxaEckI
Q58/BvuVEJbRF0CbnUUTHRmdPytUx/jTghhAUnCZAK40mz/bx+Tr4UIZQMPk
pQUDSJk/IRL4sHD/GUCOYKdgC4KXPwIRhqtYrxpA7Nhte8zylT9vKgCxEG4b
QLpeKrwsWpQ/d/j06yEgHECi48DNmPGSPxSd3/izzhxAde5iITKikT8+XLYQ
FowdQLUhpMwOSZA/A9AHXtE8HkAZS2KhgC6OP1JeRbZc/B5ApLL0u3i4iz84
w3jgaLgfQD1urpnEbIk/XW4TIOczIEAGE3AbL2KHP2OIYNUBkyBAa/oTRHJF
hT+3/GolyesgQDAGBjF0Y4M/Vlxw3tBCIUADSemW656BPzvJ65xAoSFAFFnW
OKaRfz9tkCT2XPkhQH85+RlUSXw/5WTTVOFYIkDXUoUnF+B4P6uTP04SsiJA
2/7DQvvRdT+8raawgwkjQAbSMaOV8HI/EtWDGF1oI0DF60ZndN9vP7ZWHhvj
wCNAs0DI+TZ7aj+f5S4j0SAkQNGVIYry22Q/0186lP9+JEBXNdWzrxlfP1U0
A6Da1iRAsxFhgB2NVT8dFkKxHTYlQAKJ7YvtIEc/MlI+XQ2PJUC6x2RtUYok
P5J5NXI95iVADH6P/IXYN784rqKM1UQmQIP2iHqRz02/LD3NQRqdJkCdLukx
lPlWv4dfoWSkniZAQzF+bQYdV7/igXWHLqAmQBpep5pzQFe/mMYdzUKjJkB1
rQrOPodXvwNQblhrqSZAnZ5St5gUWL/aYg9vvLUmQE1704RbLlm/iYhRnF7O
JkCDvAiDJF5bv+SqJb/ozyZAsshDBPeAW78+zfnhctEmQPEaIpnEo1u/9BGi
J4fUJkAbZfYBUelbv2Cb8rKv2iZAbg0u7S50XL84rpPJAOcmQLSGZxIAiV2/
k9Bn7IroJkAw+JpKhKtdv+7yOw8V6iZA4yMHpwPOXb+kN+RUKe0mQAfcpNDz
El6/D8E04FHzJkB8F6QDmpxev2rjCAPc9CZATKRNeve+Xr/EBd0lZvYmQKnY
Xh1Q4V6/ekqFa3r5JkAqQsrs8iVfv9VsWY4E+yZAQcIsGz1IX78wjy2xjvwm
QMuBB3qCal+/i7EB1Bj+JkAj9l0Kw4xfv+bT1fai/yZAx0Uzzf6uX7/I7zM/

      "]]}}, InsetBox[
    TagBox[
     RowBox[{
      StyleBox["\<\"\\!\\(\\*\\nStyleBox[\\\"\[CapitalDelta]\\\",\\\
nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\" \
\\\",\\nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\"log\\\",\\\
nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\" \
\\\",\\nFontWeight->\\\"Plain\\\"]\\)\"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"], 
      SubsuperscriptBox[
       OverscriptBox[
        StyleBox["\<\"c\"\>",
         StripOnInput->False,
         FontWeight->Bold,
         FontSlant->Italic,
         CharacterEncoding->"WindowsANSI"], "`"], 
       StyleBox["\<\"t+1\"\>",
        StripOnInput->False,
        FontWeight->Plain,
        FontSlant->Plain,
        FontVariations->{"Underline"->False}], 
       StyleBox["\<\"e\"\>",
        StripOnInput->False,
        FontWeight->Plain,
        FontSlant->Plain,
        FontVariations->{"Underline"->False}]], 
      StyleBox["\<\" \[LongRightArrow] \"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"]}],
     DisplayForm], {3.4224078488040304`, 0.07952805773520648}, {1, 1}], 
   {Thickness[Small], Dashing[{}], 
    LineBox[{{7.50275366067779, -0.045000000000000005`}, {7.50275366067779, 
     0.25250889224986245`}}]}, 
   {GrayLevel[0], Thickness[Small], Dashing[{}], 
    LineBox[{{5.475852558086449, -0.045000000000000005`}, {5.475852558086449, 
     0.25250889224986245`}}]}, 
   {Thickness[Medium], Dashing[{0.01}], 
    LineBox[{{0, 0.015}, {11.499290371981543`, 0.015}}]}, 
   InsetBox["\<\"Original Eqbm \[UpperRightArrow]\"\>", \
{5.475852558086449, 0.005}, {1, 1}], 
   InsetBox["\<\" \[LowerLeftArrow] New Target\"\>", \
{7.50275366067779, 0.015}, {-1, -1}], 
   {PointSize[0.015], PointBox[{5.475852558086449, 0.005}]}, 
   {PointSize[0.015], PointBox[{7.50275366067779, 0.015}]}, 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{0.5475852558086449, 0.005}, {0.5475852558086449, 0.015}}]}, 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{5.475852558086449, 0.005}, {5.475852558086449, 
     0.03418926904723087}}]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{Automatic, Automatic},
  AxesLabel->{
    FormBox[
    "\"\\!\\(\\*SubscriptBox[\\(\[ScriptM]\\), \\(\[ScriptT]\\)]\\)\"", 
     TraditionalForm], 
    FormBox["\"Growth\"", TraditionalForm]},
  AxesOrigin->{Automatic, -0.045000000000000005`},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0, 13.504956589220022`}, {-0.045000000000000005`, 
    0.08124854106132294}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{5.475852558086449, 
      FormBox[
      "\"\\!\\(\\*OverscriptBox[\\(m\\), \\(\[Hacek]\\)]\\)\"", 
       TraditionalForm]}, {7.50275366067779, 
      FormBox[
      "\"\\!\\(\\*OverscriptBox[OverscriptBox[\\(\[ScriptM]\\), \
\\(\[Hacek]\\)], \\(`\\)]\\)\"", TraditionalForm]}}, {{0.005, 
      FormBox["\"\[Gamma]\"", TraditionalForm]}, {0.015, 
      FormBox[
      "\"\\!\\(\\*OverscriptBox[\\(\[Gamma]\\), \\(`\\)]\\)\"", 
       TraditionalForm]}, {-0.035, 
      FormBox[
       StyleBox[
       "\"\\!\\(\\*SuperscriptBox[\\(\[Rho]\\), \\(-1\\)]\\)(\[ScriptR]-\
\[CurlyTheta])\[TildeTilde]\[Thorn]\"", CharacterEncoding -> "WindowsANSI", 
        StripOnInput -> False], TraditionalForm]}}}]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Work/BufferStock/Tractable/ctDiscrete/Latest/Figures/\
cGroIncreaseMhoPlot.pdf\"\>"], "Print"]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwB4QQe+yFib1JlAgAAAE0AAAACAAAA6W6a/EXnBUC4bgm3OpWvP47BhsvG
7AVAOf49xKSErz80FHOaR/IFQEbOWvUYdK8/gLlLOEn9BUCmzaWgH1OvPxgE
/XNMEwZAbTv5KqURrz9ImV/rUj8GQMgChaiJkK4/qMMk2l+XBkD+gsnqfpWt
P2gYr7d5RwdA6WbCK2u6qz/99puITcUIQLBJPl/AIag/yT5+xNMpCkAG/mOR
XzilP8EzTKRbhwtAy73guvi1oj/PXfKZgwINQEhb3n+VT6A/FPGN+l1kDkA5
RrKip6acP2+5AXHY4w9ACxM7Q9zQmD97l7BFKq4QQMlgv7AldJU/2QZbiMFd
EUDpRaCYQqCSP8OQ8dUoHBJAEbs1qlizjz9IzwJZ6c0SQEOULQM4/oo/ZOQJ
rip8E0BgcRTxmsSGPwsU/Q08ORRAnuZzv3SRgj9M+GqjpukUQLjTcOnv730/
GvfEQ+GoFUBmMCxd+b92P37MFLacZBZAjiFTs6A/cD99Vt9dsRMXQE3vFEFD
QWU/BvuVEJbRF0As9k1hctpTPytUx/jTghhAlSnik17T5T7bx+Tr4UIZQGDZ
r0/tt1O/IRL4sHD/GUBqHRPn1PZivwIRhqtYrxpA9jBPQa3sar9vKgCxEG4b
QAniezJAg3G/d/j06yEgHEAr3vkjKhF1vxSd3/izzhxAeOX/tjNbeL8+XLYQ
FowdQMf87+A+uXu/A9AHXtE8HkDzDpSGO7F+v1JeRbZc/B5AZUlEwiXegL84
w3jgaLgfQLQi5XG9R4K/XW4TIOczIEAJ43LMz4eDv2OIYNUBkyBAzpjRLorR
hL+3/GolyesgQDxZTPss9oW/Vlxw3tBCIUDqrr1B0geHvzvJ65xAoSFAvL5Z
YPAiiL9tkCT2XPkhQPokygj7Hom/5WTTVOFYIkB46oxQ4SOKv6uTP04SsiJA
DxBt6KkMi7+8raawgwkjQH/frFVc54u/EtWDGF1oI0AV4z7oksqMv7ZWHhvj
wCNAyObJcc2Vjb+f5S4j0SAkQP4Qwxz+aI6/0186lP9+JEBnytVwui+Pv1U0
A6Da1iRAJFEbl+Dhj78dFkKxHTYlQGb5gsvMTZC/MlI+XQ2PJUBY3MEbMaGQ
v5J5NXI95iVABYN37QPwkL84rqKM1UQmQAhQq7ZtQpG/LD3NQRqdJkAk2i0M
kYyRv4dfoWSkniZAaGkfPtaNkb/igXWHLqAmQFUzqD0bj5G/mMYdzUKjJkC3
ZK2lpJGRvwNQblhrqSZAov3GGrWWkb/aYg9vvLUmQHLTMaPMoJG/iYhRnF7O
JkB+uQp81rSRv+SqJb/ozyZAhY3idhW2kb8+zfnhctEmQHmVukBUt5G/9BGi
J4fUJkCbgpdB0bmRv2Cb8rKv2iZA5Nc5+ci+kb84rpPJAOcmQPD4vUmvyJG/
k9Bn7IroJkDFy8E568mRv+7yOw8V6iZA1Fh1+SbLkb+kN+RUKe0mQKUQF+id
zZG/D8E04FHzJkBoVnSDidKRv2rjCAPc9CZAaG0l8sPTkb/EBd0lZvYmQM3L
3DD+1JG/ekqFa3r5JkCEaIkecteRv9VsWY4E+yZAxSOUzavYkb8wjy2xjvwm
QOsg0Ezl2ZG/i7EB1Bj+JkBZFkicHtuRv+bT1fai/yZAW7cGvFfckb85I128

       "]]}}, 
    {GrayLevel[0], Thickness[Small], Dashing[{}], 
     LineBox[{{5.475852558086449, -0.045000000000000005`}, {5.475852558086449,
       0.06168541305834973}}]}, 
    {Thickness[Medium], Dashing[{}], 
     LineBox[{{0, 0.005}, {11.499290371981543`, 0.005}}]}, 
    {Thickness[Medium], Dashing[{}], 
     LineBox[{{0, -0.035}, {11.499290371981543`, -0.035}}]}}, {{}, {}, 
    {GrayLevel[0], Thickness[Medium], Dashing[{0.01}], LineBox[CompressedData["
1:eJwB4QQe+yFib1JlAgAAAE0AAAACAAAA6W6a/EXnBUDObIGMzZG8P47BhsvG
7AVAGEEEVU6HvD80FHOaR/IFQDLpttLUfLw/gLlLOEn9BUD+rdHb8me8PxgE
/XNMEwZAFkjiqHI+vD9ImV/rUj8GQItdG1197Ls/qMMk2l+XBkBlfaOEoUy7
P2gYr7d5RwdAQuBnz0Qcuj/99puITcUIQHuEBZwwx7c/yT5+xNMpCkD0P0Wa
QNy1P8EzTKRbhwtA+EV7ZEEvtD/PXfKZgwINQFZaDNt1j7I/FPGN+l1kDkDP
qlf0HTOxP2+5AXHY4w9AlHJu40a9rz97l7BFKq4QQFPJZ1BWYa0/2QZbiMFd
EUDCM7WHC2CrP8OQ8dUoHBJAHn4vByJjqT9IzwJZ6c0SQK7AkaFxr6c/ZOQJ
rip8E0CtaWyl/ySmPwsU/Q08ORRAUETXCo2ZpD9M+GqjpukUQMoWnF3TQ6M/
GvfEQ+GoFUAjMFkB9uuhP37MFLacZBZAsyH27nyyoD99Vt9dsRMXQOxaEckI
Q58/BvuVEJbRF0CbnUUTHRmdPytUx/jTghhAUnCZAK40mz/bx+Tr4UIZQMPk
pQUDSJk/IRL4sHD/GUCOYKdgC4KXPwIRhqtYrxpA7Nhte8zylT9vKgCxEG4b
QLpeKrwsWpQ/d/j06yEgHECi48DNmPGSPxSd3/izzhxAde5iITKikT8+XLYQ
FowdQLUhpMwOSZA/A9AHXtE8HkAZS2KhgC6OP1JeRbZc/B5ApLL0u3i4iz84
w3jgaLgfQD1urpnEbIk/XW4TIOczIEAGE3AbL2KHP2OIYNUBkyBAa/oTRHJF
hT+3/GolyesgQDAGBjF0Y4M/Vlxw3tBCIUADSemW656BPzvJ65xAoSFAFFnW
OKaRfz9tkCT2XPkhQH85+RlUSXw/5WTTVOFYIkDXUoUnF+B4P6uTP04SsiJA
2/7DQvvRdT+8raawgwkjQAbSMaOV8HI/EtWDGF1oI0DF60ZndN9vP7ZWHhvj
wCNAs0DI+TZ7aj+f5S4j0SAkQNGVIYry22Q/0186lP9+JEBXNdWzrxlfP1U0
A6Da1iRAsxFhgB2NVT8dFkKxHTYlQAKJ7YvtIEc/MlI+XQ2PJUC6x2RtUYok
P5J5NXI95iVADH6P/IXYN784rqKM1UQmQIP2iHqRz02/LD3NQRqdJkCdLukx
lPlWv4dfoWSkniZAQzF+bQYdV7/igXWHLqAmQBpep5pzQFe/mMYdzUKjJkB1
rQrOPodXvwNQblhrqSZAnZ5St5gUWL/aYg9vvLUmQE1704RbLlm/iYhRnF7O
JkCDvAiDJF5bv+SqJb/ozyZAsshDBPeAW78+zfnhctEmQPEaIpnEo1u/9BGi
J4fUJkAbZfYBUelbv2Cb8rKv2iZAbg0u7S50XL84rpPJAOcmQLSGZxIAiV2/
k9Bn7IroJkAw+JpKhKtdv+7yOw8V6iZA4yMHpwPOXb+kN+RUKe0mQAfcpNDz
El6/D8E04FHzJkB8F6QDmpxev2rjCAPc9CZATKRNeve+Xr/EBd0lZvYmQKnY
Xh1Q4V6/ekqFa3r5JkAqQsrs8iVfv9VsWY4E+yZAQcIsGz1IX78wjy2xjvwm
QMuBB3qCal+/i7EB1Bj+JkAj9l0Kw4xfv+bT1fai/yZAx0Uzzf6uX7/I7zM/

      "]]}}, InsetBox[
    TagBox[
     RowBox[{
      StyleBox["\<\"\\!\\(\\*\\nStyleBox[\\\"\[CapitalDelta]\\\",\\\
nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\" \
\\\",\\nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\"log\\\",\\\
nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\" \
\\\",\\nFontWeight->\\\"Plain\\\"]\\)\"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"], 
      SubsuperscriptBox[
       OverscriptBox[
        StyleBox["\<\"c\"\>",
         StripOnInput->False,
         FontWeight->Bold,
         FontSlant->Italic,
         CharacterEncoding->"WindowsANSI"], "`"], 
       StyleBox["\<\"t+1\"\>",
        StripOnInput->False,
        FontWeight->Plain,
        FontSlant->Plain,
        FontVariations->{"Underline"->False}], 
       StyleBox["\<\"e\"\>",
        StripOnInput->False,
        FontWeight->Plain,
        FontSlant->Plain,
        FontVariations->{"Underline"->False}]], 
      StyleBox["\<\" \[LongRightArrow] \"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"]}],
     DisplayForm], {3.4224078488040304`, 0.07952805773520648}, {1, 1}], 
   {Thickness[Small], Dashing[{}], 
    LineBox[{{7.50275366067779, -0.045000000000000005`}, {7.50275366067779, 
     0.25250889224986245`}}]}, 
   {GrayLevel[0], Thickness[Small], Dashing[{}], 
    LineBox[{{5.475852558086449, -0.045000000000000005`}, {5.475852558086449, 
     0.25250889224986245`}}]}, 
   {Thickness[Medium], Dashing[{0.01}], 
    LineBox[{{0, 0.015}, {11.499290371981543`, 0.015}}]}, 
   InsetBox["\<\"Original Eqbm \[UpperRightArrow]\"\>", \
{5.475852558086449, 0.005}, {1, 1}], 
   InsetBox["\<\" \[LowerLeftArrow] New Target\"\>", \
{7.50275366067779, 0.015}, {-1, -1}], 
   {PointSize[0.015], PointBox[{5.475852558086449, 0.005}]}, 
   {PointSize[0.015], PointBox[{7.50275366067779, 0.015}]}, 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{0.5475852558086449, 0.005}, {0.5475852558086449, 0.015}}]}, 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{5.475852558086449, 0.005}, {5.475852558086449, 
     0.03418926904723087}}]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{Automatic, Automatic},
  AxesLabel->{
    FormBox[
    "\"\\!\\(\\*SubscriptBox[\\(\[ScriptM]\\), \\(\[ScriptT]\\)]\\)\"", 
     TraditionalForm], 
    FormBox["\"Growth\"", TraditionalForm]},
  AxesOrigin->{Automatic, -0.045000000000000005`},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0, 13.504956589220022`}, {-0.045000000000000005`, 
    0.08124854106132294}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{5.475852558086449, 
      FormBox[
      "\"\\!\\(\\*OverscriptBox[\\(m\\), \\(\[Hacek]\\)]\\)\"", 
       TraditionalForm]}, {7.50275366067779, 
      FormBox[
      "\"\\!\\(\\*OverscriptBox[OverscriptBox[\\(\[ScriptM]\\), \
\\(\[Hacek]\\)], \\(`\\)]\\)\"", TraditionalForm]}}, {{0.005, 
      FormBox["\"\[Gamma]\"", TraditionalForm]}, {0.015, 
      FormBox[
      "\"\\!\\(\\*OverscriptBox[\\(\[Gamma]\\), \\(`\\)]\\)\"", 
       TraditionalForm]}, {-0.035, 
      FormBox[
       StyleBox[
       "\"\\!\\(\\*SuperscriptBox[\\(\[Rho]\\), \\(-1\\)]\\)(\[ScriptR]-\
\[CurlyTheta])\[TildeTilde]\[Thorn]\"", CharacterEncoding -> "WindowsANSI", 
        StripOnInput -> False], TraditionalForm]}}}]], "Output"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"HowMany", "=", "75"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[ScriptM]Path", "=", 
   RowBox[{"Take", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Transpose", "[", "\[ScriptM]\[ScriptC]Path", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", "HowMany"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[ScriptC]Path", "=", 
   RowBox[{"Take", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Transpose", "[", "\[ScriptM]\[ScriptC]Path", "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], ",", "HowMany"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MPCPath", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"cE", "'"}], "[", "#", "]"}], "&"}], ",", 
     RowBox[{"Rest", "[", "\[ScriptM]Path", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"\[ScriptM]Path", ",", "\[ScriptM]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"\[ScriptC]Path", ",", "\[ScriptC]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"\[ScriptM]Path", ",", "\[ScriptM]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"\[ScriptC]Path", ",", "\[ScriptC]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"\[ScriptM]Path", ",", "\[ScriptM]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"\[ScriptC]Path", ",", "\[ScriptC]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"MPCPath", ",", "\[Kappa]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"MPCPath", ",", "\[Kappa]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"MPCPath", ",", "\[Kappa]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"MPCPath", ",", "\[Kappa]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"timePath", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"i", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "\[ScriptC]Path", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[ScriptC]PathPlot", " ", "=", " ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"timePath", ",", "\[ScriptC]Path"}], "}"}], "]"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[ScriptM]PathPlot", " ", "=", " ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"timePath", ",", "\[ScriptM]Path"}], "}"}], "]"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MPCPathPlot", " ", "=", " ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"timePath", ",", "MPCPath"}], "}"}], "]"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ";"}]}], "Input",
 PageWidth->Infinity,
 InitializationCell->True,
 CellChangeTimes->{{3.414278339183446*^9, 3.414278341745433*^9}, 
   3.414278779728621*^9, {3.414278878001575*^9, 3.414278885030191*^9}, 
   3.414862540088749*^9, {3.414862671057727*^9, 3.414862671463376*^9}, {
   3.415436203093796*^9, 3.415436203643718*^9}, {3.423056630903368*^9, 
   3.423056641014819*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"cPathAfterMhoRise", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"\[ScriptC]PathPlot", "\[IndentingNewLine]", ",", 
     RowBox[{"Ticks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"4", ",", "\"\<0\>\""}], "}"}], "}"}], ",", "None"}], 
       "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Time\>\"", ",", 
        "\"\<\!\(\*SubsuperscriptBox[\(\[ScriptC]\), \(\[ScriptT]\), \(e\)]\)\
\>\""}], "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "0"}], "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "Automatic"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "Automatic"}], "}"}]}], "}"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExportFigsToDir", "[", 
   RowBox[{"\"\<cPathAfterMhoRise\>\"", ",", "FigsDir"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "cPathAfterMhoRise", "]"}]}], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[{{}, 
   {GrayLevel[0], PointBox[CompressedData["
1:eJxd0H9MzHEcx/EvGUl2pVpafmX9voS4cFfuVdev68ddd0k/TDul2tEvhI7K
Wba0MF2XrNWiksWU3+1aWSjMLL+SxGb9oFjuCot2kx/zfdv02b777PF97vXP
xyExU548k2EYye/vz/33jAnvMdy3ha3jQvYH/rfpNFtMszU0hs82866Nsl6I
b+NP24rwifUiTG6fsuK3k5fh2b4KjW6NnvVyxEwulqZWkh2hEOtDsoxkZ+Q5
zLjSKzOwdkVn45RZwRmyOzpevb7FGyF7YEla9u3H1mOsPaHLbttzyYu8Cnbv
ZJXfI8ir4dJtn6FPIXvBxsSnrjOPvAY+vJhNTRryWjhbTVS/PEfmweUNLyyl
meyNq731vofuk9dhWOQx7t9DXg/POSNPuwbJG/CQW1PiO0bmI1NYl3XeSBbA
dFtt3vLZ9N4+yNTP7brDIfvC1qu5qWIheSO6Cha9aFlGFkKbo8r1ciUDn2b1
aTgrWauBx/GK5wk86n742SAd5Aqo+4HTJ9h5GNT9Ue58fYUykLo/DBev2o+K
qYtwesoidYGEughf1BtKB2XUA+BmHnQkJZp6AEaybh47G0s9EAVOQ6qKLdQD
YTtrU/XmBOpBUDqZ9PcpqAchSfuglZtEPRirbgzII5KpB8ND15EuSqUegvgQ
7yJLJfUQ1Fe96G3ZQV0MVa2ZxD+NuhilDjlVF9Kph+JU64RoIoN6KL5sdSx2
yaIeBmNJyXHsoh6G2Pwyvmg39XDM93sSt3oP9XC4PUo8YZ5NPQJfGwbiesjq
CJTkc5ae3EtdAjut1FGwj7oEZgHfy3rJjBS6mpSjyv3UpehMH53Uk5lItA5p
u5U5rBGJpP4OQx9ZHQmFQGcpUrFuj0SP8P1YDZmRofEBn2ckQ4bOYLEq/ADt
ZRgYjg0rJ7fLkNis8HxDZuTQ1Osr7A/SXo7iH8af0WS1HIUPL98tJrfLUdtg
G9BGZqLAcb/78uO/fRSeTSZ3WefSPgoOHxJ2CX77F1szf6E=
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptC]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm]},
  AxesOrigin->{-3, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-3, Automatic}, {0, Automatic}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{4, 
      FormBox["\"0\"", TraditionalForm]}}, None}]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Work/BufferStock/Tractable/ctDiscrete/Latest/Figures/\
cPathAfterMhoRise.pdf\"\>"], "Print"]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{}, 
   {GrayLevel[0], PointBox[CompressedData["
1:eJxd0H9MzHEcx/EvGUl2pVpafmX9voS4cFfuVdev68ddd0k/TDul2tEvhI7K
Wba0MF2XrNWiksWU3+1aWSjMLL+SxGb9oFjuCot2kx/zfdv02b777PF97vXP
xyExU548k2EYye/vz/33jAnvMdy3ha3jQvYH/rfpNFtMszU0hs82866Nsl6I
b+NP24rwifUiTG6fsuK3k5fh2b4KjW6NnvVyxEwulqZWkh2hEOtDsoxkZ+Q5
zLjSKzOwdkVn45RZwRmyOzpevb7FGyF7YEla9u3H1mOsPaHLbttzyYu8Cnbv
ZJXfI8ir4dJtn6FPIXvBxsSnrjOPvAY+vJhNTRryWjhbTVS/PEfmweUNLyyl
meyNq731vofuk9dhWOQx7t9DXg/POSNPuwbJG/CQW1PiO0bmI1NYl3XeSBbA
dFtt3vLZ9N4+yNTP7brDIfvC1qu5qWIheSO6Cha9aFlGFkKbo8r1ciUDn2b1
aTgrWauBx/GK5wk86n742SAd5Aqo+4HTJ9h5GNT9Ue58fYUykLo/DBev2o+K
qYtwesoidYGEughf1BtKB2XUA+BmHnQkJZp6AEaybh47G0s9EAVOQ6qKLdQD
YTtrU/XmBOpBUDqZ9PcpqAchSfuglZtEPRirbgzII5KpB8ND15EuSqUegvgQ
7yJLJfUQ1Fe96G3ZQV0MVa2ZxD+NuhilDjlVF9Kph+JU64RoIoN6KL5sdSx2
yaIeBmNJyXHsoh6G2Pwyvmg39XDM93sSt3oP9XC4PUo8YZ5NPQJfGwbiesjq
CJTkc5ae3EtdAjut1FGwj7oEZgHfy3rJjBS6mpSjyv3UpehMH53Uk5lItA5p
u5U5rBGJpP4OQx9ZHQmFQGcpUrFuj0SP8P1YDZmRofEBn2ckQ4bOYLEq/ADt
ZRgYjg0rJ7fLkNis8HxDZuTQ1Osr7A/SXo7iH8af0WS1HIUPL98tJrfLUdtg
G9BGZqLAcb/78uO/fRSeTSZ3WefSPgoOHxJ2CX77F1szf6E=
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptC]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm]},
  AxesOrigin->{-3, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-3, Automatic}, {0, Automatic}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{4, 
      FormBox["\"0\"", TraditionalForm]}}, None}]], "Output",
 PageWidth->Infinity,
 InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"mPathAfterMhoRise", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"\[ScriptM]PathPlot", "\[IndentingNewLine]", ",", 
     RowBox[{"Ticks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"4", ",", "\"\<0\>\""}], "}"}], "}"}], ",", "None"}], 
       "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Time\>\"", ",", 
        "\"\<\!\(\*SubsuperscriptBox[\(\[ScriptM]\), \(\[ScriptT]\), \(e\)]\)\
\>\""}], "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "HowMany"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "Automatic"}], "}"}]}], "}"}]}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "0"}], "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "Automatic"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "Automatic"}], "}"}]}], "}"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExportFigsToDir", "[", 
   RowBox[{"\"\<mPathAfterMhoRise\>\"", ",", "FigsDir"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Show", "[", "mPathAfterMhoRise", "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[{{}, 
   {GrayLevel[0], PointBox[CompressedData["
1:eJxdy39MzHEcx/ErmkYS6+d11YWrJF0U/SD36uf166q7mGz6gSIVqdGmiWrT
D9XZJL/WKpZIC+VYa4076wdG6OdU7EypNZIrUdcPme/7D323z757fJ6fl+WB
JEmsJovFCl44f///vjGB1qvrAz5DBmAu8L+1F1lvkfUX2RgRWa21ZsWGjDkw
NkwNzXc0YszFbJis0KCJvBbViqRUfT9jxusRPTxxsV5OtoL7pnc1enwTxjYY
lauydC+RbXF2afPV82NkOzx07UkR+rAZ2+NgHsdj4iLZAXwDPSt+L3kz9quf
WeeYmjLeAgdlQF/6HrIjRm2qunOlZCdU9Teq1ijIWxEh/RKT/p28Df1dBY+5
bA5jZ6RY5JeJPMguiFXeaxXFkl1xRVCbEpNNdsOSl3kmbyrI2zErzRxvlpN3
wP25bvLpXrI79gQ63rVUkXcitbtHoVxmxlgAa8Mjgk+mZEChbIsS2jPOAPjD
DyKdBNQ9kNDQX98STN0DG4XZcewI6p5wOq7F8Y+n7omxxrLD8anUvXD0cr+q
KJO6F+K0Om+8z6fujajEvgZRMXVvtPQMa2uUUvfB9Xn1tGYldR+4NXXI99dQ
90VdOT/WVkbdFyPs7sG4BupCVOQU+dvIqQuRmBAlS2mm7geZd/sp8UvqfmAV
rLZ/3UbdH9G8XY++tVP3h4bIXNLQTT0AbRvFda691APAvW+tTv5APRC8UefO
OCX1QLhIpMnrPlMPgqzrZ0nlIPUgZE2deTI5RF2E8pzdA0Yj1EUY6Rh/sfIr
9WAcG5Z/7PtGPRgJA7ygc9+ph+DWC55a5wf1EEhYWddOqqiHgj1zolQxzhih
qLu5ImR8gt4v9H28ZzqTjOWhCNBZO7DqF+3F2FvinTZHhhh37N7yen/TXoz5
3MFDFVO0F4OjaVUWOU17CfbGcPWXq2kvwbXogh+3yRkShBwID3Sdob0EF9IK
LZ6SWWEIatQJd5ulfRjMuRteVZMzwmDfwvXUnzPDHwsiSno=
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptM]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm]},
  AxesOrigin->{-3, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-3, 75}, {0, Automatic}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{4, 
      FormBox["\"0\"", TraditionalForm]}}, None}]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Work/BufferStock/Tractable/ctDiscrete/Latest/Figures/\
mPathAfterMhoRise.pdf\"\>"], "Print"]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{}, 
   {GrayLevel[0], PointBox[CompressedData["
1:eJxdy39MzHEcx/ErmkYS6+d11YWrJF0U/SD36uf166q7mGz6gSIVqdGmiWrT
D9XZJL/WKpZIC+VYa4076wdG6OdU7EypNZIrUdcPme/7D323z757fJ6fl+WB
JEmsJovFCl44f///vjGB1qvrAz5DBmAu8L+1F1lvkfUX2RgRWa21ZsWGjDkw
NkwNzXc0YszFbJis0KCJvBbViqRUfT9jxusRPTxxsV5OtoL7pnc1enwTxjYY
lauydC+RbXF2afPV82NkOzx07UkR+rAZ2+NgHsdj4iLZAXwDPSt+L3kz9quf
WeeYmjLeAgdlQF/6HrIjRm2qunOlZCdU9Teq1ijIWxEh/RKT/p28Df1dBY+5
bA5jZ6RY5JeJPMguiFXeaxXFkl1xRVCbEpNNdsOSl3kmbyrI2zErzRxvlpN3
wP25bvLpXrI79gQ63rVUkXcitbtHoVxmxlgAa8Mjgk+mZEChbIsS2jPOAPjD
DyKdBNQ9kNDQX98STN0DG4XZcewI6p5wOq7F8Y+n7omxxrLD8anUvXD0cr+q
KJO6F+K0Om+8z6fujajEvgZRMXVvtPQMa2uUUvfB9Xn1tGYldR+4NXXI99dQ
90VdOT/WVkbdFyPs7sG4BupCVOQU+dvIqQuRmBAlS2mm7geZd/sp8UvqfmAV
rLZ/3UbdH9G8XY++tVP3h4bIXNLQTT0AbRvFda691APAvW+tTv5APRC8UefO
OCX1QLhIpMnrPlMPgqzrZ0nlIPUgZE2deTI5RF2E8pzdA0Yj1EUY6Rh/sfIr
9WAcG5Z/7PtGPRgJA7ygc9+ph+DWC55a5wf1EEhYWddOqqiHgj1zolQxzhih
qLu5ImR8gt4v9H28ZzqTjOWhCNBZO7DqF+3F2FvinTZHhhh37N7yen/TXoz5
3MFDFVO0F4OjaVUWOU17CfbGcPWXq2kvwbXogh+3yRkShBwID3Sdob0EF9IK
LZ6SWWEIatQJd5ulfRjMuRteVZMzwmDfwvXUnzPDHwsiSno=
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptM]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm]},
  AxesOrigin->{-3, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-3, 75}, {0, Automatic}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{4, 
      FormBox["\"0\"", TraditionalForm]}}, None}]], "Output",
 PageWidth->Infinity,
 InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"MPCPathAfterMhoRise", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"MPCPathPlot", "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Dashing", "[", 
         RowBox[{"{", "0.01", "}"}], "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"timePath", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", "\[Kappa]"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"timePath", "[", 
              RowBox[{"[", 
               RowBox[{"-", "1"}], "]"}], "]"}], ",", "\[Kappa]"}], "}"}]}], 
          "}"}], "]"}]}], "}"}], "]"}], "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<\[UpArrow]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"timePath", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "+", 
             RowBox[{"timePath", "[", 
              RowBox[{"[", 
               RowBox[{"-", "1"}], "]"}], "]"}]}], ")"}], "/", "2"}], ",", 
          "\[Kappa]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<Perfect Foresight MPC\>\"", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"timePath", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "+", 
             RowBox[{"timePath", "[", 
              RowBox[{"[", 
               RowBox[{"-", "1"}], "]"}], "]"}]}], ")"}], "/", "2"}], ",", 
          RowBox[{"\[Kappa]", 
           RowBox[{"(", 
            RowBox[{"4", "/", "5"}], ")"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Ticks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"4", ",", "\"\<0\>\""}], "}"}], "}"}], ",", "None"}], 
       "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Time\>\"", ",", 
        "\"\<\!\(\*SubscriptBox[\(\[Kappa]\), \(\[ScriptT]\)]\)\>\""}], 
       "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"PlotRange", "->", "All"}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "0."}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExportFigsToDir", "[", 
   RowBox[{"\"\<MPCPathAfterMhoRise\>\"", ",", "FigsDir"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "MPCPathAfterMhoRise", "]"}]}], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[{{{}, 
    {GrayLevel[0], PointBox[CompressedData["
1:eJxdyw0s1HEcx/H/eph2yyI2Ci1ScavjEjmH+xDO4Y67M6KiiCWlRVZWYilN
LFbryCrL86Y7cuXh4rqkx5Gitk6ZmFGmZqwVS6V1X1v+22//vX7v38c27qgs
YQnDMJL58/f/75sUSJXeDxz5bQLDBf73ikU2WWRzOIh8JiY5GoMtYcneO7f0
c6vB1nDk5qfn3Savh3GVE/fDCbId7NlHEtUisj0GPTxjWLbkTZiV/T67aq7F
YAdoM08HWw6Q2Qjvq08t0ZG3INJMkWFVQ+bgMZf3VFBEdgarUjXVeIrMhZ1V
2ygnibwNM/Xa6hO7yC7Qq0sLokTk7Zj2LRmu4ZNd0ax/84jvRHZDfk6ay/QG
8g7kampjGtaQ3REzeJOJMiHzcJ0tHnprRPZAv+1E0mqGzMcx4VDQzx/NBnsi
13jQKWeK7IX0yKqskgmyN/apwjc6jZEFSNOo9vOHyYA0ZbK8ccDgbGA8hxuX
r6fug3cDB5e3v6XuA61uz2NBL3VfbE4cU6zsoe6L6BETC5su6jthFKvISH5O
fSfiu3Mzpp5Q90NEXF2wspO6H+L9My8Xd1D3x4G6dLlSR90fFX15X8a11AMg
zleaiNupB0C6zqvp1X3qQlyKcF6bpqEuxItO5h63lXogrnVvcWO1UA/E8KuA
rNkm6iJEu2SXMeRsEeRfb/WsvUc9CJXvD6YI71IPgobrPndOTT0Yeg9rm95G
6sH4Pm5asJXMhOBCYZGd4g71EHybCXzNIjNi2J+xKrvYQF2MhFxejTmZkcDO
/bhFbT11CSZnVBw/MhMKXmEq/5OKeihqK6tKr5CZMMS77m7yJyMMTGr7sl9K
eh8GP72pURtZF4YG9cvALDIjhUPssxghGVJcfXh41GxhL0W43PT8yG3aS9He
IhlrITMy8MsO6YrIkKG2vPt5MjlbBsWNcx2ihb0MH6O6UtgLezkqHlYXGy/s
5ejqPMmarqO9HGt4DSX98/4DAfVxEQ==
      "]]}, {}}, 
   {Dashing[{0.01}], 
    LineBox[{{1, 0.06052539518198252}, {78, 0.06052539518198252}}]}, 
   InsetBox["\<\"\[UpArrow]\"\>", 
    NCache[{Rational[79, 2], 0.06052539518198252}, {39.5, 
     0.06052539518198252}], {0, 1}], 
   InsetBox["\<\"Perfect Foresight MPC\"\>", 
    NCache[{Rational[79, 2], 0.04842031614558602}, {39.5, 
     0.04842031614558602}], {0, 1}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubscriptBox[\\(\[Kappa]\\), \\(\[ScriptT]\\)]\\)\"", 
     TraditionalForm]},
  AxesOrigin->{-3, 0.},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->All,
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{4, 
      FormBox["\"0\"", TraditionalForm]}}, None}]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Work/BufferStock/Tractable/ctDiscrete/Latest/Figures/\
MPCPathAfterMhoRise.pdf\"\>"], "Print"]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{{}, 
    {GrayLevel[0], PointBox[CompressedData["
1:eJxdyw0s1HEcx/H/eph2yyI2Ci1ScavjEjmH+xDO4Y67M6KiiCWlRVZWYilN
LFbryCrL86Y7cuXh4rqkx5Gitk6ZmFGmZqwVS6V1X1v+22//vX7v38c27qgs
YQnDMJL58/f/75sUSJXeDxz5bQLDBf73ikU2WWRzOIh8JiY5GoMtYcneO7f0
c6vB1nDk5qfn3Savh3GVE/fDCbId7NlHEtUisj0GPTxjWLbkTZiV/T67aq7F
YAdoM08HWw6Q2Qjvq08t0ZG3INJMkWFVQ+bgMZf3VFBEdgarUjXVeIrMhZ1V
2ygnibwNM/Xa6hO7yC7Qq0sLokTk7Zj2LRmu4ZNd0ax/84jvRHZDfk6ay/QG
8g7kampjGtaQ3REzeJOJMiHzcJ0tHnprRPZAv+1E0mqGzMcx4VDQzx/NBnsi
13jQKWeK7IX0yKqskgmyN/apwjc6jZEFSNOo9vOHyYA0ZbK8ccDgbGA8hxuX
r6fug3cDB5e3v6XuA61uz2NBL3VfbE4cU6zsoe6L6BETC5su6jthFKvISH5O
fSfiu3Mzpp5Q90NEXF2wspO6H+L9My8Xd1D3x4G6dLlSR90fFX15X8a11AMg
zleaiNupB0C6zqvp1X3qQlyKcF6bpqEuxItO5h63lXogrnVvcWO1UA/E8KuA
rNkm6iJEu2SXMeRsEeRfb/WsvUc9CJXvD6YI71IPgobrPndOTT0Yeg9rm95G
6sH4Pm5asJXMhOBCYZGd4g71EHybCXzNIjNi2J+xKrvYQF2MhFxejTmZkcDO
/bhFbT11CSZnVBw/MhMKXmEq/5OKeihqK6tKr5CZMMS77m7yJyMMTGr7sl9K
eh8GP72pURtZF4YG9cvALDIjhUPssxghGVJcfXh41GxhL0W43PT8yG3aS9He
IhlrITMy8MsO6YrIkKG2vPt5MjlbBsWNcx2ihb0MH6O6UtgLezkqHlYXGy/s
5ejqPMmarqO9HGt4DSX98/4DAfVxEQ==
      "]]}, {}}, 
   {Dashing[{0.01}], 
    LineBox[{{1, 0.06052539518198252}, {78, 0.06052539518198252}}]}, 
   InsetBox["\<\"\[UpArrow]\"\>", 
    NCache[{Rational[79, 2], 0.06052539518198252}, {39.5, 
     0.06052539518198252}], {0, 1}], 
   InsetBox["\<\"Perfect Foresight MPC\"\>", 
    NCache[{Rational[79, 2], 0.04842031614558602}, {39.5, 
     0.04842031614558602}], {0, 1}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubscriptBox[\\(\[Kappa]\\), \\(\[ScriptT]\\)]\\)\"", 
     TraditionalForm]},
  AxesOrigin->{-3, 0.},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->All,
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{4, 
      FormBox["\"0\"", TraditionalForm]}}, None}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Now", " ", "decrease", " ", "expected", " ", "income", " ", "growth"}], 
   " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"Get", "[", 
     RowBox[{"CoreCodeDir", "<>", "\"\</ParametersBase.m\>\""}], "]"}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{"FindStableArm", ";", 
    RowBox[{"\[Kappa]EBase", " ", "=", " ", "\[Kappa]E"}], ";", 
    RowBox[{"\[ScriptM]EBase", "=", "\[ScriptM]E"}], ";", 
    RowBox[{"\[ScriptC]EBase", "=", "\[ScriptC]E"}], ";"}]}]}]], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData["\<\"Solving ...\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Below \[ScriptM]MinBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "62", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Below \[ScriptM]MinBound times \[ScriptM]E after ", 62, 
   " backwards Euler iterations."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.824411914427029`", ",", "0.34259070403268976`", ",", 
     "0.3302150754892809`", ",", 
     RowBox[{"-", "21.635502687255663`"}], ",", 
     RowBox[{"-", "0.20306906720787984`"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {0.824411914427029, 0.34259070403268976`, 
   0.3302150754892809, -21.635502687255663`, -0.20306906720787984`}],
  Editable->False]], "Print"],

Cell[BoxData["\<\"Solving ...\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Above \[ScriptM]MaxBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "160", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Above \[ScriptM]MaxBound times \[ScriptM]E after ", 160, 
   " backwards Euler iterations."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "556.4499878816595`", ",", "35.52445459521509`", ",", 
     "0.06071949013176408`", ",", 
     RowBox[{"-", "0.46452166149406504`"}], ",", 
     RowBox[{"-", "5.357948748580723`*^-7"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {556.4499878816595, 35.52445459521509, 
   0.06071949013176408, -0.46452166149406504`, -5.357948748580723*^-7}],
  Editable->False]], "Print"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[ScriptM]Max", ",", "\[ScriptM]MaxMax"}], "}"}], "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1.5", ",", "5"}], "}"}], " ", "\[ScriptM]E"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"\[ScriptC]LowerPlot", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"cE", "[", "\[ScriptM]", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]Max"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"Dashing", "[", 
       RowBox[{"{", ".01", "}"}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cEPFPlot", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"cEPF", "[", "\[ScriptM]", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"Dashing", "[", 
       RowBox[{"{", ".02", "}"}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Degree45", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{"\[ScriptM]", ",", 
     RowBox[{"{", 
      RowBox[{"\[ScriptM]", ",", "0", ",", 
       RowBox[{"cE", "[", "\[ScriptM]MaxMax", "]"}]}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"Dashing", "[", 
       RowBox[{"{", ".01", "}"}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cFuncPlotBase", "=", 
   RowBox[{"cFuncPlot", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"cE", "[", "\[ScriptM]", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
      
      RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BufferFigOrig", "=", 
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"Log", "[", 
        RowBox[{
        "\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", "\[ScriptM]", "]"}], 
        "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", 
         RowBox[{"0.5`", " ", "\[ScriptM]E"}], ",", 
         RowBox[{"2.1`", " ", "\[ScriptM]E"}]}], "}"}], "\[IndentingNewLine]",
        ",", 
       RowBox[{"Ticks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{
            "\[ScriptM]E", ",", 
             "\"\<\!\(\*SuperscriptBox[OverscriptBox[\(\[ScriptM]\), \(\
\[Hacek]\)], \(e\)]\)\>\""}], "}"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"\[GothicG]", "+", "\[Mho]"}], ",", 
              "\"\<\[Gamma]\>\""}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              FractionBox[
               RowBox[{
                RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"], 
              ",", 
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<\!\(\*SuperscriptBox[\(\[Rho]\), \
\(-1\)]\)(r-\[CurlyTheta])\[TildeTilde]\[Thorn]\>\"", ",", 
                RowBox[{
                "CharacterEncoding", "\[Rule]", "\"\<WindowsANSI\>\""}]}], 
               "]"}]}], "}"}]}], "}"}]}], "}"}]}], "\[IndentingNewLine]", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"2.1`", " ", "\[ScriptM]E"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"HorizAxis", ",", "\[ScriptC]GroMax"}], "}"}]}], "}"}]}]}],
       "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Dashing", "[", 
           RowBox[{"{", 
            RowBox[{"0.005`", ",", "0.025`"}], "}"}], "]"}], ",", 
          RowBox[{"Thickness", "[", "Medium", "]"}], ",", "Black", ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"\[ScriptM]E", ",", "HorizAxis"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"\[ScriptM]E", ",", "\[ScriptC]GroMax"}], "}"}]}], 
            "}"}], "]"}]}], "}"}], "]"}]}], "*)"}], "\[IndentingNewLine]", 
     ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Dashing", "[", 
         RowBox[{"{", "}"}], "]"}], ",", 
        RowBox[{"Thickness", "[", "Small", "]"}], ",", "Black", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[ScriptM]E", ",", "HorizAxis"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[ScriptM]E", ",", "\[ScriptC]GroMax"}], "}"}]}], "}"}], 
         "]"}]}], "}"}], "]"}], "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Dashing", "[", 
         RowBox[{"{", "}"}], "]"}], ",", 
        RowBox[{"Thickness", "[", "Medium", "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"\[GothicG]", "+", "\[Mho]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"2.1`", " ", "\[ScriptM]E"}], ",", 
             RowBox[{"\[GothicG]", "+", "\[Mho]"}]}], "}"}]}], "}"}], "]"}]}],
        "}"}], "]"}], "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Dashing", "[", 
          RowBox[{"{", "}"}], "]"}], ",", 
         RowBox[{"Thickness", "[", "Medium", "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              FractionBox[
               RowBox[{
                RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"]}], 
             "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"2.1`", " ", "\[ScriptM]E"}], ",", 
              FractionBox[
               RowBox[{
                RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"]}], 
             "}"}]}], "}"}], "]"}]}], "}"}], "\[IndentingNewLine]", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"2.1`", " ", "\[ScriptM]E"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"HorizAxis", ",", "\[ScriptC]GroMax"}], "}"}]}], "}"}]}]}],
       "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{
           RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"], "-", 
         "0.1"}], ",", "HorizAxis"}], "}"}]}]}], "\[IndentingNewLine]", 
    "]"}]}], ";"}], "\[IndentingNewLine]"}], "Input",
 PageWidth->Infinity,
 InitializationCell->True,
 CellChangeTimes->{{3.409085410618239*^9, 3.409085453210408*^9}, {
   3.414676780720089*^9, 3.414676791044487*^9}, {3.4146988673573313`*^9, 
   3.414698905469092*^9}, {3.414861919386621*^9, 3.414861958284054*^9}, {
   3.414864300071748*^9, 3.4148643020521708`*^9}, 3.414880599298835*^9, 
   3.414880641246543*^9, {3.414880806856895*^9, 3.41488082735209*^9}, {
   3.415120358954856*^9, 3.415120373439983*^9}, {3.415372657470644*^9, 
   3.41537265786821*^9}, {3.419702482996944*^9, 3.419702484787754*^9}, {
   3.4477711977368193`*^9, 3.447771223466619*^9}, {3.4477713592665854`*^9, 
   3.4477713598555737`*^9}, {3.4477714890828753`*^9, 3.447771495190624*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Stable\[ScriptM]LocusOrigPlot", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[ScriptM]EDelEqZero", "[", "\[ScriptM]", "]"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
      
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Black", ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", ".01", "}"}], "]"}], ",", 
         RowBox[{"Thickness", "[", "Medium", "]"}]}], "}"}]}]}], "]"}]}], 
   ";"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[GothicG]", "   ", "=", 
    RowBox[{"-", "0.02"}]}], ";"}], "\n"}], "\n", 
 RowBox[{"FindStableArm", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cFuncPlotNew", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"cE", "[", "\[ScriptM]", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"RGBColor", "[", 
       RowBox[{"0", ",", "0", ",", "0"}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cFuncPlotNewPoints", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{"\[ScriptC]", "[", "#", "]"}]}], "}"}], "}"}], "&"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{"\[ScriptM]", ",", 
       RowBox[{"{", 
        RowBox[{
        "\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax", ",", "0.01"}], 
        "}"}]}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Stable\[ScriptM]LocusPlot", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[ScriptM]EDelEqZero", "[", "\[ScriptM]", "]"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"Dashing", "[", 
         RowBox[{"{", ".01", "}"}], "]"}], ",", 
        RowBox[{"Thickness", "[", "Medium", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"Stable\[ScriptM]LocusPoints", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{"\[ScriptM]EDelEqZero", "[", "#", "]"}]}], "}"}], "}"}], 
      "&"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{"\[ScriptM]", ",", 
       RowBox[{"{", 
        RowBox[{"\[ScriptM]", ",", "0", ",", "\[ScriptM]MaxMax", ",", "0.1"}],
         "}"}]}], "]"}]}], "]"}]}], ";"}]}], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData["\<\"Solving ...\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Below \[ScriptM]MinBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "148", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Below \[ScriptM]MinBound times \[ScriptM]E after ", 148, 
   " backwards Euler iterations."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.8015890615716412`", ",", "0.33165289723533325`", ",", 
     "0.3251967101127137`", ",", 
     RowBox[{"-", "24.146326128082706`"}], ",", 
     RowBox[{"-", "0.21794209240075305`"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {0.8015890615716412, 0.33165289723533325`, 
   0.3251967101127137, -24.146326128082706`, -0.21794209240075305`}],
  Editable->False]], "Print"],

Cell[BoxData["\<\"Solving ...\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Above \[ScriptM]MaxBound times \[ScriptM]E after \"\>", 
   "\[InvisibleSpace]", "374", 
   "\[InvisibleSpace]", "\<\" backwards Euler iterations.\"\>"}],
  SequenceForm[
  "  Above \[ScriptM]MaxBound times \[ScriptM]E after ", 374, 
   " backwards Euler iterations."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Last Point:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "877.0520656947288`", ",", "54.263410112035714`", ",", 
     "0.06053322072919649`", ",", 
     RowBox[{"-", "0.30446462084389386`"}], ",", 
     RowBox[{"-", "1.7942525054101663`*^-8"}]}], "}"}]}],
  SequenceForm[
  "Last Point:", {877.0520656947288, 54.263410112035714`, 
   0.06053322072919649, -0.30446462084389386`, -1.7942525054101663`*^-8}],
  Editable->False]], "Print"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SimGeneratePath", "[", 
   RowBox[{"\[ScriptM]EBase", ",", "100"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[ScriptM]\[ScriptC]PathPlot", " ", "=", " ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"\[ScriptM]\[ScriptC]Path", ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"PointSize", "[", "0.007", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[ScriptM]MinNew", ",", "\[ScriptM]MaxNew"}], "}"}], "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "5"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[ScriptC]MinNew", ",", "\[ScriptC]MaxNew"}], "}"}], "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1.5"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TractableBufferStockTarget", " ", "=", " ", 
   RowBox[{"Show", "[", 
    RowBox[{
    "cFuncPlotBase", ",", "Stable\[ScriptM]LocusPlot", ",", 
     "Stable\[ScriptM]LocusOrigPlot", "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<Target \[LongRightArrow]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]EBase", ",", 
          RowBox[{"1.02", "\[ScriptC]EBase"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\< \[LongLeftArrow] Sustainable \[ScriptC]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]E", ",", 
          RowBox[{"0.98", "\[ScriptC]E"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<c(\[ScriptM]) \[LongRightArrow]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"0.7", "\[ScriptM]EBase"}], ",", 
          RowBox[{"0.85", "\[ScriptC]EBase"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Ticks", "\[Rule]", "None"}], "\n", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\[ScriptM]MinNew", ",", "\[ScriptM]MaxNew"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptC]MinNew", ",", "\[ScriptC]MaxNew"}], "}"}]}], 
       "}"}]}], "\n", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<\[ScriptM]\>\"", ",", "\"\<\[ScriptC]\>\""}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OldAndNewcFuncsPlot", " ", "=", " ", 
   RowBox[{"Show", "[", 
    RowBox[{
    "Stable\[ScriptM]LocusPlot", ",", "cFuncPlotBase", ",", "cFuncPlotNew", 
     "\[IndentingNewLine]", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "\[ScriptM]MaxMax"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "Automatic"}], "}"}]}], "}"}]}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0.", ",", "0."}], "}"}]}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"PhaseDiagramAfterGFallPlot", " ", "=", " ", 
   RowBox[{"Show", "[", 
    RowBox[{
    "OldAndNewcFuncsPlot", ",", "\[ScriptM]\[ScriptC]PathPlot", ",", 
     "Stable\[ScriptM]LocusOrigPlot", "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<Orig Target \[LongRightArrow]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]EBase", ",", 
          RowBox[{"1.02", "\[ScriptC]EBase"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<\[UpperLeftArrow]New Target\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]E", ",", 
          RowBox[{"0.96", "\[ScriptC]E"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<Orig c(\[ScriptM]) \[LongRightArrow]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1.3", "\[ScriptM]EBase"}], ",", 
          RowBox[{"1.2", "\[ScriptC]EBase"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\< \[LongLeftArrow] New c(\[ScriptM])\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]EBase", ",", 
          RowBox[{"cE", "[", "\[ScriptM]EBase", "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Ticks", "\[Rule]", "None"}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<\[ScriptM]\>\"", ",", "\"\<\[ScriptC]\>\""}], "}"}]}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[ScriptM]MinNew", "-", "1"}], ",", 
          RowBox[{"\[ScriptM]E", "+", "3"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptC]MinNew", ",", 
          RowBox[{"1.3", "\[ScriptC]EBase"}]}], "}"}]}], "}"}]}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0.", ",", "0."}], "}"}]}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExportFigsToDir", "[", 
   RowBox[{"\"\<PhaseDiagramAfterGFallPlot\>\"", ",", "FigsDir"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "PhaseDiagramAfterGFallPlot", 
  "]"}], "\[IndentingNewLine]"}], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     {GrayLevel[0], Thickness[Medium], Dashing[{0.01}], 
      LineBox[CompressedData["
1:eJwVx3s0lHkYwPH52W1NbDrlNsdRRlq31mVe15k3PY+UtlwSFevaFIUcpTay
W206E9NYu7bco8m0rVhlnS5EpSkdUYhUIqGkchkMZjKGtv3jez7na7pzn3+U
BoPB8PnS/6qaW9yr6iRrPOe743/Nl4HMJ6K4jUqBvSI+60ShDPyaxk3LqT8h
0+C9VCCWQYqQuzOfKoYuW7me6KIMCt6HaWRSlRAfwazNqpSBueF+/3RKCrl3
HTXLGmUwYpusElJt8PFEhrhjRgatNUdb0qh+yNCEJ1bBY5DurSmtGJ4ATvCx
RIH+OKzP8KlSiFVg6yryZiaNg1WkltIji2Brel6C5Pk4ZJdUPmc7fYMunK1T
29dMQPPT3HXDqVpIvb51x0Q8AUMXpYqNTotx6lX7oAZTDnmq7IHBwSUYvGU4
TB0vh+KcoSyxth4GNP9rrNUqh6IF/D2ScAPUPWvGpVwmYf6DgmEsYuHu/R5F
8XmTMKV12fpSmRGG1kb5SZWT0PNZkHhsxhiNgpz4thFTsCrmyKlHbBOMVVfe
rKibghvtmyI4tWxMkXfv87KcBnbme/fUPlNcHc48NPf7NNzW1BMayFegqK1f
el82DR3RW3ofGa3EcznRcX9tV8AywfKCW3bfoeeuwvD8KgX0CdVR7SHmeC3l
6JVLbCWMlg8lJ5ywwAZ9vk9LmhJs0qMnvLItMa5ywoH5QQmD/spkrzor7Dxn
dzjU7xO0d+jvTn1mjZ1njL5+UPkJmInrCjYNrsKf5zV7PZbMQDVD0OugY4MD
NRLDnsMzcHZ9gDBohS2+OTaUK3o5A8qDDmslPnZ4Mav3kP9aFbT2LZHUcO1x
EfuFxL5UBbcG2jqk9+yRefUXQ7OFsxAVZpQZEsjBxtzmj3YJs2B51Xpu6RsO
Lhc8/mpL+yxksjx0FsdSaDDYHCfkqOGa/G1J0RyFz/KPOHTlqUFe6j25Mc0B
LbZ1uuOMGkafuTUIjR0Rd/ZfvsufA9Kr8H5X4ogjibn8bffnoEZZlZhq74Sr
iV8kw2we7E8Sq5p6J/TvuV7/QDQPdWNLM7Q3O6P67sM48fA8aLeWJ48NOGOc
QnjgzNbPoL7tq8U67ILHi70aimo/g6ao2jucuKJeWQ/n9SIGtjSVGbrkuKLX
9yNXVO4MrPgQmWVjykUvqm1z8QEGOhlYXI8u5eLygy6sAAkDk6oTwp3deNgR
+tPipc8Z+NRFcNO0gYcBTWnWId8QPHF57I9TjTwMDAp6QGkStDcL2T3xiIeh
g5Y7tJgEf9OhdKVPeBip0ZR9cyFBz3e9cTu6eHiI9y1hLSJYfZpmi0d5mFOW
+aJDl2DhqDzVWI/Gl6J8ga8pwU27wsMEBjT2sGJNzFcQ/NTZ6DDCorH/b17N
3JffVn++r3YZjUP3usfKVxLUOevLC7GgcVa1LETbkuDxH8pG83k0Gu+VcB7a
ErS9o19P3Ghkzxx4LLYj+MohpSAGaFyZ5rEnyZ4g1yRoA3cdjTYXBgrNKYLy
6QXFnT40unWbM086ETy/NyEJ/Wh0j1FKQp0Jbu5/5XPJn0ZPZYObowvB8sdX
VUmBNPrqxhx860oweK1JW++PNAYUc3VquQSZ1aKSDaE0BtpplZ7mEbxhozha
EU5jyO0uj1iaYNQF/lZDPo0RXv+8dl9N8D/pCDNG
       "]]}}, {{}, {}, 
     {GrayLevel[0], LineBox[CompressedData["
1:eJwV0Hk81AkfwPFxzShFyTFN5CrHlDCaHLP1/aqQa3OmVq4WW6ktT0+s3ZzP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       "]]}}, {{}, {}, 
     {RGBColor[0, 0, 0], LineBox[CompressedData["
1:eJwVzGs41IkewPGh+cepVk8ld+t2yqUwjfv82d9viHIXiY2UNJXUwdkOqQ3J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       "]]}}}, {{}, 
    {GrayLevel[0], PointSize[0.007], PointBox[CompressedData["
1:eJw1kmlUk3cWxgEREEFEK5IQkvcviAi0iDAS1HAvsgqyb4EKUw2LogSrOKWs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      "]]}, {}}, {{}, {}, 
    {GrayLevel[0], Thickness[Medium], Dashing[{0.01}], LineBox[CompressedData["
1:eJwVx30w1HkcwHGrQsytETYjslSearXWQ3Z/6fMhcUJ1oidPJ3TVqVZXZMKl
09o8lAqVdOGu8VjqFNKD8TAnq0jRUB3bnWS0a+2uffCN7ro/3vOel+3eI6EJ
ujo6OiFf+//kea9PU2vFhoh4Lj+KK4OpkJjyfk4miI778A0oGWwTTdvWcS6A
V3Ygv2G9DDKF3L1XOeVgXrObvxhlUPIxSreAcxf6ZKn8+/4ysF/KD83ltMHG
ky38b8JkIHFJJUJOPzhfpJIeH5ZBX0t6bzbnPcy2eh+1/l0GucH6bfWf5CDW
u28iMZqGTfkhTeobBGopQbvSZxqc4g01GwtpyLC7w5QkT0NR5d3XTA89LKYd
fh17Zxqev7rs90lgiHNT+8Zo49MwebNNHehhjCmDykAbphyukKKx8XETvHRo
OJK1Ww7lxZOFN4zMsNiUdCWck8P1RbE/VEQz8NYft3OWPZXDlwm1jlWOBdbG
/Hrz87wcZgxvOVfVWGLgk/FDzzgK+OvfrOSMWSucN+/It0xUwOoDaWd7mDZ4
+eSbRZfKFdD4cnOM60Mm+r85Myh8qwBmwUcfgdgWiybPhh4xU8JjfTMhQ2GH
PQbdDqcClTCw/7vRHsuVyGCWhtF/UYJ11vKSR2tXYcCmmuE/m5UgFs4lvIyw
x/y44MY5hRKkdZOpSacd8JhbAK5YMwOs3P3yoCJH9DVJtzsWOwPjoZrUoFYn
XDnhH+l7bQZeDpjvEww6o+RZ0BSvfwYMkv1KNo+vxh1x1ayVeipo1skadaOz
cEBR0pkDKri2abtwl50Lcgu6GpYdV4HmJzffipC12GAvJE71KugTm1S0cNn4
/HD5lOOECh6N9Q+0tbOxt1PFC7VWQ0KUZUHETlccMx0Z0e5Qg2OD8/ySv11R
zKe97c5TQ4HFRrrxQQ6m/5yeldumhnuKfyqvz3NwbXb+GRFRg6I6WBmY7YZd
pUMjbmwNSAe9u4RW7nistum85UEN0EbVwR8q3dHgaf+V1WUaaNE0JQvYHri+
2G8ra1AD7DM0p5ZODxREBUXV0bXQKluSb7TVExs5+R3hflow6qtLlY15ItGJ
y0zL0MLc4y2GFifWofjUBcmlJi3o5zQHR9O8sI7+uX5QooVeUc3SdcVemFek
FRXaz0L9RHwhy5aLYc6uGzIiZ8GD4XB/fzUXH/Hbo3ddmIWU5qRoT28eet35
+LpeNAuv1mU9sO3iYel8QKWrDoHTt2Tnz3bz0M608yKTRoC9ImKfvIeHVY6Y
YaxLII/OMW17wcPG7V7h0gUE/D+MJn7/hocvqh0XVOsTaL5IMW9Iebhwx+IY
pjGBUqlCYGVGYeJtEcN4OYHNcdFRWQwKFR3+ul++WjvU7SaxoPDEcLtUYkMg
vLNM/NCaQsHCh50iWwL0a1t4EQ4Ulu2pPSpYReDUtzXSqzwKX+nl9c6vIeDy
xLyT5k3hHiuDFgmLwDu3zJIDQKHYNevmWxcCXJtdAVw/CqWRaWkP2AQUqkXl
QyEU6jckOh93J1D2Y1IKbqPw3NMJ83gPAlvfvwupCqXQbCSett2TQN2zBpKy
k0K7xVFDbC8Ce3xt+kd3U1i1fLjDhkvAoDmnMiCSQhf38Ho6j0AjS51eH03h
vcD+kvmvTvgtNmxpLIXrY0IEEorAfzRZTtk=
      "]]}}, 
   InsetBox["\<\"Orig Target \[LongRightArrow]\"\>", \
{5.475852558086449, 1.1306985751961922`}, {1, 0}], 
   InsetBox["\<\"\[UpperLeftArrow]New Target\"\>", \
{8.718169526020702, 1.2842557516830249`}, {-1, 0}], 
   InsetBox["\<\"Orig c(\[ScriptM]) \[LongRightArrow]\"\>", \
{7.118608325512383, 1.3302336178778733`}, {1, 0}], 
   InsetBox["\<\" \[LongLeftArrow] New c(\[ScriptM])\"\>", \
{5.475852558086449, 1.0463910710490971`}, {-1, 0}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"\[ScriptM]\"", TraditionalForm], 
    FormBox["\"\[ScriptC]\"", TraditionalForm]},
  AxesOrigin->{0., 0.},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-1, 11.718169526020702`}, {0, 1.441086419367696}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->None]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Work/BufferStock/Tractable/ctDiscrete/Latest/Figures/\
PhaseDiagramAfterGFallPlot.pdf\"\>"], "Print"]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     {GrayLevel[0], Thickness[Medium], Dashing[{0.01}], 
      LineBox[CompressedData["
1:eJwVx3s0lHkYwPH52W1NbDrlNsdRRlq31mVe15k3PY+UtlwSFevaFIUcpTay
W206E9NYu7bco8m0rVhlnS5EpSkdUYhUIqGkchkMZjKGtv3jez7na7pzn3+U
BoPB8PnS/6qaW9yr6iRrPOe743/Nl4HMJ6K4jUqBvSI+60ShDPyaxk3LqT8h
0+C9VCCWQYqQuzOfKoYuW7me6KIMCt6HaWRSlRAfwazNqpSBueF+/3RKCrl3
HTXLGmUwYpusElJt8PFEhrhjRgatNUdb0qh+yNCEJ1bBY5DurSmtGJ4ATvCx
RIH+OKzP8KlSiFVg6yryZiaNg1WkltIji2Brel6C5Pk4ZJdUPmc7fYMunK1T
29dMQPPT3HXDqVpIvb51x0Q8AUMXpYqNTotx6lX7oAZTDnmq7IHBwSUYvGU4
TB0vh+KcoSyxth4GNP9rrNUqh6IF/D2ScAPUPWvGpVwmYf6DgmEsYuHu/R5F
8XmTMKV12fpSmRGG1kb5SZWT0PNZkHhsxhiNgpz4thFTsCrmyKlHbBOMVVfe
rKibghvtmyI4tWxMkXfv87KcBnbme/fUPlNcHc48NPf7NNzW1BMayFegqK1f
el82DR3RW3ofGa3EcznRcX9tV8AywfKCW3bfoeeuwvD8KgX0CdVR7SHmeC3l
6JVLbCWMlg8lJ5ywwAZ9vk9LmhJs0qMnvLItMa5ywoH5QQmD/spkrzor7Dxn
dzjU7xO0d+jvTn1mjZ1njL5+UPkJmInrCjYNrsKf5zV7PZbMQDVD0OugY4MD
NRLDnsMzcHZ9gDBohS2+OTaUK3o5A8qDDmslPnZ4Mav3kP9aFbT2LZHUcO1x
EfuFxL5UBbcG2jqk9+yRefUXQ7OFsxAVZpQZEsjBxtzmj3YJs2B51Xpu6RsO
Lhc8/mpL+yxksjx0FsdSaDDYHCfkqOGa/G1J0RyFz/KPOHTlqUFe6j25Mc0B
LbZ1uuOMGkafuTUIjR0Rd/ZfvsufA9Kr8H5X4ogjibn8bffnoEZZlZhq74Sr
iV8kw2we7E8Sq5p6J/TvuV7/QDQPdWNLM7Q3O6P67sM48fA8aLeWJ48NOGOc
QnjgzNbPoL7tq8U67ILHi70aimo/g6ao2jucuKJeWQ/n9SIGtjSVGbrkuKLX
9yNXVO4MrPgQmWVjykUvqm1z8QEGOhlYXI8u5eLygy6sAAkDk6oTwp3deNgR
+tPipc8Z+NRFcNO0gYcBTWnWId8QPHF57I9TjTwMDAp6QGkStDcL2T3xiIeh
g5Y7tJgEf9OhdKVPeBip0ZR9cyFBz3e9cTu6eHiI9y1hLSJYfZpmi0d5mFOW
+aJDl2DhqDzVWI/Gl6J8ga8pwU27wsMEBjT2sGJNzFcQ/NTZ6DDCorH/b17N
3JffVn++r3YZjUP3usfKVxLUOevLC7GgcVa1LETbkuDxH8pG83k0Gu+VcB7a
ErS9o19P3Ghkzxx4LLYj+MohpSAGaFyZ5rEnyZ4g1yRoA3cdjTYXBgrNKYLy
6QXFnT40unWbM086ETy/NyEJ/Wh0j1FKQp0Jbu5/5XPJn0ZPZYObowvB8sdX
VUmBNPrqxhx860oweK1JW++PNAYUc3VquQSZ1aKSDaE0BtpplZ7mEbxhozha
EU5jyO0uj1iaYNQF/lZDPo0RXv+8dl9N8D/pCDNG
       "]]}}, {{}, {}, 
     {GrayLevel[0], LineBox[CompressedData["
1:eJwV0Hk81AkfwPFxzShFyTFN5CrHlDCaHLP1/aqQa3OmVq4WW6ktT0+s3ZzP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       "]]}}, {{}, {}, 
     {RGBColor[0, 0, 0], LineBox[CompressedData["
1:eJwVzGs41IkewPGh+cepVk8ld+t2yqUwjfv82d9viHIXiY2UNJXUwdkOqQ3J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       "]]}}}, {{}, 
    {GrayLevel[0], PointSize[0.007], PointBox[CompressedData["
1:eJw1kmlUk3cWxgEREEFEK5IQkvcviAi0iDAS1HAvsgqyb4EKUw2LogSrOKWs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      "]]}, {}}, {{}, {}, 
    {GrayLevel[0], Thickness[Medium], Dashing[{0.01}], LineBox[CompressedData["
1:eJwVx30w1HkcwHGrQsytETYjslSearXWQ3Z/6fMhcUJ1oidPJ3TVqVZXZMKl
09o8lAqVdOGu8VjqFNKD8TAnq0jRUB3bnWS0a+2uffCN7ro/3vOel+3eI6EJ
ujo6OiFf+//kea9PU2vFhoh4Lj+KK4OpkJjyfk4miI778A0oGWwTTdvWcS6A
V3Ygv2G9DDKF3L1XOeVgXrObvxhlUPIxSreAcxf6ZKn8+/4ysF/KD83ltMHG
ky38b8JkIHFJJUJOPzhfpJIeH5ZBX0t6bzbnPcy2eh+1/l0GucH6bfWf5CDW
u28iMZqGTfkhTeobBGopQbvSZxqc4g01GwtpyLC7w5QkT0NR5d3XTA89LKYd
fh17Zxqev7rs90lgiHNT+8Zo49MwebNNHehhjCmDykAbphyukKKx8XETvHRo
OJK1Ww7lxZOFN4zMsNiUdCWck8P1RbE/VEQz8NYft3OWPZXDlwm1jlWOBdbG
/Hrz87wcZgxvOVfVWGLgk/FDzzgK+OvfrOSMWSucN+/It0xUwOoDaWd7mDZ4
+eSbRZfKFdD4cnOM60Mm+r85Myh8qwBmwUcfgdgWiybPhh4xU8JjfTMhQ2GH
PQbdDqcClTCw/7vRHsuVyGCWhtF/UYJ11vKSR2tXYcCmmuE/m5UgFs4lvIyw
x/y44MY5hRKkdZOpSacd8JhbAK5YMwOs3P3yoCJH9DVJtzsWOwPjoZrUoFYn
XDnhH+l7bQZeDpjvEww6o+RZ0BSvfwYMkv1KNo+vxh1x1ayVeipo1skadaOz
cEBR0pkDKri2abtwl50Lcgu6GpYdV4HmJzffipC12GAvJE71KugTm1S0cNn4
/HD5lOOECh6N9Q+0tbOxt1PFC7VWQ0KUZUHETlccMx0Z0e5Qg2OD8/ySv11R
zKe97c5TQ4HFRrrxQQ6m/5yeldumhnuKfyqvz3NwbXb+GRFRg6I6WBmY7YZd
pUMjbmwNSAe9u4RW7nistum85UEN0EbVwR8q3dHgaf+V1WUaaNE0JQvYHri+
2G8ra1AD7DM0p5ZODxREBUXV0bXQKluSb7TVExs5+R3hflow6qtLlY15ItGJ
y0zL0MLc4y2GFifWofjUBcmlJi3o5zQHR9O8sI7+uX5QooVeUc3SdcVemFek
FRXaz0L9RHwhy5aLYc6uGzIiZ8GD4XB/fzUXH/Hbo3ddmIWU5qRoT28eet35
+LpeNAuv1mU9sO3iYel8QKWrDoHTt2Tnz3bz0M608yKTRoC9ImKfvIeHVY6Y
YaxLII/OMW17wcPG7V7h0gUE/D+MJn7/hocvqh0XVOsTaL5IMW9Iebhwx+IY
pjGBUqlCYGVGYeJtEcN4OYHNcdFRWQwKFR3+ul++WjvU7SaxoPDEcLtUYkMg
vLNM/NCaQsHCh50iWwL0a1t4EQ4Ulu2pPSpYReDUtzXSqzwKX+nl9c6vIeDy
xLyT5k3hHiuDFgmLwDu3zJIDQKHYNevmWxcCXJtdAVw/CqWRaWkP2AQUqkXl
QyEU6jckOh93J1D2Y1IKbqPw3NMJ83gPAlvfvwupCqXQbCSett2TQN2zBpKy
k0K7xVFDbC8Ce3xt+kd3U1i1fLjDhkvAoDmnMiCSQhf38Ho6j0AjS51eH03h
vcD+kvmvTvgtNmxpLIXrY0IEEorAfzRZTtk=
      "]]}}, 
   InsetBox["\<\"Orig Target \[LongRightArrow]\"\>", \
{5.475852558086449, 1.1306985751961922`}, {1, 0}], 
   InsetBox["\<\"\[UpperLeftArrow]New Target\"\>", \
{8.718169526020702, 1.2842557516830249`}, {-1, 0}], 
   InsetBox["\<\"Orig c(\[ScriptM]) \[LongRightArrow]\"\>", \
{7.118608325512383, 1.3302336178778733`}, {1, 0}], 
   InsetBox["\<\" \[LongLeftArrow] New c(\[ScriptM])\"\>", \
{5.475852558086449, 1.0463910710490971`}, {-1, 0}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"\[ScriptM]\"", TraditionalForm], 
    FormBox["\"\[ScriptC]\"", TraditionalForm]},
  AxesOrigin->{0., 0.},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-1, 11.718169526020702`}, {0, 1.441086419367696}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->None]], "Output",
 PageWidth->Infinity,
 InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"cEModLevtp1", "=", 
   RowBox[{"SubsuperscriptBox", "[", 
    RowBox[{
     RowBox[{"OverscriptBox", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<c\>\"", ",", 
         RowBox[{"{", 
          RowBox[{"Bold", ",", "Italic"}], "}"}], ",", 
         RowBox[{"CharacterEncoding", "\[Rule]", "\"\<WindowsANSI\>\""}]}], 
        "]"}], ",", "\"\<`\>\""}], "]"}], ",", 
     RowBox[{"Style", "[", 
      RowBox[{"\"\<t+1\>\"", ",", "Plain"}], "]"}], ",", 
     RowBox[{"Style", "[", 
      RowBox[{"\"\<e\>\"", ",", "Plain"}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BufferFigNew", " ", "=", " ", 
   RowBox[{"Plot", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Log", "[", 
      RowBox[{
      "\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", "\[ScriptM]", "]"}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[ScriptM]", ",", 
       RowBox[{"0.5", " ", "\[ScriptM]EBase"}], ",", 
       RowBox[{"2.1", " ", "\[ScriptM]EBase"}]}], "}"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Dashing", "[", 
         RowBox[{"{", ".01", "}"}], "]"}], ",", 
        RowBox[{"Thickness", "[", "Medium", "]"}], ",", "Black"}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cGroAfterGFallPlot", "=", 
   RowBox[{"Show", "[", 
    RowBox[{
    "BufferFigOrig", "\[IndentingNewLine]", ",", "BufferFigNew", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"DisplayForm", "[", 
           RowBox[{"RowBox", "[", 
            RowBox[{"{", 
             RowBox[{"ArrowPointingLeft", ",", "dLog", ",", "cEModLevtp1"}], 
             "}"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            FractionBox[
             RowBox[{"\[ScriptM]EBase", " ", "14"}], "8"], ",", 
            RowBox[{"Log", "[", 
             RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
              FractionBox[
               RowBox[{"\[ScriptM]EBase", " ", "13"}], "8"], "]"}], "]"}]}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}]}], "*)"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"DisplayForm", "[", 
         RowBox[{"RowBox", "[", 
          RowBox[{"{", 
           RowBox[{
           "dLog", ",", " ", "cEModLevtp1", ",", "ArrowPointingRight"}], 
           "}"}], "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          FractionBox[
           RowBox[{"\[ScriptM]EBase", " ", "7.5"}], "12"], ",", 
          RowBox[{"Log", "[", 
           RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
            FractionBox[
             RowBox[{"\[ScriptM]EBase", " ", "7.5"}], "12"], "]"}], "]"}]}], 
         "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Dashing", "[", 
         RowBox[{"{", "}"}], "]"}], ",", 
        RowBox[{"Thickness", "[", "Small", "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[ScriptM]E", ",", "HorizAxis"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[ScriptM]E", ",", 
             RowBox[{"Log", "[", 
              RowBox[{
              "\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", "1.5`", "]"}], 
              "]"}]}], "}"}]}], "}"}], "]"}]}], "}"}], "]"}], 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Dashing", "[", 
           RowBox[{"{", "0.01`", "}"}], "]"}], ",", 
          RowBox[{"Thickness", "[", "Medium", "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               FractionBox[
                RowBox[{
                 RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"]}],
               "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"2.0`", " ", "\[ScriptM]EBase"}], ",", 
               FractionBox[
                RowBox[{
                 RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"]}],
               "}"}]}], "}"}], "]"}]}], "}"}], "]"}]}], "*)"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Dashing", "[", 
         RowBox[{"{", "}"}], "]"}], ",", 
        RowBox[{"Thickness", "[", "Small", "]"}], ",", "Black", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[ScriptM]EBase", ",", "HorizAxis"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[ScriptM]EBase", ",", 
             RowBox[{"Log", "[", 
              RowBox[{
              "\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", "1.5`", "]"}], 
              "]"}]}], "}"}]}], "}"}], "]"}]}], "}"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Dashing", "[", 
         RowBox[{"{", "0.01`", "}"}], "]"}], ",", 
        RowBox[{"Thickness", "[", "Medium", "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"\[GothicG]", "+", "\[Mho]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"2.1`", " ", "\[ScriptM]EBase"}], ",", 
             RowBox[{"\[GothicG]", "+", "\[Mho]"}]}], "}"}]}], "}"}], "]"}]}],
        "}"}], "]"}], "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\< \!\(\*
StyleBox[\"{\",
FontSize->36]\)\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[ScriptM]E", " ", "1.65"}], ",", 
            RowBox[{
             RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Log", "[", 
                 RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
                  RowBox[{"\[ScriptM]E", " ", "2"}], "]"}], "]"}], "+", 
                FractionBox[
                 RowBox[{
                  RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], 
                 "\[Rho]"]}], ")"}]}], "-", "0.003"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{
         "\"\<\[Mho](1+\[Omega]\!\(\*SubscriptBox[\(\[Del]\), \(t + 1\)]\))\!\
\(\*SubscriptBox[\(\[Del]\), \(t + 1\)]\)   \>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[ScriptM]E", " ", "1.65"}], ",", 
            RowBox[{
             RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Log", "[", 
                 RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
                  RowBox[{"\[ScriptM]E", " ", "2"}], "]"}], "]"}], "+", 
                FractionBox[
                 RowBox[{
                  RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], 
                 "\[Rho]"]}], ")"}]}], "-", "0.003"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\< \!\(\*
StyleBox[\"}\",
FontSize->72]\)\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[ScriptM]E", " ", "1.65"}], ",", 
            RowBox[{
             RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Log", "[", 
                 RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
                  RowBox[{"\[ScriptM]E", " ", "2"}], "]"}], "]"}], "+", 
                FractionBox[
                 RowBox[{
                  RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], 
                 "\[Rho]"]}], ")"}]}], "+", "0.001"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{
         "\"\<\!\(\*OverscriptBox[\(\[Mho]\), \
\(`\)]\)(1+\[Omega]\!\(\*SubscriptBox[OverscriptBox[\(\[Del]\), \(`\)], \(t + \
1\)]\))\!\(\*SubscriptBox[OverscriptBox[\(\[Del]\), \(`\)], \(t + 1\)]\)\>\"",
           ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[ScriptM]E", " ", "1.85"}], ",", 
            RowBox[{
             RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Log", "[", 
                 RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
                  RowBox[{"\[ScriptM]E", " ", "2"}], "]"}], "]"}], "+", 
                FractionBox[
                 RowBox[{
                  RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], 
                 "\[Rho]"]}], ")"}]}], "+", "0.001"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}]}], "*)"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<Original Eqbm \[UpperRightArrow]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]EBase", ",", 
          RowBox[{"\[GothicG]Base", "+", "\[Mho]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\< \[LowerLeftArrow] New Target\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptM]E", ",", 
          RowBox[{"\[GothicG]", "+", "\[Mho]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "]"}], "]"}], "\[IndentingNewLine]", 
     ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"\[ScriptM]EBase", ",", 
           RowBox[{"\[GothicG]Base", "+", "\[Mho]"}]}], "}"}], "]"}]}], "}"}],
       "]"}], "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"\[ScriptM]E", ",", 
           RowBox[{"\[GothicG]", "+", "\[Mho]"}]}], "}"}], "]"}]}], "}"}], 
      "]"}], "\[IndentingNewLine]", ",", 
     RowBox[{"PhaseArrow", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"0.1", " ", "\[ScriptM]EBase"}], ",", 
         RowBox[{"\[GothicG]Base", "+", "\[Mho]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"0.1", " ", "\[ScriptM]EBase"}], ",", 
         RowBox[{"\[GothicG]", "+", "\[Mho]"}]}], "}"}]}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"PhaseArrow", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[ScriptM]EBase", ",", 
         RowBox[{"\[GothicG]Base", "+", "\[Mho]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[ScriptM]EBase", ",", 
         RowBox[{"Log", "[", 
          RowBox[{
          "\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", "\[ScriptM]EBase", 
           "]"}], "]"}]}], "}"}]}], "]"}], "\[IndentingNewLine]", ",", 
     RowBox[{"Axes", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", "Automatic"}], "}"}]}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(\[ScriptM]\), \(\[ScriptT]\)]\)\>\"", ",", 
        "\"\<Growth\>\""}], "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", "HorizAxis"}], "}"}]}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Ticks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
           "\[ScriptM]EBase", ",", 
            "\"\<\!\(\*OverscriptBox[\(m\), \(\[Hacek]\)]\)\>\""}], "}"}], 
          "\[IndentingNewLine]", ",", 
          RowBox[{"{", 
           RowBox[{
           "\[ScriptM]E", ",", 
            "\"\<\!\(\*OverscriptBox[OverscriptBox[\(\[ScriptM]\), \(\[Hacek]\
\)], \(`\)]\)\>\""}], "}"}]}], "}"}], "\[IndentingNewLine]", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[GothicG]Base", "+", "\[Mho]"}], ",", 
            "\"\<\[Gamma]\>\""}], "}"}], "\[IndentingNewLine]", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[GothicG]", "+", "\[Mho]"}], ",", 
            "\"\<\!\(\*OverscriptBox[\(\[Gamma]\), \(`\)]\)\>\""}], "}"}], 
          "\[IndentingNewLine]", ",", 
          RowBox[{"{", 
           RowBox[{
            FractionBox[
             RowBox[{"rBase", "-", "\[CurlyTheta]"}], "\[Rho]"], ",", 
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<\!\(\*SuperscriptBox[\(\[Rho]\), \(-1\)]\)(\[ScriptR]-\
\[CurlyTheta])\[TildeTilde]\[Thorn]\>\"", ",", 
              RowBox[{
              "CharacterEncoding", "\[Rule]", "\"\<WindowsANSI\>\""}]}], 
             "]"}]}], "}"}]}], "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{",", 
           RowBox[{"{", 
            RowBox[{
             FractionBox[
              RowBox[{
               RowBox[{"(", "r", ")"}], "-", "\[CurlyTheta]"}], "\[Rho]"], 
             ",", 
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<\!\(\*SuperscriptBox[\(\[Rho]\), \
\(-1\)]\)(\!\(\*OverscriptBox[\(\[ScriptR]\), \(`\)]\)-\[CurlyTheta])\
\[TildeTilde]\!\(\*OverscriptBox[\(\[Thorn]\), \(`\)]\)\>\"", ",", 
               RowBox[{
               "CharacterEncoding", "\[Rule]", "\"\<WindowsANSI\>\""}]}], 
              "]"}]}], "}"}]}], "*)"}], "\[IndentingNewLine]", "}"}]}], 
       "}"}]}], "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"2.6`", " ", "\[ScriptM]E"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"HorizAxis", ",", 
            RowBox[{"Log", "[", 
             RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
              RowBox[{"0.5`", "\[ScriptM]E"}], "]"}], "]"}]}], "}"}]}], 
         "}"}]}]}], "*)"}], "\[IndentingNewLine]", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"1.8`", " ", "\[ScriptM]E"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"HorizAxis", ",", 
          RowBox[{"Log", "[", 
           RowBox[{"\[ScriptCapitalC]tp1O\[ScriptCapitalC]t", "[", 
            RowBox[{"0.45`", "\[ScriptM]E"}], "]"}], "]"}]}], "}"}]}], 
       "}"}]}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExportFigsToDir", "[", 
   RowBox[{"\"\<cGroAfterGFallPlot\>\"", ",", "FigsDir"}], "]"}], 
  ";"}], "\[IndentingNewLine]", "cGroAfterGFallPlot"}], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwB4QQe+yFib1JlAgAAAE0AAAACAAAA6W6a/EXnBUC4bgm3OpWvP47BhsvG
7AVAOf49xKSErz80FHOaR/IFQEbOWvUYdK8/gLlLOEn9BUCmzaWgH1OvPxgE
/XNMEwZAbTv5KqURrz9ImV/rUj8GQMgChaiJkK4/qMMk2l+XBkD+gsnqfpWt
P2gYr7d5RwdA6WbCK2u6qz/99puITcUIQLBJPl/AIag/yT5+xNMpCkAG/mOR
XzilP8EzTKRbhwtAy73guvi1oj/PXfKZgwINQEhb3n+VT6A/FPGN+l1kDkA5
RrKip6acP2+5AXHY4w9ACxM7Q9zQmD97l7BFKq4QQMlgv7AldJU/2QZbiMFd
EUDpRaCYQqCSP8OQ8dUoHBJAEbs1qlizjz9IzwJZ6c0SQEOULQM4/oo/ZOQJ
rip8E0BgcRTxmsSGPwsU/Q08ORRAnuZzv3SRgj9M+GqjpukUQLjTcOnv730/
GvfEQ+GoFUBmMCxd+b92P37MFLacZBZAjiFTs6A/cD99Vt9dsRMXQE3vFEFD
QWU/BvuVEJbRF0As9k1hctpTPytUx/jTghhAlSnik17T5T7bx+Tr4UIZQGDZ
r0/tt1O/IRL4sHD/GUBqHRPn1PZivwIRhqtYrxpA9jBPQa3sar9vKgCxEG4b
QAniezJAg3G/d/j06yEgHEAr3vkjKhF1vxSd3/izzhxAeOX/tjNbeL8+XLYQ
FowdQMf87+A+uXu/A9AHXtE8HkDzDpSGO7F+v1JeRbZc/B5AZUlEwiXegL84
w3jgaLgfQLQi5XG9R4K/XW4TIOczIEAJ43LMz4eDv2OIYNUBkyBAzpjRLorR
hL+3/GolyesgQDxZTPss9oW/Vlxw3tBCIUDqrr1B0geHvzvJ65xAoSFAvL5Z
YPAiiL9tkCT2XPkhQPokygj7Hom/5WTTVOFYIkB46oxQ4SOKv6uTP04SsiJA
DxBt6KkMi7+8raawgwkjQH/frFVc54u/EtWDGF1oI0AV4z7oksqMv7ZWHhvj
wCNAyObJcc2Vjb+f5S4j0SAkQP4Qwxz+aI6/0186lP9+JEBnytVwui+Pv1U0
A6Da1iRAJFEbl+Dhj78dFkKxHTYlQGb5gsvMTZC/MlI+XQ2PJUBY3MEbMaGQ
v5J5NXI95iVABYN37QPwkL84rqKM1UQmQAhQq7ZtQpG/LD3NQRqdJkAk2i0M
kYyRv4dfoWSkniZAaGkfPtaNkb/igXWHLqAmQFUzqD0bj5G/mMYdzUKjJkC3
ZK2lpJGRvwNQblhrqSZAov3GGrWWkb/aYg9vvLUmQHLTMaPMoJG/iYhRnF7O
JkB+uQp81rSRv+SqJb/ozyZAhY3idhW2kb8+zfnhctEmQHmVukBUt5G/9BGi
J4fUJkCbgpdB0bmRv2Cb8rKv2iZA5Nc5+ci+kb84rpPJAOcmQPD4vUmvyJG/
k9Bn7IroJkDFy8E568mRv+7yOw8V6iZA1Fh1+SbLkb+kN+RUKe0mQKUQF+id
zZG/D8E04FHzJkBoVnSDidKRv2rjCAPc9CZAaG0l8sPTkb/EBd0lZvYmQM3L
3DD+1JG/ekqFa3r5JkCEaIkecteRv9VsWY4E+yZAxSOUzavYkb8wjy2xjvwm
QOsg0Ezl2ZG/i7EB1Bj+JkBZFkicHtuRv+bT1fai/yZAW7cGvFfckb85I128

       "]]}}, 
    {GrayLevel[0], Thickness[Small], Dashing[{}], 
     LineBox[{{5.475852558086449, -0.045000000000000005`}, {5.475852558086449,
       0.06168541305834973}}]}, 
    {Thickness[Medium], Dashing[{}], 
     LineBox[{{0, 0.005}, {11.499290371981543`, 0.005}}]}, 
    {Thickness[Medium], Dashing[{}], 
     LineBox[{{0, -0.035}, {11.499290371981543`, -0.035}}]}}, {{}, {}, 
    {GrayLevel[0], Thickness[Medium], Dashing[{0.01}], LineBox[CompressedData["
1:eJwVznk4lAkcwPHJLesecptxvF3W0xalyPvL8aRdKh6V1lWymkdCSlJRmTKU
c+bVMGlzrTWumnro0vNbS6w0jhjtKiOaBinFehwh2/7xfb7/fphhMX6/KNBo
NJ9v/f+xaMGi54gyPFK3eP7JrJLMakxtb/mgDAX3GT4lmpWkA/2kYOeUMqhn
1h8I+SokLz78yWnXkjKYOqWPTg0KSSOlpZPe+irA9nXXzywVkl4FoeN+pAoo
PV5ISrYTkhVNNv2hfBXo0vCdtvCsIFlGt+8n7lQFg8yKfY+zy8mlmRtpPk/V
oHgSuOM7Ssk21+TmnrUr4eeJVqkSv4hs3ORdFsjRAPuWPfIX/EKyM3iqgK2g
CYNQ0ZCyJZ+kT2Z+CQ7XAo/WwwGvBBQZ83DFib/fasOSvb8HWuaS5/h3PNfV
6gDnvKNm/JoM8h+VwLTGYF0YEYQsDGhwyKacSckaMz0Yfk9y/lJPIb06FQ6O
ifWAvTWuGArOkeEy9dp15/XhZfqI1gPaKVKDvqTpspUO3o6j1tsmWKT3XGRp
+RgdjjQIChx0AkiT2Wb3oQoDCEsoVXzIMsHk5/T6wnBDEF5ql/oOBmDS/sFg
kf4qsM+vnr0XH4EqC3k617tXgduX+SfPPGNxvX/rXE+KEcSxo8IqfzuFr1pl
40NuxlBnWBZRqZ2ITL25O7HLxjDlKPj8zCgJFXRTqwJum8BnrUmtY3suYsw6
mkgn2hT4EdwEsXEKJsxNjzMZZnD1EU+SWsVG+s3BuXsdZtC49dpricUVdA2q
1zHMMIePE7XDFwWpqNilGtLtYgHMuhLzF6Mc9AvxrA9atAB2pcszSzIdnZrO
vGE9sIRyw88rL5y/isHR+oyRTQwofiLRNMu7hkfSDklW8Biw+ogsUFqXgfcX
I23bxhmQ492uMFCXifuDYqVdbkwYaYlpXS7LQue28UIoZsJooCxpdWE2Hs+x
mQmaZ8Kk8LTyF+ccfBfe4z8UYAV1yQd8b9XkYBWP3K131wpoNaqG43q52FBT
foetbg0sXZWorydyUU/CNgpmWQNdXWhQ05uL9fstTN/+YQ0K+VYHX9lx8dY7
e+tuhg14bWRVH03jYk/oNmo52QaUh8pvnJFycZ+DYlF/nw30JjhvzFzPQ3ND
N5H5Zlv4dEls3HeOhxv9XIM1s20h//KBPGkTD7mJjnHb5baQENllKVel0Km2
JEPiQYDUXNtsdjeFdtvFO0xuEkDMD+9+mUUhJ7Q4vOxXAmQC19BP2RQOX4rn
2BcRUBW73l01l8L8FnOxWykBr5uHrmzmUai4NzrgmJAAzdbBWS6fwv4w7ZiG
OgLUnn7Hdy+iMD3NtzCkg4CcPrnaZRGFskpbHO0kwK5P99b1uxS6iueH4roJ
uPC7zkrhPQqndUtWc3oJcNklChHXUXjoxtTd2/0ENFdzFemP/vfz2mgjBMT5
H/co+JNCXtfRD1dHCdjLOWEnbKJwYspZ2+A9AfGh8rEHzRSWbZH5r/1IQHiH
17uXLRRqNzq88f2XgB+ql6X67RRGvlVTfD39zW+df9LqOYXNygO2ETMEyHMn
BjaIKTz745VjZ+cJyGtb2OTTSaEk6mCW0gIBHc1PLQO7KNyQ/b0oa5GA96an
hljdFF4Treg1+kpA1GGdxNMvKJT3SGZKlglYZVMmZ/dQ+B9kSFa1
      "]]}}, InsetBox[
    TagBox[
     RowBox[{
      StyleBox["\<\"\\!\\(\\*\\nStyleBox[\\\"\[CapitalDelta]\\\",\\\
nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\" \
\\\",\\nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\"log\\\",\\\
nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\" \
\\\",\\nFontWeight->\\\"Plain\\\"]\\)\"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"], 
      SubsuperscriptBox[
       OverscriptBox[
        StyleBox["\<\"c\"\>",
         StripOnInput->False,
         FontWeight->Bold,
         FontSlant->Italic,
         CharacterEncoding->"WindowsANSI"], "`"], 
       StyleBox["\<\"t+1\"\>",
        StripOnInput->False,
        FontWeight->Plain,
        FontSlant->Plain,
        FontVariations->{"Underline"->False}], 
       StyleBox["\<\"e\"\>",
        StripOnInput->False,
        FontWeight->Plain,
        FontSlant->Plain,
        FontVariations->{"Underline"->False}]], 
      StyleBox["\<\" \[LongRightArrow] \"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"]}],
     DisplayForm], {3.4224078488040304`, 0.028386315458472897`}, {1, 1}], 
   {Thickness[Small], Dashing[{}], 
    LineBox[{{8.718169526020702, -0.045000000000000005`}, {8.718169526020702, 
     0.16544942432923793`}}]}, 
   {GrayLevel[0], Thickness[Small], Dashing[{}], 
    LineBox[{{5.475852558086449, -0.045000000000000005`}, {5.475852558086449, 
     0.16544942432923793`}}]}, 
   {Thickness[Medium], Dashing[{0.01}], 
    LineBox[{{0, -0.015}, {11.499290371981543`, -0.015}}]}, 
   InsetBox["\<\"Original Eqbm \[UpperRightArrow]\"\>", \
{5.475852558086449, 0.005}, {1, 1}], 
   InsetBox["\<\" \[LowerLeftArrow] New Target\"\>", \
{8.718169526020702, -0.015}, {-1, -1}], 
   {PointSize[0.015], PointBox[{5.475852558086449, 0.005}]}, 
   {PointSize[0.015], PointBox[{8.718169526020702, -0.015}]}, 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{0.5475852558086449, 0.005}, {0.5475852558086449, -0.015}}]}, 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{5.475852558086449, 0.005}, {
     5.475852558086449, -0.0005846506628096382}}]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{Automatic, Automatic},
  AxesLabel->{
    FormBox[
    "\"\\!\\(\\*SubscriptBox[\\(\[ScriptM]\\), \\(\[ScriptT]\\)]\\)\"", 
     TraditionalForm], 
    FormBox["\"Growth\"", TraditionalForm]},
  AxesOrigin->{Automatic, -0.045000000000000005`},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0, 15.692705146837264`}, {-0.045000000000000005`, 
    0.0178229393617889}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{5.475852558086449, 
      FormBox[
      "\"\\!\\(\\*OverscriptBox[\\(m\\), \\(\[Hacek]\\)]\\)\"", 
       TraditionalForm]}, {8.718169526020702, 
      FormBox[
      "\"\\!\\(\\*OverscriptBox[OverscriptBox[\\(\[ScriptM]\\), \
\\(\[Hacek]\\)], \\(`\\)]\\)\"", TraditionalForm]}}, {{0.005, 
      FormBox["\"\[Gamma]\"", TraditionalForm]}, {-0.015, 
      FormBox[
      "\"\\!\\(\\*OverscriptBox[\\(\[Gamma]\\), \\(`\\)]\\)\"", 
       TraditionalForm]}, {-0.035, 
      FormBox[
       StyleBox[
       "\"\\!\\(\\*SuperscriptBox[\\(\[Rho]\\), \\(-1\\)]\\)(\[ScriptR]-\
\[CurlyTheta])\[TildeTilde]\[Thorn]\"", CharacterEncoding -> "WindowsANSI", 
        StripOnInput -> False], TraditionalForm]}}}]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Work/BufferStock/Tractable/ctDiscrete/Latest/Figures/\
cGroAfterGFallPlot.pdf\"\>"], "Print"]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwB4QQe+yFib1JlAgAAAE0AAAACAAAA6W6a/EXnBUC4bgm3OpWvP47BhsvG
7AVAOf49xKSErz80FHOaR/IFQEbOWvUYdK8/gLlLOEn9BUCmzaWgH1OvPxgE
/XNMEwZAbTv5KqURrz9ImV/rUj8GQMgChaiJkK4/qMMk2l+XBkD+gsnqfpWt
P2gYr7d5RwdA6WbCK2u6qz/99puITcUIQLBJPl/AIag/yT5+xNMpCkAG/mOR
XzilP8EzTKRbhwtAy73guvi1oj/PXfKZgwINQEhb3n+VT6A/FPGN+l1kDkA5
RrKip6acP2+5AXHY4w9ACxM7Q9zQmD97l7BFKq4QQMlgv7AldJU/2QZbiMFd
EUDpRaCYQqCSP8OQ8dUoHBJAEbs1qlizjz9IzwJZ6c0SQEOULQM4/oo/ZOQJ
rip8E0BgcRTxmsSGPwsU/Q08ORRAnuZzv3SRgj9M+GqjpukUQLjTcOnv730/
GvfEQ+GoFUBmMCxd+b92P37MFLacZBZAjiFTs6A/cD99Vt9dsRMXQE3vFEFD
QWU/BvuVEJbRF0As9k1hctpTPytUx/jTghhAlSnik17T5T7bx+Tr4UIZQGDZ
r0/tt1O/IRL4sHD/GUBqHRPn1PZivwIRhqtYrxpA9jBPQa3sar9vKgCxEG4b
QAniezJAg3G/d/j06yEgHEAr3vkjKhF1vxSd3/izzhxAeOX/tjNbeL8+XLYQ
FowdQMf87+A+uXu/A9AHXtE8HkDzDpSGO7F+v1JeRbZc/B5AZUlEwiXegL84
w3jgaLgfQLQi5XG9R4K/XW4TIOczIEAJ43LMz4eDv2OIYNUBkyBAzpjRLorR
hL+3/GolyesgQDxZTPss9oW/Vlxw3tBCIUDqrr1B0geHvzvJ65xAoSFAvL5Z
YPAiiL9tkCT2XPkhQPokygj7Hom/5WTTVOFYIkB46oxQ4SOKv6uTP04SsiJA
DxBt6KkMi7+8raawgwkjQH/frFVc54u/EtWDGF1oI0AV4z7oksqMv7ZWHhvj
wCNAyObJcc2Vjb+f5S4j0SAkQP4Qwxz+aI6/0186lP9+JEBnytVwui+Pv1U0
A6Da1iRAJFEbl+Dhj78dFkKxHTYlQGb5gsvMTZC/MlI+XQ2PJUBY3MEbMaGQ
v5J5NXI95iVABYN37QPwkL84rqKM1UQmQAhQq7ZtQpG/LD3NQRqdJkAk2i0M
kYyRv4dfoWSkniZAaGkfPtaNkb/igXWHLqAmQFUzqD0bj5G/mMYdzUKjJkC3
ZK2lpJGRvwNQblhrqSZAov3GGrWWkb/aYg9vvLUmQHLTMaPMoJG/iYhRnF7O
JkB+uQp81rSRv+SqJb/ozyZAhY3idhW2kb8+zfnhctEmQHmVukBUt5G/9BGi
J4fUJkCbgpdB0bmRv2Cb8rKv2iZA5Nc5+ci+kb84rpPJAOcmQPD4vUmvyJG/
k9Bn7IroJkDFy8E568mRv+7yOw8V6iZA1Fh1+SbLkb+kN+RUKe0mQKUQF+id
zZG/D8E04FHzJkBoVnSDidKRv2rjCAPc9CZAaG0l8sPTkb/EBd0lZvYmQM3L
3DD+1JG/ekqFa3r5JkCEaIkecteRv9VsWY4E+yZAxSOUzavYkb8wjy2xjvwm
QOsg0Ezl2ZG/i7EB1Bj+JkBZFkicHtuRv+bT1fai/yZAW7cGvFfckb85I128

       "]]}}, 
    {GrayLevel[0], Thickness[Small], Dashing[{}], 
     LineBox[{{5.475852558086449, -0.045000000000000005`}, {5.475852558086449,
       0.06168541305834973}}]}, 
    {Thickness[Medium], Dashing[{}], 
     LineBox[{{0, 0.005}, {11.499290371981543`, 0.005}}]}, 
    {Thickness[Medium], Dashing[{}], 
     LineBox[{{0, -0.035}, {11.499290371981543`, -0.035}}]}}, {{}, {}, 
    {GrayLevel[0], Thickness[Medium], Dashing[{0.01}], LineBox[CompressedData["
1:eJwVznk4lAkcwPHJLesecptxvF3W0xalyPvL8aRdKh6V1lWymkdCSlJRmTKU
c+bVMGlzrTWumnro0vNbS6w0jhjtKiOaBinFehwh2/7xfb7/fphhMX6/KNBo
NJ9v/f+xaMGi54gyPFK3eP7JrJLMakxtb/mgDAX3GT4lmpWkA/2kYOeUMqhn
1h8I+SokLz78yWnXkjKYOqWPTg0KSSOlpZPe+irA9nXXzywVkl4FoeN+pAoo
PV5ISrYTkhVNNv2hfBXo0vCdtvCsIFlGt+8n7lQFg8yKfY+zy8mlmRtpPk/V
oHgSuOM7Ssk21+TmnrUr4eeJVqkSv4hs3ORdFsjRAPuWPfIX/EKyM3iqgK2g
CYNQ0ZCyJZ+kT2Z+CQ7XAo/WwwGvBBQZ83DFib/fasOSvb8HWuaS5/h3PNfV
6gDnvKNm/JoM8h+VwLTGYF0YEYQsDGhwyKacSckaMz0Yfk9y/lJPIb06FQ6O
ifWAvTWuGArOkeEy9dp15/XhZfqI1gPaKVKDvqTpspUO3o6j1tsmWKT3XGRp
+RgdjjQIChx0AkiT2Wb3oQoDCEsoVXzIMsHk5/T6wnBDEF5ql/oOBmDS/sFg
kf4qsM+vnr0XH4EqC3k617tXgduX+SfPPGNxvX/rXE+KEcSxo8IqfzuFr1pl
40NuxlBnWBZRqZ2ITL25O7HLxjDlKPj8zCgJFXRTqwJum8BnrUmtY3suYsw6
mkgn2hT4EdwEsXEKJsxNjzMZZnD1EU+SWsVG+s3BuXsdZtC49dpricUVdA2q
1zHMMIePE7XDFwWpqNilGtLtYgHMuhLzF6Mc9AvxrA9atAB2pcszSzIdnZrO
vGE9sIRyw88rL5y/isHR+oyRTQwofiLRNMu7hkfSDklW8Biw+ogsUFqXgfcX
I23bxhmQ492uMFCXifuDYqVdbkwYaYlpXS7LQue28UIoZsJooCxpdWE2Hs+x
mQmaZ8Kk8LTyF+ccfBfe4z8UYAV1yQd8b9XkYBWP3K131wpoNaqG43q52FBT
foetbg0sXZWorydyUU/CNgpmWQNdXWhQ05uL9fstTN/+YQ0K+VYHX9lx8dY7
e+tuhg14bWRVH03jYk/oNmo52QaUh8pvnJFycZ+DYlF/nw30JjhvzFzPQ3ND
N5H5Zlv4dEls3HeOhxv9XIM1s20h//KBPGkTD7mJjnHb5baQENllKVel0Km2
JEPiQYDUXNtsdjeFdtvFO0xuEkDMD+9+mUUhJ7Q4vOxXAmQC19BP2RQOX4rn
2BcRUBW73l01l8L8FnOxWykBr5uHrmzmUai4NzrgmJAAzdbBWS6fwv4w7ZiG
OgLUnn7Hdy+iMD3NtzCkg4CcPrnaZRGFskpbHO0kwK5P99b1uxS6iueH4roJ
uPC7zkrhPQqndUtWc3oJcNklChHXUXjoxtTd2/0ENFdzFemP/vfz2mgjBMT5
H/co+JNCXtfRD1dHCdjLOWEnbKJwYspZ2+A9AfGh8rEHzRSWbZH5r/1IQHiH
17uXLRRqNzq88f2XgB+ql6X67RRGvlVTfD39zW+df9LqOYXNygO2ETMEyHMn
BjaIKTz745VjZ+cJyGtb2OTTSaEk6mCW0gIBHc1PLQO7KNyQ/b0oa5GA96an
hljdFF4Treg1+kpA1GGdxNMvKJT3SGZKlglYZVMmZ/dQ+B9kSFa1
      "]]}}, InsetBox[
    TagBox[
     RowBox[{
      StyleBox["\<\"\\!\\(\\*\\nStyleBox[\\\"\[CapitalDelta]\\\",\\\
nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\" \
\\\",\\nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\"log\\\",\\\
nFontWeight->\\\"Plain\\\"]\\)\\!\\(\\*\\nStyleBox[\\\" \
\\\",\\nFontWeight->\\\"Plain\\\"]\\)\"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"], 
      SubsuperscriptBox[
       OverscriptBox[
        StyleBox["\<\"c\"\>",
         StripOnInput->False,
         FontWeight->Bold,
         FontSlant->Italic,
         CharacterEncoding->"WindowsANSI"], "`"], 
       StyleBox["\<\"t+1\"\>",
        StripOnInput->False,
        FontWeight->Plain,
        FontSlant->Plain,
        FontVariations->{"Underline"->False}], 
       StyleBox["\<\"e\"\>",
        StripOnInput->False,
        FontWeight->Plain,
        FontSlant->Plain,
        FontVariations->{"Underline"->False}]], 
      StyleBox["\<\" \[LongRightArrow] \"\>",
       StripOnInput->False,
       CharacterEncoding->"WindowsANSI"]}],
     DisplayForm], {3.4224078488040304`, 0.028386315458472897`}, {1, 1}], 
   {Thickness[Small], Dashing[{}], 
    LineBox[{{8.718169526020702, -0.045000000000000005`}, {8.718169526020702, 
     0.16544942432923793`}}]}, 
   {GrayLevel[0], Thickness[Small], Dashing[{}], 
    LineBox[{{5.475852558086449, -0.045000000000000005`}, {5.475852558086449, 
     0.16544942432923793`}}]}, 
   {Thickness[Medium], Dashing[{0.01}], 
    LineBox[{{0, -0.015}, {11.499290371981543`, -0.015}}]}, 
   InsetBox["\<\"Original Eqbm \[UpperRightArrow]\"\>", \
{5.475852558086449, 0.005}, {1, 1}], 
   InsetBox["\<\" \[LowerLeftArrow] New Target\"\>", \
{8.718169526020702, -0.015}, {-1, -1}], 
   {PointSize[0.015], PointBox[{5.475852558086449, 0.005}]}, 
   {PointSize[0.015], PointBox[{8.718169526020702, -0.015}]}, 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{0.5475852558086449, 0.005}, {0.5475852558086449, -0.015}}]}, 
   {Thickness[Large], Arrowheads[0.025], 
    ArrowBox[{{5.475852558086449, 0.005}, {
     5.475852558086449, -0.0005846506628096382}}]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{Automatic, Automatic},
  AxesLabel->{
    FormBox[
    "\"\\!\\(\\*SubscriptBox[\\(\[ScriptM]\\), \\(\[ScriptT]\\)]\\)\"", 
     TraditionalForm], 
    FormBox["\"Growth\"", TraditionalForm]},
  AxesOrigin->{Automatic, -0.045000000000000005`},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0, 15.692705146837264`}, {-0.045000000000000005`, 
    0.0178229393617889}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{5.475852558086449, 
      FormBox[
      "\"\\!\\(\\*OverscriptBox[\\(m\\), \\(\[Hacek]\\)]\\)\"", 
       TraditionalForm]}, {8.718169526020702, 
      FormBox[
      "\"\\!\\(\\*OverscriptBox[OverscriptBox[\\(\[ScriptM]\\), \
\\(\[Hacek]\\)], \\(`\\)]\\)\"", TraditionalForm]}}, {{0.005, 
      FormBox["\"\[Gamma]\"", TraditionalForm]}, {-0.015, 
      FormBox[
      "\"\\!\\(\\*OverscriptBox[\\(\[Gamma]\\), \\(`\\)]\\)\"", 
       TraditionalForm]}, {-0.035, 
      FormBox[
       StyleBox[
       "\"\\!\\(\\*SuperscriptBox[\\(\[Rho]\\), \\(-1\\)]\\)(\[ScriptR]-\
\[CurlyTheta])\[TildeTilde]\[Thorn]\"", CharacterEncoding -> "WindowsANSI", 
        StripOnInput -> False], TraditionalForm]}}}]], "Output"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"HowMany", "=", "75"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[ScriptM]Path", "=", 
   RowBox[{"Take", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Transpose", "[", "\[ScriptM]\[ScriptC]Path", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", "HowMany"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[ScriptC]Path", "=", 
   RowBox[{"Take", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Transpose", "[", "\[ScriptM]\[ScriptC]Path", "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], ",", "HowMany"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MPCPath", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"cE", "'"}], "[", "#", "]"}], "&"}], ",", 
     RowBox[{"Rest", "[", "\[ScriptM]Path", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"\[ScriptM]Path", ",", "\[ScriptM]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"\[ScriptC]Path", ",", "\[ScriptC]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"\[ScriptM]Path", ",", "\[ScriptM]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"\[ScriptC]Path", ",", "\[ScriptC]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"\[ScriptM]Path", ",", "\[ScriptM]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"\[ScriptC]Path", ",", "\[ScriptC]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"MPCPath", ",", "\[Kappa]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"MPCPath", ",", "\[Kappa]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"MPCPath", ",", "\[Kappa]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PrependTo", "[", 
   RowBox[{"MPCPath", ",", "\[Kappa]EBase"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"timePath", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"i", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "\[ScriptC]Path", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[ScriptC]PathPlot", " ", "=", " ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"timePath", ",", "\[ScriptC]Path"}], "}"}], "]"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[ScriptM]PathPlot", " ", "=", " ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"timePath", ",", "\[ScriptM]Path"}], "}"}], "]"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MPCPathPlot", " ", "=", " ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"timePath", ",", "MPCPath"}], "}"}], "]"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ";"}]}], "Input",
 PageWidth->Infinity,
 InitializationCell->True,
 CellChangeTimes->{{3.414278339183446*^9, 3.414278341745433*^9}, 
   3.414278779728621*^9, {3.414278878001575*^9, 3.414278885030191*^9}, 
   3.414862540088749*^9, {3.414862671057727*^9, 3.414862671463376*^9}, {
   3.415436203093796*^9, 3.415436203643718*^9}, {3.423056630903368*^9, 
   3.423056641014819*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"cPathAfterGFall", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"\[ScriptC]PathPlot", "\[IndentingNewLine]", ",", 
     RowBox[{"Ticks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"4", ",", "\"\<0\>\""}], "}"}], "}"}], ",", "None"}], 
       "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Time\>\"", ",", 
        "\"\<\!\(\*SubsuperscriptBox[\(\[ScriptC]\), \(\[ScriptT]\), \(e\)]\)\
\>\""}], "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "0"}], "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "Automatic"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "Automatic"}], "}"}]}], "}"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExportFigsToDir", "[", 
   RowBox[{"\"\<cPathAfterGFall\>\"", ",", "FigsDir"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "cPathAfterGFall", "]"}]}], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[{{}, 
   {GrayLevel[0], PointBox[CompressedData["
1:eJxdy38s1HEcx3FujUIlWSE5Z9L5UZHiyN29/OZwv/zqB7cKWbVouZaRn0ua
ilR+LPN7zV1ry6LUFpN+6tByrdUW+jElEcVNZfRjfd9/5LN999nj+/y8OHtT
5UksPT098Z/v7/3vTAof6jkPFd75KmR+4H8vXmDTBTbH4TbJuUUdk4wtkHTS
pHHlHNkaLZlGpi896b0tOk6dbmhPIdtBf37HoG0D2R7XzSoGZf1kB+gkg6fL
f5G5uN9+LcbF6RtjJxSZVJWFyskuMOHXVtukkzciUWBw+UUV2RX62rbjle1k
N9yWTXMLB8ibYRDI2901S3bHAf4R3T6LKcZb0BBf6FbiTt4KfrkfOzKC7IFq
I07P4ySyJ1yGx3IWZZF5MD7SOmZxgewFx/WK7atVZG/cfT7QufwOeRsMSodm
TZ+SfcA2r+jnviXzIZ3wt0r8RhaA3fSuu481zVgI95mUpUozMjCdYhyr4DDO
BZYmR6dUbKLui7SjnGwun7ov7Iu0tlYi6n64lJx9UBlD3Q+a8YkZwV7q/lih
fDKee4i6PxINHxn5plMPQLOad6Ugn3oAek4Oa6LOUA/EsYQQq9Yy6oHQCEST
qhrqQVA55Ct4TdSD4F5s6Jp8jXow3v96+8WrjXowfO6yR1o7qIdgfrhq0+sH
1ENQF5fZ2NJDPRRp6uQJgZZ6KC6GnS3Je0VdBL59gjZ7iLoIbWrhG69h6mEI
d+tsuTFKPQyZLgYOugnq4RBrez//nKYejvuKPZXdP6hH4LvqYG3CPPUI3Lp3
NUbD0jFdjOhX52dYhoxzxchT3q4zMaYuQfAaWezoMuoSSOYOL64xoy6FQhxV
5LiKMaQo7TpRXWxJ76Xg5k+N91kz7pTiU6+++Rib9jIEpGWUfbSjvQymFlkf
utbRXoad0rgDOVzay3AzPlVp40x7OZ4lvQyp30B7OXYNCtcucaW9HI8HCixj
N9NeDvnU/u1nttA+EhnWTiNqD9pHIjvBUtPMo30kppo2fq/31gl/A16BeKE=

     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptC]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm]},
  AxesOrigin->{-3, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-3, Automatic}, {0, Automatic}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{4, 
      FormBox["\"0\"", TraditionalForm]}}, None}]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Work/BufferStock/Tractable/ctDiscrete/Latest/Figures/\
cPathAfterGFall.pdf\"\>"], "Print"]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{}, 
   {GrayLevel[0], PointBox[CompressedData["
1:eJxdy38s1HEcx3FujUIlWSE5Z9L5UZHiyN29/OZwv/zqB7cKWbVouZaRn0ua
ilR+LPN7zV1ry6LUFpN+6tByrdUW+jElEcVNZfRjfd9/5LN999nj+/y8OHtT
5UksPT098Z/v7/3vTAof6jkPFd75KmR+4H8vXmDTBTbH4TbJuUUdk4wtkHTS
pHHlHNkaLZlGpi896b0tOk6dbmhPIdtBf37HoG0D2R7XzSoGZf1kB+gkg6fL
f5G5uN9+LcbF6RtjJxSZVJWFyskuMOHXVtukkzciUWBw+UUV2RX62rbjle1k
N9yWTXMLB8ibYRDI2901S3bHAf4R3T6LKcZb0BBf6FbiTt4KfrkfOzKC7IFq
I07P4ySyJ1yGx3IWZZF5MD7SOmZxgewFx/WK7atVZG/cfT7QufwOeRsMSodm
TZ+SfcA2r+jnviXzIZ3wt0r8RhaA3fSuu481zVgI95mUpUozMjCdYhyr4DDO
BZYmR6dUbKLui7SjnGwun7ov7Iu0tlYi6n64lJx9UBlD3Q+a8YkZwV7q/lih
fDKee4i6PxINHxn5plMPQLOad6Ugn3oAek4Oa6LOUA/EsYQQq9Yy6oHQCEST
qhrqQVA55Ct4TdSD4F5s6Jp8jXow3v96+8WrjXowfO6yR1o7qIdgfrhq0+sH
1ENQF5fZ2NJDPRRp6uQJgZZ6KC6GnS3Je0VdBL59gjZ7iLoIbWrhG69h6mEI
d+tsuTFKPQyZLgYOugnq4RBrez//nKYejvuKPZXdP6hH4LvqYG3CPPUI3Lp3
NUbD0jFdjOhX52dYhoxzxchT3q4zMaYuQfAaWezoMuoSSOYOL64xoy6FQhxV
5LiKMaQo7TpRXWxJ76Xg5k+N91kz7pTiU6+++Rib9jIEpGWUfbSjvQymFlkf
utbRXoad0rgDOVzay3AzPlVp40x7OZ4lvQyp30B7OXYNCtcucaW9HI8HCixj
N9NeDvnU/u1nttA+EhnWTiNqD9pHIjvBUtPMo30kppo2fq/31gl/A16BeKE=

     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptC]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm]},
  AxesOrigin->{-3, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-3, Automatic}, {0, Automatic}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{4, 
      FormBox["\"0\"", TraditionalForm]}}, None}]], "Output",
 PageWidth->Infinity,
 InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"mPathAfterGFall", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"\[ScriptM]PathPlot", "\[IndentingNewLine]", ",", 
     RowBox[{"Ticks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"4", ",", "\"\<0\>\""}], "}"}], "}"}], ",", "None"}], 
       "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Time\>\"", ",", 
        "\"\<\!\(\*SubsuperscriptBox[\(\[ScriptM]\), \(\[ScriptT]\), \(e\)]\)\
\>\""}], "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "HowMany"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "Automatic"}], "}"}]}], "}"}]}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "0"}], "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "Automatic"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "Automatic"}], "}"}]}], "}"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExportFigsToDir", "[", 
   RowBox[{"\"\<mPathAfterGFall\>\"", ",", "FigsDir"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Show", "[", "mPathAfterGFall", "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[{{}, 
   {GrayLevel[0], PointBox[CompressedData["
1:eJxdy39MzHEcx/GjqCjnRr9Pui7FhUo/rqJ69eN+9OPq7vKrJqNTxvRjplH6
ZbVlY62d5VciNHI0JqJWOVuW1LAz0y+/9WOTflGKWZjP+w99t8++e3yen5cg
KV2dPJfD4cT8OX///77R4HkdZz9JBizBLvC/TWd58SwvnWUb3H8ftD++2IqZ
j6lg7XSYgzWzI3S/nmvqb5CdkFOafzXey4bZGdfT4l7X3ia7IKTCrl7uZsu8
EsLAU8eOV5BF2LrAZ3DQzI55NVYK8+c2Z5DXom5YatAYyB7oy+o2c3O3Z/aE
on/hQGIxeR24bT196CF7YcbbOWGJG5/ZG80ni79xD5J9kKOz8E19QPaFf5PH
y0TjZcxidH89Y8WTkv2gq9DY1xaR/ZEpTHFJ1ZMD0G5t6EqeJq9H5RXntIfu
DswbULNz68eLGnIgSni8Na5l5CBccNuVkN5CDsad0tb6k2Nk4Lvi3PQ9/vJ/
LgAssxskQxJmTggOxG9KikqlHoIucWHLZy31UIiydNUf6qiHonHC3DW8i3oY
RoovS4U/qIdh8lGASZu5I+vhmJ/S9uS5PXNBOBo/DZp6iqhLYPC8v39MTF0C
p6bOTbYS6lLYnZZduqmiLsW7jPaRhkTqMvQ+4xSG7KEuwxkjC3XEAepy3JLP
mHbmUZej/3u/xdej1CPQ8aqq6IKWegQyrXLVH8qpR8JvME2gr6IeicXKzZrA
GupRGBf1btx+l3oUqsV+HNcm6tFIyH8cXN5CPRrevkf0ze3UFfjWLzYuM1BX
QJbXoRF0UY/B3hPreLvfUo/BWttE2z191GOhylyUIvpMPRY2L0oe1IxSV2J8
R+TTiQlmKBFgEs+f95PeK1FpMmb1ZoZZr4Sh8xG30FjA9iroDm0MmjRlhgrD
Wxwe+lswF6hw7cuL87E8Zr0KpUPprf6WtFdjn1G45Q8b2qthPmdKoeXTXo1D
K3KExo60V2PLthFvlZD2cejlZnMPu9A+DkNiB/fCVbSPQ1FQ7sze1QL8Bhg6
ODE=
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptM]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm]},
  AxesOrigin->{-3, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-3, 75}, {0, Automatic}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{4, 
      FormBox["\"0\"", TraditionalForm]}}, None}]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Work/BufferStock/Tractable/ctDiscrete/Latest/Figures/\
mPathAfterGFall.pdf\"\>"], "Print"]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{}, 
   {GrayLevel[0], PointBox[CompressedData["
1:eJxdy39MzHEcx/GjqCjnRr9Pui7FhUo/rqJ69eN+9OPq7vKrJqNTxvRjplH6
ZbVlY62d5VciNHI0JqJWOVuW1LAz0y+/9WOTflGKWZjP+w99t8++e3yen5cg
KV2dPJfD4cT8OX///77R4HkdZz9JBizBLvC/TWd58SwvnWUb3H8ftD++2IqZ
j6lg7XSYgzWzI3S/nmvqb5CdkFOafzXey4bZGdfT4l7X3ia7IKTCrl7uZsu8
EsLAU8eOV5BF2LrAZ3DQzI55NVYK8+c2Z5DXom5YatAYyB7oy+o2c3O3Z/aE
on/hQGIxeR24bT196CF7YcbbOWGJG5/ZG80ni79xD5J9kKOz8E19QPaFf5PH
y0TjZcxidH89Y8WTkv2gq9DY1xaR/ZEpTHFJ1ZMD0G5t6EqeJq9H5RXntIfu
DswbULNz68eLGnIgSni8Na5l5CBccNuVkN5CDsad0tb6k2Nk4Lvi3PQ9/vJ/
LgAssxskQxJmTggOxG9KikqlHoIucWHLZy31UIiydNUf6qiHonHC3DW8i3oY
RoovS4U/qIdh8lGASZu5I+vhmJ/S9uS5PXNBOBo/DZp6iqhLYPC8v39MTF0C
p6bOTbYS6lLYnZZduqmiLsW7jPaRhkTqMvQ+4xSG7KEuwxkjC3XEAepy3JLP
mHbmUZej/3u/xdej1CPQ8aqq6IKWegQyrXLVH8qpR8JvME2gr6IeicXKzZrA
GupRGBf1btx+l3oUqsV+HNcm6tFIyH8cXN5CPRrevkf0ze3UFfjWLzYuM1BX
QJbXoRF0UY/B3hPreLvfUo/BWttE2z191GOhylyUIvpMPRY2L0oe1IxSV2J8
R+TTiQlmKBFgEs+f95PeK1FpMmb1ZoZZr4Sh8xG30FjA9iroDm0MmjRlhgrD
Wxwe+lswF6hw7cuL87E8Zr0KpUPprf6WtFdjn1G45Q8b2qthPmdKoeXTXo1D
K3KExo60V2PLthFvlZD2cejlZnMPu9A+DkNiB/fCVbSPQ1FQ7sze1QL8Bhg6
ODE=
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubsuperscriptBox[\\(\[ScriptM]\\), \\(\[ScriptT]\\), \
\\(e\\)]\\)\"", TraditionalForm]},
  AxesOrigin->{-3, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-3, 75}, {0, Automatic}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{4, 
      FormBox["\"0\"", TraditionalForm]}}, None}]], "Output",
 PageWidth->Infinity,
 InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"MPCPathAfterGFall", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"MPCPathPlot", "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Dashing", "[", 
         RowBox[{"{", "0.01", "}"}], "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"timePath", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", "\[Kappa]"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"timePath", "[", 
              RowBox[{"[", 
               RowBox[{"-", "1"}], "]"}], "]"}], ",", "\[Kappa]"}], "}"}]}], 
          "}"}], "]"}]}], "}"}], "]"}], "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<\[UpArrow]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"timePath", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "+", 
             RowBox[{"timePath", "[", 
              RowBox[{"[", 
               RowBox[{"-", "1"}], "]"}], "]"}]}], ")"}], "/", "2"}], ",", 
          "\[Kappa]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<Perfect Foresight MPC\>\"", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"timePath", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "+", 
             RowBox[{"timePath", "[", 
              RowBox[{"[", 
               RowBox[{"-", "1"}], "]"}], "]"}]}], ")"}], "/", "2"}], ",", 
          RowBox[{"\[Kappa]", 
           RowBox[{"(", 
            RowBox[{"4", "/", "5"}], ")"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "]"}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Ticks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"4", ",", "\"\<0\>\""}], "}"}], "}"}], ",", "None"}], 
       "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Time\>\"", ",", 
        "\"\<\!\(\*SubscriptBox[\(\[Kappa]\), \(\[ScriptT]\)]\)\>\""}], 
       "}"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"PlotRange", "->", "All"}], "\[IndentingNewLine]", ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "0."}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExportFigsToDir", "[", 
   RowBox[{"\"\<MPCPathAfterGFall\>\"", ",", "FigsDir"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "MPCPathAfterGFall", "]"}]}], "Input",
 PageWidth->Infinity,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[{{{}, 
    {GrayLevel[0], PointBox[CompressedData["
1:eJxdy39MzHEcx/FGqSz6sRuJSz+lJImkrrt79fOq+9H9CGnO7EJFSVo41vWD
/Eg/1pBWSzP9mFTL9FP6sSJMZKbt/NEIcWJdi7nsbGG+7z/03T777vF5fl7O
qnT5gUUmJiaSP+fv/983w5c18/o9Off5zAX+t8UC2ywwC2fSZiZ6ld2M7ZE5
37JSbE1eAy139XD0ky7GTmj+HtdztJDsArcnCa69MrIb7tY7mCU4ktdheuxW
3TV9J+P1SCvrrX3/gOyF2SJ/y6FqsjfuL1O3PVOTfeCyXTTeGE/2hSB2SLI8
iLwZZXnmnA422Q+13qOalMXkLdjEbeb8mOpgvBUtg7Ptvq/I/mizrEma7SNv
w3mDnLvqNjkAFx1Hvp+rIG9H+de4cqfz5ED0FZqbPj9ODgKvSFupTiJz0Kvb
+s56NzkYthtrBTlCMhdZmn0fOnlkHvTGIOFtPzIf1aXHlCIPMsA/rHIvXcM4
F2iYWNuRbEc9BHmjAutRC+ohsEreY9o93870UMy98/FwNDDODYUN+2Pbj2nq
YdhrCC/gfKIehtypCePkG+rhsI9YZtRrqYfDeHWjVvGSegR8XVUyqxHqEWjk
hZ5lDVOPhNS9fDJpgHokztl+CVzUQ10ApUhX8qadugAVORL/X63Uo9DfX9wT
10Q9CnrzCd1kA/VoCE+97Wq6ST0aGsfsXfU11GNgN57AflFFPQYjTZoijwrq
QnitiBI3XqEuROnelg07y6iLcFx5j+VZQl0EP8sAlvMl6mI8lV+WB1+gLsar
9Bk7dQF1CXSJ8XfG8qlLUM9adUOaSz0WhQoc1mVTj8XYF//mqtPUpSj2zFiZ
omYMKYxmgtTYE/ReijrOqEacxXhAih2G8c2qTNrL0Jpsc6Iog/YyTH6eEj9N
p70MD9uWDLGP0F6GmesSfX4q7eUoGYwy/DxEezkqtalL81NoL8e3RwUqh2Ta
y/H4Fjts8CDtFQjI+DZ38gDtFXh2V/2au5/2CkwHK0NtEtv5vwEfKWpq
      "]]}, {}}, 
   {Dashing[{0.01}], 
    LineBox[{{1, 0.06052539518198252}, {78, 0.06052539518198252}}]}, 
   InsetBox["\<\"\[UpArrow]\"\>", 
    NCache[{Rational[79, 2], 0.06052539518198252}, {39.5, 
     0.06052539518198252}], {0, 1}], 
   InsetBox["\<\"Perfect Foresight MPC\"\>", 
    NCache[{Rational[79, 2], 0.04842031614558602}, {39.5, 
     0.04842031614558602}], {0, 1}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubscriptBox[\\(\[Kappa]\\), \\(\[ScriptT]\\)]\\)\"", 
     TraditionalForm]},
  AxesOrigin->{-3, 0.},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->All,
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{4, 
      FormBox["\"0\"", TraditionalForm]}}, None}]], "Print"],

Cell[BoxData["\<\"Exporting figure to \
/Volumes/Data/Work/BufferStock/Tractable/ctDiscrete/Latest/Figures/\
MPCPathAfterGFall.pdf\"\>"], "Print"]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{{}, 
    {GrayLevel[0], PointBox[CompressedData["
1:eJxdy39MzHEcx/FGqSz6sRuJSz+lJImkrrt79fOq+9H9CGnO7EJFSVo41vWD
/Eg/1pBWSzP9mFTL9FP6sSJMZKbt/NEIcWJdi7nsbGG+7z/03T777vF5fl7O
qnT5gUUmJiaSP+fv/983w5c18/o9Off5zAX+t8UC2ywwC2fSZiZ6ld2M7ZE5
37JSbE1eAy139XD0ky7GTmj+HtdztJDsArcnCa69MrIb7tY7mCU4ktdheuxW
3TV9J+P1SCvrrX3/gOyF2SJ/y6FqsjfuL1O3PVOTfeCyXTTeGE/2hSB2SLI8
iLwZZXnmnA422Q+13qOalMXkLdjEbeb8mOpgvBUtg7Ptvq/I/mizrEma7SNv
w3mDnLvqNjkAFx1Hvp+rIG9H+de4cqfz5ED0FZqbPj9ODgKvSFupTiJz0Kvb
+s56NzkYthtrBTlCMhdZmn0fOnlkHvTGIOFtPzIf1aXHlCIPMsA/rHIvXcM4
F2iYWNuRbEc9BHmjAutRC+ohsEreY9o93870UMy98/FwNDDODYUN+2Pbj2nq
YdhrCC/gfKIehtypCePkG+rhsI9YZtRrqYfDeHWjVvGSegR8XVUyqxHqEWjk
hZ5lDVOPhNS9fDJpgHokztl+CVzUQ10ApUhX8qadugAVORL/X63Uo9DfX9wT
10Q9CnrzCd1kA/VoCE+97Wq6ST0aGsfsXfU11GNgN57AflFFPQYjTZoijwrq
QnitiBI3XqEuROnelg07y6iLcFx5j+VZQl0EP8sAlvMl6mI8lV+WB1+gLsar
9Bk7dQF1CXSJ8XfG8qlLUM9adUOaSz0WhQoc1mVTj8XYF//mqtPUpSj2zFiZ
omYMKYxmgtTYE/ReijrOqEacxXhAih2G8c2qTNrL0Jpsc6Iog/YyTH6eEj9N
p70MD9uWDLGP0F6GmesSfX4q7eUoGYwy/DxEezkqtalL81NoL8e3RwUqh2Ta
y/H4Fjts8CDtFQjI+DZ38gDtFXh2V/2au5/2CkwHK0NtEtv5vwEfKWpq
      "]]}, {}}, 
   {Dashing[{0.01}], 
    LineBox[{{1, 0.06052539518198252}, {78, 0.06052539518198252}}]}, 
   InsetBox["\<\"\[UpArrow]\"\>", 
    NCache[{Rational[79, 2], 0.06052539518198252}, {39.5, 
     0.06052539518198252}], {0, 1}], 
   InsetBox["\<\"Perfect Foresight MPC\"\>", 
    NCache[{Rational[79, 2], 0.04842031614558602}, {39.5, 
     0.04842031614558602}], {0, 1}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time\"", TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubscriptBox[\\(\[Kappa]\\), \\(\[ScriptT]\\)]\\)\"", 
     TraditionalForm]},
  AxesOrigin->{-3, 0.},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->All,
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic},
  Ticks->{{{4, 
      FormBox["\"0\"", TraditionalForm]}}, None}]], "Output"]
}, Open  ]]
},
WindowSize->{1712, 1154},
WindowMargins->{{54, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (February 23, \
2011)",
StyleDefinitions->"Default.nb"
]

